// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/admin/v3/server_info.proto

package envoy_admin_v3

import (
	fmt "fmt"
	_ "github.com/cilium/proxy/go/envoy/annotations"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	proto "github.com/golang/protobuf/proto"
	duration "github.com/golang/protobuf/ptypes/duration"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type ServerInfo_State int32

const (
	// Server is live and serving traffic.
	ServerInfo_LIVE ServerInfo_State = 0
	// Server is draining listeners in response to external health checks failing.
	ServerInfo_DRAINING ServerInfo_State = 1
	// Server has not yet completed cluster manager initialization.
	ServerInfo_PRE_INITIALIZING ServerInfo_State = 2
	// Server is running the cluster manager initialization callbacks (e.g., RDS).
	ServerInfo_INITIALIZING ServerInfo_State = 3
)

var ServerInfo_State_name = map[int32]string{
	0: "LIVE",
	1: "DRAINING",
	2: "PRE_INITIALIZING",
	3: "INITIALIZING",
}

var ServerInfo_State_value = map[string]int32{
	"LIVE":             0,
	"DRAINING":         1,
	"PRE_INITIALIZING": 2,
	"INITIALIZING":     3,
}

func (x ServerInfo_State) String() string {
	return proto.EnumName(ServerInfo_State_name, int32(x))
}

func (ServerInfo_State) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8736ae14312a45ee, []int{0, 0}
}

type CommandLineOptions_IpVersion int32

const (
	CommandLineOptions_v4 CommandLineOptions_IpVersion = 0
	CommandLineOptions_v6 CommandLineOptions_IpVersion = 1
)

var CommandLineOptions_IpVersion_name = map[int32]string{
	0: "v4",
	1: "v6",
}

var CommandLineOptions_IpVersion_value = map[string]int32{
	"v4": 0,
	"v6": 1,
}

func (x CommandLineOptions_IpVersion) String() string {
	return proto.EnumName(CommandLineOptions_IpVersion_name, int32(x))
}

func (CommandLineOptions_IpVersion) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8736ae14312a45ee, []int{1, 0}
}

type CommandLineOptions_Mode int32

const (
	// Validate configs and then serve traffic normally.
	CommandLineOptions_Serve CommandLineOptions_Mode = 0
	// Validate configs and exit.
	CommandLineOptions_Validate CommandLineOptions_Mode = 1
	// Completely load and initialize the config, and then exit without running the listener loop.
	CommandLineOptions_InitOnly CommandLineOptions_Mode = 2
)

var CommandLineOptions_Mode_name = map[int32]string{
	0: "Serve",
	1: "Validate",
	2: "InitOnly",
}

var CommandLineOptions_Mode_value = map[string]int32{
	"Serve":    0,
	"Validate": 1,
	"InitOnly": 2,
}

func (x CommandLineOptions_Mode) String() string {
	return proto.EnumName(CommandLineOptions_Mode_name, int32(x))
}

func (CommandLineOptions_Mode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8736ae14312a45ee, []int{1, 1}
}

// Proto representation of the value returned by /server_info, containing
// server version/server status information.
// [#next-free-field: 7]
type ServerInfo struct {
	// Server version.
	Version string `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
	// State of the server.
	State ServerInfo_State `protobuf:"varint,2,opt,name=state,proto3,enum=envoy.admin.v3.ServerInfo_State" json:"state,omitempty"`
	// Uptime since current epoch was started.
	UptimeCurrentEpoch *duration.Duration `protobuf:"bytes,3,opt,name=uptime_current_epoch,json=uptimeCurrentEpoch,proto3" json:"uptime_current_epoch,omitempty"`
	// Uptime since the start of the first epoch.
	UptimeAllEpochs *duration.Duration `protobuf:"bytes,4,opt,name=uptime_all_epochs,json=uptimeAllEpochs,proto3" json:"uptime_all_epochs,omitempty"`
	// Hot restart version.
	HotRestartVersion string `protobuf:"bytes,5,opt,name=hot_restart_version,json=hotRestartVersion,proto3" json:"hot_restart_version,omitempty"`
	// Command line options the server is currently running with.
	CommandLineOptions   *CommandLineOptions `protobuf:"bytes,6,opt,name=command_line_options,json=commandLineOptions,proto3" json:"command_line_options,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *ServerInfo) Reset()         { *m = ServerInfo{} }
func (m *ServerInfo) String() string { return proto.CompactTextString(m) }
func (*ServerInfo) ProtoMessage()    {}
func (*ServerInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_8736ae14312a45ee, []int{0}
}

func (m *ServerInfo) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServerInfo.Unmarshal(m, b)
}
func (m *ServerInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServerInfo.Marshal(b, m, deterministic)
}
func (m *ServerInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServerInfo.Merge(m, src)
}
func (m *ServerInfo) XXX_Size() int {
	return xxx_messageInfo_ServerInfo.Size(m)
}
func (m *ServerInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_ServerInfo.DiscardUnknown(m)
}

var xxx_messageInfo_ServerInfo proto.InternalMessageInfo

func (m *ServerInfo) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *ServerInfo) GetState() ServerInfo_State {
	if m != nil {
		return m.State
	}
	return ServerInfo_LIVE
}

func (m *ServerInfo) GetUptimeCurrentEpoch() *duration.Duration {
	if m != nil {
		return m.UptimeCurrentEpoch
	}
	return nil
}

func (m *ServerInfo) GetUptimeAllEpochs() *duration.Duration {
	if m != nil {
		return m.UptimeAllEpochs
	}
	return nil
}

func (m *ServerInfo) GetHotRestartVersion() string {
	if m != nil {
		return m.HotRestartVersion
	}
	return ""
}

func (m *ServerInfo) GetCommandLineOptions() *CommandLineOptions {
	if m != nil {
		return m.CommandLineOptions
	}
	return nil
}

// [#next-free-field: 29]
type CommandLineOptions struct {
	// See :option:`--base-id` for details.
	BaseId uint64 `protobuf:"varint,1,opt,name=base_id,json=baseId,proto3" json:"base_id,omitempty"`
	// See :option:`--concurrency` for details.
	Concurrency uint32 `protobuf:"varint,2,opt,name=concurrency,proto3" json:"concurrency,omitempty"`
	// See :option:`--config-path` for details.
	ConfigPath string `protobuf:"bytes,3,opt,name=config_path,json=configPath,proto3" json:"config_path,omitempty"`
	// See :option:`--config-yaml` for details.
	ConfigYaml string `protobuf:"bytes,4,opt,name=config_yaml,json=configYaml,proto3" json:"config_yaml,omitempty"`
	// See :option:`--allow-unknown-static-fields` for details.
	AllowUnknownStaticFields bool `protobuf:"varint,5,opt,name=allow_unknown_static_fields,json=allowUnknownStaticFields,proto3" json:"allow_unknown_static_fields,omitempty"`
	// See :option:`--reject-unknown-dynamic-fields` for details.
	RejectUnknownDynamicFields bool `protobuf:"varint,26,opt,name=reject_unknown_dynamic_fields,json=rejectUnknownDynamicFields,proto3" json:"reject_unknown_dynamic_fields,omitempty"`
	// See :option:`--admin-address-path` for details.
	AdminAddressPath string `protobuf:"bytes,6,opt,name=admin_address_path,json=adminAddressPath,proto3" json:"admin_address_path,omitempty"`
	// See :option:`--local-address-ip-version` for details.
	LocalAddressIpVersion CommandLineOptions_IpVersion `protobuf:"varint,7,opt,name=local_address_ip_version,json=localAddressIpVersion,proto3,enum=envoy.admin.v3.CommandLineOptions_IpVersion" json:"local_address_ip_version,omitempty"`
	// See :option:`--log-level` for details.
	LogLevel string `protobuf:"bytes,8,opt,name=log_level,json=logLevel,proto3" json:"log_level,omitempty"`
	// See :option:`--component-log-level` for details.
	ComponentLogLevel string `protobuf:"bytes,9,opt,name=component_log_level,json=componentLogLevel,proto3" json:"component_log_level,omitempty"`
	// See :option:`--log-format` for details.
	LogFormat string `protobuf:"bytes,10,opt,name=log_format,json=logFormat,proto3" json:"log_format,omitempty"`
	// See :option:`--log-format-escaped` for details.
	LogFormatEscaped bool `protobuf:"varint,27,opt,name=log_format_escaped,json=logFormatEscaped,proto3" json:"log_format_escaped,omitempty"`
	// See :option:`--log-path` for details.
	LogPath string `protobuf:"bytes,11,opt,name=log_path,json=logPath,proto3" json:"log_path,omitempty"`
	// See :option:`--service-cluster` for details.
	ServiceCluster string `protobuf:"bytes,13,opt,name=service_cluster,json=serviceCluster,proto3" json:"service_cluster,omitempty"`
	// See :option:`--service-node` for details.
	ServiceNode string `protobuf:"bytes,14,opt,name=service_node,json=serviceNode,proto3" json:"service_node,omitempty"`
	// See :option:`--service-zone` for details.
	ServiceZone string `protobuf:"bytes,15,opt,name=service_zone,json=serviceZone,proto3" json:"service_zone,omitempty"`
	// See :option:`--file-flush-interval-msec` for details.
	FileFlushInterval *duration.Duration `protobuf:"bytes,16,opt,name=file_flush_interval,json=fileFlushInterval,proto3" json:"file_flush_interval,omitempty"`
	// See :option:`--drain-time-s` for details.
	DrainTime *duration.Duration `protobuf:"bytes,17,opt,name=drain_time,json=drainTime,proto3" json:"drain_time,omitempty"`
	// See :option:`--parent-shutdown-time-s` for details.
	ParentShutdownTime *duration.Duration `protobuf:"bytes,18,opt,name=parent_shutdown_time,json=parentShutdownTime,proto3" json:"parent_shutdown_time,omitempty"`
	// See :option:`--mode` for details.
	Mode CommandLineOptions_Mode `protobuf:"varint,19,opt,name=mode,proto3,enum=envoy.admin.v3.CommandLineOptions_Mode" json:"mode,omitempty"`
	// See :option:`--disable-hot-restart` for details.
	DisableHotRestart bool `protobuf:"varint,22,opt,name=disable_hot_restart,json=disableHotRestart,proto3" json:"disable_hot_restart,omitempty"`
	// See :option:`--enable-mutex-tracing` for details.
	EnableMutexTracing bool `protobuf:"varint,23,opt,name=enable_mutex_tracing,json=enableMutexTracing,proto3" json:"enable_mutex_tracing,omitempty"`
	// See :option:`--restart-epoch` for details.
	RestartEpoch uint32 `protobuf:"varint,24,opt,name=restart_epoch,json=restartEpoch,proto3" json:"restart_epoch,omitempty"`
	// See :option:`--cpuset-threads` for details.
	CpusetThreads bool `protobuf:"varint,25,opt,name=cpuset_threads,json=cpusetThreads,proto3" json:"cpuset_threads,omitempty"`
	// See :option:`--disable-extensions` for details.
	DisabledExtensions   []string `protobuf:"bytes,28,rep,name=disabled_extensions,json=disabledExtensions,proto3" json:"disabled_extensions,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CommandLineOptions) Reset()         { *m = CommandLineOptions{} }
func (m *CommandLineOptions) String() string { return proto.CompactTextString(m) }
func (*CommandLineOptions) ProtoMessage()    {}
func (*CommandLineOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_8736ae14312a45ee, []int{1}
}

func (m *CommandLineOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CommandLineOptions.Unmarshal(m, b)
}
func (m *CommandLineOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CommandLineOptions.Marshal(b, m, deterministic)
}
func (m *CommandLineOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CommandLineOptions.Merge(m, src)
}
func (m *CommandLineOptions) XXX_Size() int {
	return xxx_messageInfo_CommandLineOptions.Size(m)
}
func (m *CommandLineOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_CommandLineOptions.DiscardUnknown(m)
}

var xxx_messageInfo_CommandLineOptions proto.InternalMessageInfo

func (m *CommandLineOptions) GetBaseId() uint64 {
	if m != nil {
		return m.BaseId
	}
	return 0
}

func (m *CommandLineOptions) GetConcurrency() uint32 {
	if m != nil {
		return m.Concurrency
	}
	return 0
}

func (m *CommandLineOptions) GetConfigPath() string {
	if m != nil {
		return m.ConfigPath
	}
	return ""
}

func (m *CommandLineOptions) GetConfigYaml() string {
	if m != nil {
		return m.ConfigYaml
	}
	return ""
}

func (m *CommandLineOptions) GetAllowUnknownStaticFields() bool {
	if m != nil {
		return m.AllowUnknownStaticFields
	}
	return false
}

func (m *CommandLineOptions) GetRejectUnknownDynamicFields() bool {
	if m != nil {
		return m.RejectUnknownDynamicFields
	}
	return false
}

func (m *CommandLineOptions) GetAdminAddressPath() string {
	if m != nil {
		return m.AdminAddressPath
	}
	return ""
}

func (m *CommandLineOptions) GetLocalAddressIpVersion() CommandLineOptions_IpVersion {
	if m != nil {
		return m.LocalAddressIpVersion
	}
	return CommandLineOptions_v4
}

func (m *CommandLineOptions) GetLogLevel() string {
	if m != nil {
		return m.LogLevel
	}
	return ""
}

func (m *CommandLineOptions) GetComponentLogLevel() string {
	if m != nil {
		return m.ComponentLogLevel
	}
	return ""
}

func (m *CommandLineOptions) GetLogFormat() string {
	if m != nil {
		return m.LogFormat
	}
	return ""
}

func (m *CommandLineOptions) GetLogFormatEscaped() bool {
	if m != nil {
		return m.LogFormatEscaped
	}
	return false
}

func (m *CommandLineOptions) GetLogPath() string {
	if m != nil {
		return m.LogPath
	}
	return ""
}

func (m *CommandLineOptions) GetServiceCluster() string {
	if m != nil {
		return m.ServiceCluster
	}
	return ""
}

func (m *CommandLineOptions) GetServiceNode() string {
	if m != nil {
		return m.ServiceNode
	}
	return ""
}

func (m *CommandLineOptions) GetServiceZone() string {
	if m != nil {
		return m.ServiceZone
	}
	return ""
}

func (m *CommandLineOptions) GetFileFlushInterval() *duration.Duration {
	if m != nil {
		return m.FileFlushInterval
	}
	return nil
}

func (m *CommandLineOptions) GetDrainTime() *duration.Duration {
	if m != nil {
		return m.DrainTime
	}
	return nil
}

func (m *CommandLineOptions) GetParentShutdownTime() *duration.Duration {
	if m != nil {
		return m.ParentShutdownTime
	}
	return nil
}

func (m *CommandLineOptions) GetMode() CommandLineOptions_Mode {
	if m != nil {
		return m.Mode
	}
	return CommandLineOptions_Serve
}

func (m *CommandLineOptions) GetDisableHotRestart() bool {
	if m != nil {
		return m.DisableHotRestart
	}
	return false
}

func (m *CommandLineOptions) GetEnableMutexTracing() bool {
	if m != nil {
		return m.EnableMutexTracing
	}
	return false
}

func (m *CommandLineOptions) GetRestartEpoch() uint32 {
	if m != nil {
		return m.RestartEpoch
	}
	return 0
}

func (m *CommandLineOptions) GetCpusetThreads() bool {
	if m != nil {
		return m.CpusetThreads
	}
	return false
}

func (m *CommandLineOptions) GetDisabledExtensions() []string {
	if m != nil {
		return m.DisabledExtensions
	}
	return nil
}

func init() {
	proto.RegisterEnum("envoy.admin.v3.ServerInfo_State", ServerInfo_State_name, ServerInfo_State_value)
	proto.RegisterEnum("envoy.admin.v3.CommandLineOptions_IpVersion", CommandLineOptions_IpVersion_name, CommandLineOptions_IpVersion_value)
	proto.RegisterEnum("envoy.admin.v3.CommandLineOptions_Mode", CommandLineOptions_Mode_name, CommandLineOptions_Mode_value)
	proto.RegisterType((*ServerInfo)(nil), "envoy.admin.v3.ServerInfo")
	proto.RegisterType((*CommandLineOptions)(nil), "envoy.admin.v3.CommandLineOptions")
}

func init() { proto.RegisterFile("envoy/admin/v3/server_info.proto", fileDescriptor_8736ae14312a45ee) }

var fileDescriptor_8736ae14312a45ee = []byte{
	// 1058 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x94, 0xcd, 0x52, 0x1b, 0x47,
	0x10, 0xc7, 0x2d, 0x21, 0x64, 0xa9, 0xf9, 0x5a, 0x06, 0xb0, 0x17, 0x30, 0x44, 0x96, 0xcb, 0x31,
	0x07, 0x5b, 0x4a, 0x41, 0xca, 0x95, 0x38, 0x95, 0x03, 0x06, 0xe1, 0x2c, 0xc1, 0x98, 0x5a, 0x08,
	0x55, 0xf1, 0x65, 0x6a, 0xd8, 0x1d, 0x49, 0xeb, 0xcc, 0xce, 0x6c, 0xed, 0xce, 0xca, 0x28, 0xa7,
	0x1c, 0xf3, 0x0c, 0x79, 0x94, 0xdc, 0x53, 0x95, 0x6b, 0xde, 0x21, 0x87, 0x3c, 0x46, 0x6a, 0x7a,
	0x56, 0x1f, 0x98, 0x54, 0x91, 0x13, 0x4c, 0xf7, 0xaf, 0xff, 0x9a, 0xe9, 0xee, 0xfd, 0x43, 0x83,
	0xcb, 0x81, 0x1a, 0xb6, 0x59, 0x18, 0x47, 0xb2, 0x3d, 0xd8, 0x6b, 0x67, 0x3c, 0x1d, 0xf0, 0x94,
	0x46, 0xb2, 0xab, 0x5a, 0x49, 0xaa, 0xb4, 0x22, 0x8b, 0x48, 0xb4, 0x90, 0x68, 0x0d, 0xf6, 0x36,
	0xb6, 0x7b, 0x4a, 0xf5, 0x04, 0x6f, 0x63, 0xf6, 0x2a, 0xef, 0xb6, 0xc3, 0x3c, 0x65, 0x3a, 0x52,
	0xd2, 0xf2, 0x1b, 0x4f, 0x0a, 0x45, 0x29, 0x95, 0xc6, 0x78, 0xd6, 0x0e, 0x79, 0x92, 0xf2, 0x60,
	0x1a, 0xda, 0xca, 0xc3, 0x84, 0xdd, 0x60, 0x32, 0xcd, 0x74, 0x9e, 0x15, 0xe9, 0xc7, 0xb7, 0xd2,
	0x03, 0x9e, 0x66, 0x91, 0x92, 0x91, 0xec, 0x59, 0xa4, 0xf9, 0xcf, 0x0c, 0xc0, 0x39, 0x5e, 0xd6,
	0x93, 0x5d, 0x45, 0x5c, 0xb8, 0x5f, 0x20, 0x6e, 0xa9, 0x51, 0xda, 0xa9, 0xfb, 0xa3, 0x23, 0x79,
	0x09, 0xb3, 0x46, 0x9b, 0xbb, 0xe5, 0x46, 0x69, 0x67, 0x71, 0xb7, 0xd1, 0xba, 0xf9, 0x9e, 0xd6,
	0x44, 0xa4, 0x75, 0x6e, 0x38, 0xdf, 0xe2, 0xe4, 0x7b, 0x58, 0xcd, 0x13, 0x1d, 0xc5, 0x9c, 0x06,
	0x79, 0x9a, 0x72, 0xa9, 0x29, 0x4f, 0x54, 0xd0, 0x77, 0x67, 0x1a, 0xa5, 0x9d, 0xb9, 0xdd, 0xf5,
	0x96, 0x6d, 0x43, 0x6b, 0xd4, 0x86, 0xd6, 0x61, 0xd1, 0x06, 0x9f, 0xd8, 0xb2, 0x03, 0x5b, 0xd5,
	0x31, 0x45, 0xa4, 0x03, 0xcb, 0x85, 0x18, 0x13, 0xc2, 0x0a, 0x65, 0x6e, 0xe5, 0x2e, 0xa5, 0x25,
	0x5b, 0xb3, 0x2f, 0x04, 0xaa, 0x64, 0xa4, 0x05, 0x2b, 0x7d, 0xa5, 0x69, 0xca, 0x33, 0xcd, 0x52,
	0x4d, 0x47, 0x2f, 0x9e, 0xc5, 0x17, 0x2f, 0xf7, 0x95, 0xf6, 0x6d, 0xe6, 0xb2, 0x78, 0xfb, 0x05,
	0xac, 0x06, 0x2a, 0x8e, 0x99, 0x0c, 0xa9, 0x88, 0x24, 0xa7, 0x2a, 0xc1, 0x6e, 0xba, 0x55, 0xfc,
	0xe5, 0xe6, 0xa7, 0xad, 0x38, 0xb0, 0xec, 0x49, 0x24, 0xf9, 0x3b, 0x4b, 0xfa, 0x24, 0xb8, 0x15,
	0x6b, 0xbe, 0x81, 0x59, 0xec, 0x14, 0xa9, 0x41, 0xe5, 0xc4, 0xbb, 0xec, 0x38, 0xf7, 0xc8, 0x3c,
	0xd4, 0x0e, 0xfd, 0x7d, 0xef, 0xd4, 0x3b, 0x7d, 0xe3, 0x94, 0xc8, 0x2a, 0x38, 0x67, 0x7e, 0x87,
	0x7a, 0xa7, 0xde, 0x85, 0xb7, 0x7f, 0xe2, 0xbd, 0x37, 0xd1, 0x32, 0x71, 0x60, 0xfe, 0x46, 0x64,
	0xe6, 0xd5, 0xd3, 0xdf, 0xfe, 0xf8, 0x75, 0xbb, 0x01, 0xdb, 0x37, 0xae, 0xb1, 0xcb, 0x44, 0xd2,
	0x67, 0x53, 0x63, 0x69, 0xfe, 0x0d, 0x40, 0x6e, 0x5f, 0x8d, 0x3c, 0x84, 0xfb, 0x57, 0x2c, 0xe3,
	0x34, 0x0a, 0x71, 0xe4, 0x15, 0xbf, 0x6a, 0x8e, 0x5e, 0x48, 0x1a, 0x30, 0x17, 0x28, 0x69, 0xa7,
	0x16, 0x0c, 0x71, 0xee, 0x0b, 0xfe, 0x74, 0x88, 0x7c, 0x86, 0x44, 0x37, 0xea, 0xd1, 0x84, 0x69,
	0x3b, 0xd2, 0xba, 0x0f, 0x36, 0x74, 0xc6, 0x74, 0x7f, 0x0a, 0x18, 0xb2, 0x58, 0xe0, 0xa4, 0xc6,
	0xc0, 0x8f, 0x2c, 0x16, 0xe4, 0x5b, 0xd8, 0x64, 0x42, 0xa8, 0x8f, 0x34, 0x97, 0x3f, 0x49, 0xf5,
	0x51, 0x52, 0xb3, 0x34, 0x51, 0x40, 0xbb, 0x11, 0x17, 0x61, 0x86, 0x13, 0xa9, 0xf9, 0x2e, 0x22,
	0x3f, 0x58, 0xe2, 0x1c, 0x81, 0x23, 0xcc, 0x93, 0x7d, 0xd8, 0x4a, 0xf9, 0x07, 0x1e, 0xe8, 0x71,
	0x7d, 0x38, 0x94, 0x2c, 0x9e, 0x08, 0x6c, 0xa0, 0xc0, 0x86, 0x85, 0x0a, 0x85, 0x43, 0x8b, 0x14,
	0x12, 0xcf, 0x81, 0x60, 0xc7, 0x28, 0x0b, 0xc3, 0x94, 0x67, 0x99, 0x7d, 0x4a, 0x15, 0x6f, 0xea,
	0x60, 0x66, 0xdf, 0x26, 0xf0, 0x41, 0x1c, 0x5c, 0xa1, 0x02, 0x26, 0xc6, 0x74, 0x94, 0x8c, 0xd7,
	0xe7, 0x3e, 0x7e, 0x18, 0xcf, 0xef, 0xde, 0x86, 0x96, 0x97, 0x14, 0x9b, 0xe5, 0xaf, 0xa1, 0x5a,
	0xf1, 0x0b, 0xe3, 0x30, 0xd9, 0x84, 0xba, 0x50, 0x3d, 0x2a, 0xf8, 0x80, 0x0b, 0xb7, 0x86, 0x77,
	0xa9, 0x09, 0xd5, 0x3b, 0x31, 0x67, 0xb3, 0xbd, 0x81, 0x8a, 0x13, 0x25, 0xcd, 0xc7, 0x34, 0xc1,
	0xea, 0x76, 0x7b, 0xc7, 0xa9, 0x93, 0x11, 0xbf, 0x05, 0x60, 0xa8, 0xae, 0x4a, 0x63, 0xa6, 0x5d,
	0x40, 0xcc, 0xc8, 0x1f, 0x61, 0xc0, 0x34, 0x60, 0x92, 0xa6, 0x3c, 0x0b, 0x58, 0xc2, 0x43, 0x77,
	0x13, 0x1b, 0xe7, 0x8c, 0xb1, 0x8e, 0x8d, 0x93, 0x75, 0x30, 0x17, 0xb1, 0x4d, 0x9a, 0xb3, 0x0e,
	0x21, 0x94, 0x1d, 0xf6, 0x33, 0x58, 0x32, 0xb6, 0x17, 0x05, 0x9c, 0x06, 0x22, 0xcf, 0x34, 0x4f,
	0xdd, 0x05, 0x24, 0x16, 0x8b, 0xf0, 0x81, 0x8d, 0x92, 0xc7, 0x30, 0x3f, 0x02, 0xa5, 0x0a, 0xb9,
	0xbb, 0x88, 0xd4, 0x5c, 0x11, 0x3b, 0x55, 0x21, 0x9f, 0x46, 0x7e, 0x56, 0x92, 0xbb, 0x4b, 0x37,
	0x90, 0xf7, 0x4a, 0x72, 0xe2, 0xc1, 0x4a, 0x37, 0x12, 0x9c, 0x76, 0x45, 0x9e, 0xf5, 0x69, 0x24,
	0x35, 0x4f, 0x07, 0x4c, 0xb8, 0xce, 0x5d, 0x6e, 0xb0, 0x6c, 0xaa, 0x8e, 0x4c, 0x91, 0x57, 0xd4,
	0x90, 0xaf, 0x00, 0xc2, 0x94, 0x45, 0x92, 0x1a, 0x9b, 0x70, 0x97, 0xef, 0x52, 0xa8, 0x23, 0x7c,
	0x11, 0xc5, 0xe8, 0x6e, 0x09, 0x43, 0x57, 0xcb, 0xfa, 0xb9, 0x0e, 0xcd, 0x06, 0xa2, 0x06, 0xb9,
	0xd3, 0xdd, 0x6c, 0xd9, 0x79, 0x51, 0x85, 0x62, 0xdf, 0x40, 0x25, 0x36, 0xfd, 0x58, 0xc1, 0x45,
	0x7a, 0xf6, 0x3f, 0x16, 0xe9, 0xad, 0x0a, 0xb9, 0x8f, 0x45, 0x66, 0x2b, 0xc2, 0x28, 0x63, 0x57,
	0x82, 0xd3, 0x29, 0x6f, 0x73, 0x1f, 0xe0, 0x1c, 0x97, 0x8b, 0xd4, 0x77, 0x63, 0x6b, 0x23, 0x5f,
	0xc0, 0x2a, 0x97, 0x88, 0xc7, 0xb9, 0xe6, 0xd7, 0x54, 0xa7, 0x2c, 0x88, 0x64, 0xcf, 0x7d, 0x88,
	0x05, 0xc4, 0xe6, 0xde, 0x9a, 0xd4, 0x85, 0xcd, 0x90, 0x27, 0xb0, 0x30, 0x72, 0x4c, 0x6b, 0xe1,
	0x2e, 0x3a, 0xc2, 0x7c, 0x11, 0xb4, 0x0e, 0xfd, 0x14, 0x16, 0x83, 0x24, 0xcf, 0xb8, 0xa6, 0xba,
	0x9f, 0x72, 0x16, 0x66, 0xee, 0x3a, 0x0a, 0x2e, 0xd8, 0xe8, 0x85, 0x0d, 0x92, 0xf6, 0xf8, 0xb6,
	0x21, 0xe5, 0xd7, 0x9a, 0xcb, 0x0c, 0x0d, 0xf5, 0x51, 0x63, 0x66, 0xa7, 0xee, 0x93, 0x51, 0xaa,
	0x33, 0xce, 0x34, 0x37, 0xa1, 0x3e, 0xf9, 0x3c, 0xaa, 0x50, 0x1e, 0x7c, 0xe9, 0xdc, 0xc3, 0xbf,
	0x2f, 0x9d, 0x52, 0xf3, 0x05, 0x54, 0x4c, 0x27, 0x48, 0x1d, 0x66, 0xd1, 0xef, 0xac, 0x93, 0x5e,
	0x32, 0x11, 0x85, 0x4c, 0x73, 0xa7, 0x64, 0x4e, 0x9e, 0x8c, 0xf4, 0x3b, 0x29, 0x86, 0x4e, 0xf9,
	0xd5, 0x0b, 0xe3, 0x97, 0x3b, 0xf0, 0xf9, 0x7f, 0xf9, 0xe5, 0xed, 0x26, 0x1f, 0x57, 0x6a, 0xf3,
	0xce, 0xc2, 0x71, 0xa5, 0xb6, 0xea, 0xac, 0x1d, 0x57, 0x6a, 0x6b, 0xce, 0x03, 0xbf, 0x1e, 0xb3,
	0x6b, 0x74, 0xaa, 0xcc, 0x77, 0xcc, 0xbf, 0xea, 0xea, 0x03, 0x95, 0x2c, 0xe6, 0x54, 0x70, 0xf9,
	0xfa, 0xeb, 0xdf, 0x7f, 0xf9, 0xf3, 0xaf, 0x6a, 0xd9, 0x29, 0xc3, 0xa3, 0x48, 0xd9, 0x19, 0x26,
	0xa9, 0xba, 0x1e, 0x7e, 0x32, 0xce, 0xd7, 0x4b, 0x13, 0x6b, 0x3e, 0x33, 0xeb, 0x71, 0x56, 0xba,
	0xaa, 0xe2, 0x9e, 0xec, 0xfd, 0x1b, 0x00, 0x00, 0xff, 0xff, 0x10, 0xcb, 0x92, 0x4b, 0x4e, 0x08,
	0x00, 0x00,
}
