// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/api/v2/core/protocol.proto

package envoy_api_v2_core

import (
	fmt "fmt"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	duration "github.com/golang/protobuf/ptypes/duration"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Action to take when Envoy receives client request with header names containing underscore
// characters.
// Underscore character is allowed in header names by the RFC-7230 and this behavior is implemented
// as a security measure due to systems that treat '_' and '-' as interchangeable. Envoy by default allows client request headers with underscore
// characters.
type HttpProtocolOptions_HeadersWithUnderscoresAction int32

const (
	// Allow headers with underscores. This is the default behavior.
	HttpProtocolOptions_ALLOW HttpProtocolOptions_HeadersWithUnderscoresAction = 0
	// Reject client request. HTTP/1 requests are rejected with the 400 status. HTTP/2 requests
	// end with the stream reset. The "httpN.requests_rejected_with_underscores_in_headers" counter
	// is incremented for each rejected request.
	HttpProtocolOptions_REJECT_REQUEST HttpProtocolOptions_HeadersWithUnderscoresAction = 1
	// Drop the header with name containing underscores. The header is dropped before the filter chain is
	// invoked and as such filters will not see dropped headers. The
	// "httpN.dropped_headers_with_underscores" is incremented for each dropped header.
	HttpProtocolOptions_DROP_HEADER HttpProtocolOptions_HeadersWithUnderscoresAction = 2
)

var HttpProtocolOptions_HeadersWithUnderscoresAction_name = map[int32]string{
	0: "ALLOW",
	1: "REJECT_REQUEST",
	2: "DROP_HEADER",
}

var HttpProtocolOptions_HeadersWithUnderscoresAction_value = map[string]int32{
	"ALLOW":          0,
	"REJECT_REQUEST": 1,
	"DROP_HEADER":    2,
}

func (x HttpProtocolOptions_HeadersWithUnderscoresAction) String() string {
	return proto.EnumName(HttpProtocolOptions_HeadersWithUnderscoresAction_name, int32(x))
}

func (HttpProtocolOptions_HeadersWithUnderscoresAction) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{2, 0}
}

// [#not-implemented-hide:]
type TcpProtocolOptions struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TcpProtocolOptions) Reset()         { *m = TcpProtocolOptions{} }
func (m *TcpProtocolOptions) String() string { return proto.CompactTextString(m) }
func (*TcpProtocolOptions) ProtoMessage()    {}
func (*TcpProtocolOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{0}
}

func (m *TcpProtocolOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TcpProtocolOptions.Unmarshal(m, b)
}
func (m *TcpProtocolOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TcpProtocolOptions.Marshal(b, m, deterministic)
}
func (m *TcpProtocolOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TcpProtocolOptions.Merge(m, src)
}
func (m *TcpProtocolOptions) XXX_Size() int {
	return xxx_messageInfo_TcpProtocolOptions.Size(m)
}
func (m *TcpProtocolOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_TcpProtocolOptions.DiscardUnknown(m)
}

var xxx_messageInfo_TcpProtocolOptions proto.InternalMessageInfo

type UpstreamHttpProtocolOptions struct {
	// Set transport socket `SNI <https://en.wikipedia.org/wiki/Server_Name_Indication>`_ for new
	// upstream connections based on the downstream HTTP host/authority header, as seen by the
	// :ref:`router filter <config_http_filters_router>`.
	AutoSni bool `protobuf:"varint,1,opt,name=auto_sni,json=autoSni,proto3" json:"auto_sni,omitempty"`
	// Automatic validate upstream presented certificate for new upstream connections based on the
	// downstream HTTP host/authority header, as seen by the
	// :ref:`router filter <config_http_filters_router>`.
	// This field is intended to set with `auto_sni` field.
	AutoSanValidation    bool     `protobuf:"varint,2,opt,name=auto_san_validation,json=autoSanValidation,proto3" json:"auto_san_validation,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpstreamHttpProtocolOptions) Reset()         { *m = UpstreamHttpProtocolOptions{} }
func (m *UpstreamHttpProtocolOptions) String() string { return proto.CompactTextString(m) }
func (*UpstreamHttpProtocolOptions) ProtoMessage()    {}
func (*UpstreamHttpProtocolOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{1}
}

func (m *UpstreamHttpProtocolOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpstreamHttpProtocolOptions.Unmarshal(m, b)
}
func (m *UpstreamHttpProtocolOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpstreamHttpProtocolOptions.Marshal(b, m, deterministic)
}
func (m *UpstreamHttpProtocolOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpstreamHttpProtocolOptions.Merge(m, src)
}
func (m *UpstreamHttpProtocolOptions) XXX_Size() int {
	return xxx_messageInfo_UpstreamHttpProtocolOptions.Size(m)
}
func (m *UpstreamHttpProtocolOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_UpstreamHttpProtocolOptions.DiscardUnknown(m)
}

var xxx_messageInfo_UpstreamHttpProtocolOptions proto.InternalMessageInfo

func (m *UpstreamHttpProtocolOptions) GetAutoSni() bool {
	if m != nil {
		return m.AutoSni
	}
	return false
}

func (m *UpstreamHttpProtocolOptions) GetAutoSanValidation() bool {
	if m != nil {
		return m.AutoSanValidation
	}
	return false
}

// [#next-free-field: 6]
type HttpProtocolOptions struct {
	// The idle timeout for connections. The idle timeout is defined as the
	// period in which there are no active requests. When the
	// idle timeout is reached the connection will be closed. If the connection is an HTTP/2
	// downstream connection a drain sequence will occur prior to closing the connection, see
	// :ref:`drain_timeout
	// <envoy_api_field_config.filter.network.http_connection_manager.v2.HttpConnectionManager.drain_timeout>`.
	// Note that request based timeouts mean that HTTP/2 PINGs will not keep the connection alive.
	// If not specified, this defaults to 1 hour. To disable idle timeouts explicitly set this to 0.
	//
	// .. warning::
	//   Disabling this timeout has a highly likelihood of yielding connection leaks due to lost TCP
	//   FIN packets, etc.
	IdleTimeout *duration.Duration `protobuf:"bytes,1,opt,name=idle_timeout,json=idleTimeout,proto3" json:"idle_timeout,omitempty"`
	// The maximum duration of a connection. The duration is defined as a period since a connection
	// was established. If not set, there is no max duration. When max_connection_duration is reached
	// the connection will be closed. Drain sequence will occur prior to closing the connection if
	// if's applicable. See :ref:`drain_timeout
	// <envoy_api_field_config.filter.network.http_connection_manager.v2.HttpConnectionManager.drain_timeout>`.
	// Note: not implemented for upstream connections.
	MaxConnectionDuration *duration.Duration `protobuf:"bytes,3,opt,name=max_connection_duration,json=maxConnectionDuration,proto3" json:"max_connection_duration,omitempty"`
	// The maximum number of headers. If unconfigured, the default
	// maximum number of request headers allowed is 100. Requests that exceed this limit will receive
	// a 431 response for HTTP/1.x and cause a stream reset for HTTP/2.
	MaxHeadersCount *wrappers.UInt32Value `protobuf:"bytes,2,opt,name=max_headers_count,json=maxHeadersCount,proto3" json:"max_headers_count,omitempty"`
	// Total duration to keep alive an HTTP request/response stream. If the time limit is reached the stream will be
	// reset independent of any other timeouts. If not specified, this value is not set.
	// The current implementation implements this timeout on downstream connections only.
	// [#comment:TODO(shikugawa): add this functionality to upstream.]
	MaxStreamDuration *duration.Duration `protobuf:"bytes,4,opt,name=max_stream_duration,json=maxStreamDuration,proto3" json:"max_stream_duration,omitempty"`
	// Action to take when a client request with a header name containing underscore characters is received.
	// If this setting is not specified, the value defaults to ALLOW.
	// Note: upstream responses are not affected by this setting.
	HeadersWithUnderscoresAction HttpProtocolOptions_HeadersWithUnderscoresAction `protobuf:"varint,5,opt,name=headers_with_underscores_action,json=headersWithUnderscoresAction,proto3,enum=envoy.api.v2.core.HttpProtocolOptions_HeadersWithUnderscoresAction" json:"headers_with_underscores_action,omitempty"`
	XXX_NoUnkeyedLiteral         struct{}                                         `json:"-"`
	XXX_unrecognized             []byte                                           `json:"-"`
	XXX_sizecache                int32                                            `json:"-"`
}

func (m *HttpProtocolOptions) Reset()         { *m = HttpProtocolOptions{} }
func (m *HttpProtocolOptions) String() string { return proto.CompactTextString(m) }
func (*HttpProtocolOptions) ProtoMessage()    {}
func (*HttpProtocolOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{2}
}

func (m *HttpProtocolOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HttpProtocolOptions.Unmarshal(m, b)
}
func (m *HttpProtocolOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HttpProtocolOptions.Marshal(b, m, deterministic)
}
func (m *HttpProtocolOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HttpProtocolOptions.Merge(m, src)
}
func (m *HttpProtocolOptions) XXX_Size() int {
	return xxx_messageInfo_HttpProtocolOptions.Size(m)
}
func (m *HttpProtocolOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_HttpProtocolOptions.DiscardUnknown(m)
}

var xxx_messageInfo_HttpProtocolOptions proto.InternalMessageInfo

func (m *HttpProtocolOptions) GetIdleTimeout() *duration.Duration {
	if m != nil {
		return m.IdleTimeout
	}
	return nil
}

func (m *HttpProtocolOptions) GetMaxConnectionDuration() *duration.Duration {
	if m != nil {
		return m.MaxConnectionDuration
	}
	return nil
}

func (m *HttpProtocolOptions) GetMaxHeadersCount() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxHeadersCount
	}
	return nil
}

func (m *HttpProtocolOptions) GetMaxStreamDuration() *duration.Duration {
	if m != nil {
		return m.MaxStreamDuration
	}
	return nil
}

func (m *HttpProtocolOptions) GetHeadersWithUnderscoresAction() HttpProtocolOptions_HeadersWithUnderscoresAction {
	if m != nil {
		return m.HeadersWithUnderscoresAction
	}
	return HttpProtocolOptions_ALLOW
}

// [#next-free-field: 6]
type Http1ProtocolOptions struct {
	// Handle HTTP requests with absolute URLs in the requests. These requests
	// are generally sent by clients to forward/explicit proxies. This allows clients to configure
	// envoy as their HTTP proxy. In Unix, for example, this is typically done by setting the
	// *http_proxy* environment variable.
	AllowAbsoluteUrl *wrappers.BoolValue `protobuf:"bytes,1,opt,name=allow_absolute_url,json=allowAbsoluteUrl,proto3" json:"allow_absolute_url,omitempty"`
	// Handle incoming HTTP/1.0 and HTTP 0.9 requests.
	// This is off by default, and not fully standards compliant. There is support for pre-HTTP/1.1
	// style connect logic, dechunking, and handling lack of client host iff
	// *default_host_for_http_10* is configured.
	AcceptHttp_10 bool `protobuf:"varint,2,opt,name=accept_http_10,json=acceptHttp10,proto3" json:"accept_http_10,omitempty"`
	// A default host for HTTP/1.0 requests. This is highly suggested if *accept_http_10* is true as
	// Envoy does not otherwise support HTTP/1.0 without a Host header.
	// This is a no-op if *accept_http_10* is not true.
	DefaultHostForHttp_10 string `protobuf:"bytes,3,opt,name=default_host_for_http_10,json=defaultHostForHttp10,proto3" json:"default_host_for_http_10,omitempty"`
	// Describes how the keys for response headers should be formatted. By default, all header keys
	// are lower cased.
	HeaderKeyFormat *Http1ProtocolOptions_HeaderKeyFormat `protobuf:"bytes,4,opt,name=header_key_format,json=headerKeyFormat,proto3" json:"header_key_format,omitempty"`
	// Enables trailers for HTTP/1. By default the HTTP/1 codec drops proxied trailers.
	//
	// .. attention::
	//
	//   Note that this only happens when Envoy is chunk encoding which occurs when:
	//   - The request is HTTP/1.1.
	//   - Is neither a HEAD only request nor a HTTP Upgrade.
	//   - Not a response to a HEAD request.
	//   - The content length header is not present.
	EnableTrailers       bool     `protobuf:"varint,5,opt,name=enable_trailers,json=enableTrailers,proto3" json:"enable_trailers,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Http1ProtocolOptions) Reset()         { *m = Http1ProtocolOptions{} }
func (m *Http1ProtocolOptions) String() string { return proto.CompactTextString(m) }
func (*Http1ProtocolOptions) ProtoMessage()    {}
func (*Http1ProtocolOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{3}
}

func (m *Http1ProtocolOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Http1ProtocolOptions.Unmarshal(m, b)
}
func (m *Http1ProtocolOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Http1ProtocolOptions.Marshal(b, m, deterministic)
}
func (m *Http1ProtocolOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Http1ProtocolOptions.Merge(m, src)
}
func (m *Http1ProtocolOptions) XXX_Size() int {
	return xxx_messageInfo_Http1ProtocolOptions.Size(m)
}
func (m *Http1ProtocolOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_Http1ProtocolOptions.DiscardUnknown(m)
}

var xxx_messageInfo_Http1ProtocolOptions proto.InternalMessageInfo

func (m *Http1ProtocolOptions) GetAllowAbsoluteUrl() *wrappers.BoolValue {
	if m != nil {
		return m.AllowAbsoluteUrl
	}
	return nil
}

func (m *Http1ProtocolOptions) GetAcceptHttp_10() bool {
	if m != nil {
		return m.AcceptHttp_10
	}
	return false
}

func (m *Http1ProtocolOptions) GetDefaultHostForHttp_10() string {
	if m != nil {
		return m.DefaultHostForHttp_10
	}
	return ""
}

func (m *Http1ProtocolOptions) GetHeaderKeyFormat() *Http1ProtocolOptions_HeaderKeyFormat {
	if m != nil {
		return m.HeaderKeyFormat
	}
	return nil
}

func (m *Http1ProtocolOptions) GetEnableTrailers() bool {
	if m != nil {
		return m.EnableTrailers
	}
	return false
}

type Http1ProtocolOptions_HeaderKeyFormat struct {
	// Types that are valid to be assigned to HeaderFormat:
	//	*Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords_
	HeaderFormat         isHttp1ProtocolOptions_HeaderKeyFormat_HeaderFormat `protobuf_oneof:"header_format"`
	XXX_NoUnkeyedLiteral struct{}                                            `json:"-"`
	XXX_unrecognized     []byte                                              `json:"-"`
	XXX_sizecache        int32                                               `json:"-"`
}

func (m *Http1ProtocolOptions_HeaderKeyFormat) Reset()         { *m = Http1ProtocolOptions_HeaderKeyFormat{} }
func (m *Http1ProtocolOptions_HeaderKeyFormat) String() string { return proto.CompactTextString(m) }
func (*Http1ProtocolOptions_HeaderKeyFormat) ProtoMessage()    {}
func (*Http1ProtocolOptions_HeaderKeyFormat) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{3, 0}
}

func (m *Http1ProtocolOptions_HeaderKeyFormat) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat.Unmarshal(m, b)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat.Marshal(b, m, deterministic)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat.Merge(m, src)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat) XXX_Size() int {
	return xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat.Size(m)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat) XXX_DiscardUnknown() {
	xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat.DiscardUnknown(m)
}

var xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat proto.InternalMessageInfo

type isHttp1ProtocolOptions_HeaderKeyFormat_HeaderFormat interface {
	isHttp1ProtocolOptions_HeaderKeyFormat_HeaderFormat()
}

type Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords_ struct {
	ProperCaseWords *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords `protobuf:"bytes,1,opt,name=proper_case_words,json=properCaseWords,proto3,oneof"`
}

func (*Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords_) isHttp1ProtocolOptions_HeaderKeyFormat_HeaderFormat() {
}

func (m *Http1ProtocolOptions_HeaderKeyFormat) GetHeaderFormat() isHttp1ProtocolOptions_HeaderKeyFormat_HeaderFormat {
	if m != nil {
		return m.HeaderFormat
	}
	return nil
}

func (m *Http1ProtocolOptions_HeaderKeyFormat) GetProperCaseWords() *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords {
	if x, ok := m.GetHeaderFormat().(*Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords_); ok {
		return x.ProperCaseWords
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Http1ProtocolOptions_HeaderKeyFormat) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords_)(nil),
	}
}

type Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) Reset() {
	*m = Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords{}
}
func (m *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) String() string {
	return proto.CompactTextString(m)
}
func (*Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) ProtoMessage() {}
func (*Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{3, 0, 0}
}

func (m *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords.Unmarshal(m, b)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords.Marshal(b, m, deterministic)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords.Merge(m, src)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) XXX_Size() int {
	return xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords.Size(m)
}
func (m *Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords) XXX_DiscardUnknown() {
	xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords.DiscardUnknown(m)
}

var xxx_messageInfo_Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords proto.InternalMessageInfo

// [#next-free-field: 14]
type Http2ProtocolOptions struct {
	// `Maximum table size <https://httpwg.org/specs/rfc7541.html#rfc.section.4.2>`_
	// (in octets) that the encoder is permitted to use for the dynamic HPACK table. Valid values
	// range from 0 to 4294967295 (2^32 - 1) and defaults to 4096. 0 effectively disables header
	// compression.
	HpackTableSize *wrappers.UInt32Value `protobuf:"bytes,1,opt,name=hpack_table_size,json=hpackTableSize,proto3" json:"hpack_table_size,omitempty"`
	// `Maximum concurrent streams <https://httpwg.org/specs/rfc7540.html#rfc.section.5.1.2>`_
	// allowed for peer on one HTTP/2 connection. Valid values range from 1 to 2147483647 (2^31 - 1)
	// and defaults to 2147483647.
	//
	// For upstream connections, this also limits how many streams Envoy will initiate concurrently
	// on a single connection. If the limit is reached, Envoy may queue requests or establish
	// additional connections (as allowed per circuit breaker limits).
	MaxConcurrentStreams *wrappers.UInt32Value `protobuf:"bytes,2,opt,name=max_concurrent_streams,json=maxConcurrentStreams,proto3" json:"max_concurrent_streams,omitempty"`
	// `Initial stream-level flow-control window
	// <https://httpwg.org/specs/rfc7540.html#rfc.section.6.9.2>`_ size. Valid values range from 65535
	// (2^16 - 1, HTTP/2 default) to 2147483647 (2^31 - 1, HTTP/2 maximum) and defaults to 268435456
	// (256 * 1024 * 1024).
	//
	// NOTE: 65535 is the initial window size from HTTP/2 spec. We only support increasing the default
	// window size now, so it's also the minimum.
	//
	// This field also acts as a soft limit on the number of bytes Envoy will buffer per-stream in the
	// HTTP/2 codec buffers. Once the buffer reaches this pointer, watermark callbacks will fire to
	// stop the flow of data to the codec buffers.
	InitialStreamWindowSize *wrappers.UInt32Value `protobuf:"bytes,3,opt,name=initial_stream_window_size,json=initialStreamWindowSize,proto3" json:"initial_stream_window_size,omitempty"`
	// Similar to *initial_stream_window_size*, but for connection-level flow-control
	// window. Currently, this has the same minimum/maximum/default as *initial_stream_window_size*.
	InitialConnectionWindowSize *wrappers.UInt32Value `protobuf:"bytes,4,opt,name=initial_connection_window_size,json=initialConnectionWindowSize,proto3" json:"initial_connection_window_size,omitempty"`
	// Allows proxying Websocket and other upgrades over H2 connect.
	AllowConnect bool `protobuf:"varint,5,opt,name=allow_connect,json=allowConnect,proto3" json:"allow_connect,omitempty"`
	// [#not-implemented-hide:] Hiding until envoy has full metadata support.
	// Still under implementation. DO NOT USE.
	//
	// Allows metadata. See [metadata
	// docs](https://github.com/envoyproxy/envoy/blob/master/source/docs/h2_metadata.md) for more
	// information.
	AllowMetadata bool `protobuf:"varint,6,opt,name=allow_metadata,json=allowMetadata,proto3" json:"allow_metadata,omitempty"`
	// Limit the number of pending outbound downstream frames of all types (frames that are waiting to
	// be written into the socket). Exceeding this limit triggers flood mitigation and connection is
	// terminated. The ``http2.outbound_flood`` stat tracks the number of terminated connections due
	// to flood mitigation. The default limit is 10000.
	// [#comment:TODO: implement same limits for upstream outbound frames as well.]
	MaxOutboundFrames *wrappers.UInt32Value `protobuf:"bytes,7,opt,name=max_outbound_frames,json=maxOutboundFrames,proto3" json:"max_outbound_frames,omitempty"`
	// Limit the number of pending outbound downstream frames of types PING, SETTINGS and RST_STREAM,
	// preventing high memory utilization when receiving continuous stream of these frames. Exceeding
	// this limit triggers flood mitigation and connection is terminated. The
	// ``http2.outbound_control_flood`` stat tracks the number of terminated connections due to flood
	// mitigation. The default limit is 1000.
	// [#comment:TODO: implement same limits for upstream outbound frames as well.]
	MaxOutboundControlFrames *wrappers.UInt32Value `protobuf:"bytes,8,opt,name=max_outbound_control_frames,json=maxOutboundControlFrames,proto3" json:"max_outbound_control_frames,omitempty"`
	// Limit the number of consecutive inbound frames of types HEADERS, CONTINUATION and DATA with an
	// empty payload and no end stream flag. Those frames have no legitimate use and are abusive, but
	// might be a result of a broken HTTP/2 implementation. The `http2.inbound_empty_frames_flood``
	// stat tracks the number of connections terminated due to flood mitigation.
	// Setting this to 0 will terminate connection upon receiving first frame with an empty payload
	// and no end stream flag. The default limit is 1.
	// [#comment:TODO: implement same limits for upstream inbound frames as well.]
	MaxConsecutiveInboundFramesWithEmptyPayload *wrappers.UInt32Value `protobuf:"bytes,9,opt,name=max_consecutive_inbound_frames_with_empty_payload,json=maxConsecutiveInboundFramesWithEmptyPayload,proto3" json:"max_consecutive_inbound_frames_with_empty_payload,omitempty"`
	// Limit the number of inbound PRIORITY frames allowed per each opened stream. If the number
	// of PRIORITY frames received over the lifetime of connection exceeds the value calculated
	// using this formula::
	//
	//     max_inbound_priority_frames_per_stream * (1 + inbound_streams)
	//
	// the connection is terminated. The ``http2.inbound_priority_frames_flood`` stat tracks
	// the number of connections terminated due to flood mitigation. The default limit is 100.
	// [#comment:TODO: implement same limits for upstream inbound frames as well.]
	MaxInboundPriorityFramesPerStream *wrappers.UInt32Value `protobuf:"bytes,10,opt,name=max_inbound_priority_frames_per_stream,json=maxInboundPriorityFramesPerStream,proto3" json:"max_inbound_priority_frames_per_stream,omitempty"`
	// Limit the number of inbound WINDOW_UPDATE frames allowed per DATA frame sent. If the number
	// of WINDOW_UPDATE frames received over the lifetime of connection exceeds the value calculated
	// using this formula::
	//
	//     1 + 2 * (inbound_streams +
	//              max_inbound_window_update_frames_per_data_frame_sent * outbound_data_frames)
	//
	// the connection is terminated. The ``http2.inbound_priority_frames_flood`` stat tracks
	// the number of connections terminated due to flood mitigation. The default limit is 10.
	// Setting this to 1 should be enough to support HTTP/2 implementations with basic flow control,
	// but more complex implementations that try to estimate available bandwidth require at least 2.
	// [#comment:TODO: implement same limits for upstream inbound frames as well.]
	MaxInboundWindowUpdateFramesPerDataFrameSent *wrappers.UInt32Value `protobuf:"bytes,11,opt,name=max_inbound_window_update_frames_per_data_frame_sent,json=maxInboundWindowUpdateFramesPerDataFrameSent,proto3" json:"max_inbound_window_update_frames_per_data_frame_sent,omitempty"`
	// Allows invalid HTTP messaging and headers. When this option is disabled (default), then
	// the whole HTTP/2 connection is terminated upon receiving invalid HEADERS frame. However,
	// when this option is enabled, only the offending stream is terminated.
	//
	// See `RFC7540, sec. 8.1 <https://tools.ietf.org/html/rfc7540#section-8.1>`_ for details.
	StreamErrorOnInvalidHttpMessaging bool `protobuf:"varint,12,opt,name=stream_error_on_invalid_http_messaging,json=streamErrorOnInvalidHttpMessaging,proto3" json:"stream_error_on_invalid_http_messaging,omitempty"`
	// [#not-implemented-hide:]
	// Specifies SETTINGS frame parameters to be sent to the peer, with two exceptions:
	//
	// 1. SETTINGS_ENABLE_PUSH (0x2) is not configurable as HTTP/2 server push is not supported by
	// Envoy.
	//
	// 2. SETTINGS_ENABLE_CONNECT_PROTOCOL (0x8) is only configurable through the named field
	// 'allow_connect'.
	//
	// Note that custom parameters specified through this field can not also be set in the
	// corresponding named parameters:
	//
	// .. code-block:: text
	//
	//   ID    Field Name
	//   ----------------
	//   0x1   hpack_table_size
	//   0x3   max_concurrent_streams
	//   0x4   initial_stream_window_size
	//
	// Collisions will trigger config validation failure on load/update. Likewise, inconsistencies
	// between custom parameters with the same identifier will trigger a failure.
	//
	// See `IANA HTTP/2 Settings
	// <https://www.iana.org/assignments/http2-parameters/http2-parameters.xhtml#settings>`_ for
	// standardized identifiers.
	CustomSettingsParameters []*Http2ProtocolOptions_SettingsParameter `protobuf:"bytes,13,rep,name=custom_settings_parameters,json=customSettingsParameters,proto3" json:"custom_settings_parameters,omitempty"`
	XXX_NoUnkeyedLiteral     struct{}                                  `json:"-"`
	XXX_unrecognized         []byte                                    `json:"-"`
	XXX_sizecache            int32                                     `json:"-"`
}

func (m *Http2ProtocolOptions) Reset()         { *m = Http2ProtocolOptions{} }
func (m *Http2ProtocolOptions) String() string { return proto.CompactTextString(m) }
func (*Http2ProtocolOptions) ProtoMessage()    {}
func (*Http2ProtocolOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{4}
}

func (m *Http2ProtocolOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Http2ProtocolOptions.Unmarshal(m, b)
}
func (m *Http2ProtocolOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Http2ProtocolOptions.Marshal(b, m, deterministic)
}
func (m *Http2ProtocolOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Http2ProtocolOptions.Merge(m, src)
}
func (m *Http2ProtocolOptions) XXX_Size() int {
	return xxx_messageInfo_Http2ProtocolOptions.Size(m)
}
func (m *Http2ProtocolOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_Http2ProtocolOptions.DiscardUnknown(m)
}

var xxx_messageInfo_Http2ProtocolOptions proto.InternalMessageInfo

func (m *Http2ProtocolOptions) GetHpackTableSize() *wrappers.UInt32Value {
	if m != nil {
		return m.HpackTableSize
	}
	return nil
}

func (m *Http2ProtocolOptions) GetMaxConcurrentStreams() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxConcurrentStreams
	}
	return nil
}

func (m *Http2ProtocolOptions) GetInitialStreamWindowSize() *wrappers.UInt32Value {
	if m != nil {
		return m.InitialStreamWindowSize
	}
	return nil
}

func (m *Http2ProtocolOptions) GetInitialConnectionWindowSize() *wrappers.UInt32Value {
	if m != nil {
		return m.InitialConnectionWindowSize
	}
	return nil
}

func (m *Http2ProtocolOptions) GetAllowConnect() bool {
	if m != nil {
		return m.AllowConnect
	}
	return false
}

func (m *Http2ProtocolOptions) GetAllowMetadata() bool {
	if m != nil {
		return m.AllowMetadata
	}
	return false
}

func (m *Http2ProtocolOptions) GetMaxOutboundFrames() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxOutboundFrames
	}
	return nil
}

func (m *Http2ProtocolOptions) GetMaxOutboundControlFrames() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxOutboundControlFrames
	}
	return nil
}

func (m *Http2ProtocolOptions) GetMaxConsecutiveInboundFramesWithEmptyPayload() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxConsecutiveInboundFramesWithEmptyPayload
	}
	return nil
}

func (m *Http2ProtocolOptions) GetMaxInboundPriorityFramesPerStream() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxInboundPriorityFramesPerStream
	}
	return nil
}

func (m *Http2ProtocolOptions) GetMaxInboundWindowUpdateFramesPerDataFrameSent() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxInboundWindowUpdateFramesPerDataFrameSent
	}
	return nil
}

func (m *Http2ProtocolOptions) GetStreamErrorOnInvalidHttpMessaging() bool {
	if m != nil {
		return m.StreamErrorOnInvalidHttpMessaging
	}
	return false
}

func (m *Http2ProtocolOptions) GetCustomSettingsParameters() []*Http2ProtocolOptions_SettingsParameter {
	if m != nil {
		return m.CustomSettingsParameters
	}
	return nil
}

// Defines a parameter to be sent in the SETTINGS frame.
// See `RFC7540, sec. 6.5.1 <https://tools.ietf.org/html/rfc7540#section-6.5.1>`_ for details.
type Http2ProtocolOptions_SettingsParameter struct {
	// The 16 bit parameter identifier.
	Identifier *wrappers.UInt32Value `protobuf:"bytes,1,opt,name=identifier,proto3" json:"identifier,omitempty"`
	// The 32 bit parameter value.
	Value                *wrappers.UInt32Value `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *Http2ProtocolOptions_SettingsParameter) Reset() {
	*m = Http2ProtocolOptions_SettingsParameter{}
}
func (m *Http2ProtocolOptions_SettingsParameter) String() string { return proto.CompactTextString(m) }
func (*Http2ProtocolOptions_SettingsParameter) ProtoMessage()    {}
func (*Http2ProtocolOptions_SettingsParameter) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{4, 0}
}

func (m *Http2ProtocolOptions_SettingsParameter) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Http2ProtocolOptions_SettingsParameter.Unmarshal(m, b)
}
func (m *Http2ProtocolOptions_SettingsParameter) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Http2ProtocolOptions_SettingsParameter.Marshal(b, m, deterministic)
}
func (m *Http2ProtocolOptions_SettingsParameter) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Http2ProtocolOptions_SettingsParameter.Merge(m, src)
}
func (m *Http2ProtocolOptions_SettingsParameter) XXX_Size() int {
	return xxx_messageInfo_Http2ProtocolOptions_SettingsParameter.Size(m)
}
func (m *Http2ProtocolOptions_SettingsParameter) XXX_DiscardUnknown() {
	xxx_messageInfo_Http2ProtocolOptions_SettingsParameter.DiscardUnknown(m)
}

var xxx_messageInfo_Http2ProtocolOptions_SettingsParameter proto.InternalMessageInfo

func (m *Http2ProtocolOptions_SettingsParameter) GetIdentifier() *wrappers.UInt32Value {
	if m != nil {
		return m.Identifier
	}
	return nil
}

func (m *Http2ProtocolOptions_SettingsParameter) GetValue() *wrappers.UInt32Value {
	if m != nil {
		return m.Value
	}
	return nil
}

// [#not-implemented-hide:]
type GrpcProtocolOptions struct {
	Http2ProtocolOptions *Http2ProtocolOptions `protobuf:"bytes,1,opt,name=http2_protocol_options,json=http2ProtocolOptions,proto3" json:"http2_protocol_options,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *GrpcProtocolOptions) Reset()         { *m = GrpcProtocolOptions{} }
func (m *GrpcProtocolOptions) String() string { return proto.CompactTextString(m) }
func (*GrpcProtocolOptions) ProtoMessage()    {}
func (*GrpcProtocolOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_d86476e078060b60, []int{5}
}

func (m *GrpcProtocolOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcProtocolOptions.Unmarshal(m, b)
}
func (m *GrpcProtocolOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcProtocolOptions.Marshal(b, m, deterministic)
}
func (m *GrpcProtocolOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcProtocolOptions.Merge(m, src)
}
func (m *GrpcProtocolOptions) XXX_Size() int {
	return xxx_messageInfo_GrpcProtocolOptions.Size(m)
}
func (m *GrpcProtocolOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcProtocolOptions.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcProtocolOptions proto.InternalMessageInfo

func (m *GrpcProtocolOptions) GetHttp2ProtocolOptions() *Http2ProtocolOptions {
	if m != nil {
		return m.Http2ProtocolOptions
	}
	return nil
}

func init() {
	proto.RegisterEnum("envoy.api.v2.core.HttpProtocolOptions_HeadersWithUnderscoresAction", HttpProtocolOptions_HeadersWithUnderscoresAction_name, HttpProtocolOptions_HeadersWithUnderscoresAction_value)
	proto.RegisterType((*TcpProtocolOptions)(nil), "envoy.api.v2.core.TcpProtocolOptions")
	proto.RegisterType((*UpstreamHttpProtocolOptions)(nil), "envoy.api.v2.core.UpstreamHttpProtocolOptions")
	proto.RegisterType((*HttpProtocolOptions)(nil), "envoy.api.v2.core.HttpProtocolOptions")
	proto.RegisterType((*Http1ProtocolOptions)(nil), "envoy.api.v2.core.Http1ProtocolOptions")
	proto.RegisterType((*Http1ProtocolOptions_HeaderKeyFormat)(nil), "envoy.api.v2.core.Http1ProtocolOptions.HeaderKeyFormat")
	proto.RegisterType((*Http1ProtocolOptions_HeaderKeyFormat_ProperCaseWords)(nil), "envoy.api.v2.core.Http1ProtocolOptions.HeaderKeyFormat.ProperCaseWords")
	proto.RegisterType((*Http2ProtocolOptions)(nil), "envoy.api.v2.core.Http2ProtocolOptions")
	proto.RegisterType((*Http2ProtocolOptions_SettingsParameter)(nil), "envoy.api.v2.core.Http2ProtocolOptions.SettingsParameter")
	proto.RegisterType((*GrpcProtocolOptions)(nil), "envoy.api.v2.core.GrpcProtocolOptions")
}

func init() { proto.RegisterFile("envoy/api/v2/core/protocol.proto", fileDescriptor_d86476e078060b60) }

var fileDescriptor_d86476e078060b60 = []byte{
	// 1275 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x56, 0x4d, 0x53, 0x1b, 0x47,
	0x13, 0xf6, 0xf2, 0x29, 0x8f, 0x00, 0x49, 0x83, 0x5e, 0x7b, 0x2d, 0xfb, 0xb5, 0xb1, 0x92, 0xd8,
	0x14, 0x49, 0x49, 0x46, 0x4e, 0x25, 0x95, 0x2a, 0x5f, 0x10, 0x08, 0x43, 0x62, 0x07, 0xb1, 0x20,
	0x73, 0x4a, 0x4d, 0x0d, 0xab, 0x41, 0x9a, 0x78, 0x35, 0xb3, 0x35, 0x3b, 0x2b, 0x21, 0x9f, 0x38,
	0xe4, 0xe4, 0x4b, 0x2a, 0xb7, 0x5c, 0x53, 0x95, 0x4b, 0x8e, 0xb9, 0xe6, 0x17, 0xe4, 0x9a, 0xbf,
	0x92, 0x53, 0x8a, 0x43, 0x48, 0xcd, 0xc7, 0x82, 0x2c, 0x61, 0x5b, 0xf8, 0x24, 0x6d, 0x77, 0x3f,
	0xcf, 0xd3, 0xd3, 0xd3, 0xdd, 0x35, 0x60, 0x89, 0xb0, 0x2e, 0xef, 0x97, 0x71, 0x48, 0xcb, 0xdd,
	0x4a, 0xd9, 0xe7, 0x82, 0x94, 0x43, 0xc1, 0x25, 0xf7, 0x79, 0x50, 0xd2, 0x7f, 0x60, 0x4e, 0x47,
	0x94, 0x70, 0x48, 0x4b, 0xdd, 0x4a, 0x49, 0x45, 0x14, 0xee, 0xb6, 0x38, 0x6f, 0x05, 0x36, 0xf2,
	0x30, 0x3e, 0x2a, 0x37, 0x63, 0x81, 0x25, 0xe5, 0xcc, 0x40, 0x46, 0xfd, 0x3d, 0x81, 0xc3, 0x90,
	0x88, 0x28, 0xf1, 0xc7, 0xcd, 0x10, 0x97, 0x31, 0x63, 0x5c, 0x6a, 0x58, 0x54, 0xee, 0xd0, 0x96,
	0xc0, 0x92, 0x58, 0xff, 0xff, 0x47, 0xfc, 0x91, 0xc4, 0x32, 0x4e, 0xe0, 0x37, 0xbb, 0x38, 0xa0,
	0x4d, 0x2c, 0x49, 0x39, 0xf9, 0x63, 0x1c, 0xc5, 0x3c, 0x80, 0xfb, 0x7e, 0x58, 0xb7, 0xf9, 0xef,
	0x84, 0x1a, 0x5b, 0x6c, 0x83, 0xdb, 0x8d, 0x30, 0x92, 0x82, 0xe0, 0xce, 0x96, 0x94, 0xc3, 0x6e,
	0x78, 0x0b, 0xa4, 0x70, 0x2c, 0x39, 0x8a, 0x18, 0x75, 0x9d, 0x25, 0x67, 0x39, 0xe5, 0xcd, 0xaa,
	0xef, 0x3d, 0x46, 0x61, 0x09, 0x2c, 0x1a, 0x17, 0x66, 0xc8, 0x4a, 0x51, 0xce, 0xdc, 0x09, 0x1d,
	0x95, 0xd3, 0x51, 0x98, 0xbd, 0x38, 0x77, 0x14, 0x7f, 0x99, 0x02, 0x8b, 0x97, 0x49, 0x3c, 0x01,
	0x73, 0xb4, 0x19, 0x10, 0x24, 0x69, 0x87, 0xf0, 0x58, 0x6a, 0x99, 0x74, 0xe5, 0x56, 0xc9, 0x94,
	0xa9, 0x94, 0x94, 0xa9, 0xb4, 0x61, 0xcb, 0xe8, 0xa5, 0x55, 0xf8, 0xbe, 0x89, 0x86, 0xbb, 0xe0,
	0x66, 0x07, 0x1f, 0x23, 0x9f, 0x33, 0x46, 0x7c, 0xe5, 0x46, 0x49, 0xb9, 0xdd, 0xc9, 0xf7, 0x11,
	0xfd, 0xaf, 0x83, 0x8f, 0xd7, 0xcf, 0x81, 0x89, 0x19, 0xee, 0x82, 0x9c, 0xa2, 0x6c, 0x13, 0xdc,
	0x24, 0x22, 0x42, 0x3e, 0x8f, 0x99, 0xd4, 0xc7, 0x4a, 0x57, 0xee, 0x8c, 0x90, 0x35, 0xb6, 0x99,
	0x7c, 0x5c, 0x79, 0x81, 0x83, 0x98, 0x54, 0x67, 0x4f, 0xab, 0x53, 0x2b, 0x13, 0xcb, 0x8e, 0x97,
	0xe9, 0xe0, 0xe3, 0x2d, 0x03, 0x5f, 0x57, 0x68, 0xb8, 0x0d, 0x16, 0x15, 0xa5, 0xa9, 0xf3, 0x45,
	0x86, 0x53, 0xef, 0xcb, 0x50, 0x25, 0xb2, 0xa7, 0x41, 0xe7, 0xd9, 0xbd, 0x76, 0xc0, 0xbd, 0x24,
	0xb5, 0x1e, 0x95, 0x6d, 0x14, 0x33, 0xf5, 0x5f, 0xb5, 0x5e, 0x84, 0xb0, 0x3e, 0x89, 0x3b, 0xbd,
	0xe4, 0x2c, 0x2f, 0x54, 0xd6, 0x4b, 0x23, 0xcd, 0x59, 0xba, 0xe4, 0x02, 0x4a, 0x36, 0xd3, 0x03,
	0x2a, 0xdb, 0x8d, 0x0b, 0xae, 0x35, 0x4d, 0xe5, 0xdd, 0x69, 0xbf, 0xc3, 0x5b, 0xfc, 0x16, 0xdc,
	0x79, 0x17, 0x1a, 0x5e, 0x07, 0xd3, 0x6b, 0xcf, 0x9e, 0xed, 0x1c, 0x64, 0xaf, 0x41, 0x08, 0x16,
	0xbc, 0xda, 0xd7, 0xb5, 0xf5, 0x7d, 0xe4, 0xd5, 0x76, 0x1b, 0xb5, 0xbd, 0xfd, 0xac, 0x03, 0x33,
	0x20, 0xbd, 0xe1, 0xed, 0xd4, 0xd1, 0x56, 0x6d, 0x6d, 0xa3, 0xe6, 0x65, 0x27, 0x8a, 0x27, 0x53,
	0x20, 0xaf, 0x52, 0x5c, 0x1d, 0x6e, 0x92, 0x2d, 0x00, 0x71, 0x10, 0xf0, 0x1e, 0xc2, 0x87, 0x11,
	0x0f, 0x62, 0x49, 0x50, 0x2c, 0x02, 0xdb, 0x2a, 0x85, 0x91, 0xfa, 0x55, 0x39, 0x0f, 0xf4, 0x95,
	0x78, 0x59, 0x8d, 0x5a, 0xb3, 0xa0, 0x86, 0x08, 0xe0, 0xc7, 0x60, 0x01, 0xfb, 0x3e, 0x09, 0x25,
	0x6a, 0x4b, 0x19, 0xa2, 0xd5, 0x47, 0xb6, 0x63, 0xe7, 0x8c, 0x55, 0xab, 0x3f, 0x82, 0x5f, 0x00,
	0xb7, 0x49, 0x8e, 0x70, 0x1c, 0x48, 0xd4, 0xe6, 0x91, 0x44, 0x47, 0x5c, 0x9c, 0xc7, 0xab, 0xbe,
	0xba, 0xee, 0xe5, 0xad, 0x7f, 0x8b, 0x47, 0x72, 0x93, 0x0b, 0x8b, 0xf3, 0x41, 0xce, 0x14, 0x0c,
	0xbd, 0x24, 0x7d, 0x85, 0xea, 0x60, 0x69, 0xaf, 0xf9, 0xcb, 0xb7, 0x5c, 0xc7, 0xea, 0xe5, 0xf7,
	0xf1, 0x0d, 0xe9, 0x6f, 0x6a, 0xb8, 0x97, 0x69, 0xbf, 0x69, 0x80, 0x0f, 0x41, 0x86, 0x30, 0x7c,
	0xa8, 0x66, 0x46, 0x60, 0x1a, 0x10, 0x11, 0xe9, 0x1b, 0x4f, 0x79, 0x0b, 0xc6, 0xbc, 0x6f, 0xad,
	0x85, 0xdf, 0x1d, 0x90, 0x19, 0x62, 0x83, 0x31, 0xc8, 0x85, 0x82, 0x87, 0x44, 0x20, 0x1f, 0x47,
	0x04, 0xf5, 0xb8, 0x68, 0x46, 0xb6, 0x90, 0x4f, 0x3f, 0x30, 0xc3, 0x52, 0x5d, 0x13, 0xae, 0xe3,
	0x88, 0x1c, 0x28, 0xba, 0xad, 0x6b, 0x5e, 0x26, 0x7c, 0xd3, 0x54, 0xc8, 0x81, 0xcc, 0x50, 0x54,
	0x35, 0x0f, 0xe6, 0x6d, 0xad, 0x4c, 0x9d, 0xe0, 0xe4, 0x3f, 0x55, 0xa7, 0xf8, 0x5b, 0xda, 0xb4,
	0x40, 0x65, 0xb8, 0x05, 0x36, 0x41, 0xb6, 0x1d, 0x62, 0xff, 0x25, 0x92, 0xfa, 0xe8, 0x11, 0x7d,
	0x45, 0x6c, 0xde, 0xef, 0x9c, 0x4a, 0x6f, 0x41, 0xa3, 0xf6, 0x15, 0x68, 0x8f, 0xbe, 0x22, 0x10,
	0x83, 0x1b, 0x76, 0x63, 0xf8, 0xb1, 0x10, 0x84, 0x49, 0x3b, 0x96, 0xd1, 0x58, 0x33, 0x3e, 0x7f,
	0x5a, 0x05, 0x2b, 0x29, 0xf7, 0xec, 0xec, 0xec, 0x6c, 0x76, 0xd9, 0xf1, 0xf2, 0x66, 0x85, 0x58,
	0x26, 0x33, 0xaa, 0x11, 0xfc, 0x1e, 0x14, 0x28, 0xa3, 0x92, 0xe2, 0x20, 0x19, 0xf9, 0x1e, 0x65,
	0x4d, 0xde, 0x33, 0x49, 0x4f, 0x8e, 0x21, 0x93, 0x39, 0xad, 0xce, 0xad, 0x00, 0x2b, 0x73, 0x76,
	0x36, 0xe9, 0xdd, 0xb4, 0x84, 0x46, 0xe2, 0x40, 0xd3, 0xe9, 0xe3, 0x08, 0x70, 0x37, 0xd1, 0x1a,
	0x58, 0x82, 0x83, 0x7a, 0x53, 0x1f, 0xa2, 0x77, 0xdb, 0x92, 0x5e, 0xec, 0xc7, 0x01, 0xcd, 0x8f,
	0xc0, 0xbc, 0x99, 0x46, 0xab, 0x68, 0xdb, 0x6f, 0x4e, 0x1b, 0x2d, 0x02, 0x7e, 0x02, 0x16, 0x4c,
	0x50, 0x87, 0x48, 0xdc, 0xc4, 0x12, 0xbb, 0x33, 0x3a, 0xca, 0x40, 0x9f, 0x5b, 0x23, 0x6c, 0x98,
	0xd5, 0xc8, 0x63, 0x79, 0xc8, 0x63, 0xd6, 0x44, 0x47, 0x02, 0x77, 0x48, 0xe4, 0xce, 0x5e, 0x65,
	0xdf, 0xaa, 0x35, 0xb9, 0x63, 0x09, 0x36, 0x35, 0x1e, 0x36, 0xc1, 0xed, 0x37, 0x68, 0x7d, 0xce,
	0xa4, 0xe0, 0x41, 0x42, 0x9f, 0xba, 0x0a, 0xbd, 0x3b, 0x40, 0xbf, 0x6e, 0x78, 0xac, 0xca, 0x0f,
	0x0e, 0x58, 0xb5, 0xcd, 0x14, 0x11, 0x3f, 0x96, 0xb4, 0x4b, 0x10, 0x65, 0x83, 0x07, 0x31, 0x3b,
	0x9a, 0x74, 0x42, 0xd9, 0x47, 0x21, 0xee, 0x07, 0x1c, 0x37, 0xdd, 0xeb, 0x63, 0x74, 0xed, 0xa7,
	0xa6, 0xb1, 0x12, 0xd6, 0x6d, 0x36, 0x70, 0x38, 0xb5, 0x6b, 0x6b, 0x8a, 0xb1, 0x6e, 0x08, 0x21,
	0x07, 0x0f, 0x54, 0x16, 0x89, 0x72, 0x28, 0x28, 0x17, 0x54, 0xf6, 0x93, 0x14, 0xd4, 0xb0, 0x9b,
	0x3e, 0x74, 0xc1, 0x18, 0xd2, 0xf7, 0x3b, 0xf8, 0xd8, 0xea, 0xd5, 0x2d, 0x93, 0xd1, 0xad, 0x13,
	0x61, 0xda, 0x0f, 0xfe, 0xe4, 0x80, 0xcf, 0x07, 0x15, 0x6d, 0xbb, 0xc5, 0xa1, 0x7a, 0x6f, 0x0c,
	0xca, 0xaa, 0x2b, 0x36, 0xdf, 0x28, 0x22, 0x4c, 0xba, 0xe9, 0xab, 0xd4, 0xfd, 0xb3, 0x8b, 0x44,
	0x4c, 0xf3, 0x35, 0x34, 0xff, 0x79, 0x32, 0x1b, 0x58, 0x62, 0xfd, 0xb1, 0x47, 0x98, 0x7a, 0x09,
	0x3c, 0xb0, 0xc3, 0x46, 0x84, 0xe0, 0x02, 0x71, 0x86, 0x28, 0xd3, 0x0f, 0x13, 0xb3, 0xb9, 0x3b,
	0x24, 0x8a, 0x70, 0x8b, 0xb2, 0x96, 0x3b, 0xa7, 0xfb, 0xf0, 0xbe, 0x89, 0xae, 0xa9, 0xe0, 0x1d,
	0xb6, 0x6d, 0x42, 0xd5, 0xe6, 0x79, 0x9e, 0x04, 0xc2, 0x1e, 0x28, 0xf8, 0x71, 0x24, 0x79, 0x07,
	0x45, 0x44, 0x4a, 0xca, 0x5a, 0x11, 0x0a, 0xb1, 0x12, 0x94, 0x6a, 0xe7, 0xce, 0x2f, 0x4d, 0x2e,
	0xa7, 0x2b, 0x5f, 0xbd, 0x65, 0x69, 0x0e, 0xef, 0xaf, 0xd2, 0x9e, 0xa5, 0xa8, 0x27, 0x0c, 0x9e,
	0x6b, 0xc8, 0x47, 0x1c, 0x51, 0xe1, 0x57, 0x07, 0xe4, 0x46, 0xcc, 0x70, 0x17, 0x00, 0xda, 0x24,
	0x4c, 0xd2, 0x23, 0x4a, 0xc4, 0x38, 0xbb, 0xaf, 0xba, 0x78, 0x5a, 0x4d, 0xad, 0xcc, 0xb8, 0x27,
	0x27, 0x53, 0xcb, 0xce, 0x69, 0x75, 0xfa, 0xb5, 0x33, 0x91, 0x75, 0xbc, 0x01, 0x12, 0xf8, 0x04,
	0x4c, 0x77, 0x55, 0xe4, 0x58, 0xbb, 0x2f, 0x75, 0x4e, 0x61, 0x40, 0x45, 0x09, 0x16, 0x9f, 0x8a,
	0xd0, 0x1f, 0xde, 0xd4, 0xdf, 0x81, 0x1b, 0xaa, 0xe2, 0x15, 0x94, 0x3c, 0x96, 0x11, 0x37, 0x1e,
	0x9b, 0xf3, 0xc3, 0x31, 0x4b, 0xe6, 0xe5, 0xdb, 0x97, 0x58, 0xab, 0x2f, 0xfe, 0xfe, 0xf9, 0xdf,
	0x1f, 0xa7, 0x6f, 0xc0, 0xbc, 0x61, 0xf1, 0x39, 0x3b, 0xa2, 0x2d, 0xc3, 0xd2, 0x7d, 0xfc, 0xc7,
	0xc9, 0x9f, 0x7f, 0xcd, 0x4c, 0x64, 0x1d, 0x70, 0x8f, 0x72, 0x23, 0x13, 0x0a, 0x7e, 0xdc, 0x1f,
	0x55, 0xac, 0xce, 0x27, 0xbc, 0xfa, 0xb7, 0xee, 0x1c, 0xce, 0xe8, 0x74, 0x1f, 0xff, 0x17, 0x00,
	0x00, 0xff, 0xff, 0xf9, 0x63, 0xc5, 0x83, 0xf6, 0x0b, 0x00, 0x00,
}
