// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/config/bootstrap/v4alpha/bootstrap.proto

package envoy_config_bootstrap_v4alpha

import (
	fmt "fmt"
	_ "github.com/cilium/proxy/go/envoy/annotations"
	v4alpha2 "github.com/cilium/proxy/go/envoy/config/cluster/v4alpha"
	v4alpha "github.com/cilium/proxy/go/envoy/config/core/v4alpha"
	v32 "github.com/cilium/proxy/go/envoy/config/listener/v3"
	v3 "github.com/cilium/proxy/go/envoy/config/metrics/v3"
	v31 "github.com/cilium/proxy/go/envoy/config/overload/v3"
	v4alpha1 "github.com/cilium/proxy/go/envoy/config/trace/v4alpha"
	v4alpha3 "github.com/cilium/proxy/go/envoy/extensions/transport_sockets/tls/v4alpha"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	duration "github.com/golang/protobuf/ptypes/duration"
	_struct "github.com/golang/protobuf/ptypes/struct"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Bootstrap :ref:`configuration overview <config_overview_bootstrap>`.
// [#next-free-field: 21]
type Bootstrap struct {
	// Node identity to present to the management server and for instance
	// identification purposes (e.g. in generated headers).
	Node *v4alpha.Node `protobuf:"bytes,1,opt,name=node,proto3" json:"node,omitempty"`
	// Statically specified resources.
	StaticResources *Bootstrap_StaticResources `protobuf:"bytes,2,opt,name=static_resources,json=staticResources,proto3" json:"static_resources,omitempty"`
	// xDS configuration sources.
	DynamicResources *Bootstrap_DynamicResources `protobuf:"bytes,3,opt,name=dynamic_resources,json=dynamicResources,proto3" json:"dynamic_resources,omitempty"`
	// Configuration for the cluster manager which owns all upstream clusters
	// within the server.
	ClusterManager *ClusterManager `protobuf:"bytes,4,opt,name=cluster_manager,json=clusterManager,proto3" json:"cluster_manager,omitempty"`
	// Health discovery service config option.
	// (:ref:`core.ApiConfigSource <envoy_api_msg_config.core.v4alpha.ApiConfigSource>`)
	HdsConfig *v4alpha.ApiConfigSource `protobuf:"bytes,14,opt,name=hds_config,json=hdsConfig,proto3" json:"hds_config,omitempty"`
	// Optional file system path to search for startup flag files.
	FlagsPath string `protobuf:"bytes,5,opt,name=flags_path,json=flagsPath,proto3" json:"flags_path,omitempty"`
	// Optional set of stats sinks.
	StatsSinks []*v3.StatsSink `protobuf:"bytes,6,rep,name=stats_sinks,json=statsSinks,proto3" json:"stats_sinks,omitempty"`
	// Configuration for internal processing of stats.
	StatsConfig *v3.StatsConfig `protobuf:"bytes,13,opt,name=stats_config,json=statsConfig,proto3" json:"stats_config,omitempty"`
	// Optional duration between flushes to configured stats sinks. For
	// performance reasons Envoy latches counters and only flushes counters and
	// gauges at a periodic interval. If not specified the default is 5000ms (5
	// seconds).
	// Duration must be at least 1ms and at most 5 min.
	StatsFlushInterval *duration.Duration `protobuf:"bytes,7,opt,name=stats_flush_interval,json=statsFlushInterval,proto3" json:"stats_flush_interval,omitempty"`
	// Optional watchdog configuration.
	Watchdog *Watchdog `protobuf:"bytes,8,opt,name=watchdog,proto3" json:"watchdog,omitempty"`
	// Configuration for an external tracing provider. If not specified, no
	// tracing will be performed.
	Tracing *v4alpha1.Tracing `protobuf:"bytes,9,opt,name=tracing,proto3" json:"tracing,omitempty"`
	// Configuration for the runtime configuration provider. If not
	// specified, a “null” provider will be used which will result in all defaults
	// being used.
	LayeredRuntime *LayeredRuntime `protobuf:"bytes,17,opt,name=layered_runtime,json=layeredRuntime,proto3" json:"layered_runtime,omitempty"`
	// Configuration for the local administration HTTP server.
	Admin *Admin `protobuf:"bytes,12,opt,name=admin,proto3" json:"admin,omitempty"`
	// Optional overload manager configuration.
	OverloadManager *v31.OverloadManager `protobuf:"bytes,15,opt,name=overload_manager,json=overloadManager,proto3" json:"overload_manager,omitempty"`
	// Enable :ref:`stats for event dispatcher <operations_performance>`, defaults to false.
	// Note that this records a value for each iteration of the event loop on every thread. This
	// should normally be minimal overhead, but when using
	// :ref:`statsd <envoy_api_msg_config.metrics.v3.StatsdSink>`, it will send each observed value
	// over the wire individually because the statsd protocol doesn't have any way to represent a
	// histogram summary. Be aware that this can be a very large volume of data.
	EnableDispatcherStats bool `protobuf:"varint,16,opt,name=enable_dispatcher_stats,json=enableDispatcherStats,proto3" json:"enable_dispatcher_stats,omitempty"`
	// Optional string which will be used in lieu of x-envoy in prefixing headers.
	//
	// For example, if this string is present and set to X-Foo, then x-envoy-retry-on will be
	// transformed into x-foo-retry-on etc.
	//
	// Note this applies to the headers Envoy will generate, the headers Envoy will sanitize, and the
	// headers Envoy will trust for core code and core extensions only. Be VERY careful making
	// changes to this string, especially in multi-layer Envoy deployments or deployments using
	// extensions which are not upstream.
	HeaderPrefix string `protobuf:"bytes,18,opt,name=header_prefix,json=headerPrefix,proto3" json:"header_prefix,omitempty"`
	// Optional proxy version which will be used to set the value of :ref:`server.version statistic
	// <server_statistics>` if specified. Envoy will not process this value, it will be sent as is to
	// :ref:`stats sinks <envoy_api_msg_config.metrics.v3.StatsSink>`.
	StatsServerVersionOverride *wrappers.UInt64Value `protobuf:"bytes,19,opt,name=stats_server_version_override,json=statsServerVersionOverride,proto3" json:"stats_server_version_override,omitempty"`
	// Always use TCP queries instead of UDP queries for DNS lookups.
	// This may be overridden on a per-cluster basis in cds_config,
	// when :ref:`dns_resolvers <envoy_api_field_config.cluster.v4alpha.Cluster.dns_resolvers>` and
	// :ref:`use_tcp_for_dns_lookups <envoy_api_field_config.cluster.v4alpha.Cluster.use_tcp_for_dns_lookups>` are
	// specified.
	UseTcpForDnsLookups  bool     `protobuf:"varint,20,opt,name=use_tcp_for_dns_lookups,json=useTcpForDnsLookups,proto3" json:"use_tcp_for_dns_lookups,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Bootstrap) Reset()         { *m = Bootstrap{} }
func (m *Bootstrap) String() string { return proto.CompactTextString(m) }
func (*Bootstrap) ProtoMessage()    {}
func (*Bootstrap) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{0}
}

func (m *Bootstrap) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Bootstrap.Unmarshal(m, b)
}
func (m *Bootstrap) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Bootstrap.Marshal(b, m, deterministic)
}
func (m *Bootstrap) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Bootstrap.Merge(m, src)
}
func (m *Bootstrap) XXX_Size() int {
	return xxx_messageInfo_Bootstrap.Size(m)
}
func (m *Bootstrap) XXX_DiscardUnknown() {
	xxx_messageInfo_Bootstrap.DiscardUnknown(m)
}

var xxx_messageInfo_Bootstrap proto.InternalMessageInfo

func (m *Bootstrap) GetNode() *v4alpha.Node {
	if m != nil {
		return m.Node
	}
	return nil
}

func (m *Bootstrap) GetStaticResources() *Bootstrap_StaticResources {
	if m != nil {
		return m.StaticResources
	}
	return nil
}

func (m *Bootstrap) GetDynamicResources() *Bootstrap_DynamicResources {
	if m != nil {
		return m.DynamicResources
	}
	return nil
}

func (m *Bootstrap) GetClusterManager() *ClusterManager {
	if m != nil {
		return m.ClusterManager
	}
	return nil
}

func (m *Bootstrap) GetHdsConfig() *v4alpha.ApiConfigSource {
	if m != nil {
		return m.HdsConfig
	}
	return nil
}

func (m *Bootstrap) GetFlagsPath() string {
	if m != nil {
		return m.FlagsPath
	}
	return ""
}

func (m *Bootstrap) GetStatsSinks() []*v3.StatsSink {
	if m != nil {
		return m.StatsSinks
	}
	return nil
}

func (m *Bootstrap) GetStatsConfig() *v3.StatsConfig {
	if m != nil {
		return m.StatsConfig
	}
	return nil
}

func (m *Bootstrap) GetStatsFlushInterval() *duration.Duration {
	if m != nil {
		return m.StatsFlushInterval
	}
	return nil
}

func (m *Bootstrap) GetWatchdog() *Watchdog {
	if m != nil {
		return m.Watchdog
	}
	return nil
}

func (m *Bootstrap) GetTracing() *v4alpha1.Tracing {
	if m != nil {
		return m.Tracing
	}
	return nil
}

func (m *Bootstrap) GetLayeredRuntime() *LayeredRuntime {
	if m != nil {
		return m.LayeredRuntime
	}
	return nil
}

func (m *Bootstrap) GetAdmin() *Admin {
	if m != nil {
		return m.Admin
	}
	return nil
}

func (m *Bootstrap) GetOverloadManager() *v31.OverloadManager {
	if m != nil {
		return m.OverloadManager
	}
	return nil
}

func (m *Bootstrap) GetEnableDispatcherStats() bool {
	if m != nil {
		return m.EnableDispatcherStats
	}
	return false
}

func (m *Bootstrap) GetHeaderPrefix() string {
	if m != nil {
		return m.HeaderPrefix
	}
	return ""
}

func (m *Bootstrap) GetStatsServerVersionOverride() *wrappers.UInt64Value {
	if m != nil {
		return m.StatsServerVersionOverride
	}
	return nil
}

func (m *Bootstrap) GetUseTcpForDnsLookups() bool {
	if m != nil {
		return m.UseTcpForDnsLookups
	}
	return false
}

type Bootstrap_StaticResources struct {
	// Static :ref:`Listeners <envoy_api_msg_config.listener.v3.Listener>`. These listeners are
	// available regardless of LDS configuration.
	Listeners []*v32.Listener `protobuf:"bytes,1,rep,name=listeners,proto3" json:"listeners,omitempty"`
	// If a network based configuration source is specified for :ref:`cds_config
	// <envoy_api_field_config.bootstrap.v4alpha.Bootstrap.DynamicResources.cds_config>`, it's necessary
	// to have some initial cluster definitions available to allow Envoy to know
	// how to speak to the management server. These cluster definitions may not
	// use :ref:`EDS <arch_overview_dynamic_config_eds>` (i.e. they should be static
	// IP or DNS-based).
	Clusters []*v4alpha2.Cluster `protobuf:"bytes,2,rep,name=clusters,proto3" json:"clusters,omitempty"`
	// These static secrets can be used by :ref:`SdsSecretConfig
	// <envoy_api_msg_extensions.transport_sockets.tls.v4alpha.SdsSecretConfig>`
	Secrets              []*v4alpha3.Secret `protobuf:"bytes,3,rep,name=secrets,proto3" json:"secrets,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *Bootstrap_StaticResources) Reset()         { *m = Bootstrap_StaticResources{} }
func (m *Bootstrap_StaticResources) String() string { return proto.CompactTextString(m) }
func (*Bootstrap_StaticResources) ProtoMessage()    {}
func (*Bootstrap_StaticResources) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{0, 0}
}

func (m *Bootstrap_StaticResources) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Bootstrap_StaticResources.Unmarshal(m, b)
}
func (m *Bootstrap_StaticResources) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Bootstrap_StaticResources.Marshal(b, m, deterministic)
}
func (m *Bootstrap_StaticResources) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Bootstrap_StaticResources.Merge(m, src)
}
func (m *Bootstrap_StaticResources) XXX_Size() int {
	return xxx_messageInfo_Bootstrap_StaticResources.Size(m)
}
func (m *Bootstrap_StaticResources) XXX_DiscardUnknown() {
	xxx_messageInfo_Bootstrap_StaticResources.DiscardUnknown(m)
}

var xxx_messageInfo_Bootstrap_StaticResources proto.InternalMessageInfo

func (m *Bootstrap_StaticResources) GetListeners() []*v32.Listener {
	if m != nil {
		return m.Listeners
	}
	return nil
}

func (m *Bootstrap_StaticResources) GetClusters() []*v4alpha2.Cluster {
	if m != nil {
		return m.Clusters
	}
	return nil
}

func (m *Bootstrap_StaticResources) GetSecrets() []*v4alpha3.Secret {
	if m != nil {
		return m.Secrets
	}
	return nil
}

type Bootstrap_DynamicResources struct {
	// All :ref:`Listeners <envoy_api_msg_config.listener.v3.Listener>` are provided by a single
	// :ref:`LDS <arch_overview_dynamic_config_lds>` configuration source.
	LdsConfig *v4alpha.ConfigSource `protobuf:"bytes,1,opt,name=lds_config,json=ldsConfig,proto3" json:"lds_config,omitempty"`
	// All post-bootstrap :ref:`Cluster <envoy_api_msg_config.cluster.v4alpha.Cluster>` definitions are
	// provided by a single :ref:`CDS <arch_overview_dynamic_config_cds>`
	// configuration source.
	CdsConfig *v4alpha.ConfigSource `protobuf:"bytes,2,opt,name=cds_config,json=cdsConfig,proto3" json:"cds_config,omitempty"`
	// A single :ref:`ADS <config_overview_ads>` source may be optionally
	// specified. This must have :ref:`api_type
	// <envoy_api_field_config.core.v4alpha.ApiConfigSource.api_type>` :ref:`GRPC
	// <envoy_api_enum_value_config.core.v4alpha.ApiConfigSource.ApiType.GRPC>`. Only
	// :ref:`ConfigSources <envoy_api_msg_config.core.v4alpha.ConfigSource>` that have
	// the :ref:`ads <envoy_api_field_config.core.v4alpha.ConfigSource.ads>` field set will be
	// streamed on the ADS channel.
	AdsConfig            *v4alpha.ApiConfigSource `protobuf:"bytes,3,opt,name=ads_config,json=adsConfig,proto3" json:"ads_config,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                 `json:"-"`
	XXX_unrecognized     []byte                   `json:"-"`
	XXX_sizecache        int32                    `json:"-"`
}

func (m *Bootstrap_DynamicResources) Reset()         { *m = Bootstrap_DynamicResources{} }
func (m *Bootstrap_DynamicResources) String() string { return proto.CompactTextString(m) }
func (*Bootstrap_DynamicResources) ProtoMessage()    {}
func (*Bootstrap_DynamicResources) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{0, 1}
}

func (m *Bootstrap_DynamicResources) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Bootstrap_DynamicResources.Unmarshal(m, b)
}
func (m *Bootstrap_DynamicResources) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Bootstrap_DynamicResources.Marshal(b, m, deterministic)
}
func (m *Bootstrap_DynamicResources) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Bootstrap_DynamicResources.Merge(m, src)
}
func (m *Bootstrap_DynamicResources) XXX_Size() int {
	return xxx_messageInfo_Bootstrap_DynamicResources.Size(m)
}
func (m *Bootstrap_DynamicResources) XXX_DiscardUnknown() {
	xxx_messageInfo_Bootstrap_DynamicResources.DiscardUnknown(m)
}

var xxx_messageInfo_Bootstrap_DynamicResources proto.InternalMessageInfo

func (m *Bootstrap_DynamicResources) GetLdsConfig() *v4alpha.ConfigSource {
	if m != nil {
		return m.LdsConfig
	}
	return nil
}

func (m *Bootstrap_DynamicResources) GetCdsConfig() *v4alpha.ConfigSource {
	if m != nil {
		return m.CdsConfig
	}
	return nil
}

func (m *Bootstrap_DynamicResources) GetAdsConfig() *v4alpha.ApiConfigSource {
	if m != nil {
		return m.AdsConfig
	}
	return nil
}

// Administration interface :ref:`operations documentation
// <operations_admin_interface>`.
type Admin struct {
	// The path to write the access log for the administration server. If no
	// access log is desired specify ‘/dev/null’. This is only required if
	// :ref:`address <envoy_api_field_config.bootstrap.v4alpha.Admin.address>` is set.
	AccessLogPath string `protobuf:"bytes,1,opt,name=access_log_path,json=accessLogPath,proto3" json:"access_log_path,omitempty"`
	// The cpu profiler output path for the administration server. If no profile
	// path is specified, the default is ‘/var/log/envoy/envoy.prof’.
	ProfilePath string `protobuf:"bytes,2,opt,name=profile_path,json=profilePath,proto3" json:"profile_path,omitempty"`
	// The TCP address that the administration server will listen on.
	// If not specified, Envoy will not start an administration server.
	Address *v4alpha.Address `protobuf:"bytes,3,opt,name=address,proto3" json:"address,omitempty"`
	// Additional socket options that may not be present in Envoy source code or
	// precompiled binaries.
	SocketOptions        []*v4alpha.SocketOption `protobuf:"bytes,4,rep,name=socket_options,json=socketOptions,proto3" json:"socket_options,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *Admin) Reset()         { *m = Admin{} }
func (m *Admin) String() string { return proto.CompactTextString(m) }
func (*Admin) ProtoMessage()    {}
func (*Admin) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{1}
}

func (m *Admin) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Admin.Unmarshal(m, b)
}
func (m *Admin) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Admin.Marshal(b, m, deterministic)
}
func (m *Admin) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Admin.Merge(m, src)
}
func (m *Admin) XXX_Size() int {
	return xxx_messageInfo_Admin.Size(m)
}
func (m *Admin) XXX_DiscardUnknown() {
	xxx_messageInfo_Admin.DiscardUnknown(m)
}

var xxx_messageInfo_Admin proto.InternalMessageInfo

func (m *Admin) GetAccessLogPath() string {
	if m != nil {
		return m.AccessLogPath
	}
	return ""
}

func (m *Admin) GetProfilePath() string {
	if m != nil {
		return m.ProfilePath
	}
	return ""
}

func (m *Admin) GetAddress() *v4alpha.Address {
	if m != nil {
		return m.Address
	}
	return nil
}

func (m *Admin) GetSocketOptions() []*v4alpha.SocketOption {
	if m != nil {
		return m.SocketOptions
	}
	return nil
}

// Cluster manager :ref:`architecture overview <arch_overview_cluster_manager>`.
type ClusterManager struct {
	// Name of the local cluster (i.e., the cluster that owns the Envoy running
	// this configuration). In order to enable :ref:`zone aware routing
	// <arch_overview_load_balancing_zone_aware_routing>` this option must be set.
	// If *local_cluster_name* is defined then :ref:`clusters
	// <envoy_api_msg_config.cluster.v4alpha.Cluster>` must be defined in the :ref:`Bootstrap
	// static cluster resources
	// <envoy_api_field_config.bootstrap.v4alpha.Bootstrap.StaticResources.clusters>`. This is unrelated to
	// the :option:`--service-cluster` option which does not `affect zone aware
	// routing <https://github.com/envoyproxy/envoy/issues/774>`_.
	LocalClusterName string `protobuf:"bytes,1,opt,name=local_cluster_name,json=localClusterName,proto3" json:"local_cluster_name,omitempty"`
	// Optional global configuration for outlier detection.
	OutlierDetection *ClusterManager_OutlierDetection `protobuf:"bytes,2,opt,name=outlier_detection,json=outlierDetection,proto3" json:"outlier_detection,omitempty"`
	// Optional configuration used to bind newly established upstream connections.
	// This may be overridden on a per-cluster basis by upstream_bind_config in the cds_config.
	UpstreamBindConfig *v4alpha.BindConfig `protobuf:"bytes,3,opt,name=upstream_bind_config,json=upstreamBindConfig,proto3" json:"upstream_bind_config,omitempty"`
	// A management server endpoint to stream load stats to via
	// *StreamLoadStats*. This must have :ref:`api_type
	// <envoy_api_field_config.core.v4alpha.ApiConfigSource.api_type>` :ref:`GRPC
	// <envoy_api_enum_value_config.core.v4alpha.ApiConfigSource.ApiType.GRPC>`.
	LoadStatsConfig      *v4alpha.ApiConfigSource `protobuf:"bytes,4,opt,name=load_stats_config,json=loadStatsConfig,proto3" json:"load_stats_config,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                 `json:"-"`
	XXX_unrecognized     []byte                   `json:"-"`
	XXX_sizecache        int32                    `json:"-"`
}

func (m *ClusterManager) Reset()         { *m = ClusterManager{} }
func (m *ClusterManager) String() string { return proto.CompactTextString(m) }
func (*ClusterManager) ProtoMessage()    {}
func (*ClusterManager) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{2}
}

func (m *ClusterManager) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClusterManager.Unmarshal(m, b)
}
func (m *ClusterManager) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClusterManager.Marshal(b, m, deterministic)
}
func (m *ClusterManager) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClusterManager.Merge(m, src)
}
func (m *ClusterManager) XXX_Size() int {
	return xxx_messageInfo_ClusterManager.Size(m)
}
func (m *ClusterManager) XXX_DiscardUnknown() {
	xxx_messageInfo_ClusterManager.DiscardUnknown(m)
}

var xxx_messageInfo_ClusterManager proto.InternalMessageInfo

func (m *ClusterManager) GetLocalClusterName() string {
	if m != nil {
		return m.LocalClusterName
	}
	return ""
}

func (m *ClusterManager) GetOutlierDetection() *ClusterManager_OutlierDetection {
	if m != nil {
		return m.OutlierDetection
	}
	return nil
}

func (m *ClusterManager) GetUpstreamBindConfig() *v4alpha.BindConfig {
	if m != nil {
		return m.UpstreamBindConfig
	}
	return nil
}

func (m *ClusterManager) GetLoadStatsConfig() *v4alpha.ApiConfigSource {
	if m != nil {
		return m.LoadStatsConfig
	}
	return nil
}

type ClusterManager_OutlierDetection struct {
	// Specifies the path to the outlier event log.
	EventLogPath string `protobuf:"bytes,1,opt,name=event_log_path,json=eventLogPath,proto3" json:"event_log_path,omitempty"`
	// [#not-implemented-hide:]
	// The gRPC service for the outlier detection event service.
	// If empty, outlier detection events won't be sent to a remote endpoint.
	EventService         *v4alpha.EventServiceConfig `protobuf:"bytes,2,opt,name=event_service,json=eventService,proto3" json:"event_service,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                    `json:"-"`
	XXX_unrecognized     []byte                      `json:"-"`
	XXX_sizecache        int32                       `json:"-"`
}

func (m *ClusterManager_OutlierDetection) Reset()         { *m = ClusterManager_OutlierDetection{} }
func (m *ClusterManager_OutlierDetection) String() string { return proto.CompactTextString(m) }
func (*ClusterManager_OutlierDetection) ProtoMessage()    {}
func (*ClusterManager_OutlierDetection) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{2, 0}
}

func (m *ClusterManager_OutlierDetection) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClusterManager_OutlierDetection.Unmarshal(m, b)
}
func (m *ClusterManager_OutlierDetection) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClusterManager_OutlierDetection.Marshal(b, m, deterministic)
}
func (m *ClusterManager_OutlierDetection) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClusterManager_OutlierDetection.Merge(m, src)
}
func (m *ClusterManager_OutlierDetection) XXX_Size() int {
	return xxx_messageInfo_ClusterManager_OutlierDetection.Size(m)
}
func (m *ClusterManager_OutlierDetection) XXX_DiscardUnknown() {
	xxx_messageInfo_ClusterManager_OutlierDetection.DiscardUnknown(m)
}

var xxx_messageInfo_ClusterManager_OutlierDetection proto.InternalMessageInfo

func (m *ClusterManager_OutlierDetection) GetEventLogPath() string {
	if m != nil {
		return m.EventLogPath
	}
	return ""
}

func (m *ClusterManager_OutlierDetection) GetEventService() *v4alpha.EventServiceConfig {
	if m != nil {
		return m.EventService
	}
	return nil
}

// Envoy process watchdog configuration. When configured, this monitors for
// nonresponsive threads and kills the process after the configured thresholds.
// See the :ref:`watchdog documentation <operations_performance_watchdog>` for more information.
type Watchdog struct {
	// The duration after which Envoy counts a nonresponsive thread in the
	// *watchdog_miss* statistic. If not specified the default is 200ms.
	MissTimeout *duration.Duration `protobuf:"bytes,1,opt,name=miss_timeout,json=missTimeout,proto3" json:"miss_timeout,omitempty"`
	// The duration after which Envoy counts a nonresponsive thread in the
	// *watchdog_mega_miss* statistic. If not specified the default is
	// 1000ms.
	MegamissTimeout *duration.Duration `protobuf:"bytes,2,opt,name=megamiss_timeout,json=megamissTimeout,proto3" json:"megamiss_timeout,omitempty"`
	// If a watched thread has been nonresponsive for this duration, assume a
	// programming error and kill the entire Envoy process. Set to 0 to disable
	// kill behavior. If not specified the default is 0 (disabled).
	KillTimeout *duration.Duration `protobuf:"bytes,3,opt,name=kill_timeout,json=killTimeout,proto3" json:"kill_timeout,omitempty"`
	// If at least two watched threads have been nonresponsive for at least this
	// duration assume a true deadlock and kill the entire Envoy process. Set to 0
	// to disable this behavior. If not specified the default is 0 (disabled).
	MultikillTimeout     *duration.Duration `protobuf:"bytes,4,opt,name=multikill_timeout,json=multikillTimeout,proto3" json:"multikill_timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *Watchdog) Reset()         { *m = Watchdog{} }
func (m *Watchdog) String() string { return proto.CompactTextString(m) }
func (*Watchdog) ProtoMessage()    {}
func (*Watchdog) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{3}
}

func (m *Watchdog) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Watchdog.Unmarshal(m, b)
}
func (m *Watchdog) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Watchdog.Marshal(b, m, deterministic)
}
func (m *Watchdog) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Watchdog.Merge(m, src)
}
func (m *Watchdog) XXX_Size() int {
	return xxx_messageInfo_Watchdog.Size(m)
}
func (m *Watchdog) XXX_DiscardUnknown() {
	xxx_messageInfo_Watchdog.DiscardUnknown(m)
}

var xxx_messageInfo_Watchdog proto.InternalMessageInfo

func (m *Watchdog) GetMissTimeout() *duration.Duration {
	if m != nil {
		return m.MissTimeout
	}
	return nil
}

func (m *Watchdog) GetMegamissTimeout() *duration.Duration {
	if m != nil {
		return m.MegamissTimeout
	}
	return nil
}

func (m *Watchdog) GetKillTimeout() *duration.Duration {
	if m != nil {
		return m.KillTimeout
	}
	return nil
}

func (m *Watchdog) GetMultikillTimeout() *duration.Duration {
	if m != nil {
		return m.MultikillTimeout
	}
	return nil
}

// Runtime :ref:`configuration overview <config_runtime>` (deprecated).
type Runtime struct {
	// The implementation assumes that the file system tree is accessed via a
	// symbolic link. An atomic link swap is used when a new tree should be
	// switched to. This parameter specifies the path to the symbolic link. Envoy
	// will watch the location for changes and reload the file system tree when
	// they happen. If this parameter is not set, there will be no disk based
	// runtime.
	SymlinkRoot string `protobuf:"bytes,1,opt,name=symlink_root,json=symlinkRoot,proto3" json:"symlink_root,omitempty"`
	// Specifies the subdirectory to load within the root directory. This is
	// useful if multiple systems share the same delivery mechanism. Envoy
	// configuration elements can be contained in a dedicated subdirectory.
	Subdirectory string `protobuf:"bytes,2,opt,name=subdirectory,proto3" json:"subdirectory,omitempty"`
	// Specifies an optional subdirectory to load within the root directory. If
	// specified and the directory exists, configuration values within this
	// directory will override those found in the primary subdirectory. This is
	// useful when Envoy is deployed across many different types of servers.
	// Sometimes it is useful to have a per service cluster directory for runtime
	// configuration. See below for exactly how the override directory is used.
	OverrideSubdirectory string `protobuf:"bytes,3,opt,name=override_subdirectory,json=overrideSubdirectory,proto3" json:"override_subdirectory,omitempty"`
	// Static base runtime. This will be :ref:`overridden
	// <config_runtime_layering>` by other runtime layers, e.g.
	// disk or admin. This follows the :ref:`runtime protobuf JSON representation
	// encoding <config_runtime_proto_json>`.
	Base                 *_struct.Struct `protobuf:"bytes,4,opt,name=base,proto3" json:"base,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *Runtime) Reset()         { *m = Runtime{} }
func (m *Runtime) String() string { return proto.CompactTextString(m) }
func (*Runtime) ProtoMessage()    {}
func (*Runtime) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{4}
}

func (m *Runtime) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Runtime.Unmarshal(m, b)
}
func (m *Runtime) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Runtime.Marshal(b, m, deterministic)
}
func (m *Runtime) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Runtime.Merge(m, src)
}
func (m *Runtime) XXX_Size() int {
	return xxx_messageInfo_Runtime.Size(m)
}
func (m *Runtime) XXX_DiscardUnknown() {
	xxx_messageInfo_Runtime.DiscardUnknown(m)
}

var xxx_messageInfo_Runtime proto.InternalMessageInfo

func (m *Runtime) GetSymlinkRoot() string {
	if m != nil {
		return m.SymlinkRoot
	}
	return ""
}

func (m *Runtime) GetSubdirectory() string {
	if m != nil {
		return m.Subdirectory
	}
	return ""
}

func (m *Runtime) GetOverrideSubdirectory() string {
	if m != nil {
		return m.OverrideSubdirectory
	}
	return ""
}

func (m *Runtime) GetBase() *_struct.Struct {
	if m != nil {
		return m.Base
	}
	return nil
}

// [#next-free-field: 6]
type RuntimeLayer struct {
	// Descriptive name for the runtime layer. This is only used for the runtime
	// :http:get:`/runtime` output.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are valid to be assigned to LayerSpecifier:
	//	*RuntimeLayer_StaticLayer
	//	*RuntimeLayer_DiskLayer_
	//	*RuntimeLayer_AdminLayer_
	//	*RuntimeLayer_RtdsLayer_
	LayerSpecifier       isRuntimeLayer_LayerSpecifier `protobuf_oneof:"layer_specifier"`
	XXX_NoUnkeyedLiteral struct{}                      `json:"-"`
	XXX_unrecognized     []byte                        `json:"-"`
	XXX_sizecache        int32                         `json:"-"`
}

func (m *RuntimeLayer) Reset()         { *m = RuntimeLayer{} }
func (m *RuntimeLayer) String() string { return proto.CompactTextString(m) }
func (*RuntimeLayer) ProtoMessage()    {}
func (*RuntimeLayer) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{5}
}

func (m *RuntimeLayer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RuntimeLayer.Unmarshal(m, b)
}
func (m *RuntimeLayer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RuntimeLayer.Marshal(b, m, deterministic)
}
func (m *RuntimeLayer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RuntimeLayer.Merge(m, src)
}
func (m *RuntimeLayer) XXX_Size() int {
	return xxx_messageInfo_RuntimeLayer.Size(m)
}
func (m *RuntimeLayer) XXX_DiscardUnknown() {
	xxx_messageInfo_RuntimeLayer.DiscardUnknown(m)
}

var xxx_messageInfo_RuntimeLayer proto.InternalMessageInfo

func (m *RuntimeLayer) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isRuntimeLayer_LayerSpecifier interface {
	isRuntimeLayer_LayerSpecifier()
}

type RuntimeLayer_StaticLayer struct {
	StaticLayer *_struct.Struct `protobuf:"bytes,2,opt,name=static_layer,json=staticLayer,proto3,oneof"`
}

type RuntimeLayer_DiskLayer_ struct {
	DiskLayer *RuntimeLayer_DiskLayer `protobuf:"bytes,3,opt,name=disk_layer,json=diskLayer,proto3,oneof"`
}

type RuntimeLayer_AdminLayer_ struct {
	AdminLayer *RuntimeLayer_AdminLayer `protobuf:"bytes,4,opt,name=admin_layer,json=adminLayer,proto3,oneof"`
}

type RuntimeLayer_RtdsLayer_ struct {
	RtdsLayer *RuntimeLayer_RtdsLayer `protobuf:"bytes,5,opt,name=rtds_layer,json=rtdsLayer,proto3,oneof"`
}

func (*RuntimeLayer_StaticLayer) isRuntimeLayer_LayerSpecifier() {}

func (*RuntimeLayer_DiskLayer_) isRuntimeLayer_LayerSpecifier() {}

func (*RuntimeLayer_AdminLayer_) isRuntimeLayer_LayerSpecifier() {}

func (*RuntimeLayer_RtdsLayer_) isRuntimeLayer_LayerSpecifier() {}

func (m *RuntimeLayer) GetLayerSpecifier() isRuntimeLayer_LayerSpecifier {
	if m != nil {
		return m.LayerSpecifier
	}
	return nil
}

func (m *RuntimeLayer) GetStaticLayer() *_struct.Struct {
	if x, ok := m.GetLayerSpecifier().(*RuntimeLayer_StaticLayer); ok {
		return x.StaticLayer
	}
	return nil
}

func (m *RuntimeLayer) GetDiskLayer() *RuntimeLayer_DiskLayer {
	if x, ok := m.GetLayerSpecifier().(*RuntimeLayer_DiskLayer_); ok {
		return x.DiskLayer
	}
	return nil
}

func (m *RuntimeLayer) GetAdminLayer() *RuntimeLayer_AdminLayer {
	if x, ok := m.GetLayerSpecifier().(*RuntimeLayer_AdminLayer_); ok {
		return x.AdminLayer
	}
	return nil
}

func (m *RuntimeLayer) GetRtdsLayer() *RuntimeLayer_RtdsLayer {
	if x, ok := m.GetLayerSpecifier().(*RuntimeLayer_RtdsLayer_); ok {
		return x.RtdsLayer
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RuntimeLayer) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RuntimeLayer_StaticLayer)(nil),
		(*RuntimeLayer_DiskLayer_)(nil),
		(*RuntimeLayer_AdminLayer_)(nil),
		(*RuntimeLayer_RtdsLayer_)(nil),
	}
}

// :ref:`Disk runtime <config_runtime_local_disk>` layer.
type RuntimeLayer_DiskLayer struct {
	// The implementation assumes that the file system tree is accessed via a
	// symbolic link. An atomic link swap is used when a new tree should be
	// switched to. This parameter specifies the path to the symbolic link.
	// Envoy will watch the location for changes and reload the file system tree
	// when they happen. See documentation on runtime :ref:`atomicity
	// <config_runtime_atomicity>` for further details on how reloads are
	// treated.
	SymlinkRoot string `protobuf:"bytes,1,opt,name=symlink_root,json=symlinkRoot,proto3" json:"symlink_root,omitempty"`
	// Specifies the subdirectory to load within the root directory. This is
	// useful if multiple systems share the same delivery mechanism. Envoy
	// configuration elements can be contained in a dedicated subdirectory.
	Subdirectory string `protobuf:"bytes,3,opt,name=subdirectory,proto3" json:"subdirectory,omitempty"`
	// :ref:`Append <config_runtime_local_disk_service_cluster_subdirs>` the
	// service cluster to the path under symlink root.
	AppendServiceCluster bool     `protobuf:"varint,2,opt,name=append_service_cluster,json=appendServiceCluster,proto3" json:"append_service_cluster,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RuntimeLayer_DiskLayer) Reset()         { *m = RuntimeLayer_DiskLayer{} }
func (m *RuntimeLayer_DiskLayer) String() string { return proto.CompactTextString(m) }
func (*RuntimeLayer_DiskLayer) ProtoMessage()    {}
func (*RuntimeLayer_DiskLayer) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{5, 0}
}

func (m *RuntimeLayer_DiskLayer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RuntimeLayer_DiskLayer.Unmarshal(m, b)
}
func (m *RuntimeLayer_DiskLayer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RuntimeLayer_DiskLayer.Marshal(b, m, deterministic)
}
func (m *RuntimeLayer_DiskLayer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RuntimeLayer_DiskLayer.Merge(m, src)
}
func (m *RuntimeLayer_DiskLayer) XXX_Size() int {
	return xxx_messageInfo_RuntimeLayer_DiskLayer.Size(m)
}
func (m *RuntimeLayer_DiskLayer) XXX_DiscardUnknown() {
	xxx_messageInfo_RuntimeLayer_DiskLayer.DiscardUnknown(m)
}

var xxx_messageInfo_RuntimeLayer_DiskLayer proto.InternalMessageInfo

func (m *RuntimeLayer_DiskLayer) GetSymlinkRoot() string {
	if m != nil {
		return m.SymlinkRoot
	}
	return ""
}

func (m *RuntimeLayer_DiskLayer) GetSubdirectory() string {
	if m != nil {
		return m.Subdirectory
	}
	return ""
}

func (m *RuntimeLayer_DiskLayer) GetAppendServiceCluster() bool {
	if m != nil {
		return m.AppendServiceCluster
	}
	return false
}

// :ref:`Admin console runtime <config_runtime_admin>` layer.
type RuntimeLayer_AdminLayer struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RuntimeLayer_AdminLayer) Reset()         { *m = RuntimeLayer_AdminLayer{} }
func (m *RuntimeLayer_AdminLayer) String() string { return proto.CompactTextString(m) }
func (*RuntimeLayer_AdminLayer) ProtoMessage()    {}
func (*RuntimeLayer_AdminLayer) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{5, 1}
}

func (m *RuntimeLayer_AdminLayer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RuntimeLayer_AdminLayer.Unmarshal(m, b)
}
func (m *RuntimeLayer_AdminLayer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RuntimeLayer_AdminLayer.Marshal(b, m, deterministic)
}
func (m *RuntimeLayer_AdminLayer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RuntimeLayer_AdminLayer.Merge(m, src)
}
func (m *RuntimeLayer_AdminLayer) XXX_Size() int {
	return xxx_messageInfo_RuntimeLayer_AdminLayer.Size(m)
}
func (m *RuntimeLayer_AdminLayer) XXX_DiscardUnknown() {
	xxx_messageInfo_RuntimeLayer_AdminLayer.DiscardUnknown(m)
}

var xxx_messageInfo_RuntimeLayer_AdminLayer proto.InternalMessageInfo

// :ref:`Runtime Discovery Service (RTDS) <config_runtime_rtds>` layer.
type RuntimeLayer_RtdsLayer struct {
	// Resource to subscribe to at *rtds_config* for the RTDS layer.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// RTDS configuration source.
	RtdsConfig           *v4alpha.ConfigSource `protobuf:"bytes,2,opt,name=rtds_config,json=rtdsConfig,proto3" json:"rtds_config,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *RuntimeLayer_RtdsLayer) Reset()         { *m = RuntimeLayer_RtdsLayer{} }
func (m *RuntimeLayer_RtdsLayer) String() string { return proto.CompactTextString(m) }
func (*RuntimeLayer_RtdsLayer) ProtoMessage()    {}
func (*RuntimeLayer_RtdsLayer) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{5, 2}
}

func (m *RuntimeLayer_RtdsLayer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RuntimeLayer_RtdsLayer.Unmarshal(m, b)
}
func (m *RuntimeLayer_RtdsLayer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RuntimeLayer_RtdsLayer.Marshal(b, m, deterministic)
}
func (m *RuntimeLayer_RtdsLayer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RuntimeLayer_RtdsLayer.Merge(m, src)
}
func (m *RuntimeLayer_RtdsLayer) XXX_Size() int {
	return xxx_messageInfo_RuntimeLayer_RtdsLayer.Size(m)
}
func (m *RuntimeLayer_RtdsLayer) XXX_DiscardUnknown() {
	xxx_messageInfo_RuntimeLayer_RtdsLayer.DiscardUnknown(m)
}

var xxx_messageInfo_RuntimeLayer_RtdsLayer proto.InternalMessageInfo

func (m *RuntimeLayer_RtdsLayer) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *RuntimeLayer_RtdsLayer) GetRtdsConfig() *v4alpha.ConfigSource {
	if m != nil {
		return m.RtdsConfig
	}
	return nil
}

// Runtime :ref:`configuration overview <config_runtime>`.
type LayeredRuntime struct {
	// The :ref:`layers <config_runtime_layering>` of the runtime. This is ordered
	// such that later layers in the list overlay earlier entries.
	Layers               []*RuntimeLayer `protobuf:"bytes,1,rep,name=layers,proto3" json:"layers,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *LayeredRuntime) Reset()         { *m = LayeredRuntime{} }
func (m *LayeredRuntime) String() string { return proto.CompactTextString(m) }
func (*LayeredRuntime) ProtoMessage()    {}
func (*LayeredRuntime) Descriptor() ([]byte, []int) {
	return fileDescriptor_2db232b42d182f0a, []int{6}
}

func (m *LayeredRuntime) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LayeredRuntime.Unmarshal(m, b)
}
func (m *LayeredRuntime) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LayeredRuntime.Marshal(b, m, deterministic)
}
func (m *LayeredRuntime) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LayeredRuntime.Merge(m, src)
}
func (m *LayeredRuntime) XXX_Size() int {
	return xxx_messageInfo_LayeredRuntime.Size(m)
}
func (m *LayeredRuntime) XXX_DiscardUnknown() {
	xxx_messageInfo_LayeredRuntime.DiscardUnknown(m)
}

var xxx_messageInfo_LayeredRuntime proto.InternalMessageInfo

func (m *LayeredRuntime) GetLayers() []*RuntimeLayer {
	if m != nil {
		return m.Layers
	}
	return nil
}

func init() {
	proto.RegisterType((*Bootstrap)(nil), "envoy.config.bootstrap.v4alpha.Bootstrap")
	proto.RegisterType((*Bootstrap_StaticResources)(nil), "envoy.config.bootstrap.v4alpha.Bootstrap.StaticResources")
	proto.RegisterType((*Bootstrap_DynamicResources)(nil), "envoy.config.bootstrap.v4alpha.Bootstrap.DynamicResources")
	proto.RegisterType((*Admin)(nil), "envoy.config.bootstrap.v4alpha.Admin")
	proto.RegisterType((*ClusterManager)(nil), "envoy.config.bootstrap.v4alpha.ClusterManager")
	proto.RegisterType((*ClusterManager_OutlierDetection)(nil), "envoy.config.bootstrap.v4alpha.ClusterManager.OutlierDetection")
	proto.RegisterType((*Watchdog)(nil), "envoy.config.bootstrap.v4alpha.Watchdog")
	proto.RegisterType((*Runtime)(nil), "envoy.config.bootstrap.v4alpha.Runtime")
	proto.RegisterType((*RuntimeLayer)(nil), "envoy.config.bootstrap.v4alpha.RuntimeLayer")
	proto.RegisterType((*RuntimeLayer_DiskLayer)(nil), "envoy.config.bootstrap.v4alpha.RuntimeLayer.DiskLayer")
	proto.RegisterType((*RuntimeLayer_AdminLayer)(nil), "envoy.config.bootstrap.v4alpha.RuntimeLayer.AdminLayer")
	proto.RegisterType((*RuntimeLayer_RtdsLayer)(nil), "envoy.config.bootstrap.v4alpha.RuntimeLayer.RtdsLayer")
	proto.RegisterType((*LayeredRuntime)(nil), "envoy.config.bootstrap.v4alpha.LayeredRuntime")
}

func init() {
	proto.RegisterFile("envoy/config/bootstrap/v4alpha/bootstrap.proto", fileDescriptor_2db232b42d182f0a)
}

var fileDescriptor_2db232b42d182f0a = []byte{
	// 1819 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x58, 0xcf, 0x6f, 0x1b, 0xb9,
	0x15, 0x5e, 0xfd, 0xb0, 0x2d, 0x3f, 0xc9, 0xb6, 0xcc, 0xf5, 0x6e, 0x54, 0x75, 0x93, 0xb5, 0xe5,
	0x24, 0xeb, 0x4d, 0x93, 0x51, 0x1b, 0xb9, 0xde, 0x46, 0xc9, 0xa2, 0x1b, 0x45, 0x75, 0x93, 0x20,
	0x4d, 0x8c, 0x71, 0x9a, 0x00, 0x3d, 0x74, 0x40, 0xcf, 0xd0, 0xf2, 0xc0, 0xa3, 0xe1, 0x80, 0xe4,
	0x68, 0xe3, 0x5b, 0x0f, 0x05, 0xba, 0x7f, 0x43, 0x8f, 0x45, 0x4f, 0x45, 0x0f, 0x3d, 0xf7, 0xd2,
	0xed, 0xa1, 0x40, 0x4f, 0x05, 0x7a, 0x2f, 0xd0, 0x3f, 0xa1, 0xd7, 0x22, 0xa7, 0x05, 0x7f, 0x8d,
	0x3c, 0x72, 0x64, 0xd9, 0xb9, 0x0d, 0x1f, 0xbf, 0xf7, 0xf1, 0xf1, 0xf1, 0xe3, 0x23, 0x39, 0xe0,
	0x90, 0x78, 0x44, 0x4f, 0xda, 0x3e, 0x8d, 0x0f, 0xc3, 0x41, 0xfb, 0x80, 0x52, 0xc1, 0x05, 0xc3,
	0x49, 0x7b, 0xb4, 0x8d, 0xa3, 0xe4, 0x08, 0x8f, 0x2d, 0x4e, 0xc2, 0xa8, 0xa0, 0xe8, 0x9a, 0xc2,
	0x3b, 0x1a, 0xef, 0x8c, 0x7b, 0x0d, 0xbe, 0x79, 0x2b, 0xc7, 0xe7, 0x47, 0x29, 0x17, 0x84, 0x65,
	0x6c, 0xa6, 0xad, 0xb9, 0x9a, 0x9f, 0xe5, 0xb1, 0x94, 0x91, 0x0c, 0x88, 0x83, 0x80, 0x11, 0xce,
	0x0d, 0xf0, 0xfa, 0x74, 0xe0, 0x01, 0xe6, 0xc4, 0xa0, 0xee, 0x4c, 0x47, 0x69, 0x9b, 0xc7, 0x69,
	0xca, 0x7c, 0x0b, 0xdf, 0x9e, 0x0e, 0x27, 0x23, 0x12, 0x0b, 0x8f, 0x13, 0x36, 0x0a, 0x7d, 0xe2,
	0x99, 0xb9, 0xce, 0x1c, 0x84, 0x53, 0xff, 0x98, 0x08, 0x8f, 0x26, 0x22, 0xa4, 0xf1, 0x3b, 0xa7,
	0x18, 0x85, 0x5c, 0x90, 0x58, 0xe6, 0xa3, 0x93, 0x7d, 0x1b, 0xe0, 0x66, 0x0e, 0x38, 0x24, 0x82,
	0x85, 0x3e, 0x97, 0x38, 0x2e, 0xb0, 0xe0, 0xef, 0x64, 0xa3, 0x23, 0xc2, 0x22, 0x8a, 0x03, 0x89,
	0xb2, 0xdf, 0x06, 0x78, 0x33, 0x07, 0x14, 0x0c, 0xfb, 0xe3, 0x30, 0x55, 0xcb, 0xe0, 0xee, 0x69,
	0x1c, 0x79, 0x23, 0x48, 0xcc, 0x43, 0x1a, 0x73, 0xd9, 0x1b, 0xf3, 0x84, 0x32, 0xe1, 0xe9, 0xe9,
	0xf0, 0xb6, 0x88, 0xf8, 0x38, 0x8f, 0x84, 0x09, 0xe3, 0x7a, 0x6d, 0x40, 0xe9, 0x20, 0x22, 0x6d,
	0xd5, 0x3a, 0x48, 0x0f, 0xdb, 0x41, 0xca, 0xf0, 0xa9, 0x99, 0x7f, 0x32, 0xd9, 0xcf, 0x05, 0x4b,
	0xfd, 0xa9, 0xde, 0x5f, 0x33, 0x9c, 0x24, 0x84, 0xf1, 0x7c, 0x3a, 0x70, 0x1c, 0x53, 0xa1, 0x58,
	0x79, 0x3b, 0x20, 0x09, 0x23, 0xfe, 0xe9, 0x21, 0xae, 0xa6, 0x41, 0x82, 0x73, 0x18, 0x99, 0xac,
	0xd4, 0x72, 0x6c, 0x9c, 0xe9, 0x1e, 0x11, 0x26, 0x67, 0x19, 0xc6, 0x76, 0x35, 0xaf, 0x8c, 0x70,
	0x14, 0x06, 0x58, 0x90, 0xb6, 0xfd, 0xd0, 0x1d, 0xad, 0x6f, 0x57, 0x60, 0xb1, 0x67, 0xc5, 0x8d,
	0x3a, 0x50, 0x8e, 0x69, 0x40, 0x1a, 0x85, 0xf5, 0xc2, 0x56, 0xf5, 0xee, 0xa7, 0x4e, 0x6e, 0x0f,
	0x48, 0x0d, 0x58, 0xf9, 0x3b, 0xcf, 0x69, 0x40, 0x5c, 0x05, 0x46, 0x01, 0xd4, 0x65, 0x38, 0xa1,
	0xef, 0x31, 0xa2, 0x85, 0xc7, 0x1b, 0x45, 0x45, 0x70, 0xcf, 0x39, 0x7f, 0x13, 0x39, 0xd9, 0xc8,
	0xce, 0xbe, 0x62, 0x70, 0x2d, 0x81, 0xbb, 0xc2, 0xf3, 0x06, 0x34, 0x80, 0xd5, 0xe0, 0x24, 0xc6,
	0xc3, 0xdc, 0x30, 0x25, 0x35, 0x4c, 0xf7, 0xe2, 0xc3, 0xf4, 0x35, 0xc5, 0x78, 0x9c, 0x7a, 0x30,
	0x61, 0x41, 0xaf, 0x61, 0xc5, 0xec, 0x5e, 0x6f, 0x88, 0x63, 0x3c, 0x20, 0xac, 0x51, 0x56, 0xc3,
	0x38, 0xb3, 0x86, 0x79, 0xa4, 0xdd, 0x7e, 0xa1, 0xbd, 0xdc, 0x65, 0x3f, 0xd7, 0x46, 0x4f, 0x00,
	0x8e, 0x02, 0x6e, 0x76, 0x59, 0x63, 0x59, 0x71, 0xde, 0x3a, 0x27, 0xc5, 0x0f, 0x93, 0xf0, 0x91,
	0x32, 0xef, 0xab, 0xc8, 0xdc, 0xc5, 0xa3, 0x80, 0x6b, 0x03, 0xba, 0x0a, 0x70, 0x18, 0xe1, 0x01,
	0xf7, 0x12, 0x2c, 0x8e, 0x1a, 0x73, 0xeb, 0x85, 0xad, 0x45, 0x77, 0x51, 0x59, 0xf6, 0xb0, 0x38,
	0x42, 0x8f, 0xa0, 0xaa, 0x76, 0x93, 0xc7, 0xc3, 0xf8, 0x98, 0x37, 0xe6, 0xd7, 0x4b, 0x5b, 0xd5,
	0xbb, 0xad, 0xfc, 0x50, 0x66, 0xe7, 0x39, 0xa3, 0x8e, 0xca, 0x3d, 0xdf, 0x0f, 0xe3, 0x63, 0x17,
	0xb8, 0xfd, 0xe4, 0xe8, 0xe7, 0x50, 0xd3, 0x24, 0x26, 0xe0, 0x25, 0x15, 0xf0, 0xf5, 0xf3, 0x59,
	0x74, 0x7c, 0xae, 0x1e, 0xde, 0x04, 0xfb, 0x6b, 0x58, 0xd3, 0x44, 0x87, 0x51, 0xca, 0x8f, 0xbc,
	0x30, 0x16, 0x84, 0x8d, 0x70, 0xd4, 0x58, 0x50, 0x84, 0xdf, 0x73, 0xf4, 0x0e, 0x71, 0xec, 0x0e,
	0x71, 0xfa, 0x66, 0x7f, 0xf5, 0x56, 0xdf, 0xf6, 0x96, 0xff, 0x54, 0xa8, 0x36, 0x4b, 0x95, 0x3f,
	0x17, 0xef, 0x96, 0xeb, 0xdf, 0xfe, 0xf6, 0x4b, 0x17, 0x29, 0xa6, 0x5d, 0x49, 0xf4, 0xc4, 0xf0,
	0xa0, 0x3e, 0x54, 0xbe, 0xc6, 0xc2, 0x3f, 0x0a, 0xe8, 0xa0, 0x51, 0x51, 0x9c, 0x5b, 0xb3, 0x56,
	0xea, 0xb5, 0xc1, 0xbb, 0x99, 0x27, 0xfa, 0x12, 0x16, 0x64, 0xc1, 0x08, 0xe3, 0x41, 0x63, 0x51,
	0x91, 0x6c, 0xe6, 0x49, 0x74, 0x35, 0xb1, 0x04, 0x2f, 0x35, 0xd4, 0xb5, 0x3e, 0x52, 0x35, 0x11,
	0x3e, 0x21, 0x8c, 0x04, 0x1e, 0x4b, 0x63, 0x11, 0x0e, 0x49, 0x63, 0xf5, 0x62, 0xaa, 0x79, 0xa6,
	0xdd, 0x5c, 0xed, 0xe5, 0x2e, 0x47, 0xb9, 0x36, 0xba, 0x0f, 0x73, 0x38, 0x18, 0x86, 0x71, 0xa3,
	0xa6, 0xe8, 0x6e, 0xcc, 0xa2, 0x7b, 0x28, 0xc1, 0xae, 0xf6, 0x41, 0x2f, 0xa1, 0x6e, 0x0b, 0x66,
	0x26, 0xe6, 0x15, 0xc5, 0xf3, 0x79, 0x9e, 0x27, 0x2b, 0xab, 0xa3, 0x8e, 0xf3, 0xc2, 0x7c, 0x5b,
	0x1d, 0xaf, 0xd0, 0xbc, 0x01, 0xed, 0xc0, 0x15, 0x12, 0xe3, 0x83, 0x88, 0x78, 0x41, 0xc8, 0x13,
	0x99, 0x40, 0xc2, 0x3c, 0xb5, 0x30, 0x8d, 0xfa, 0x7a, 0x61, 0xab, 0xe2, 0x7e, 0xa4, 0xbb, 0xfb,
	0x59, 0xaf, 0xd2, 0x06, 0xda, 0x84, 0xa5, 0x23, 0x82, 0x03, 0xc2, 0xbc, 0x84, 0x91, 0xc3, 0xf0,
	0x4d, 0x03, 0x29, 0xe1, 0xd6, 0xb4, 0x71, 0x4f, 0xd9, 0x90, 0x07, 0x57, 0x8d, 0x76, 0x09, 0x1b,
	0x11, 0xe6, 0x99, 0x52, 0xe6, 0xc9, 0x20, 0x58, 0x18, 0x90, 0xc6, 0x87, 0x2a, 0xfe, 0x4f, 0xce,
	0xc8, 0xe6, 0x97, 0x4f, 0x62, 0xb1, 0xb3, 0xfd, 0x0a, 0x47, 0x29, 0x71, 0x9b, 0x5a, 0xc7, 0x8a,
	0xe1, 0x95, 0x26, 0x78, 0x61, 0xfc, 0xd1, 0x36, 0x5c, 0x49, 0x39, 0xf1, 0x84, 0x9f, 0x78, 0x87,
	0x94, 0x79, 0x41, 0xcc, 0xbd, 0x88, 0xd2, 0xe3, 0x34, 0xe1, 0x8d, 0x35, 0x15, 0xfd, 0x87, 0x29,
	0x27, 0x2f, 0xfd, 0x64, 0x97, 0xb2, 0x7e, 0xcc, 0x9f, 0xe9, 0xae, 0xe6, 0x1f, 0x8b, 0xb0, 0x32,
	0x51, 0xa3, 0xd0, 0x57, 0xb0, 0x68, 0x0f, 0x37, 0xde, 0x28, 0xbc, 0x6b, 0x93, 0x65, 0x67, 0xdf,
	0xa8, 0xe3, 0x3c, 0x33, 0xdf, 0xee, 0xd8, 0x09, 0x3d, 0x84, 0x8a, 0x29, 0x12, 0xb2, 0x64, 0x96,
	0xce, 0xae, 0xaf, 0xbd, 0x47, 0x4c, 0x94, 0x18, 0x37, 0x73, 0x43, 0x7b, 0xb0, 0xc0, 0x89, 0xcf,
	0x88, 0x90, 0xd5, 0x50, 0x32, 0xec, 0x18, 0x86, 0xf1, 0x59, 0xe7, 0x9c, 0x39, 0xeb, 0x1c, 0x11,
	0xf1, 0x8c, 0x73, 0x5f, 0xb9, 0xbb, 0x96, 0xa6, 0xdb, 0xfd, 0xfd, 0x3f, 0xbe, 0xb9, 0xf6, 0x63,
	0xe8, 0x4c, 0x13, 0x5a, 0x67, 0x7a, 0xd9, 0x6e, 0xfe, 0xa5, 0x08, 0xf5, 0xc9, 0x1a, 0x8b, 0x76,
	0x01, 0xa2, 0x71, 0xe1, 0xd3, 0x67, 0xcb, 0x67, 0xe7, 0x14, 0xbe, 0x7c, 0xd5, 0x8b, 0xb2, 0xaa,
	0xb7, 0x0b, 0xe0, 0x8f, 0x79, 0x8a, 0x97, 0xe4, 0xf1, 0x33, 0x9e, 0x27, 0x00, 0x78, 0xcc, 0x53,
	0xba, 0x7c, 0x21, 0xc6, 0x96, 0xaa, 0x7b, 0x5f, 0xe6, 0x6a, 0x07, 0xb6, 0x2f, 0x92, 0xab, 0xc9,
	0xbc, 0x3c, 0x2d, 0x57, 0xca, 0xf5, 0xb9, 0xee, 0x2d, 0x49, 0x71, 0x03, 0x36, 0x2f, 0x40, 0xf1,
	0xb4, 0x5c, 0x81, 0x7a, 0xf5, 0x69, 0xb9, 0x52, 0xad, 0xd7, 0xdc, 0x05, 0x53, 0x67, 0x5a, 0xdf,
	0x14, 0x61, 0x4e, 0xed, 0x7a, 0x74, 0x13, 0x56, 0xb0, 0xef, 0x13, 0x2e, 0x15, 0x3d, 0xd0, 0x67,
	0x43, 0x41, 0x6d, 0xb1, 0x25, 0x6d, 0x7e, 0x46, 0x07, 0xea, 0x7c, 0xd8, 0x80, 0x5a, 0xc2, 0xe8,
	0x61, 0x18, 0x11, 0x0d, 0x2a, 0x2a, 0x50, 0xd5, 0xd8, 0x14, 0xe4, 0x01, 0x2c, 0x98, 0xab, 0xa9,
	0x49, 0x50, 0xeb, 0xbc, 0x04, 0x69, 0xa4, 0x6b, 0x5d, 0xd0, 0x73, 0x58, 0xce, 0x5d, 0x12, 0x79,
	0xa3, 0xac, 0xb4, 0x79, 0xde, 0x6a, 0xed, 0x2b, 0x87, 0x17, 0x0a, 0xef, 0x2e, 0xf1, 0x53, 0x2d,
	0xde, 0xbd, 0x29, 0x73, 0xb4, 0x01, 0x9f, 0x4e, 0xcf, 0x91, 0x4a, 0x40, 0xeb, 0xbf, 0x65, 0x58,
	0xce, 0x9f, 0xc2, 0xe8, 0x36, 0xa0, 0x88, 0xfa, 0x38, 0xf2, 0xec, 0xa1, 0x1e, 0xe3, 0x21, 0x31,
	0x69, 0xa9, 0xab, 0x1e, 0xe3, 0xf0, 0x1c, 0x0f, 0x09, 0x8a, 0x60, 0x95, 0xa6, 0x22, 0x0a, 0x09,
	0xf3, 0x02, 0x22, 0x88, 0x2f, 0x87, 0x37, 0x4a, 0xfb, 0xe9, 0xe5, 0x8e, 0x7f, 0xe7, 0x85, 0xe6,
	0xe9, 0x5b, 0x1a, 0xb7, 0x4e, 0x27, 0x2c, 0xe8, 0x35, 0xac, 0xa5, 0x09, 0x17, 0x8c, 0xe0, 0xa1,
	0x77, 0x10, 0xc6, 0x41, 0x5e, 0x92, 0x37, 0xce, 0x49, 0x56, 0x2f, 0x8c, 0x03, 0x73, 0xd6, 0x22,
	0x4b, 0x31, 0xb6, 0xa1, 0x57, 0xb0, 0xaa, 0x6a, 0x7e, 0xee, 0x00, 0x2f, 0x5f, 0x5a, 0xe8, 0x2b,
	0x92, 0xe4, 0xd4, 0xb9, 0xde, 0xfc, 0x57, 0x01, 0xea, 0x93, 0xf3, 0x42, 0xd7, 0x61, 0x59, 0xbf,
	0x23, 0x26, 0x44, 0x57, 0x53, 0x56, 0xab, 0x39, 0x17, 0x96, 0x72, 0xaf, 0x0d, 0x93, 0xd5, 0x3b,
	0xe7, 0x84, 0xf3, 0x33, 0x89, 0xdf, 0xd7, 0x70, 0x33, 0x59, 0xcd, 0x69, 0x6c, 0xdd, 0xaf, 0xa4,
	0x2c, 0xee, 0xc3, 0xbd, 0xe9, 0xb2, 0x98, 0xb1, 0x26, 0xdd, 0xb6, 0x64, 0xb8, 0x05, 0x5b, 0x17,
	0x65, 0x68, 0xfd, 0xad, 0x08, 0x15, 0x7b, 0x7b, 0x40, 0x0f, 0xa0, 0x36, 0x0c, 0x39, 0xf7, 0xe4,
	0x36, 0xa4, 0xa9, 0x30, 0xa5, 0x6d, 0xfa, 0x8d, 0xc6, 0xad, 0x4a, 0xf8, 0x4b, 0x8d, 0x46, 0x7d,
	0xa8, 0x0f, 0xc9, 0x00, 0xe7, 0x18, 0x8a, 0xb3, 0x18, 0x56, 0xac, 0x8b, 0x65, 0x79, 0x00, 0xb5,
	0xe3, 0x30, 0x8a, 0x32, 0x86, 0xd2, 0xcc, 0x18, 0x24, 0xdc, 0x7a, 0xef, 0xc2, 0xea, 0x30, 0x8d,
	0x44, 0x98, 0xa3, 0x28, 0xcf, 0xa2, 0xa8, 0x67, 0x3e, 0x86, 0xa7, 0xfb, 0xb9, 0xcc, 0xe3, 0x75,
	0x68, 0x4d, 0xcf, 0xa3, 0x4d, 0x5a, 0xeb, 0x3f, 0x05, 0x58, 0xb0, 0x97, 0x9b, 0x0d, 0xa8, 0xf1,
	0x93, 0x61, 0x14, 0xc6, 0xc7, 0x1e, 0xa3, 0x54, 0x18, 0xe1, 0x54, 0x8d, 0xcd, 0xa5, 0x54, 0xa0,
	0x16, 0xd4, 0x78, 0x7a, 0x10, 0x84, 0x8c, 0xf8, 0x82, 0xb2, 0x13, 0x53, 0xab, 0x72, 0x36, 0xd4,
	0x81, 0x8f, 0xec, 0xf5, 0xc0, 0xcb, 0x81, 0x4b, 0x0a, 0xbc, 0x66, 0x3b, 0xf7, 0x4f, 0x3b, 0xfd,
	0x00, 0xca, 0xf2, 0x4d, 0x6d, 0x66, 0x7b, 0xe5, 0xcc, 0x6c, 0xf7, 0xd5, 0x33, 0xce, 0x55, 0xa0,
	0xee, 0x96, 0x9c, 0xdf, 0x26, 0x6c, 0x4c, 0x9f, 0x9f, 0x99, 0x52, 0xeb, 0x7f, 0xf3, 0x50, 0x33,
	0xdf, 0xea, 0x66, 0x87, 0xbe, 0x0f, 0xe5, 0x71, 0xc9, 0xe9, 0x2d, 0xbc, 0xed, 0x95, 0x59, 0x71,
	0xbd, 0xe0, 0x2a, 0xa3, 0x5c, 0x3d, 0xf3, 0x76, 0x52, 0xd7, 0x3e, 0xb3, 0xfe, 0xd3, 0x82, 0x79,
	0xfc, 0x81, 0xbe, 0x59, 0x87, 0xbe, 0xa6, 0x7e, 0x0d, 0x10, 0x84, 0xfc, 0xd8, 0xf8, 0xea, 0x95,
	0xdf, 0x99, 0x55, 0xa6, 0x4e, 0x07, 0xe7, 0xf4, 0x43, 0x7e, 0xac, 0xbe, 0x1e, 0x7f, 0xe0, 0x2e,
	0x06, 0xb6, 0x81, 0x7e, 0x05, 0x55, 0x75, 0x81, 0x34, 0xcc, 0x3a, 0x45, 0x5f, 0x5c, 0x8a, 0x59,
	0x15, 0x64, 0x4b, 0x0d, 0x38, 0x6b, 0xc9, 0xa0, 0x99, 0x08, 0xb8, 0xa1, 0x9e, 0x7b, 0x8f, 0xa0,
	0x5d, 0x11, 0xf0, 0x2c, 0x68, 0x66, 0x1b, 0xcd, 0xbf, 0x17, 0x60, 0x31, 0x9b, 0xcf, 0xfb, 0x48,
	0xab, 0xf4, 0x0e, 0x69, 0x6d, 0xc3, 0xc7, 0xf2, 0xbd, 0x1e, 0x07, 0xe3, 0xbf, 0x24, 0xba, 0x20,
	0xa8, 0xa5, 0xaa, 0xb8, 0x6b, 0xba, 0xd7, 0x56, 0x29, 0xdd, 0xd7, 0xfd, 0x42, 0xca, 0xe5, 0x2e,
	0xfc, 0x70, 0xa6, 0x5c, 0x26, 0x56, 0xa1, 0xb9, 0x0b, 0x30, 0x4e, 0x5c, 0xf7, 0x27, 0x92, 0xa6,
	0x03, 0x3f, 0xba, 0x20, 0xcd, 0xd8, 0xb3, 0xf9, 0x87, 0x02, 0x2c, 0x66, 0x69, 0x42, 0xe8, 0xb4,
	0x04, 0x8d, 0xf2, 0x1e, 0x43, 0x55, 0x2d, 0xc3, 0xfb, 0xdd, 0xa6, 0xd4, 0x12, 0x9a, 0x3b, 0xd0,
	0x25, 0x27, 0x9b, 0x85, 0xd5, 0xbd, 0x23, 0x1d, 0xb7, 0xe0, 0xe6, 0xc5, 0x1c, 0x7b, 0x1f, 0x9b,
	0x27, 0x96, 0xc7, 0x13, 0xe2, 0x87, 0x87, 0x21, 0x61, 0xa8, 0xf4, 0xff, 0x5e, 0xa1, 0xf5, 0xbb,
	0x02, 0x2c, 0xe7, 0x1f, 0x51, 0xa8, 0x0f, 0xf3, 0x0a, 0x6a, 0xaf, 0xe5, 0xb7, 0x2f, 0xa3, 0x2f,
	0xd7, 0xf8, 0x5e, 0xe0, 0x70, 0xc8, 0x0f, 0xdb, 0x7b, 0xfc, 0xd7, 0xdf, 0xfc, 0xf3, 0xdf, 0xf3,
	0xc5, 0x7a, 0x09, 0x6e, 0x87, 0x54, 0x0f, 0x99, 0x30, 0xfa, 0xe6, 0x64, 0xc6, 0xe8, 0xbd, 0xe5,
	0xec, 0x86, 0xb7, 0x27, 0x37, 0xfc, 0x5e, 0xe1, 0x60, 0x5e, 0xed, 0xfc, 0xce, 0x77, 0x01, 0x00,
	0x00, 0xff, 0xff, 0x47, 0x9b, 0x54, 0xbc, 0xb6, 0x14, 0x00, 0x00,
}
