// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/config/core/v3/grpc_service.proto

package envoy_config_core_v3

import (
	fmt "fmt"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	any "github.com/golang/protobuf/ptypes/any"
	duration "github.com/golang/protobuf/ptypes/duration"
	empty "github.com/golang/protobuf/ptypes/empty"
	_struct "github.com/golang/protobuf/ptypes/struct"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// gRPC service configuration. This is used by :ref:`ApiConfigSource
// <envoy_api_msg_config.core.v3.ApiConfigSource>` and filter configurations.
// [#next-free-field: 6]
type GrpcService struct {
	// Types that are valid to be assigned to TargetSpecifier:
	//	*GrpcService_EnvoyGrpc_
	//	*GrpcService_GoogleGrpc_
	TargetSpecifier isGrpcService_TargetSpecifier `protobuf_oneof:"target_specifier"`
	// The timeout for the gRPC request. This is the timeout for a specific
	// request.
	Timeout *duration.Duration `protobuf:"bytes,3,opt,name=timeout,proto3" json:"timeout,omitempty"`
	// Additional metadata to include in streams initiated to the GrpcService.
	// This can be used for scenarios in which additional ad hoc authorization
	// headers (e.g. ``x-foo-bar: baz-key``) are to be injected.
	InitialMetadata      []*HeaderValue `protobuf:"bytes,5,rep,name=initial_metadata,json=initialMetadata,proto3" json:"initial_metadata,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *GrpcService) Reset()         { *m = GrpcService{} }
func (m *GrpcService) String() string { return proto.CompactTextString(m) }
func (*GrpcService) ProtoMessage()    {}
func (*GrpcService) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0}
}

func (m *GrpcService) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService.Unmarshal(m, b)
}
func (m *GrpcService) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService.Marshal(b, m, deterministic)
}
func (m *GrpcService) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService.Merge(m, src)
}
func (m *GrpcService) XXX_Size() int {
	return xxx_messageInfo_GrpcService.Size(m)
}
func (m *GrpcService) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService proto.InternalMessageInfo

type isGrpcService_TargetSpecifier interface {
	isGrpcService_TargetSpecifier()
}

type GrpcService_EnvoyGrpc_ struct {
	EnvoyGrpc *GrpcService_EnvoyGrpc `protobuf:"bytes,1,opt,name=envoy_grpc,json=envoyGrpc,proto3,oneof"`
}

type GrpcService_GoogleGrpc_ struct {
	GoogleGrpc *GrpcService_GoogleGrpc `protobuf:"bytes,2,opt,name=google_grpc,json=googleGrpc,proto3,oneof"`
}

func (*GrpcService_EnvoyGrpc_) isGrpcService_TargetSpecifier() {}

func (*GrpcService_GoogleGrpc_) isGrpcService_TargetSpecifier() {}

func (m *GrpcService) GetTargetSpecifier() isGrpcService_TargetSpecifier {
	if m != nil {
		return m.TargetSpecifier
	}
	return nil
}

func (m *GrpcService) GetEnvoyGrpc() *GrpcService_EnvoyGrpc {
	if x, ok := m.GetTargetSpecifier().(*GrpcService_EnvoyGrpc_); ok {
		return x.EnvoyGrpc
	}
	return nil
}

func (m *GrpcService) GetGoogleGrpc() *GrpcService_GoogleGrpc {
	if x, ok := m.GetTargetSpecifier().(*GrpcService_GoogleGrpc_); ok {
		return x.GoogleGrpc
	}
	return nil
}

func (m *GrpcService) GetTimeout() *duration.Duration {
	if m != nil {
		return m.Timeout
	}
	return nil
}

func (m *GrpcService) GetInitialMetadata() []*HeaderValue {
	if m != nil {
		return m.InitialMetadata
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*GrpcService) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*GrpcService_EnvoyGrpc_)(nil),
		(*GrpcService_GoogleGrpc_)(nil),
	}
}

type GrpcService_EnvoyGrpc struct {
	// The name of the upstream gRPC cluster. SSL credentials will be supplied
	// in the :ref:`Cluster <envoy_api_msg_config.cluster.v3.Cluster>` :ref:`transport_socket
	// <envoy_api_field_config.cluster.v3.Cluster.transport_socket>`.
	ClusterName          string   `protobuf:"bytes,1,opt,name=cluster_name,json=clusterName,proto3" json:"cluster_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GrpcService_EnvoyGrpc) Reset()         { *m = GrpcService_EnvoyGrpc{} }
func (m *GrpcService_EnvoyGrpc) String() string { return proto.CompactTextString(m) }
func (*GrpcService_EnvoyGrpc) ProtoMessage()    {}
func (*GrpcService_EnvoyGrpc) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 0}
}

func (m *GrpcService_EnvoyGrpc) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_EnvoyGrpc.Unmarshal(m, b)
}
func (m *GrpcService_EnvoyGrpc) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_EnvoyGrpc.Marshal(b, m, deterministic)
}
func (m *GrpcService_EnvoyGrpc) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_EnvoyGrpc.Merge(m, src)
}
func (m *GrpcService_EnvoyGrpc) XXX_Size() int {
	return xxx_messageInfo_GrpcService_EnvoyGrpc.Size(m)
}
func (m *GrpcService_EnvoyGrpc) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_EnvoyGrpc.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_EnvoyGrpc proto.InternalMessageInfo

func (m *GrpcService_EnvoyGrpc) GetClusterName() string {
	if m != nil {
		return m.ClusterName
	}
	return ""
}

// [#next-free-field: 7]
type GrpcService_GoogleGrpc struct {
	// The target URI when using the `Google C++ gRPC client
	// <https://github.com/grpc/grpc>`_. SSL credentials will be supplied in
	// :ref:`channel_credentials <envoy_api_field_config.core.v3.GrpcService.GoogleGrpc.channel_credentials>`.
	TargetUri          string                                     `protobuf:"bytes,1,opt,name=target_uri,json=targetUri,proto3" json:"target_uri,omitempty"`
	ChannelCredentials *GrpcService_GoogleGrpc_ChannelCredentials `protobuf:"bytes,2,opt,name=channel_credentials,json=channelCredentials,proto3" json:"channel_credentials,omitempty"`
	// A set of call credentials that can be composed with `channel credentials
	// <https://grpc.io/docs/guides/auth.html#credential-types>`_.
	CallCredentials []*GrpcService_GoogleGrpc_CallCredentials `protobuf:"bytes,3,rep,name=call_credentials,json=callCredentials,proto3" json:"call_credentials,omitempty"`
	// The human readable prefix to use when emitting statistics for the gRPC
	// service.
	//
	// .. csv-table::
	//    :header: Name, Type, Description
	//    :widths: 1, 1, 2
	//
	//    streams_total, Counter, Total number of streams opened
	//    streams_closed_<gRPC status code>, Counter, Total streams closed with <gRPC status code>
	StatPrefix string `protobuf:"bytes,4,opt,name=stat_prefix,json=statPrefix,proto3" json:"stat_prefix,omitempty"`
	// The name of the Google gRPC credentials factory to use. This must have been registered with
	// Envoy. If this is empty, a default credentials factory will be used that sets up channel
	// credentials based on other configuration parameters.
	CredentialsFactoryName string `protobuf:"bytes,5,opt,name=credentials_factory_name,json=credentialsFactoryName,proto3" json:"credentials_factory_name,omitempty"`
	// Additional configuration for site-specific customizations of the Google
	// gRPC library.
	Config               *_struct.Struct `protobuf:"bytes,6,opt,name=config,proto3" json:"config,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *GrpcService_GoogleGrpc) Reset()         { *m = GrpcService_GoogleGrpc{} }
func (m *GrpcService_GoogleGrpc) String() string { return proto.CompactTextString(m) }
func (*GrpcService_GoogleGrpc) ProtoMessage()    {}
func (*GrpcService_GoogleGrpc) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1}
}

func (m *GrpcService_GoogleGrpc) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc.Size(m)
}
func (m *GrpcService_GoogleGrpc) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc proto.InternalMessageInfo

func (m *GrpcService_GoogleGrpc) GetTargetUri() string {
	if m != nil {
		return m.TargetUri
	}
	return ""
}

func (m *GrpcService_GoogleGrpc) GetChannelCredentials() *GrpcService_GoogleGrpc_ChannelCredentials {
	if m != nil {
		return m.ChannelCredentials
	}
	return nil
}

func (m *GrpcService_GoogleGrpc) GetCallCredentials() []*GrpcService_GoogleGrpc_CallCredentials {
	if m != nil {
		return m.CallCredentials
	}
	return nil
}

func (m *GrpcService_GoogleGrpc) GetStatPrefix() string {
	if m != nil {
		return m.StatPrefix
	}
	return ""
}

func (m *GrpcService_GoogleGrpc) GetCredentialsFactoryName() string {
	if m != nil {
		return m.CredentialsFactoryName
	}
	return ""
}

func (m *GrpcService_GoogleGrpc) GetConfig() *_struct.Struct {
	if m != nil {
		return m.Config
	}
	return nil
}

// See https://grpc.io/grpc/cpp/structgrpc_1_1_ssl_credentials_options.html.
type GrpcService_GoogleGrpc_SslCredentials struct {
	// PEM encoded server root certificates.
	RootCerts *DataSource `protobuf:"bytes,1,opt,name=root_certs,json=rootCerts,proto3" json:"root_certs,omitempty"`
	// PEM encoded client private key.
	PrivateKey *DataSource `protobuf:"bytes,2,opt,name=private_key,json=privateKey,proto3" json:"private_key,omitempty"`
	// PEM encoded client certificate chain.
	CertChain            *DataSource `protobuf:"bytes,3,opt,name=cert_chain,json=certChain,proto3" json:"cert_chain,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *GrpcService_GoogleGrpc_SslCredentials) Reset()         { *m = GrpcService_GoogleGrpc_SslCredentials{} }
func (m *GrpcService_GoogleGrpc_SslCredentials) String() string { return proto.CompactTextString(m) }
func (*GrpcService_GoogleGrpc_SslCredentials) ProtoMessage()    {}
func (*GrpcService_GoogleGrpc_SslCredentials) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 0}
}

func (m *GrpcService_GoogleGrpc_SslCredentials) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_SslCredentials.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_SslCredentials) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_SslCredentials.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_SslCredentials) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_SslCredentials.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_SslCredentials) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_SslCredentials.Size(m)
}
func (m *GrpcService_GoogleGrpc_SslCredentials) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_SslCredentials.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_SslCredentials proto.InternalMessageInfo

func (m *GrpcService_GoogleGrpc_SslCredentials) GetRootCerts() *DataSource {
	if m != nil {
		return m.RootCerts
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_SslCredentials) GetPrivateKey() *DataSource {
	if m != nil {
		return m.PrivateKey
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_SslCredentials) GetCertChain() *DataSource {
	if m != nil {
		return m.CertChain
	}
	return nil
}

// Local channel credentials. Only UDS is supported for now.
// See https://github.com/grpc/grpc/pull/15909.
type GrpcService_GoogleGrpc_GoogleLocalCredentials struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GrpcService_GoogleGrpc_GoogleLocalCredentials) Reset() {
	*m = GrpcService_GoogleGrpc_GoogleLocalCredentials{}
}
func (m *GrpcService_GoogleGrpc_GoogleLocalCredentials) String() string {
	return proto.CompactTextString(m)
}
func (*GrpcService_GoogleGrpc_GoogleLocalCredentials) ProtoMessage() {}
func (*GrpcService_GoogleGrpc_GoogleLocalCredentials) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 1}
}

func (m *GrpcService_GoogleGrpc_GoogleLocalCredentials) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_GoogleLocalCredentials.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_GoogleLocalCredentials) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_GoogleLocalCredentials.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_GoogleLocalCredentials) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_GoogleLocalCredentials.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_GoogleLocalCredentials) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_GoogleLocalCredentials.Size(m)
}
func (m *GrpcService_GoogleGrpc_GoogleLocalCredentials) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_GoogleLocalCredentials.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_GoogleLocalCredentials proto.InternalMessageInfo

// See https://grpc.io/docs/guides/auth.html#credential-types to understand Channel and Call
// credential types.
type GrpcService_GoogleGrpc_ChannelCredentials struct {
	// Types that are valid to be assigned to CredentialSpecifier:
	//	*GrpcService_GoogleGrpc_ChannelCredentials_SslCredentials
	//	*GrpcService_GoogleGrpc_ChannelCredentials_GoogleDefault
	//	*GrpcService_GoogleGrpc_ChannelCredentials_LocalCredentials
	CredentialSpecifier  isGrpcService_GoogleGrpc_ChannelCredentials_CredentialSpecifier `protobuf_oneof:"credential_specifier"`
	XXX_NoUnkeyedLiteral struct{}                                                        `json:"-"`
	XXX_unrecognized     []byte                                                          `json:"-"`
	XXX_sizecache        int32                                                           `json:"-"`
}

func (m *GrpcService_GoogleGrpc_ChannelCredentials) Reset() {
	*m = GrpcService_GoogleGrpc_ChannelCredentials{}
}
func (m *GrpcService_GoogleGrpc_ChannelCredentials) String() string { return proto.CompactTextString(m) }
func (*GrpcService_GoogleGrpc_ChannelCredentials) ProtoMessage()    {}
func (*GrpcService_GoogleGrpc_ChannelCredentials) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 2}
}

func (m *GrpcService_GoogleGrpc_ChannelCredentials) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_ChannelCredentials.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_ChannelCredentials) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_ChannelCredentials.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_ChannelCredentials) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_ChannelCredentials.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_ChannelCredentials) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_ChannelCredentials.Size(m)
}
func (m *GrpcService_GoogleGrpc_ChannelCredentials) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_ChannelCredentials.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_ChannelCredentials proto.InternalMessageInfo

type isGrpcService_GoogleGrpc_ChannelCredentials_CredentialSpecifier interface {
	isGrpcService_GoogleGrpc_ChannelCredentials_CredentialSpecifier()
}

type GrpcService_GoogleGrpc_ChannelCredentials_SslCredentials struct {
	SslCredentials *GrpcService_GoogleGrpc_SslCredentials `protobuf:"bytes,1,opt,name=ssl_credentials,json=sslCredentials,proto3,oneof"`
}

type GrpcService_GoogleGrpc_ChannelCredentials_GoogleDefault struct {
	GoogleDefault *empty.Empty `protobuf:"bytes,2,opt,name=google_default,json=googleDefault,proto3,oneof"`
}

type GrpcService_GoogleGrpc_ChannelCredentials_LocalCredentials struct {
	LocalCredentials *GrpcService_GoogleGrpc_GoogleLocalCredentials `protobuf:"bytes,3,opt,name=local_credentials,json=localCredentials,proto3,oneof"`
}

func (*GrpcService_GoogleGrpc_ChannelCredentials_SslCredentials) isGrpcService_GoogleGrpc_ChannelCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_ChannelCredentials_GoogleDefault) isGrpcService_GoogleGrpc_ChannelCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_ChannelCredentials_LocalCredentials) isGrpcService_GoogleGrpc_ChannelCredentials_CredentialSpecifier() {
}

func (m *GrpcService_GoogleGrpc_ChannelCredentials) GetCredentialSpecifier() isGrpcService_GoogleGrpc_ChannelCredentials_CredentialSpecifier {
	if m != nil {
		return m.CredentialSpecifier
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_ChannelCredentials) GetSslCredentials() *GrpcService_GoogleGrpc_SslCredentials {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_ChannelCredentials_SslCredentials); ok {
		return x.SslCredentials
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_ChannelCredentials) GetGoogleDefault() *empty.Empty {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_ChannelCredentials_GoogleDefault); ok {
		return x.GoogleDefault
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_ChannelCredentials) GetLocalCredentials() *GrpcService_GoogleGrpc_GoogleLocalCredentials {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_ChannelCredentials_LocalCredentials); ok {
		return x.LocalCredentials
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*GrpcService_GoogleGrpc_ChannelCredentials) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*GrpcService_GoogleGrpc_ChannelCredentials_SslCredentials)(nil),
		(*GrpcService_GoogleGrpc_ChannelCredentials_GoogleDefault)(nil),
		(*GrpcService_GoogleGrpc_ChannelCredentials_LocalCredentials)(nil),
	}
}

// [#next-free-field: 8]
type GrpcService_GoogleGrpc_CallCredentials struct {
	// Types that are valid to be assigned to CredentialSpecifier:
	//	*GrpcService_GoogleGrpc_CallCredentials_AccessToken
	//	*GrpcService_GoogleGrpc_CallCredentials_GoogleComputeEngine
	//	*GrpcService_GoogleGrpc_CallCredentials_GoogleRefreshToken
	//	*GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJwtAccess
	//	*GrpcService_GoogleGrpc_CallCredentials_GoogleIam
	//	*GrpcService_GoogleGrpc_CallCredentials_FromPlugin
	//	*GrpcService_GoogleGrpc_CallCredentials_StsService_
	CredentialSpecifier  isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier `protobuf_oneof:"credential_specifier"`
	XXX_NoUnkeyedLiteral struct{}                                                     `json:"-"`
	XXX_unrecognized     []byte                                                       `json:"-"`
	XXX_sizecache        int32                                                        `json:"-"`
}

func (m *GrpcService_GoogleGrpc_CallCredentials) Reset() {
	*m = GrpcService_GoogleGrpc_CallCredentials{}
}
func (m *GrpcService_GoogleGrpc_CallCredentials) String() string { return proto.CompactTextString(m) }
func (*GrpcService_GoogleGrpc_CallCredentials) ProtoMessage()    {}
func (*GrpcService_GoogleGrpc_CallCredentials) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 3}
}

func (m *GrpcService_GoogleGrpc_CallCredentials) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_CallCredentials) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_CallCredentials) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_CallCredentials) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials.Size(m)
}
func (m *GrpcService_GoogleGrpc_CallCredentials) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials proto.InternalMessageInfo

type isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier interface {
	isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier()
}

type GrpcService_GoogleGrpc_CallCredentials_AccessToken struct {
	AccessToken string `protobuf:"bytes,1,opt,name=access_token,json=accessToken,proto3,oneof"`
}

type GrpcService_GoogleGrpc_CallCredentials_GoogleComputeEngine struct {
	GoogleComputeEngine *empty.Empty `protobuf:"bytes,2,opt,name=google_compute_engine,json=googleComputeEngine,proto3,oneof"`
}

type GrpcService_GoogleGrpc_CallCredentials_GoogleRefreshToken struct {
	GoogleRefreshToken string `protobuf:"bytes,3,opt,name=google_refresh_token,json=googleRefreshToken,proto3,oneof"`
}

type GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJwtAccess struct {
	ServiceAccountJwtAccess *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials `protobuf:"bytes,4,opt,name=service_account_jwt_access,json=serviceAccountJwtAccess,proto3,oneof"`
}

type GrpcService_GoogleGrpc_CallCredentials_GoogleIam struct {
	GoogleIam *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials `protobuf:"bytes,5,opt,name=google_iam,json=googleIam,proto3,oneof"`
}

type GrpcService_GoogleGrpc_CallCredentials_FromPlugin struct {
	FromPlugin *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin `protobuf:"bytes,6,opt,name=from_plugin,json=fromPlugin,proto3,oneof"`
}

type GrpcService_GoogleGrpc_CallCredentials_StsService_ struct {
	StsService *GrpcService_GoogleGrpc_CallCredentials_StsService `protobuf:"bytes,7,opt,name=sts_service,json=stsService,proto3,oneof"`
}

func (*GrpcService_GoogleGrpc_CallCredentials_AccessToken) isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_CallCredentials_GoogleComputeEngine) isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_CallCredentials_GoogleRefreshToken) isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJwtAccess) isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_CallCredentials_GoogleIam) isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_CallCredentials_FromPlugin) isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier() {
}

func (*GrpcService_GoogleGrpc_CallCredentials_StsService_) isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier() {
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetCredentialSpecifier() isGrpcService_GoogleGrpc_CallCredentials_CredentialSpecifier {
	if m != nil {
		return m.CredentialSpecifier
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetAccessToken() string {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_CallCredentials_AccessToken); ok {
		return x.AccessToken
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetGoogleComputeEngine() *empty.Empty {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_CallCredentials_GoogleComputeEngine); ok {
		return x.GoogleComputeEngine
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetGoogleRefreshToken() string {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_CallCredentials_GoogleRefreshToken); ok {
		return x.GoogleRefreshToken
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetServiceAccountJwtAccess() *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJwtAccess); ok {
		return x.ServiceAccountJwtAccess
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetGoogleIam() *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_CallCredentials_GoogleIam); ok {
		return x.GoogleIam
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetFromPlugin() *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_CallCredentials_FromPlugin); ok {
		return x.FromPlugin
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_CallCredentials) GetStsService() *GrpcService_GoogleGrpc_CallCredentials_StsService {
	if x, ok := m.GetCredentialSpecifier().(*GrpcService_GoogleGrpc_CallCredentials_StsService_); ok {
		return x.StsService
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*GrpcService_GoogleGrpc_CallCredentials) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*GrpcService_GoogleGrpc_CallCredentials_AccessToken)(nil),
		(*GrpcService_GoogleGrpc_CallCredentials_GoogleComputeEngine)(nil),
		(*GrpcService_GoogleGrpc_CallCredentials_GoogleRefreshToken)(nil),
		(*GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJwtAccess)(nil),
		(*GrpcService_GoogleGrpc_CallCredentials_GoogleIam)(nil),
		(*GrpcService_GoogleGrpc_CallCredentials_FromPlugin)(nil),
		(*GrpcService_GoogleGrpc_CallCredentials_StsService_)(nil),
	}
}

type GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials struct {
	JsonKey              string   `protobuf:"bytes,1,opt,name=json_key,json=jsonKey,proto3" json:"json_key,omitempty"`
	TokenLifetimeSeconds uint64   `protobuf:"varint,2,opt,name=token_lifetime_seconds,json=tokenLifetimeSeconds,proto3" json:"token_lifetime_seconds,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) Reset() {
	*m = GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials{}
}
func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) String() string {
	return proto.CompactTextString(m)
}
func (*GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) ProtoMessage() {}
func (*GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 3, 0}
}

func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials.Size(m)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials proto.InternalMessageInfo

func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) GetJsonKey() string {
	if m != nil {
		return m.JsonKey
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials) GetTokenLifetimeSeconds() uint64 {
	if m != nil {
		return m.TokenLifetimeSeconds
	}
	return 0
}

type GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials struct {
	AuthorizationToken   string   `protobuf:"bytes,1,opt,name=authorization_token,json=authorizationToken,proto3" json:"authorization_token,omitempty"`
	AuthoritySelector    string   `protobuf:"bytes,2,opt,name=authority_selector,json=authoritySelector,proto3" json:"authority_selector,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) Reset() {
	*m = GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials{}
}
func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) String() string {
	return proto.CompactTextString(m)
}
func (*GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) ProtoMessage() {}
func (*GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 3, 1}
}

func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials.Size(m)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials proto.InternalMessageInfo

func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) GetAuthorizationToken() string {
	if m != nil {
		return m.AuthorizationToken
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials) GetAuthoritySelector() string {
	if m != nil {
		return m.AuthoritySelector
	}
	return ""
}

type GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin struct {
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are valid to be assigned to ConfigType:
	//	*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_TypedConfig
	ConfigType           isGrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_ConfigType `protobuf_oneof:"config_type"`
	XXX_NoUnkeyedLiteral struct{}                                                                          `json:"-"`
	XXX_unrecognized     []byte                                                                            `json:"-"`
	XXX_sizecache        int32                                                                             `json:"-"`
}

func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) Reset() {
	*m = GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin{}
}
func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) String() string {
	return proto.CompactTextString(m)
}
func (*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) ProtoMessage() {}
func (*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 3, 2}
}

func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin.Size(m)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin proto.InternalMessageInfo

func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isGrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_ConfigType interface {
	isGrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_ConfigType()
}

type GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_TypedConfig struct {
	TypedConfig *any.Any `protobuf:"bytes,3,opt,name=typed_config,json=typedConfig,proto3,oneof"`
}

func (*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_TypedConfig) isGrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_ConfigType() {
}

func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) GetConfigType() isGrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_ConfigType {
	if m != nil {
		return m.ConfigType
	}
	return nil
}

func (m *GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) GetTypedConfig() *any.Any {
	if x, ok := m.GetConfigType().(*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_TypedConfig); ok {
		return x.TypedConfig
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin_TypedConfig)(nil),
	}
}

// Security token service configuration that allows Google gRPC to
// fetch security token from an OAuth 2.0 authorization server.
// See https://tools.ietf.org/html/draft-ietf-oauth-token-exchange-16 and
// https://github.com/grpc/grpc/pull/19587.
// [#next-free-field: 10]
type GrpcService_GoogleGrpc_CallCredentials_StsService struct {
	// URI of the token exchange service that handles token exchange requests.
	// [#comment:TODO(asraa): Add URI validation when implemented. Tracked by
	// https://github.com/envoyproxy/protoc-gen-validate/issues/303]
	TokenExchangeServiceUri string `protobuf:"bytes,1,opt,name=token_exchange_service_uri,json=tokenExchangeServiceUri,proto3" json:"token_exchange_service_uri,omitempty"`
	// Location of the target service or resource where the client
	// intends to use the requested security token.
	Resource string `protobuf:"bytes,2,opt,name=resource,proto3" json:"resource,omitempty"`
	// Logical name of the target service where the client intends to
	// use the requested security token.
	Audience string `protobuf:"bytes,3,opt,name=audience,proto3" json:"audience,omitempty"`
	// The desired scope of the requested security token in the
	// context of the service or resource where the token will be used.
	Scope string `protobuf:"bytes,4,opt,name=scope,proto3" json:"scope,omitempty"`
	// Type of the requested security token.
	RequestedTokenType string `protobuf:"bytes,5,opt,name=requested_token_type,json=requestedTokenType,proto3" json:"requested_token_type,omitempty"`
	// The path of subject token, a security token that represents the
	// identity of the party on behalf of whom the request is being made.
	SubjectTokenPath string `protobuf:"bytes,6,opt,name=subject_token_path,json=subjectTokenPath,proto3" json:"subject_token_path,omitempty"`
	// Type of the subject token.
	SubjectTokenType string `protobuf:"bytes,7,opt,name=subject_token_type,json=subjectTokenType,proto3" json:"subject_token_type,omitempty"`
	// The path of actor token, a security token that represents the identity
	// of the acting party. The acting party is authorized to use the
	// requested security token and act on behalf of the subject.
	ActorTokenPath string `protobuf:"bytes,8,opt,name=actor_token_path,json=actorTokenPath,proto3" json:"actor_token_path,omitempty"`
	// Type of the actor token.
	ActorTokenType       string   `protobuf:"bytes,9,opt,name=actor_token_type,json=actorTokenType,proto3" json:"actor_token_type,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) Reset() {
	*m = GrpcService_GoogleGrpc_CallCredentials_StsService{}
}
func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) String() string {
	return proto.CompactTextString(m)
}
func (*GrpcService_GoogleGrpc_CallCredentials_StsService) ProtoMessage() {}
func (*GrpcService_GoogleGrpc_CallCredentials_StsService) Descriptor() ([]byte, []int) {
	return fileDescriptor_5fda5a40ec4afc3b, []int{0, 1, 3, 3}
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_StsService.Unmarshal(m, b)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_StsService.Marshal(b, m, deterministic)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_StsService.Merge(m, src)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) XXX_Size() int {
	return xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_StsService.Size(m)
}
func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) XXX_DiscardUnknown() {
	xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_StsService.DiscardUnknown(m)
}

var xxx_messageInfo_GrpcService_GoogleGrpc_CallCredentials_StsService proto.InternalMessageInfo

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetTokenExchangeServiceUri() string {
	if m != nil {
		return m.TokenExchangeServiceUri
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetResource() string {
	if m != nil {
		return m.Resource
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetAudience() string {
	if m != nil {
		return m.Audience
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetScope() string {
	if m != nil {
		return m.Scope
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetRequestedTokenType() string {
	if m != nil {
		return m.RequestedTokenType
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetSubjectTokenPath() string {
	if m != nil {
		return m.SubjectTokenPath
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetSubjectTokenType() string {
	if m != nil {
		return m.SubjectTokenType
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetActorTokenPath() string {
	if m != nil {
		return m.ActorTokenPath
	}
	return ""
}

func (m *GrpcService_GoogleGrpc_CallCredentials_StsService) GetActorTokenType() string {
	if m != nil {
		return m.ActorTokenType
	}
	return ""
}

func init() {
	proto.RegisterType((*GrpcService)(nil), "envoy.config.core.v3.GrpcService")
	proto.RegisterType((*GrpcService_EnvoyGrpc)(nil), "envoy.config.core.v3.GrpcService.EnvoyGrpc")
	proto.RegisterType((*GrpcService_GoogleGrpc)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc")
	proto.RegisterType((*GrpcService_GoogleGrpc_SslCredentials)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.SslCredentials")
	proto.RegisterType((*GrpcService_GoogleGrpc_GoogleLocalCredentials)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.GoogleLocalCredentials")
	proto.RegisterType((*GrpcService_GoogleGrpc_ChannelCredentials)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.ChannelCredentials")
	proto.RegisterType((*GrpcService_GoogleGrpc_CallCredentials)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.CallCredentials")
	proto.RegisterType((*GrpcService_GoogleGrpc_CallCredentials_ServiceAccountJWTAccessCredentials)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.CallCredentials.ServiceAccountJWTAccessCredentials")
	proto.RegisterType((*GrpcService_GoogleGrpc_CallCredentials_GoogleIAMCredentials)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.CallCredentials.GoogleIAMCredentials")
	proto.RegisterType((*GrpcService_GoogleGrpc_CallCredentials_MetadataCredentialsFromPlugin)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.CallCredentials.MetadataCredentialsFromPlugin")
	proto.RegisterType((*GrpcService_GoogleGrpc_CallCredentials_StsService)(nil), "envoy.config.core.v3.GrpcService.GoogleGrpc.CallCredentials.StsService")
}

func init() {
	proto.RegisterFile("envoy/config/core/v3/grpc_service.proto", fileDescriptor_5fda5a40ec4afc3b)
}

var fileDescriptor_5fda5a40ec4afc3b = []byte{
	// 1422 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x57, 0x5b, 0x6f, 0x1b, 0xc5,
	0x17, 0x8f, 0x2f, 0xb9, 0xf8, 0xb8, 0x4d, 0xdc, 0xa9, 0xff, 0x89, 0xbb, 0xbd, 0xa5, 0xfd, 0x23,
	0x08, 0x05, 0xd6, 0x28, 0x01, 0xd1, 0xba, 0x40, 0x88, 0xdd, 0xb4, 0x69, 0x48, 0x69, 0xd8, 0x84,
	0x82, 0x40, 0xd5, 0x32, 0x59, 0x8f, 0x9d, 0x4d, 0xd7, 0x3b, 0xcb, 0xcc, 0xac, 0x1b, 0x23, 0x21,
	0xf1, 0x58, 0x89, 0x37, 0x1e, 0x91, 0xe0, 0x89, 0xef, 0x00, 0xe2, 0x1d, 0x89, 0x07, 0x5e, 0x78,
	0xaa, 0xf8, 0x0a, 0x7c, 0x01, 0x10, 0x4f, 0x68, 0x2e, 0xbe, 0x5b, 0xb9, 0xbe, 0x79, 0xf6, 0x77,
	0xce, 0xef, 0x9c, 0x39, 0xb7, 0x39, 0x86, 0x97, 0x48, 0xd8, 0xa4, 0xad, 0xa2, 0x47, 0xc3, 0x9a,
	0x5f, 0x2f, 0x7a, 0x94, 0x91, 0x62, 0x73, 0xa9, 0x58, 0x67, 0x91, 0xe7, 0x72, 0xc2, 0x9a, 0xbe,
	0x47, 0xec, 0x88, 0x51, 0x41, 0x51, 0x5e, 0x09, 0xda, 0x5a, 0xd0, 0x96, 0x82, 0x76, 0x73, 0xc9,
	0xba, 0x3a, 0x52, 0x7d, 0x07, 0x73, 0xa3, 0x66, 0x5d, 0xa8, 0x53, 0x5a, 0x0f, 0x48, 0x51, 0x9d,
	0x76, 0xe2, 0x5a, 0x11, 0x87, 0x2d, 0x03, 0x5d, 0x19, 0x84, 0xaa, 0x31, 0xc3, 0xc2, 0xa7, 0xa1,
	0xc1, 0x2f, 0x0e, 0xe2, 0xa4, 0x11, 0x89, 0xb6, 0xf2, 0xa5, 0x41, 0x90, 0x0b, 0x16, 0x7b, 0xc2,
	0xa0, 0xf3, 0x71, 0x35, 0xc2, 0x45, 0x1c, 0x86, 0x54, 0x28, 0x46, 0x5e, 0xe4, 0x24, 0xe4, 0xbe,
	0xf0, 0x9b, 0x6d, 0xbf, 0x2e, 0x0f, 0x4b, 0x08, 0x2c, 0x62, 0x6e, 0xe0, 0x6b, 0x43, 0x70, 0x93,
	0x30, 0xee, 0xd3, 0xd0, 0x0f, 0xeb, 0x46, 0x64, 0xae, 0x89, 0x03, 0xbf, 0x8a, 0x05, 0x29, 0xb6,
	0x7f, 0x68, 0xe0, 0xfa, 0xf3, 0x4b, 0x90, 0xbd, 0xc7, 0x22, 0x6f, 0x4b, 0xc7, 0x0f, 0x6d, 0x00,
	0xa8, 0x28, 0xb9, 0x32, 0xaa, 0x85, 0xc4, 0x7c, 0x62, 0x21, 0xbb, 0xf8, 0x8a, 0x3d, 0x2a, 0x9c,
	0x76, 0x8f, 0x9a, 0xbd, 0x2a, 0x05, 0xe4, 0x87, 0xb5, 0x31, 0x27, 0x43, 0xda, 0x07, 0xf4, 0x10,
	0xb2, 0xfa, 0xea, 0x9a, 0x2e, 0xa9, 0xe8, 0x5e, 0x3d, 0x9c, 0xee, 0x9e, 0x52, 0x32, 0x7c, 0x50,
	0xef, 0x9c, 0xd0, 0x12, 0x4c, 0x0a, 0xbf, 0x41, 0x68, 0x2c, 0x0a, 0x29, 0x45, 0x76, 0xc1, 0xd6,
	0xa8, 0xdd, 0x8e, 0xad, 0x7d, 0xc7, 0x24, 0xc6, 0x69, 0x4b, 0xa2, 0x0d, 0xc8, 0xf9, 0xa1, 0x2f,
	0x7c, 0x1c, 0xb8, 0x0d, 0x22, 0x70, 0x15, 0x0b, 0x5c, 0x18, 0x9f, 0x4f, 0x2d, 0x64, 0x17, 0xaf,
	0x8d, 0x76, 0x65, 0x8d, 0xe0, 0x2a, 0x61, 0x8f, 0x70, 0x10, 0x13, 0x67, 0xc6, 0xa8, 0x3e, 0x30,
	0x9a, 0x56, 0x1d, 0x32, 0x9d, 0xdb, 0xa2, 0x1b, 0x70, 0xc6, 0x0b, 0x62, 0x2e, 0x08, 0x73, 0x43,
	0xdc, 0x20, 0x2a, 0x60, 0x99, 0xf2, 0xe4, 0xbf, 0xe5, 0x34, 0x4b, 0xce, 0x27, 0x9c, 0xac, 0x01,
	0x3f, 0xc0, 0x0d, 0x52, 0xb2, 0xbf, 0xfb, 0xf5, 0xd9, 0x95, 0x97, 0x4d, 0x11, 0xdb, 0x38, 0xf2,
	0xed, 0xe6, 0xa2, 0x36, 0x39, 0x32, 0x92, 0xd6, 0xdf, 0x05, 0x80, 0x6e, 0x20, 0xd0, 0x8b, 0x00,
	0x02, 0xb3, 0x3a, 0x11, 0x6e, 0xcc, 0xfc, 0x41, 0x43, 0x19, 0x0d, 0x7d, 0xc4, 0x7c, 0x14, 0xc1,
	0x79, 0x6f, 0x17, 0x87, 0x21, 0x09, 0x5c, 0x8f, 0x91, 0x2a, 0x09, 0xa5, 0xf7, 0xdc, 0xc4, 0x7e,
	0xf9, 0x38, 0xb1, 0xb7, 0x2b, 0x9a, 0xa7, 0xd2, 0xa5, 0x71, 0x90, 0x37, 0xf4, 0x0d, 0xd5, 0x21,
	0xe7, 0xe1, 0xa0, 0xdf, 0x5c, 0x4a, 0xc5, 0xf7, 0xed, 0xe3, 0x99, 0xc3, 0x41, 0x9f, 0xad, 0x19,
	0xaf, 0xff, 0x03, 0x5a, 0x80, 0xac, 0x2c, 0x7c, 0x37, 0x62, 0xa4, 0xe6, 0xef, 0x17, 0xd2, 0xfd,
	0x31, 0x00, 0x89, 0x6d, 0x2a, 0x08, 0xdd, 0x84, 0x42, 0x8f, 0x37, 0x6e, 0x0d, 0x7b, 0x82, 0xb2,
	0x96, 0xce, 0xd1, 0xb8, 0x54, 0x73, 0x66, 0x7b, 0xf0, 0xbb, 0x1a, 0x96, 0x59, 0x42, 0x45, 0x98,
	0xd0, 0xde, 0x16, 0x26, 0x54, 0xc4, 0xe6, 0x86, 0x0a, 0x6c, 0x4b, 0x35, 0xaf, 0x63, 0xc4, 0xac,
	0xef, 0x93, 0x30, 0xbd, 0xc5, 0xfb, 0xfc, 0x5c, 0x06, 0x60, 0x94, 0x0a, 0xd7, 0x23, 0x4c, 0x70,
	0xd3, 0x44, 0xf3, 0xa3, 0x43, 0x71, 0x07, 0x0b, 0xbc, 0x45, 0x63, 0xe6, 0x11, 0x27, 0x23, 0x75,
	0x2a, 0x52, 0x05, 0xdd, 0x87, 0x6c, 0xc4, 0xfc, 0x26, 0x16, 0xc4, 0x7d, 0x42, 0x5a, 0x26, 0x77,
	0x87, 0x32, 0x94, 0x27, 0x7e, 0xfe, 0xe9, 0x9b, 0x1f, 0x93, 0x09, 0x07, 0x8c, 0xf2, 0xfb, 0xa4,
	0x25, 0x7d, 0x91, 0x6e, 0xb8, 0xde, 0x2e, 0xf6, 0x43, 0xd3, 0x34, 0x47, 0xf0, 0x45, 0xea, 0x54,
	0xa4, 0x4a, 0xe9, 0x5d, 0x59, 0xb6, 0xb7, 0xe0, 0xad, 0x83, 0xcb, 0xb6, 0x27, 0x8d, 0xfd, 0xc1,
	0xb0, 0x3e, 0x87, 0x59, 0x0d, 0x6e, 0x50, 0x0f, 0xf7, 0x22, 0xa5, 0xbb, 0x92, 0x79, 0x05, 0x96,
	0x8f, 0xcc, 0x3c, 0x9a, 0xc7, 0xfa, 0x36, 0x05, 0x68, 0xb8, 0x54, 0x51, 0x0d, 0x66, 0x38, 0xef,
	0xaf, 0x4a, 0x9d, 0x8a, 0xdb, 0xc7, 0xaa, 0xca, 0xfe, 0xeb, 0xac, 0x8d, 0x39, 0xd3, 0x7c, 0x30,
	0xdb, 0xd3, 0x66, 0xc8, 0x55, 0x49, 0x0d, 0xc7, 0x81, 0x30, 0xf9, 0x9a, 0x1d, 0xaa, 0x9c, 0x55,
	0xf9, 0x26, 0xac, 0x8d, 0x39, 0x67, 0x35, 0x70, 0x47, 0x8b, 0x23, 0x06, 0xe7, 0x02, 0x79, 0xa7,
	0x81, 0x06, 0x92, 0x1c, 0x95, 0x63, 0xb9, 0x3a, 0x3a, 0x3e, 0x6b, 0x63, 0x4e, 0x2e, 0x18, 0x8c,
	0x7d, 0x59, 0xc6, 0xfe, 0x1d, 0xb8, 0x7d, 0xe4, 0xd8, 0x0f, 0x07, 0xb8, 0x7c, 0x11, 0xf2, 0x5d,
	0x8f, 0x5d, 0x1e, 0x11, 0xcf, 0xaf, 0xf9, 0x84, 0xa1, 0xd4, 0x3f, 0xe5, 0x84, 0xf5, 0x6c, 0x06,
	0x66, 0x06, 0x1a, 0x1a, 0xfd, 0x1f, 0xce, 0x60, 0xcf, 0x23, 0x9c, 0xbb, 0x82, 0x3e, 0x21, 0xa1,
	0x1e, 0x62, 0x6b, 0x63, 0x4e, 0x56, 0x7f, 0xdd, 0x96, 0x1f, 0xd1, 0x06, 0xfc, 0xcf, 0x84, 0xd3,
	0xa3, 0x8d, 0x28, 0x16, 0xc4, 0x25, 0x61, 0xdd, 0x0f, 0xc9, 0xa1, 0x51, 0x3d, 0xaf, 0x81, 0x8a,
	0xd6, 0x5a, 0x55, 0x4a, 0x68, 0x11, 0xf2, 0x86, 0x8d, 0x91, 0x1a, 0x23, 0x7c, 0xd7, 0x98, 0x4e,
	0x19, 0xd3, 0x48, 0xa3, 0x8e, 0x06, 0xb5, 0x07, 0x3f, 0x24, 0xc0, 0x32, 0xfb, 0x84, 0x8b, 0x3d,
	0x8f, 0xc6, 0xa1, 0x70, 0xf7, 0x9e, 0x0a, 0x57, 0x7b, 0xa9, 0xc6, 0x4e, 0x76, 0xd1, 0x3d, 0xcd,
	0x68, 0xb3, 0x8d, 0xc8, 0x8a, 0x66, 0x5f, 0xff, 0x78, 0x7b, 0x45, 0x71, 0xf7, 0x67, 0x6d, 0x8e,
	0xf7, 0x4b, 0x3d, 0x15, 0x5a, 0x0a, 0x31, 0x30, 0x6f, 0xa2, 0xeb, 0xe3, 0x86, 0x9a, 0x67, 0xd9,
	0xc5, 0x0f, 0x4f, 0xe5, 0x8f, 0x86, 0xee, 0xaf, 0x3c, 0xe8, 0xf7, 0x20, 0xa3, 0xcd, 0xdc, 0xc7,
	0x0d, 0xf4, 0x15, 0x64, 0x6b, 0x8c, 0x36, 0xdc, 0x28, 0x88, 0xeb, 0x7e, 0x68, 0x86, 0xe3, 0xa7,
	0xa7, 0x32, 0xda, 0x7e, 0x52, 0x7b, 0xbe, 0xdd, 0x65, 0xb4, 0xb1, 0xa9, 0x2c, 0xc8, 0x87, 0xbf,
	0xd6, 0x39, 0xa1, 0x3d, 0x39, 0xfa, 0x79, 0x7b, 0xcd, 0x2b, 0x4c, 0x2a, 0xf3, 0xf7, 0x4e, 0x97,
	0x03, 0xc1, 0x8d, 0x94, 0xb4, 0xc5, 0x3b, 0x27, 0xeb, 0xcf, 0x04, 0x5c, 0x3f, 0x3c, 0x41, 0xe8,
	0x02, 0x4c, 0xed, 0x71, 0x1a, 0xaa, 0x09, 0xad, 0x2a, 0xd9, 0x99, 0x94, 0x67, 0x39, 0x74, 0xdf,
	0x80, 0x59, 0x55, 0x66, 0x6e, 0xe0, 0xd7, 0x88, 0x5c, 0x43, 0x5c, 0x4e, 0x3c, 0x1a, 0x56, 0xf5,
	0x33, 0x9c, 0x76, 0xf2, 0x0a, 0xdd, 0x30, 0xe0, 0x96, 0xc6, 0x4a, 0x3b, 0xb2, 0x27, 0x1f, 0xc3,
	0x67, 0x47, 0xef, 0xc9, 0x63, 0x57, 0x95, 0xf5, 0x7b, 0x02, 0xf2, 0xa3, 0x92, 0x8d, 0x8a, 0x70,
	0x1e, 0xc7, 0x62, 0x97, 0x32, 0xff, 0x4b, 0xb5, 0x3e, 0xf5, 0xb6, 0xa8, 0x83, 0xfa, 0x20, 0xdd,
	0x25, 0xaf, 0x41, 0xfb, 0xab, 0x68, 0xb9, 0x9c, 0x04, 0x44, 0xbe, 0xa1, 0xea, 0x7e, 0x19, 0xe7,
	0x5c, 0x07, 0xd9, 0x32, 0x40, 0x69, 0x5b, 0x5e, 0xee, 0x21, 0x3c, 0x38, 0xf1, 0xe5, 0x46, 0x79,
	0x6d, 0xfd, 0x95, 0x80, 0xcb, 0x07, 0x96, 0x11, 0x42, 0x90, 0xee, 0x6e, 0x66, 0x8e, 0xfa, 0x8d,
	0x6e, 0xc1, 0x19, 0xd1, 0x8a, 0x48, 0xd5, 0x35, 0x2f, 0xbd, 0x9e, 0xb5, 0xf9, 0xa1, 0xc9, 0xb2,
	0x12, 0xca, 0xb9, 0x92, 0x55, 0xb2, 0x15, 0x25, 0x5a, 0x7a, 0x2c, 0xaf, 0xf1, 0x09, 0x3c, 0x3a,
	0xf1, 0x35, 0x0e, 0xf4, 0xb6, 0x7c, 0x16, 0xb2, 0xda, 0x27, 0x57, 0x1a, 0x5d, 0x4f, 0x4f, 0x25,
	0x73, 0xa9, 0xce, 0xa6, 0xf1, 0x3c, 0x05, 0xd0, 0x2d, 0x5a, 0x74, 0x1b, 0x2c, 0x5d, 0x64, 0x64,
	0x5f, 0x2e, 0x65, 0x75, 0xd2, 0xee, 0x8e, 0xee, 0x82, 0xe8, 0xcc, 0x29, 0x89, 0x55, 0x23, 0x60,
	0x34, 0xe5, 0x96, 0x68, 0xc1, 0x14, 0x23, 0x5c, 0x3d, 0xf6, 0x26, 0x67, 0x9d, 0xb3, 0xc4, 0x70,
	0x5c, 0xf5, 0x49, 0xe8, 0x11, 0x3d, 0x27, 0x9d, 0xce, 0x19, 0xe5, 0x61, 0x9c, 0x7b, 0x34, 0x22,
	0x7a, 0xf9, 0x72, 0xf4, 0x01, 0xbd, 0x0e, 0x79, 0x46, 0xbe, 0x88, 0x09, 0x17, 0xa4, 0xaa, 0x0b,
	0x47, 0xf9, 0x6f, 0x56, 0x2d, 0xd4, 0xc1, 0x54, 0xe5, 0x6c, 0xb7, 0x22, 0x82, 0xde, 0x04, 0xc4,
	0xe3, 0x9d, 0x3d, 0xe2, 0x09, 0x23, 0x1f, 0x61, 0xb1, 0xab, 0xa6, 0x4a, 0xcf, 0x46, 0x97, 0x33,
	0x22, 0x4a, 0x6d, 0x13, 0x8b, 0xdd, 0x61, 0x35, 0x65, 0x66, 0xf2, 0x00, 0x35, 0x65, 0x6d, 0x01,
	0x72, 0x6a, 0xc5, 0xeb, 0xb5, 0x35, 0xa5, 0x7c, 0x9b, 0x56, 0xdf, 0xbb, 0x06, 0x06, 0x24, 0x15,
	0x7d, 0x66, 0x50, 0x52, 0x72, 0x96, 0xd6, 0x65, 0x25, 0xac, 0x42, 0xe5, 0xe4, 0xdd, 0xda, 0x49,
	0x65, 0x69, 0x59, 0x72, 0x95, 0xe0, 0xe6, 0x49, 0xb9, 0x0e, 0x7c, 0x8a, 0x4b, 0x45, 0xc9, 0x7e,
	0x03, 0x16, 0x8e, 0xca, 0x5e, 0x7a, 0x41, 0x2a, 0x5c, 0x85, 0xcb, 0x07, 0x2a, 0x94, 0xe7, 0x20,
	0x67, 0xfe, 0x90, 0xf4, 0xdb, 0x5b, 0x4f, 0x4f, 0xa5, 0x73, 0xe3, 0xe5, 0xf7, 0x7e, 0xf9, 0xfa,
	0xb7, 0x3f, 0x26, 0x92, 0xb9, 0x24, 0x5c, 0xf7, 0xa9, 0x1e, 0xd4, 0x11, 0xa3, 0xfb, 0xad, 0x91,
	0x33, 0xbb, 0x9c, 0xeb, 0x61, 0xde, 0x94, 0xfd, 0xb7, 0x99, 0xd8, 0x99, 0x50, 0x8d, 0xb8, 0xf4,
	0x5f, 0x00, 0x00, 0x00, 0xff, 0xff, 0xa1, 0xfe, 0x4c, 0x18, 0xf7, 0x0f, 0x00, 0x00,
}
