// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/config/filter/http/aws_lambda/v2alpha/aws_lambda.proto

package envoy_config_filter_http_aws_lambda_v2alpha

import (
	fmt "fmt"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Config_InvocationMode int32

const (
	// This is the more common mode of invocation, in which Lambda responds after it has completed the function. In
	// this mode the output of the Lambda function becomes the response of the HTTP request.
	Config_SYNCHRONOUS Config_InvocationMode = 0
	// In this mode Lambda responds immediately but continues to process the function asynchronously. This mode can be
	// used to signal events for example. In this mode, Lambda responds with an acknowledgment that it received the
	// call which is translated to an HTTP 200 OK by the filter.
	Config_ASYNCHRONOUS Config_InvocationMode = 1
)

var Config_InvocationMode_name = map[int32]string{
	0: "SYNCHRONOUS",
	1: "ASYNCHRONOUS",
}

var Config_InvocationMode_value = map[string]int32{
	"SYNCHRONOUS":  0,
	"ASYNCHRONOUS": 1,
}

func (x Config_InvocationMode) String() string {
	return proto.EnumName(Config_InvocationMode_name, int32(x))
}

func (Config_InvocationMode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_13dc726de71fada6, []int{0, 0}
}

// AWS Lambda filter config
type Config struct {
	// The ARN of the AWS Lambda to invoke when the filter is engaged
	// Must be in the following format:
	// arn:<partition>:lambda:<region>:<account-number>:function:<function-name>
	Arn string `protobuf:"bytes,1,opt,name=arn,proto3" json:"arn,omitempty"`
	// Whether to transform the request (headers and body) to a JSON payload or pass it as is.
	PayloadPassthrough bool `protobuf:"varint,2,opt,name=payload_passthrough,json=payloadPassthrough,proto3" json:"payload_passthrough,omitempty"`
	// Determines the way to invoke the Lambda function.
	InvocationMode       Config_InvocationMode `protobuf:"varint,3,opt,name=invocation_mode,json=invocationMode,proto3,enum=envoy.config.filter.http.aws_lambda.v2alpha.Config_InvocationMode" json:"invocation_mode,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *Config) Reset()         { *m = Config{} }
func (m *Config) String() string { return proto.CompactTextString(m) }
func (*Config) ProtoMessage()    {}
func (*Config) Descriptor() ([]byte, []int) {
	return fileDescriptor_13dc726de71fada6, []int{0}
}

func (m *Config) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Config.Unmarshal(m, b)
}
func (m *Config) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Config.Marshal(b, m, deterministic)
}
func (m *Config) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Config.Merge(m, src)
}
func (m *Config) XXX_Size() int {
	return xxx_messageInfo_Config.Size(m)
}
func (m *Config) XXX_DiscardUnknown() {
	xxx_messageInfo_Config.DiscardUnknown(m)
}

var xxx_messageInfo_Config proto.InternalMessageInfo

func (m *Config) GetArn() string {
	if m != nil {
		return m.Arn
	}
	return ""
}

func (m *Config) GetPayloadPassthrough() bool {
	if m != nil {
		return m.PayloadPassthrough
	}
	return false
}

func (m *Config) GetInvocationMode() Config_InvocationMode {
	if m != nil {
		return m.InvocationMode
	}
	return Config_SYNCHRONOUS
}

// Per-route configuration for AWS Lambda. This can be useful when invoking a different Lambda function or a different
// version of the same Lambda depending on the route.
type PerRouteConfig struct {
	InvokeConfig         *Config  `protobuf:"bytes,1,opt,name=invoke_config,json=invokeConfig,proto3" json:"invoke_config,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PerRouteConfig) Reset()         { *m = PerRouteConfig{} }
func (m *PerRouteConfig) String() string { return proto.CompactTextString(m) }
func (*PerRouteConfig) ProtoMessage()    {}
func (*PerRouteConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_13dc726de71fada6, []int{1}
}

func (m *PerRouteConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PerRouteConfig.Unmarshal(m, b)
}
func (m *PerRouteConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PerRouteConfig.Marshal(b, m, deterministic)
}
func (m *PerRouteConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PerRouteConfig.Merge(m, src)
}
func (m *PerRouteConfig) XXX_Size() int {
	return xxx_messageInfo_PerRouteConfig.Size(m)
}
func (m *PerRouteConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_PerRouteConfig.DiscardUnknown(m)
}

var xxx_messageInfo_PerRouteConfig proto.InternalMessageInfo

func (m *PerRouteConfig) GetInvokeConfig() *Config {
	if m != nil {
		return m.InvokeConfig
	}
	return nil
}

func init() {
	proto.RegisterEnum("envoy.config.filter.http.aws_lambda.v2alpha.Config_InvocationMode", Config_InvocationMode_name, Config_InvocationMode_value)
	proto.RegisterType((*Config)(nil), "envoy.config.filter.http.aws_lambda.v2alpha.Config")
	proto.RegisterType((*PerRouteConfig)(nil), "envoy.config.filter.http.aws_lambda.v2alpha.PerRouteConfig")
}

func init() {
	proto.RegisterFile("envoy/config/filter/http/aws_lambda/v2alpha/aws_lambda.proto", fileDescriptor_13dc726de71fada6)
}

var fileDescriptor_13dc726de71fada6 = []byte{
	// 405 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x92, 0xb1, 0x8e, 0xd3, 0x30,
	0x1c, 0xc6, 0x71, 0x8e, 0x2b, 0xc5, 0x77, 0xe4, 0xa2, 0x30, 0x50, 0x4e, 0x02, 0x55, 0x9d, 0x2a,
	0x21, 0x6c, 0xa9, 0x99, 0x90, 0x58, 0x2e, 0xb7, 0x80, 0x04, 0x77, 0x51, 0x4e, 0x48, 0x30, 0x45,
	0xff, 0x6b, 0xdc, 0xc6, 0x90, 0xda, 0x91, 0xed, 0xa4, 0xed, 0x56, 0xf1, 0x02, 0x30, 0xf2, 0x2c,
	0x3c, 0x01, 0x2b, 0xaf, 0xc2, 0xd8, 0x01, 0xa1, 0xc4, 0x29, 0xb4, 0xea, 0x54, 0xa6, 0x24, 0xdf,
	0xe7, 0xef, 0xd3, 0x2f, 0xff, 0xbf, 0xf1, 0x4b, 0x26, 0x2a, 0xb9, 0xa4, 0x63, 0x29, 0x26, 0x7c,
	0x4a, 0x27, 0x3c, 0x37, 0x4c, 0xd1, 0xcc, 0x98, 0x82, 0xc2, 0x5c, 0x27, 0x39, 0xcc, 0x6e, 0x53,
	0xa0, 0xd5, 0x08, 0xf2, 0x22, 0x83, 0x2d, 0x89, 0x14, 0x4a, 0x1a, 0xe9, 0x3f, 0x6b, 0xd2, 0xc4,
	0xa6, 0x89, 0x4d, 0x93, 0x3a, 0x4d, 0xb6, 0x8e, 0xb6, 0xe9, 0xf3, 0xa7, 0x65, 0x5a, 0x00, 0x05,
	0x21, 0xa4, 0x01, 0xc3, 0xa5, 0xd0, 0x74, 0xc6, 0xa7, 0x0a, 0x0c, 0xb3, 0x65, 0xe7, 0x4f, 0xf6,
	0x7c, 0x6d, 0xc0, 0x94, 0xba, 0xb5, 0x1f, 0x55, 0x90, 0xf3, 0x14, 0x0c, 0xa3, 0x9b, 0x17, 0x6b,
	0x0c, 0x56, 0x0e, 0xee, 0x5c, 0x36, 0x04, 0xfe, 0x63, 0x7c, 0x04, 0x4a, 0xf4, 0x50, 0x1f, 0x0d,
	0xef, 0x87, 0xf7, 0xd6, 0xe1, 0x5d, 0xe5, 0x78, 0x28, 0xae, 0x35, 0x9f, 0xe2, 0x87, 0x05, 0x2c,
	0x73, 0x09, 0x69, 0x52, 0x80, 0xd6, 0x26, 0x53, 0xb2, 0x9c, 0x66, 0x3d, 0xa7, 0x8f, 0x86, 0xdd,
	0xd8, 0x6f, 0xad, 0xe8, 0x9f, 0xe3, 0x97, 0xf8, 0x8c, 0x8b, 0x4a, 0x8e, 0x1b, 0x96, 0x64, 0x26,
	0x53, 0xd6, 0x3b, 0xea, 0xa3, 0xa1, 0x3b, 0x0a, 0xc9, 0x01, 0x7f, 0x4d, 0x2c, 0x19, 0x79, 0xfd,
	0xb7, 0xea, 0xad, 0x4c, 0x59, 0xd8, 0x5d, 0x87, 0xc7, 0x9f, 0x51, 0x0d, 0xe7, 0xf2, 0x1d, 0x67,
	0x10, 0x60, 0x77, 0xf7, 0xac, 0x7f, 0x86, 0x4f, 0x6e, 0x3e, 0x5c, 0x5d, 0xbe, 0x8a, 0xaf, 0xaf,
	0xae, 0xdf, 0xdd, 0x78, 0x77, 0x7c, 0x0f, 0x9f, 0x5e, 0x6c, 0x2b, 0x68, 0xf0, 0x11, 0xbb, 0x11,
	0x53, 0xb1, 0x2c, 0x0d, 0x6b, 0x27, 0xf1, 0x1e, 0x3f, 0xa8, 0x8b, 0x3f, 0xb1, 0xc4, 0x62, 0x36,
	0x33, 0x39, 0x19, 0x05, 0xff, 0xc1, 0x1e, 0x9f, 0xda, 0x26, 0xfb, 0x15, 0x7e, 0x45, 0xbf, 0xbe,
	0xfd, 0xfe, 0x72, 0xfc, 0x7c, 0xb3, 0x7c, 0xb6, 0x30, 0x4c, 0xe8, 0x7a, 0x5f, 0x6d, 0x9d, 0xde,
	0xef, 0x0b, 0xbe, 0xaf, 0x7e, 0xfc, 0xec, 0x38, 0x5d, 0x64, 0x9f, 0x1e, 0xc2, 0x2f, 0xb8, 0xb4,
	0x28, 0x85, 0x92, 0x8b, 0xe5, 0x21, 0x54, 0xa1, 0x7b, 0x31, 0xd7, 0x6f, 0x1a, 0x29, 0xaa, 0xf7,
	0x1f, 0xa1, 0xdb, 0x4e, 0x73, 0x11, 0x82, 0x3f, 0x01, 0x00, 0x00, 0xff, 0xff, 0xd6, 0x4f, 0xaf,
	0x86, 0xcd, 0x02, 0x00, 0x00,
}
