// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/config/trace/v3/trace.proto

package envoy_config_trace_v3

import (
	fmt "fmt"
	v1 "github.com/census-instrumentation/opencensus-proto/gen-go/trace/v1"
	_ "github.com/cilium/proxy/go/envoy/annotations"
	v3 "github.com/cilium/proxy/go/envoy/config/core/v3"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	any "github.com/golang/protobuf/ptypes/any"
	_struct "github.com/golang/protobuf/ptypes/struct"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Available propagation modes
type LightstepConfig_PropagationMode int32

const (
	// Propagate trace context in the single header x-ot-span-context.
	LightstepConfig_ENVOY LightstepConfig_PropagationMode = 0
	// Propagate trace context using LightStep's native format.
	LightstepConfig_LIGHTSTEP LightstepConfig_PropagationMode = 1
	// Propagate trace context using the b3 format.
	LightstepConfig_B3 LightstepConfig_PropagationMode = 2
	// Propagation trace context using the w3 trace-context standard.
	LightstepConfig_TRACE_CONTEXT LightstepConfig_PropagationMode = 3
)

var LightstepConfig_PropagationMode_name = map[int32]string{
	0: "ENVOY",
	1: "LIGHTSTEP",
	2: "B3",
	3: "TRACE_CONTEXT",
}

var LightstepConfig_PropagationMode_value = map[string]int32{
	"ENVOY":         0,
	"LIGHTSTEP":     1,
	"B3":            2,
	"TRACE_CONTEXT": 3,
}

func (x LightstepConfig_PropagationMode) String() string {
	return proto.EnumName(LightstepConfig_PropagationMode_name, int32(x))
}

func (LightstepConfig_PropagationMode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{1, 0}
}

// Available Zipkin collector endpoint versions.
type ZipkinConfig_CollectorEndpointVersion int32

const (
	// Zipkin API v1, JSON over HTTP.
	// [#comment: The default implementation of Zipkin client before this field is added was only v1
	// and the way user configure this was by not explicitly specifying the version. Consequently,
	// before this is added, the corresponding Zipkin collector expected to receive v1 payload.
	// Hence the motivation of adding HTTP_JSON_V1 as the default is to avoid a breaking change when
	// user upgrading Envoy with this change. Furthermore, we also immediately deprecate this field,
	// since in Zipkin realm this v1 version is considered to be not preferable anymore.]
	ZipkinConfig_DEPRECATED_AND_UNAVAILABLE_DO_NOT_USE ZipkinConfig_CollectorEndpointVersion = 0 // Deprecated: Do not use.
	// Zipkin API v2, JSON over HTTP.
	ZipkinConfig_HTTP_JSON ZipkinConfig_CollectorEndpointVersion = 1
	// Zipkin API v2, protobuf over HTTP.
	ZipkinConfig_HTTP_PROTO ZipkinConfig_CollectorEndpointVersion = 2
	// [#not-implemented-hide:]
	ZipkinConfig_GRPC ZipkinConfig_CollectorEndpointVersion = 3
)

var ZipkinConfig_CollectorEndpointVersion_name = map[int32]string{
	0: "DEPRECATED_AND_UNAVAILABLE_DO_NOT_USE",
	1: "HTTP_JSON",
	2: "HTTP_PROTO",
	3: "GRPC",
}

var ZipkinConfig_CollectorEndpointVersion_value = map[string]int32{
	"DEPRECATED_AND_UNAVAILABLE_DO_NOT_USE": 0,
	"HTTP_JSON":                             1,
	"HTTP_PROTO":                            2,
	"GRPC":                                  3,
}

func (x ZipkinConfig_CollectorEndpointVersion) String() string {
	return proto.EnumName(ZipkinConfig_CollectorEndpointVersion_name, int32(x))
}

func (ZipkinConfig_CollectorEndpointVersion) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{2, 0}
}

type OpenCensusConfig_TraceContext int32

const (
	// No-op default, no trace context is utilized.
	OpenCensusConfig_NONE OpenCensusConfig_TraceContext = 0
	// W3C Trace-Context format "traceparent:" header.
	OpenCensusConfig_TRACE_CONTEXT OpenCensusConfig_TraceContext = 1
	// Binary "grpc-trace-bin:" header.
	OpenCensusConfig_GRPC_TRACE_BIN OpenCensusConfig_TraceContext = 2
	// "X-Cloud-Trace-Context:" header.
	OpenCensusConfig_CLOUD_TRACE_CONTEXT OpenCensusConfig_TraceContext = 3
	// X-B3-* headers.
	OpenCensusConfig_B3 OpenCensusConfig_TraceContext = 4
)

var OpenCensusConfig_TraceContext_name = map[int32]string{
	0: "NONE",
	1: "TRACE_CONTEXT",
	2: "GRPC_TRACE_BIN",
	3: "CLOUD_TRACE_CONTEXT",
	4: "B3",
}

var OpenCensusConfig_TraceContext_value = map[string]int32{
	"NONE":                0,
	"TRACE_CONTEXT":       1,
	"GRPC_TRACE_BIN":      2,
	"CLOUD_TRACE_CONTEXT": 3,
	"B3":                  4,
}

func (x OpenCensusConfig_TraceContext) String() string {
	return proto.EnumName(OpenCensusConfig_TraceContext_name, int32(x))
}

func (OpenCensusConfig_TraceContext) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{5, 0}
}

// The tracing configuration specifies global
// settings for the HTTP tracer used by Envoy. The configuration is defined by
// the :ref:`Bootstrap <envoy_api_msg_config.bootstrap.v3.Bootstrap>` :ref:`tracing
// <envoy_api_field_config.bootstrap.v3.Bootstrap.tracing>` field. Envoy may support other tracers
// in the future, but right now the HTTP tracer is the only one supported.
type Tracing struct {
	// Provides configuration for the HTTP tracer.
	Http                 *Tracing_Http `protobuf:"bytes,1,opt,name=http,proto3" json:"http,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *Tracing) Reset()         { *m = Tracing{} }
func (m *Tracing) String() string { return proto.CompactTextString(m) }
func (*Tracing) ProtoMessage()    {}
func (*Tracing) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{0}
}

func (m *Tracing) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Tracing.Unmarshal(m, b)
}
func (m *Tracing) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Tracing.Marshal(b, m, deterministic)
}
func (m *Tracing) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Tracing.Merge(m, src)
}
func (m *Tracing) XXX_Size() int {
	return xxx_messageInfo_Tracing.Size(m)
}
func (m *Tracing) XXX_DiscardUnknown() {
	xxx_messageInfo_Tracing.DiscardUnknown(m)
}

var xxx_messageInfo_Tracing proto.InternalMessageInfo

func (m *Tracing) GetHttp() *Tracing_Http {
	if m != nil {
		return m.Http
	}
	return nil
}

type Tracing_Http struct {
	// The name of the HTTP trace driver to instantiate. The name must match a
	// supported HTTP trace driver. Built-in trace drivers:
	//
	// - *envoy.tracers.lightstep*
	// - *envoy.tracers.zipkin*
	// - *envoy.tracers.dynamic_ot*
	// - *envoy.tracers.datadog*
	// - *envoy.tracers.opencensus*
	// - *envoy.tracers.xray*
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Trace driver specific configuration which depends on the driver being instantiated.
	// See the trace drivers for examples:
	//
	// - :ref:`LightstepConfig <envoy_api_msg_config.trace.v3.LightstepConfig>`
	// - :ref:`ZipkinConfig <envoy_api_msg_config.trace.v3.ZipkinConfig>`
	// - :ref:`DynamicOtConfig <envoy_api_msg_config.trace.v3.DynamicOtConfig>`
	// - :ref:`DatadogConfig <envoy_api_msg_config.trace.v3.DatadogConfig>`
	// - :ref:`OpenCensusConfig <envoy_api_msg_config.trace.v3.OpenCensusConfig>`
	// - :ref:`AWS X-Ray <envoy_api_msg_config.trace.v3.XRayConfig>`
	//
	// Types that are valid to be assigned to ConfigType:
	//	*Tracing_Http_TypedConfig
	ConfigType           isTracing_Http_ConfigType `protobuf_oneof:"config_type"`
	XXX_NoUnkeyedLiteral struct{}                  `json:"-"`
	XXX_unrecognized     []byte                    `json:"-"`
	XXX_sizecache        int32                     `json:"-"`
}

func (m *Tracing_Http) Reset()         { *m = Tracing_Http{} }
func (m *Tracing_Http) String() string { return proto.CompactTextString(m) }
func (*Tracing_Http) ProtoMessage()    {}
func (*Tracing_Http) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{0, 0}
}

func (m *Tracing_Http) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Tracing_Http.Unmarshal(m, b)
}
func (m *Tracing_Http) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Tracing_Http.Marshal(b, m, deterministic)
}
func (m *Tracing_Http) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Tracing_Http.Merge(m, src)
}
func (m *Tracing_Http) XXX_Size() int {
	return xxx_messageInfo_Tracing_Http.Size(m)
}
func (m *Tracing_Http) XXX_DiscardUnknown() {
	xxx_messageInfo_Tracing_Http.DiscardUnknown(m)
}

var xxx_messageInfo_Tracing_Http proto.InternalMessageInfo

func (m *Tracing_Http) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isTracing_Http_ConfigType interface {
	isTracing_Http_ConfigType()
}

type Tracing_Http_TypedConfig struct {
	TypedConfig *any.Any `protobuf:"bytes,3,opt,name=typed_config,json=typedConfig,proto3,oneof"`
}

func (*Tracing_Http_TypedConfig) isTracing_Http_ConfigType() {}

func (m *Tracing_Http) GetConfigType() isTracing_Http_ConfigType {
	if m != nil {
		return m.ConfigType
	}
	return nil
}

func (m *Tracing_Http) GetTypedConfig() *any.Any {
	if x, ok := m.GetConfigType().(*Tracing_Http_TypedConfig); ok {
		return x.TypedConfig
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Tracing_Http) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Tracing_Http_TypedConfig)(nil),
	}
}

// Configuration for the LightStep tracer.
// [#extension: envoy.tracers.lightstep]
type LightstepConfig struct {
	// The cluster manager cluster that hosts the LightStep collectors.
	CollectorCluster string `protobuf:"bytes,1,opt,name=collector_cluster,json=collectorCluster,proto3" json:"collector_cluster,omitempty"`
	// File containing the access token to the `LightStep
	// <https://lightstep.com/>`_ API.
	AccessTokenFile string `protobuf:"bytes,2,opt,name=access_token_file,json=accessTokenFile,proto3" json:"access_token_file,omitempty"`
	// Propagation modes to use by LightStep's tracer.
	PropagationModes     []LightstepConfig_PropagationMode `protobuf:"varint,3,rep,packed,name=propagation_modes,json=propagationModes,proto3,enum=envoy.config.trace.v3.LightstepConfig_PropagationMode" json:"propagation_modes,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                          `json:"-"`
	XXX_unrecognized     []byte                            `json:"-"`
	XXX_sizecache        int32                             `json:"-"`
}

func (m *LightstepConfig) Reset()         { *m = LightstepConfig{} }
func (m *LightstepConfig) String() string { return proto.CompactTextString(m) }
func (*LightstepConfig) ProtoMessage()    {}
func (*LightstepConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{1}
}

func (m *LightstepConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LightstepConfig.Unmarshal(m, b)
}
func (m *LightstepConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LightstepConfig.Marshal(b, m, deterministic)
}
func (m *LightstepConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LightstepConfig.Merge(m, src)
}
func (m *LightstepConfig) XXX_Size() int {
	return xxx_messageInfo_LightstepConfig.Size(m)
}
func (m *LightstepConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_LightstepConfig.DiscardUnknown(m)
}

var xxx_messageInfo_LightstepConfig proto.InternalMessageInfo

func (m *LightstepConfig) GetCollectorCluster() string {
	if m != nil {
		return m.CollectorCluster
	}
	return ""
}

func (m *LightstepConfig) GetAccessTokenFile() string {
	if m != nil {
		return m.AccessTokenFile
	}
	return ""
}

func (m *LightstepConfig) GetPropagationModes() []LightstepConfig_PropagationMode {
	if m != nil {
		return m.PropagationModes
	}
	return nil
}

// Configuration for the Zipkin tracer.
// [#extension: envoy.tracers.zipkin]
// [#next-free-field: 6]
type ZipkinConfig struct {
	// The cluster manager cluster that hosts the Zipkin collectors. Note that the
	// Zipkin cluster must be defined in the :ref:`Bootstrap static cluster
	// resources <envoy_api_field_config.bootstrap.v3.Bootstrap.StaticResources.clusters>`.
	CollectorCluster string `protobuf:"bytes,1,opt,name=collector_cluster,json=collectorCluster,proto3" json:"collector_cluster,omitempty"`
	// The API endpoint of the Zipkin service where the spans will be sent. When
	// using a standard Zipkin installation, the API endpoint is typically
	// /api/v1/spans, which is the default value.
	CollectorEndpoint string `protobuf:"bytes,2,opt,name=collector_endpoint,json=collectorEndpoint,proto3" json:"collector_endpoint,omitempty"`
	// Determines whether a 128bit trace id will be used when creating a new
	// trace instance. The default value is false, which will result in a 64 bit trace id being used.
	TraceId_128Bit bool `protobuf:"varint,3,opt,name=trace_id_128bit,json=traceId128bit,proto3" json:"trace_id_128bit,omitempty"`
	// Determines whether client and server spans will share the same span context.
	// The default value is true.
	SharedSpanContext *wrappers.BoolValue `protobuf:"bytes,4,opt,name=shared_span_context,json=sharedSpanContext,proto3" json:"shared_span_context,omitempty"`
	// Determines the selected collector endpoint version. By default, the ``HTTP_JSON_V1`` will be
	// used.
	CollectorEndpointVersion ZipkinConfig_CollectorEndpointVersion `protobuf:"varint,5,opt,name=collector_endpoint_version,json=collectorEndpointVersion,proto3,enum=envoy.config.trace.v3.ZipkinConfig_CollectorEndpointVersion" json:"collector_endpoint_version,omitempty"`
	XXX_NoUnkeyedLiteral     struct{}                              `json:"-"`
	XXX_unrecognized         []byte                                `json:"-"`
	XXX_sizecache            int32                                 `json:"-"`
}

func (m *ZipkinConfig) Reset()         { *m = ZipkinConfig{} }
func (m *ZipkinConfig) String() string { return proto.CompactTextString(m) }
func (*ZipkinConfig) ProtoMessage()    {}
func (*ZipkinConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{2}
}

func (m *ZipkinConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ZipkinConfig.Unmarshal(m, b)
}
func (m *ZipkinConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ZipkinConfig.Marshal(b, m, deterministic)
}
func (m *ZipkinConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ZipkinConfig.Merge(m, src)
}
func (m *ZipkinConfig) XXX_Size() int {
	return xxx_messageInfo_ZipkinConfig.Size(m)
}
func (m *ZipkinConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_ZipkinConfig.DiscardUnknown(m)
}

var xxx_messageInfo_ZipkinConfig proto.InternalMessageInfo

func (m *ZipkinConfig) GetCollectorCluster() string {
	if m != nil {
		return m.CollectorCluster
	}
	return ""
}

func (m *ZipkinConfig) GetCollectorEndpoint() string {
	if m != nil {
		return m.CollectorEndpoint
	}
	return ""
}

func (m *ZipkinConfig) GetTraceId_128Bit() bool {
	if m != nil {
		return m.TraceId_128Bit
	}
	return false
}

func (m *ZipkinConfig) GetSharedSpanContext() *wrappers.BoolValue {
	if m != nil {
		return m.SharedSpanContext
	}
	return nil
}

func (m *ZipkinConfig) GetCollectorEndpointVersion() ZipkinConfig_CollectorEndpointVersion {
	if m != nil {
		return m.CollectorEndpointVersion
	}
	return ZipkinConfig_DEPRECATED_AND_UNAVAILABLE_DO_NOT_USE
}

// DynamicOtConfig is used to dynamically load a tracer from a shared library
// that implements the `OpenTracing dynamic loading API
// <https://github.com/opentracing/opentracing-cpp>`_.
// [#extension: envoy.tracers.dynamic_ot]
type DynamicOtConfig struct {
	// Dynamic library implementing the `OpenTracing API
	// <https://github.com/opentracing/opentracing-cpp>`_.
	Library string `protobuf:"bytes,1,opt,name=library,proto3" json:"library,omitempty"`
	// The configuration to use when creating a tracer from the given dynamic
	// library.
	Config               *_struct.Struct `protobuf:"bytes,2,opt,name=config,proto3" json:"config,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *DynamicOtConfig) Reset()         { *m = DynamicOtConfig{} }
func (m *DynamicOtConfig) String() string { return proto.CompactTextString(m) }
func (*DynamicOtConfig) ProtoMessage()    {}
func (*DynamicOtConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{3}
}

func (m *DynamicOtConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DynamicOtConfig.Unmarshal(m, b)
}
func (m *DynamicOtConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DynamicOtConfig.Marshal(b, m, deterministic)
}
func (m *DynamicOtConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DynamicOtConfig.Merge(m, src)
}
func (m *DynamicOtConfig) XXX_Size() int {
	return xxx_messageInfo_DynamicOtConfig.Size(m)
}
func (m *DynamicOtConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_DynamicOtConfig.DiscardUnknown(m)
}

var xxx_messageInfo_DynamicOtConfig proto.InternalMessageInfo

func (m *DynamicOtConfig) GetLibrary() string {
	if m != nil {
		return m.Library
	}
	return ""
}

func (m *DynamicOtConfig) GetConfig() *_struct.Struct {
	if m != nil {
		return m.Config
	}
	return nil
}

// Configuration for the Datadog tracer.
// [#extension: envoy.tracers.datadog]
type DatadogConfig struct {
	// The cluster to use for submitting traces to the Datadog agent.
	CollectorCluster string `protobuf:"bytes,1,opt,name=collector_cluster,json=collectorCluster,proto3" json:"collector_cluster,omitempty"`
	// The name used for the service when traces are generated by envoy.
	ServiceName          string   `protobuf:"bytes,2,opt,name=service_name,json=serviceName,proto3" json:"service_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DatadogConfig) Reset()         { *m = DatadogConfig{} }
func (m *DatadogConfig) String() string { return proto.CompactTextString(m) }
func (*DatadogConfig) ProtoMessage()    {}
func (*DatadogConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{4}
}

func (m *DatadogConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DatadogConfig.Unmarshal(m, b)
}
func (m *DatadogConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DatadogConfig.Marshal(b, m, deterministic)
}
func (m *DatadogConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DatadogConfig.Merge(m, src)
}
func (m *DatadogConfig) XXX_Size() int {
	return xxx_messageInfo_DatadogConfig.Size(m)
}
func (m *DatadogConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_DatadogConfig.DiscardUnknown(m)
}

var xxx_messageInfo_DatadogConfig proto.InternalMessageInfo

func (m *DatadogConfig) GetCollectorCluster() string {
	if m != nil {
		return m.CollectorCluster
	}
	return ""
}

func (m *DatadogConfig) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

// Configuration for the OpenCensus tracer.
// [#next-free-field: 15]
// [#extension: envoy.tracers.opencensus]
type OpenCensusConfig struct {
	// Configures tracing, e.g. the sampler, max number of annotations, etc.
	TraceConfig *v1.TraceConfig `protobuf:"bytes,1,opt,name=trace_config,json=traceConfig,proto3" json:"trace_config,omitempty"`
	// Enables the stdout exporter if set to true. This is intended for debugging
	// purposes.
	StdoutExporterEnabled bool `protobuf:"varint,2,opt,name=stdout_exporter_enabled,json=stdoutExporterEnabled,proto3" json:"stdout_exporter_enabled,omitempty"`
	// Enables the Stackdriver exporter if set to true. The project_id must also
	// be set.
	StackdriverExporterEnabled bool `protobuf:"varint,3,opt,name=stackdriver_exporter_enabled,json=stackdriverExporterEnabled,proto3" json:"stackdriver_exporter_enabled,omitempty"`
	// The Cloud project_id to use for Stackdriver tracing.
	StackdriverProjectId string `protobuf:"bytes,4,opt,name=stackdriver_project_id,json=stackdriverProjectId,proto3" json:"stackdriver_project_id,omitempty"`
	// (optional) By default, the Stackdriver exporter will connect to production
	// Stackdriver. If stackdriver_address is non-empty, it will instead connect
	// to this address, which is in the gRPC format:
	// https://github.com/grpc/grpc/blob/master/doc/naming.md
	StackdriverAddress string `protobuf:"bytes,10,opt,name=stackdriver_address,json=stackdriverAddress,proto3" json:"stackdriver_address,omitempty"`
	// (optional) The gRPC server that hosts Stackdriver tracing service. Only
	// Google gRPC is supported. If :ref:`target_uri <envoy_v3_api_field_config.core.v3.GrpcService.GoogleGrpc.target_uri>`
	// is not provided, the default production Stackdriver address will be used.
	StackdriverGrpcService *v3.GrpcService `protobuf:"bytes,13,opt,name=stackdriver_grpc_service,json=stackdriverGrpcService,proto3" json:"stackdriver_grpc_service,omitempty"`
	// Enables the Zipkin exporter if set to true. The url and service name must
	// also be set.
	ZipkinExporterEnabled bool `protobuf:"varint,5,opt,name=zipkin_exporter_enabled,json=zipkinExporterEnabled,proto3" json:"zipkin_exporter_enabled,omitempty"`
	// The URL to Zipkin, e.g. "http://127.0.0.1:9411/api/v2/spans"
	ZipkinUrl string `protobuf:"bytes,6,opt,name=zipkin_url,json=zipkinUrl,proto3" json:"zipkin_url,omitempty"`
	// Enables the OpenCensus Agent exporter if set to true. The ocagent_address or
	// ocagent_grpc_service must also be set.
	OcagentExporterEnabled bool `protobuf:"varint,11,opt,name=ocagent_exporter_enabled,json=ocagentExporterEnabled,proto3" json:"ocagent_exporter_enabled,omitempty"`
	// The address of the OpenCensus Agent, if its exporter is enabled, in gRPC
	// format: https://github.com/grpc/grpc/blob/master/doc/naming.md
	// [#comment:TODO: deprecate this field]
	OcagentAddress string `protobuf:"bytes,12,opt,name=ocagent_address,json=ocagentAddress,proto3" json:"ocagent_address,omitempty"`
	// (optional) The gRPC server hosted by the OpenCensus Agent. Only Google gRPC is supported.
	// This is only used if the ocagent_address is left empty.
	OcagentGrpcService *v3.GrpcService `protobuf:"bytes,14,opt,name=ocagent_grpc_service,json=ocagentGrpcService,proto3" json:"ocagent_grpc_service,omitempty"`
	// List of incoming trace context headers we will accept. First one found
	// wins.
	IncomingTraceContext []OpenCensusConfig_TraceContext `protobuf:"varint,8,rep,packed,name=incoming_trace_context,json=incomingTraceContext,proto3,enum=envoy.config.trace.v3.OpenCensusConfig_TraceContext" json:"incoming_trace_context,omitempty"`
	// List of outgoing trace context headers we will produce.
	OutgoingTraceContext []OpenCensusConfig_TraceContext `protobuf:"varint,9,rep,packed,name=outgoing_trace_context,json=outgoingTraceContext,proto3,enum=envoy.config.trace.v3.OpenCensusConfig_TraceContext" json:"outgoing_trace_context,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                        `json:"-"`
	XXX_unrecognized     []byte                          `json:"-"`
	XXX_sizecache        int32                           `json:"-"`
}

func (m *OpenCensusConfig) Reset()         { *m = OpenCensusConfig{} }
func (m *OpenCensusConfig) String() string { return proto.CompactTextString(m) }
func (*OpenCensusConfig) ProtoMessage()    {}
func (*OpenCensusConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{5}
}

func (m *OpenCensusConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OpenCensusConfig.Unmarshal(m, b)
}
func (m *OpenCensusConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OpenCensusConfig.Marshal(b, m, deterministic)
}
func (m *OpenCensusConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OpenCensusConfig.Merge(m, src)
}
func (m *OpenCensusConfig) XXX_Size() int {
	return xxx_messageInfo_OpenCensusConfig.Size(m)
}
func (m *OpenCensusConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_OpenCensusConfig.DiscardUnknown(m)
}

var xxx_messageInfo_OpenCensusConfig proto.InternalMessageInfo

func (m *OpenCensusConfig) GetTraceConfig() *v1.TraceConfig {
	if m != nil {
		return m.TraceConfig
	}
	return nil
}

func (m *OpenCensusConfig) GetStdoutExporterEnabled() bool {
	if m != nil {
		return m.StdoutExporterEnabled
	}
	return false
}

func (m *OpenCensusConfig) GetStackdriverExporterEnabled() bool {
	if m != nil {
		return m.StackdriverExporterEnabled
	}
	return false
}

func (m *OpenCensusConfig) GetStackdriverProjectId() string {
	if m != nil {
		return m.StackdriverProjectId
	}
	return ""
}

func (m *OpenCensusConfig) GetStackdriverAddress() string {
	if m != nil {
		return m.StackdriverAddress
	}
	return ""
}

func (m *OpenCensusConfig) GetStackdriverGrpcService() *v3.GrpcService {
	if m != nil {
		return m.StackdriverGrpcService
	}
	return nil
}

func (m *OpenCensusConfig) GetZipkinExporterEnabled() bool {
	if m != nil {
		return m.ZipkinExporterEnabled
	}
	return false
}

func (m *OpenCensusConfig) GetZipkinUrl() string {
	if m != nil {
		return m.ZipkinUrl
	}
	return ""
}

func (m *OpenCensusConfig) GetOcagentExporterEnabled() bool {
	if m != nil {
		return m.OcagentExporterEnabled
	}
	return false
}

func (m *OpenCensusConfig) GetOcagentAddress() string {
	if m != nil {
		return m.OcagentAddress
	}
	return ""
}

func (m *OpenCensusConfig) GetOcagentGrpcService() *v3.GrpcService {
	if m != nil {
		return m.OcagentGrpcService
	}
	return nil
}

func (m *OpenCensusConfig) GetIncomingTraceContext() []OpenCensusConfig_TraceContext {
	if m != nil {
		return m.IncomingTraceContext
	}
	return nil
}

func (m *OpenCensusConfig) GetOutgoingTraceContext() []OpenCensusConfig_TraceContext {
	if m != nil {
		return m.OutgoingTraceContext
	}
	return nil
}

// Configuration structure.
type TraceServiceConfig struct {
	// The upstream gRPC cluster that hosts the metrics service.
	GrpcService          *v3.GrpcService `protobuf:"bytes,1,opt,name=grpc_service,json=grpcService,proto3" json:"grpc_service,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *TraceServiceConfig) Reset()         { *m = TraceServiceConfig{} }
func (m *TraceServiceConfig) String() string { return proto.CompactTextString(m) }
func (*TraceServiceConfig) ProtoMessage()    {}
func (*TraceServiceConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_a8ab8dce64ff7a05, []int{6}
}

func (m *TraceServiceConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TraceServiceConfig.Unmarshal(m, b)
}
func (m *TraceServiceConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TraceServiceConfig.Marshal(b, m, deterministic)
}
func (m *TraceServiceConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TraceServiceConfig.Merge(m, src)
}
func (m *TraceServiceConfig) XXX_Size() int {
	return xxx_messageInfo_TraceServiceConfig.Size(m)
}
func (m *TraceServiceConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_TraceServiceConfig.DiscardUnknown(m)
}

var xxx_messageInfo_TraceServiceConfig proto.InternalMessageInfo

func (m *TraceServiceConfig) GetGrpcService() *v3.GrpcService {
	if m != nil {
		return m.GrpcService
	}
	return nil
}

func init() {
	proto.RegisterEnum("envoy.config.trace.v3.LightstepConfig_PropagationMode", LightstepConfig_PropagationMode_name, LightstepConfig_PropagationMode_value)
	proto.RegisterEnum("envoy.config.trace.v3.ZipkinConfig_CollectorEndpointVersion", ZipkinConfig_CollectorEndpointVersion_name, ZipkinConfig_CollectorEndpointVersion_value)
	proto.RegisterEnum("envoy.config.trace.v3.OpenCensusConfig_TraceContext", OpenCensusConfig_TraceContext_name, OpenCensusConfig_TraceContext_value)
	proto.RegisterType((*Tracing)(nil), "envoy.config.trace.v3.Tracing")
	proto.RegisterType((*Tracing_Http)(nil), "envoy.config.trace.v3.Tracing.Http")
	proto.RegisterType((*LightstepConfig)(nil), "envoy.config.trace.v3.LightstepConfig")
	proto.RegisterType((*ZipkinConfig)(nil), "envoy.config.trace.v3.ZipkinConfig")
	proto.RegisterType((*DynamicOtConfig)(nil), "envoy.config.trace.v3.DynamicOtConfig")
	proto.RegisterType((*DatadogConfig)(nil), "envoy.config.trace.v3.DatadogConfig")
	proto.RegisterType((*OpenCensusConfig)(nil), "envoy.config.trace.v3.OpenCensusConfig")
	proto.RegisterType((*TraceServiceConfig)(nil), "envoy.config.trace.v3.TraceServiceConfig")
}

func init() { proto.RegisterFile("envoy/config/trace/v3/trace.proto", fileDescriptor_a8ab8dce64ff7a05) }

var fileDescriptor_a8ab8dce64ff7a05 = []byte{
	// 1304 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x56, 0xcd, 0x6e, 0xdb, 0x46,
	0x17, 0x35, 0x65, 0xd9, 0x96, 0xaf, 0x24, 0x9b, 0x9e, 0x38, 0xb1, 0x3e, 0x7d, 0x49, 0x6a, 0xcb,
	0xf9, 0x71, 0x83, 0x54, 0x42, 0xec, 0x20, 0x4d, 0xdd, 0x2e, 0xaa, 0x1f, 0x26, 0xb6, 0xe1, 0x4a,
	0x02, 0x25, 0x1b, 0xfd, 0x59, 0xb0, 0x63, 0x72, 0xa2, 0x30, 0xa1, 0x39, 0xc4, 0x70, 0xa4, 0x5a,
	0x59, 0x15, 0x5d, 0x15, 0xed, 0x2a, 0x2d, 0xba, 0x68, 0x81, 0x6e, 0x8b, 0x3e, 0x40, 0x57, 0xdd,
	0x17, 0xe8, 0xb6, 0x2f, 0xd1, 0x57, 0x28, 0x90, 0x55, 0xc1, 0x19, 0xd2, 0xa6, 0x28, 0x2b, 0x0d,
	0xe0, 0x1d, 0x79, 0xcf, 0x3d, 0x77, 0x0e, 0xcf, 0xdc, 0xb9, 0x43, 0x58, 0x23, 0xee, 0x80, 0x0e,
	0x2b, 0x26, 0x75, 0x9f, 0xd8, 0xbd, 0x0a, 0x67, 0xd8, 0x24, 0x95, 0xc1, 0x96, 0x7c, 0x28, 0x7b,
	0x8c, 0x72, 0x8a, 0x2e, 0x8b, 0x94, 0xb2, 0x4c, 0x29, 0x4b, 0x64, 0xb0, 0x55, 0xbc, 0x3d, 0xc2,
	0x34, 0x29, 0x13, 0xc4, 0x1e, 0xf3, 0x4c, 0xc3, 0x27, 0x6c, 0x60, 0x47, 0xfc, 0xe2, 0xff, 0x7a,
	0x94, 0xf6, 0x1c, 0x52, 0x11, 0x6f, 0x47, 0xfd, 0x27, 0x15, 0xec, 0x0e, 0x43, 0xe8, 0x6a, 0x12,
	0xf2, 0x39, 0xeb, 0x9b, 0x3c, 0x44, 0xaf, 0x27, 0xd1, 0x2f, 0x18, 0xf6, 0x3c, 0xc2, 0xfc, 0x10,
	0xbf, 0x4b, 0x3d, 0xe2, 0x9a, 0xc4, 0xf5, 0xfb, 0xbe, 0xcc, 0x89, 0xf4, 0xdf, 0x93, 0x0f, 0x46,
	0x28, 0x59, 0x66, 0xaf, 0x4b, 0xbd, 0xd8, 0x75, 0x29, 0xc7, 0xdc, 0xa6, 0xae, 0x5f, 0xb1, 0x88,
	0xc7, 0x88, 0x29, 0x5e, 0xc2, 0xa4, 0x6b, 0x7d, 0xcb, 0xc3, 0x23, 0x39, 0x3e, 0xc7, 0xbc, 0x1f,
	0xad, 0xb8, 0x36, 0x06, 0x0f, 0x08, 0xf3, 0x6d, 0xea, 0xda, 0x6e, 0xb4, 0xcc, 0xca, 0x00, 0x3b,
	0xb6, 0x85, 0x39, 0xa9, 0x44, 0x0f, 0x12, 0x28, 0xbd, 0x4c, 0xc1, 0x5c, 0x97, 0x61, 0xd3, 0x76,
	0x7b, 0xe8, 0x5d, 0x48, 0x3f, 0xe5, 0xdc, 0x2b, 0x28, 0xab, 0xca, 0x46, 0x76, 0x73, 0xbd, 0x7c,
	0xae, 0xc3, 0xe5, 0x30, 0xbb, 0xbc, 0xc3, 0xb9, 0xa7, 0x0b, 0x42, 0xf1, 0x17, 0x05, 0xd2, 0xc1,
	0x2b, 0xfa, 0x3f, 0xa4, 0x5d, 0x7c, 0x4c, 0x44, 0x85, 0xf9, 0xda, 0xdc, 0xab, 0x5a, 0x9a, 0xa5,
	0x56, 0x15, 0x5d, 0x04, 0xd1, 0x7b, 0x90, 0xe3, 0x43, 0x8f, 0x58, 0xa1, 0x01, 0x85, 0x69, 0xb1,
	0xcc, 0x72, 0x59, 0xfa, 0x59, 0x8e, 0xfc, 0x2c, 0x57, 0xdd, 0xe1, 0xce, 0x94, 0x9e, 0x15, 0xb9,
	0x75, 0x91, 0xba, 0xfd, 0xf6, 0x4f, 0x7f, 0x7c, 0x7d, 0xfd, 0x06, 0x94, 0xce, 0x53, 0xb4, 0x39,
	0xa2, 0xa8, 0x96, 0x87, 0xac, 0xc4, 0x8d, 0xa0, 0xc0, 0x5e, 0x3a, 0x93, 0x52, 0xa7, 0xf5, 0x59,
	0x19, 0xda, 0xbe, 0x11, 0xd4, 0x79, 0x0b, 0xae, 0xbd, 0xb6, 0x4e, 0xe9, 0xef, 0x14, 0x2c, 0xee,
	0xdb, 0xbd, 0xa7, 0xdc, 0xe7, 0xc4, 0x93, 0x0a, 0xd0, 0x7d, 0x58, 0x32, 0xa9, 0xe3, 0x10, 0x93,
	0x53, 0x66, 0x98, 0x4e, 0xdf, 0xe7, 0x84, 0x25, 0x3f, 0x53, 0x3d, 0xcd, 0xa8, 0xcb, 0x04, 0xb4,
	0x05, 0x4b, 0xd8, 0x34, 0x89, 0xef, 0x1b, 0x9c, 0x3e, 0x27, 0xae, 0xf1, 0xc4, 0x76, 0x48, 0x21,
	0x35, 0xca, 0x5a, 0x94, 0x19, 0xdd, 0x20, 0xe1, 0x91, 0xed, 0x10, 0xc4, 0x60, 0xc9, 0x63, 0xd4,
	0xc3, 0x3d, 0xb1, 0x99, 0xc6, 0x31, 0xb5, 0x88, 0x5f, 0x98, 0x5e, 0x9d, 0xde, 0x58, 0xd8, 0x7c,
	0x30, 0x61, 0x4f, 0x12, 0x6a, 0xcb, 0xed, 0x33, 0xfe, 0x47, 0xd4, 0x22, 0xb5, 0xfc, 0xab, 0x1a,
	0x7c, 0xa7, 0xcc, 0x95, 0x66, 0xbe, 0x52, 0x52, 0xaa, 0xa2, 0xab, 0xde, 0x28, 0xee, 0x97, 0x1e,
	0xc1, 0x62, 0x82, 0x83, 0xe6, 0x61, 0x46, 0x6b, 0x1e, 0xb6, 0x3e, 0x51, 0xa7, 0x50, 0x1e, 0xe6,
	0xf7, 0x77, 0x1f, 0xef, 0x74, 0x3b, 0x5d, 0xad, 0xad, 0x2a, 0x68, 0x16, 0x52, 0xb5, 0x2d, 0x35,
	0x85, 0x96, 0x20, 0xdf, 0xd5, 0xab, 0x75, 0xcd, 0xa8, 0xb7, 0x9a, 0x5d, 0xed, 0xe3, 0xae, 0x3a,
	0xbd, 0x7d, 0x37, 0x30, 0xf8, 0x36, 0xdc, 0x3c, 0xdf, 0xe0, 0x84, 0xcc, 0xd2, 0xcb, 0x34, 0xe4,
	0x3e, 0xb5, 0xbd, 0xe7, 0xb6, 0x7b, 0x21, 0x97, 0x1f, 0x00, 0x3a, 0x63, 0x11, 0xd7, 0xf2, 0xa8,
	0xed, 0xf2, 0xa4, 0xcd, 0x67, 0x85, 0xb5, 0x30, 0x03, 0xdd, 0x82, 0x45, 0x79, 0x22, 0x6d, 0xcb,
	0xb8, 0xb7, 0xf9, 0xf0, 0xc8, 0xe6, 0xa2, 0x27, 0x33, 0x7a, 0x5e, 0x84, 0x77, 0x2d, 0x19, 0x44,
	0x7b, 0x70, 0xc9, 0x7f, 0x8a, 0x19, 0xb1, 0x0c, 0xdf, 0xc3, 0x6e, 0xd0, 0xbe, 0x9c, 0x9c, 0xf0,
	0x42, 0x5a, 0xf4, 0x6f, 0x71, 0xac, 0x7f, 0x6b, 0x94, 0x3a, 0x87, 0xd8, 0xe9, 0x13, 0x7d, 0x49,
	0xd2, 0x3a, 0x1e, 0x0e, 0x3e, 0x30, 0x20, 0xa1, 0x17, 0x50, 0x1c, 0xd7, 0x6a, 0x84, 0xe7, 0xb5,
	0x30, 0xb3, 0xaa, 0x6c, 0x2c, 0x6c, 0x7e, 0x30, 0x61, 0x97, 0xe3, 0x56, 0x95, 0xeb, 0xc9, 0xcf,
	0x39, 0x94, 0x35, 0xf4, 0x82, 0x39, 0x01, 0x29, 0x9d, 0x40, 0x61, 0x12, 0x0b, 0x6d, 0xc1, 0xcd,
	0x86, 0xd6, 0xd6, 0xb5, 0x7a, 0xb5, 0xab, 0x35, 0x8c, 0x6a, 0xb3, 0x61, 0x1c, 0x34, 0xab, 0x87,
	0xd5, 0xdd, 0xfd, 0x6a, 0x6d, 0x5f, 0x33, 0x1a, 0x2d, 0xa3, 0xd9, 0xea, 0x1a, 0x07, 0x1d, 0x4d,
	0x9d, 0x2a, 0x66, 0x7e, 0xfd, 0xe7, 0xb7, 0x6f, 0x53, 0x4a, 0x46, 0x09, 0xfa, 0x62, 0xa7, 0xdb,
	0x6d, 0x1b, 0x7b, 0x9d, 0x56, 0x53, 0x55, 0xd0, 0x02, 0x80, 0x78, 0x6d, 0xeb, 0xad, 0x6e, 0x4b,
	0x4d, 0xa1, 0x0c, 0xa4, 0x1f, 0xeb, 0xed, 0xba, 0x3a, 0xfd, 0x1f, 0xe7, 0x37, 0xfe, 0x5d, 0xa5,
	0xef, 0x15, 0x58, 0x6c, 0x0c, 0x5d, 0x7c, 0x6c, 0x9b, 0x2d, 0x1e, 0xb6, 0xc5, 0x1a, 0xcc, 0x39,
	0xf6, 0x11, 0xc3, 0x6c, 0x98, 0x6c, 0x86, 0x28, 0x8e, 0x2a, 0x10, 0x9e, 0x71, 0xb1, 0xef, 0xd9,
	0xcd, 0x95, 0xb1, 0x6d, 0xe9, 0x88, 0x21, 0x7e, 0x3a, 0x0a, 0x5e, 0xdf, 0xa9, 0x09, 0x05, 0xa5,
	0x9f, 0x15, 0xc8, 0x37, 0x30, 0xc7, 0x16, 0xed, 0x5d, 0xa8, 0x55, 0xef, 0x40, 0x2e, 0xbc, 0x86,
	0x0c, 0x31, 0x28, 0x13, 0x4d, 0x9a, 0x0d, 0xc1, 0x26, 0x3e, 0x26, 0xdb, 0x77, 0x02, 0x85, 0x37,
	0x61, 0x7d, 0x82, 0xc2, 0xb8, 0x9a, 0xd2, 0x8f, 0x19, 0x50, 0x5b, 0x1e, 0x71, 0xeb, 0xe2, 0xde,
	0x09, 0x25, 0xee, 0x42, 0x2e, 0x7e, 0xe3, 0x84, 0x73, 0xfd, 0x56, 0xf9, 0xec, 0x82, 0x92, 0xee,
	0x44, 0x45, 0xef, 0x89, 0x09, 0x48, 0x24, 0x5b, 0xcf, 0xf2, 0xb3, 0x17, 0xf4, 0x00, 0x56, 0x7c,
	0x6e, 0xd1, 0x3e, 0x37, 0xc8, 0x89, 0x47, 0x19, 0x27, 0x41, 0xf3, 0xe2, 0x23, 0x87, 0x58, 0xe2,
	0x13, 0x32, 0xfa, 0x65, 0x09, 0x6b, 0x21, 0xaa, 0x49, 0x10, 0x7d, 0x08, 0x57, 0x7d, 0x8e, 0xcd,
	0xe7, 0x16, 0xb3, 0x07, 0x01, 0x27, 0x49, 0x96, 0xe7, 0xad, 0x18, 0xcb, 0x49, 0x56, 0xb8, 0x0f,
	0x57, 0xe2, 0x15, 0x3c, 0x46, 0x9f, 0x11, 0x93, 0x1b, 0xb6, 0x25, 0xce, 0xdf, 0xbc, 0xbe, 0x1c,
	0x43, 0xdb, 0x12, 0xdc, 0xb5, 0x50, 0x05, 0x2e, 0xc5, 0x59, 0xd8, 0xb2, 0x18, 0xf1, 0xfd, 0x02,
	0x08, 0x0a, 0x8a, 0x41, 0x55, 0x89, 0xa0, 0xcf, 0xa0, 0x10, 0x27, 0xc4, 0x7f, 0x18, 0x0a, 0x79,
	0xe1, 0xdb, 0xda, 0xe8, 0xa9, 0x0c, 0x7e, 0x2d, 0x82, 0x43, 0xf9, 0x98, 0x79, 0x66, 0x47, 0x26,
	0xea, 0x71, 0xa5, 0xb1, 0x78, 0xe0, 0xde, 0x0b, 0xd1, 0xe3, 0xe3, 0x06, 0xcc, 0x48, 0xf7, 0x24,
	0x9c, 0xfc, 0xf6, 0x6b, 0x00, 0x21, 0xaf, 0xcf, 0x9c, 0xc2, 0xac, 0x10, 0x3f, 0x2f, 0x23, 0x07,
	0xcc, 0x41, 0x0f, 0xa1, 0x40, 0x4d, 0xdc, 0x23, 0xee, 0x39, 0xbb, 0x92, 0x15, 0x75, 0xaf, 0x84,
	0x78, 0xb2, 0xf0, 0x6d, 0x58, 0x8c, 0x98, 0x91, 0x35, 0x39, 0x51, 0x7d, 0x21, 0x0c, 0x47, 0xb6,
	0x74, 0x60, 0x39, 0x4a, 0x1c, 0xb1, 0x64, 0xe1, 0x4d, 0x2d, 0x41, 0x21, 0x3d, 0x6e, 0xc7, 0x33,
	0xb8, 0x62, 0xbb, 0x26, 0x3d, 0xb6, 0xdd, 0x9e, 0x71, 0xda, 0xa0, 0x62, 0xa4, 0x66, 0xc4, 0x2d,
	0x77, 0x7f, 0xc2, 0xfc, 0x4b, 0x36, 0xf8, 0x69, 0xbb, 0x06, 0x5c, 0x7d, 0x39, 0xaa, 0x19, 0x8f,
	0x06, 0x6b, 0xd1, 0x3e, 0xef, 0xd1, 0xf1, 0xb5, 0xe6, 0x2f, 0xb2, 0x56, 0x54, 0x33, 0x1e, 0x2d,
	0x7d, 0x0e, 0xb9, 0x91, 0xb5, 0x33, 0x90, 0x6e, 0xb6, 0x9a, 0x9a, 0x3a, 0x35, 0x7e, 0x53, 0x2a,
	0x08, 0xc1, 0x42, 0x30, 0x1c, 0x0d, 0x19, 0xaf, 0xed, 0x36, 0xd5, 0x14, 0x5a, 0x81, 0x4b, 0xf5,
	0xfd, 0xd6, 0x41, 0xc3, 0x48, 0x5c, 0xab, 0xe1, 0x8d, 0x9b, 0xde, 0x7e, 0x27, 0x18, 0x09, 0x1b,
	0x70, 0xeb, 0xfc, 0x91, 0x90, 0xd4, 0xbc, 0x97, 0xce, 0xcc, 0xa9, 0x99, 0xd2, 0x0f, 0x0a, 0x20,
	0xa1, 0x2b, 0xf4, 0x3f, 0x3c, 0xd2, 0x4d, 0xc8, 0x8d, 0x6c, 0xa9, 0xf2, 0x86, 0x5b, 0x5a, 0xcb,
	0xbc, 0xaa, 0xcd, 0x7c, 0x23, 0xfe, 0x23, 0xb2, 0xbd, 0xb3, 0xf0, 0x76, 0x25, 0xd0, 0x76, 0x07,
	0x36, 0x26, 0xff, 0x5b, 0x8d, 0x0a, 0xa8, 0xbd, 0xff, 0xfb, 0x97, 0x7f, 0xfe, 0x35, 0x9b, 0x52,
	0x53, 0xb0, 0x6e, 0x53, 0xb9, 0xac, 0xc7, 0xe8, 0xc9, 0xf0, 0xfc, 0x1d, 0xa9, 0x81, 0x28, 0xd1,
	0x0e, 0x06, 0x56, 0x5b, 0x39, 0x9a, 0x15, 0x93, 0x6b, 0xeb, 0xdf, 0x00, 0x00, 0x00, 0xff, 0xff,
	0x31, 0xb3, 0x80, 0x19, 0x2a, 0x0c, 0x00, 0x00,
}
