// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/extensions/transport_sockets/tls/v4alpha/cert.proto

package envoy_extensions_transport_sockets_tls_v4alpha

import (
	fmt "fmt"
	v4alpha "github.com/cilium/proxy/go/envoy/config/core/v4alpha"
	v3 "github.com/cilium/proxy/go/envoy/type/matcher/v3"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	any "github.com/golang/protobuf/ptypes/any"
	duration "github.com/golang/protobuf/ptypes/duration"
	_ "github.com/golang/protobuf/ptypes/struct"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type TlsParameters_TlsProtocol int32

const (
	// Envoy will choose the optimal TLS version.
	TlsParameters_TLS_AUTO TlsParameters_TlsProtocol = 0
	// TLS 1.0
	TlsParameters_TLSv1_0 TlsParameters_TlsProtocol = 1
	// TLS 1.1
	TlsParameters_TLSv1_1 TlsParameters_TlsProtocol = 2
	// TLS 1.2
	TlsParameters_TLSv1_2 TlsParameters_TlsProtocol = 3
	// TLS 1.3
	TlsParameters_TLSv1_3 TlsParameters_TlsProtocol = 4
)

var TlsParameters_TlsProtocol_name = map[int32]string{
	0: "TLS_AUTO",
	1: "TLSv1_0",
	2: "TLSv1_1",
	3: "TLSv1_2",
	4: "TLSv1_3",
}

var TlsParameters_TlsProtocol_value = map[string]int32{
	"TLS_AUTO": 0,
	"TLSv1_0":  1,
	"TLSv1_1":  2,
	"TLSv1_2":  3,
	"TLSv1_3":  4,
}

func (x TlsParameters_TlsProtocol) String() string {
	return proto.EnumName(TlsParameters_TlsProtocol_name, int32(x))
}

func (TlsParameters_TlsProtocol) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{0, 0}
}

// Peer certificate verification mode.
type CertificateValidationContext_TrustChainVerification int32

const (
	// Perform default certificate verification (e.g., against CA / verification lists)
	CertificateValidationContext_VERIFY_TRUST_CHAIN CertificateValidationContext_TrustChainVerification = 0
	// Connections where the certificate fails verification will be permitted.
	// For HTTP connections, the result of certificate verification can be used in route matching. (
	// see :ref:`validated <envoy_api_field_config.route.v4alpha.RouteMatch.TlsContextMatchOptions.validated>` ).
	CertificateValidationContext_ACCEPT_UNTRUSTED CertificateValidationContext_TrustChainVerification = 1
)

var CertificateValidationContext_TrustChainVerification_name = map[int32]string{
	0: "VERIFY_TRUST_CHAIN",
	1: "ACCEPT_UNTRUSTED",
}

var CertificateValidationContext_TrustChainVerification_value = map[string]int32{
	"VERIFY_TRUST_CHAIN": 0,
	"ACCEPT_UNTRUSTED":   1,
}

func (x CertificateValidationContext_TrustChainVerification) String() string {
	return proto.EnumName(CertificateValidationContext_TrustChainVerification_name, int32(x))
}

func (CertificateValidationContext_TrustChainVerification) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{4, 0}
}

type TlsParameters struct {
	// Minimum TLS protocol version. By default, it's ``TLSv1_2`` for clients and ``TLSv1_0`` for
	// servers.
	TlsMinimumProtocolVersion TlsParameters_TlsProtocol `protobuf:"varint,1,opt,name=tls_minimum_protocol_version,json=tlsMinimumProtocolVersion,proto3,enum=envoy.extensions.transport_sockets.tls.v4alpha.TlsParameters_TlsProtocol" json:"tls_minimum_protocol_version,omitempty"`
	// Maximum TLS protocol version. By default, it's ``TLSv1_3`` for servers in non-FIPS builds, and
	// ``TLSv1_2`` for clients and for servers using :ref:`BoringSSL FIPS <arch_overview_ssl_fips>`.
	TlsMaximumProtocolVersion TlsParameters_TlsProtocol `protobuf:"varint,2,opt,name=tls_maximum_protocol_version,json=tlsMaximumProtocolVersion,proto3,enum=envoy.extensions.transport_sockets.tls.v4alpha.TlsParameters_TlsProtocol" json:"tls_maximum_protocol_version,omitempty"`
	// If specified, the TLS listener will only support the specified `cipher list
	// <https://commondatastorage.googleapis.com/chromium-boringssl-docs/ssl.h.html#Cipher-suite-configuration>`_
	// when negotiating TLS 1.0-1.2 (this setting has no effect when negotiating TLS 1.3). If not
	// specified, the default list will be used.
	//
	// In non-FIPS builds, the default cipher list is:
	//
	// .. code-block:: none
	//
	//   [ECDHE-ECDSA-AES128-GCM-SHA256|ECDHE-ECDSA-CHACHA20-POLY1305]
	//   [ECDHE-RSA-AES128-GCM-SHA256|ECDHE-RSA-CHACHA20-POLY1305]
	//   ECDHE-ECDSA-AES128-SHA
	//   ECDHE-RSA-AES128-SHA
	//   AES128-GCM-SHA256
	//   AES128-SHA
	//   ECDHE-ECDSA-AES256-GCM-SHA384
	//   ECDHE-RSA-AES256-GCM-SHA384
	//   ECDHE-ECDSA-AES256-SHA
	//   ECDHE-RSA-AES256-SHA
	//   AES256-GCM-SHA384
	//   AES256-SHA
	//
	// In builds using :ref:`BoringSSL FIPS <arch_overview_ssl_fips>`, the default cipher list is:
	//
	// .. code-block:: none
	//
	//   ECDHE-ECDSA-AES128-GCM-SHA256
	//   ECDHE-RSA-AES128-GCM-SHA256
	//   ECDHE-ECDSA-AES128-SHA
	//   ECDHE-RSA-AES128-SHA
	//   AES128-GCM-SHA256
	//   AES128-SHA
	//   ECDHE-ECDSA-AES256-GCM-SHA384
	//   ECDHE-RSA-AES256-GCM-SHA384
	//   ECDHE-ECDSA-AES256-SHA
	//   ECDHE-RSA-AES256-SHA
	//   AES256-GCM-SHA384
	//   AES256-SHA
	CipherSuites []string `protobuf:"bytes,3,rep,name=cipher_suites,json=cipherSuites,proto3" json:"cipher_suites,omitempty"`
	// If specified, the TLS connection will only support the specified ECDH
	// curves. If not specified, the default curves will be used.
	//
	// In non-FIPS builds, the default curves are:
	//
	// .. code-block:: none
	//
	//   X25519
	//   P-256
	//
	// In builds using :ref:`BoringSSL FIPS <arch_overview_ssl_fips>`, the default curve is:
	//
	// .. code-block:: none
	//
	//   P-256
	EcdhCurves           []string `protobuf:"bytes,4,rep,name=ecdh_curves,json=ecdhCurves,proto3" json:"ecdh_curves,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TlsParameters) Reset()         { *m = TlsParameters{} }
func (m *TlsParameters) String() string { return proto.CompactTextString(m) }
func (*TlsParameters) ProtoMessage()    {}
func (*TlsParameters) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{0}
}

func (m *TlsParameters) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TlsParameters.Unmarshal(m, b)
}
func (m *TlsParameters) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TlsParameters.Marshal(b, m, deterministic)
}
func (m *TlsParameters) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TlsParameters.Merge(m, src)
}
func (m *TlsParameters) XXX_Size() int {
	return xxx_messageInfo_TlsParameters.Size(m)
}
func (m *TlsParameters) XXX_DiscardUnknown() {
	xxx_messageInfo_TlsParameters.DiscardUnknown(m)
}

var xxx_messageInfo_TlsParameters proto.InternalMessageInfo

func (m *TlsParameters) GetTlsMinimumProtocolVersion() TlsParameters_TlsProtocol {
	if m != nil {
		return m.TlsMinimumProtocolVersion
	}
	return TlsParameters_TLS_AUTO
}

func (m *TlsParameters) GetTlsMaximumProtocolVersion() TlsParameters_TlsProtocol {
	if m != nil {
		return m.TlsMaximumProtocolVersion
	}
	return TlsParameters_TLS_AUTO
}

func (m *TlsParameters) GetCipherSuites() []string {
	if m != nil {
		return m.CipherSuites
	}
	return nil
}

func (m *TlsParameters) GetEcdhCurves() []string {
	if m != nil {
		return m.EcdhCurves
	}
	return nil
}

// BoringSSL private key method configuration. The private key methods are used for external
// (potentially asynchronous) signing and decryption operations. Some use cases for private key
// methods would be TPM support and TLS acceleration.
type PrivateKeyProvider struct {
	// Private key method provider name. The name must match a
	// supported private key method provider type.
	ProviderName string `protobuf:"bytes,1,opt,name=provider_name,json=providerName,proto3" json:"provider_name,omitempty"`
	// Private key method provider specific configuration.
	//
	// Types that are valid to be assigned to ConfigType:
	//	*PrivateKeyProvider_TypedConfig
	ConfigType           isPrivateKeyProvider_ConfigType `protobuf_oneof:"config_type"`
	XXX_NoUnkeyedLiteral struct{}                        `json:"-"`
	XXX_unrecognized     []byte                          `json:"-"`
	XXX_sizecache        int32                           `json:"-"`
}

func (m *PrivateKeyProvider) Reset()         { *m = PrivateKeyProvider{} }
func (m *PrivateKeyProvider) String() string { return proto.CompactTextString(m) }
func (*PrivateKeyProvider) ProtoMessage()    {}
func (*PrivateKeyProvider) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{1}
}

func (m *PrivateKeyProvider) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PrivateKeyProvider.Unmarshal(m, b)
}
func (m *PrivateKeyProvider) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PrivateKeyProvider.Marshal(b, m, deterministic)
}
func (m *PrivateKeyProvider) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PrivateKeyProvider.Merge(m, src)
}
func (m *PrivateKeyProvider) XXX_Size() int {
	return xxx_messageInfo_PrivateKeyProvider.Size(m)
}
func (m *PrivateKeyProvider) XXX_DiscardUnknown() {
	xxx_messageInfo_PrivateKeyProvider.DiscardUnknown(m)
}

var xxx_messageInfo_PrivateKeyProvider proto.InternalMessageInfo

func (m *PrivateKeyProvider) GetProviderName() string {
	if m != nil {
		return m.ProviderName
	}
	return ""
}

type isPrivateKeyProvider_ConfigType interface {
	isPrivateKeyProvider_ConfigType()
}

type PrivateKeyProvider_TypedConfig struct {
	TypedConfig *any.Any `protobuf:"bytes,3,opt,name=typed_config,json=typedConfig,proto3,oneof"`
}

func (*PrivateKeyProvider_TypedConfig) isPrivateKeyProvider_ConfigType() {}

func (m *PrivateKeyProvider) GetConfigType() isPrivateKeyProvider_ConfigType {
	if m != nil {
		return m.ConfigType
	}
	return nil
}

func (m *PrivateKeyProvider) GetTypedConfig() *any.Any {
	if x, ok := m.GetConfigType().(*PrivateKeyProvider_TypedConfig); ok {
		return x.TypedConfig
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*PrivateKeyProvider) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*PrivateKeyProvider_TypedConfig)(nil),
	}
}

// [#next-free-field: 7]
type TlsCertificate struct {
	// The TLS certificate chain.
	CertificateChain *v4alpha.DataSource `protobuf:"bytes,1,opt,name=certificate_chain,json=certificateChain,proto3" json:"certificate_chain,omitempty"`
	// The TLS private key.
	PrivateKey *v4alpha.DataSource `protobuf:"bytes,2,opt,name=private_key,json=privateKey,proto3" json:"private_key,omitempty"`
	// BoringSSL private key method provider. This is an alternative to :ref:`private_key
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.TlsCertificate.private_key>` field. This can't be
	// marked as ``oneof`` due to API compatibility reasons. Setting both :ref:`private_key
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.TlsCertificate.private_key>` and
	// :ref:`private_key_provider
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.TlsCertificate.private_key_provider>` fields will result in an
	// error.
	PrivateKeyProvider *PrivateKeyProvider `protobuf:"bytes,6,opt,name=private_key_provider,json=privateKeyProvider,proto3" json:"private_key_provider,omitempty"`
	// The password to decrypt the TLS private key. If this field is not set, it is assumed that the
	// TLS private key is not password encrypted.
	Password *v4alpha.DataSource `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`
	// [#not-implemented-hide:]
	OcspStaple *v4alpha.DataSource `protobuf:"bytes,4,opt,name=ocsp_staple,json=ocspStaple,proto3" json:"ocsp_staple,omitempty"`
	// [#not-implemented-hide:]
	SignedCertificateTimestamp []*v4alpha.DataSource `protobuf:"bytes,5,rep,name=signed_certificate_timestamp,json=signedCertificateTimestamp,proto3" json:"signed_certificate_timestamp,omitempty"`
	XXX_NoUnkeyedLiteral       struct{}              `json:"-"`
	XXX_unrecognized           []byte                `json:"-"`
	XXX_sizecache              int32                 `json:"-"`
}

func (m *TlsCertificate) Reset()         { *m = TlsCertificate{} }
func (m *TlsCertificate) String() string { return proto.CompactTextString(m) }
func (*TlsCertificate) ProtoMessage()    {}
func (*TlsCertificate) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{2}
}

func (m *TlsCertificate) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TlsCertificate.Unmarshal(m, b)
}
func (m *TlsCertificate) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TlsCertificate.Marshal(b, m, deterministic)
}
func (m *TlsCertificate) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TlsCertificate.Merge(m, src)
}
func (m *TlsCertificate) XXX_Size() int {
	return xxx_messageInfo_TlsCertificate.Size(m)
}
func (m *TlsCertificate) XXX_DiscardUnknown() {
	xxx_messageInfo_TlsCertificate.DiscardUnknown(m)
}

var xxx_messageInfo_TlsCertificate proto.InternalMessageInfo

func (m *TlsCertificate) GetCertificateChain() *v4alpha.DataSource {
	if m != nil {
		return m.CertificateChain
	}
	return nil
}

func (m *TlsCertificate) GetPrivateKey() *v4alpha.DataSource {
	if m != nil {
		return m.PrivateKey
	}
	return nil
}

func (m *TlsCertificate) GetPrivateKeyProvider() *PrivateKeyProvider {
	if m != nil {
		return m.PrivateKeyProvider
	}
	return nil
}

func (m *TlsCertificate) GetPassword() *v4alpha.DataSource {
	if m != nil {
		return m.Password
	}
	return nil
}

func (m *TlsCertificate) GetOcspStaple() *v4alpha.DataSource {
	if m != nil {
		return m.OcspStaple
	}
	return nil
}

func (m *TlsCertificate) GetSignedCertificateTimestamp() []*v4alpha.DataSource {
	if m != nil {
		return m.SignedCertificateTimestamp
	}
	return nil
}

type TlsSessionTicketKeys struct {
	// Keys for encrypting and decrypting TLS session tickets. The
	// first key in the array contains the key to encrypt all new sessions created by this context.
	// All keys are candidates for decrypting received tickets. This allows for easy rotation of keys
	// by, for example, putting the new key first, and the previous key second.
	//
	// If :ref:`session_ticket_keys <envoy_api_field_extensions.transport_sockets.tls.v4alpha.DownstreamTlsContext.session_ticket_keys>`
	// is not specified, the TLS library will still support resuming sessions via tickets, but it will
	// use an internally-generated and managed key, so sessions cannot be resumed across hot restarts
	// or on different hosts.
	//
	// Each key must contain exactly 80 bytes of cryptographically-secure random data. For
	// example, the output of ``openssl rand 80``.
	//
	// .. attention::
	//
	//   Using this feature has serious security considerations and risks. Improper handling of keys
	//   may result in loss of secrecy in connections, even if ciphers supporting perfect forward
	//   secrecy are used. See https://www.imperialviolet.org/2013/06/27/botchingpfs.html for some
	//   discussion. To minimize the risk, you must:
	//
	//   * Keep the session ticket keys at least as secure as your TLS certificate private keys
	//   * Rotate session ticket keys at least daily, and preferably hourly
	//   * Always generate keys using a cryptographically-secure random data source
	Keys                 []*v4alpha.DataSource `protobuf:"bytes,1,rep,name=keys,proto3" json:"keys,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *TlsSessionTicketKeys) Reset()         { *m = TlsSessionTicketKeys{} }
func (m *TlsSessionTicketKeys) String() string { return proto.CompactTextString(m) }
func (*TlsSessionTicketKeys) ProtoMessage()    {}
func (*TlsSessionTicketKeys) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{3}
}

func (m *TlsSessionTicketKeys) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TlsSessionTicketKeys.Unmarshal(m, b)
}
func (m *TlsSessionTicketKeys) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TlsSessionTicketKeys.Marshal(b, m, deterministic)
}
func (m *TlsSessionTicketKeys) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TlsSessionTicketKeys.Merge(m, src)
}
func (m *TlsSessionTicketKeys) XXX_Size() int {
	return xxx_messageInfo_TlsSessionTicketKeys.Size(m)
}
func (m *TlsSessionTicketKeys) XXX_DiscardUnknown() {
	xxx_messageInfo_TlsSessionTicketKeys.DiscardUnknown(m)
}

var xxx_messageInfo_TlsSessionTicketKeys proto.InternalMessageInfo

func (m *TlsSessionTicketKeys) GetKeys() []*v4alpha.DataSource {
	if m != nil {
		return m.Keys
	}
	return nil
}

// [#next-free-field: 11]
type CertificateValidationContext struct {
	// TLS certificate data containing certificate authority certificates to use in verifying
	// a presented peer certificate (e.g. server certificate for clusters or client certificate
	// for listeners). If not specified and a peer certificate is presented it will not be
	// verified. By default, a client certificate is optional, unless one of the additional
	// options (:ref:`require_client_certificate
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.DownstreamTlsContext.require_client_certificate>`,
	// :ref:`verify_certificate_spki
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.verify_certificate_spki>`,
	// :ref:`verify_certificate_hash
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.verify_certificate_hash>`, or
	// :ref:`match_subject_alt_names
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.match_subject_alt_names>`) is also
	// specified.
	//
	// It can optionally contain certificate revocation lists, in which case Envoy will verify
	// that the presented peer certificate has not been revoked by one of the included CRLs.
	//
	// See :ref:`the TLS overview <arch_overview_ssl_enabling_verification>` for a list of common
	// system CA locations.
	TrustedCa *v4alpha.DataSource `protobuf:"bytes,1,opt,name=trusted_ca,json=trustedCa,proto3" json:"trusted_ca,omitempty"`
	// An optional list of base64-encoded SHA-256 hashes. If specified, Envoy will verify that the
	// SHA-256 of the DER-encoded Subject Public Key Information (SPKI) of the presented certificate
	// matches one of the specified values.
	//
	// A base64-encoded SHA-256 of the Subject Public Key Information (SPKI) of the certificate
	// can be generated with the following command:
	//
	// .. code-block:: bash
	//
	//   $ openssl x509 -in path/to/client.crt -noout -pubkey
	//     | openssl pkey -pubin -outform DER
	//     | openssl dgst -sha256 -binary
	//     | openssl enc -base64
	//   NvqYIYSbgK2vCJpQhObf77vv+bQWtc5ek5RIOwPiC9A=
	//
	// This is the format used in HTTP Public Key Pinning.
	//
	// When both:
	// :ref:`verify_certificate_hash
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.verify_certificate_hash>` and
	// :ref:`verify_certificate_spki
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.verify_certificate_spki>` are specified,
	// a hash matching value from either of the lists will result in the certificate being accepted.
	//
	// .. attention::
	//
	//   This option is preferred over :ref:`verify_certificate_hash
	//   <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.verify_certificate_hash>`,
	//   because SPKI is tied to a private key, so it doesn't change when the certificate
	//   is renewed using the same private key.
	VerifyCertificateSpki []string `protobuf:"bytes,3,rep,name=verify_certificate_spki,json=verifyCertificateSpki,proto3" json:"verify_certificate_spki,omitempty"`
	// An optional list of hex-encoded SHA-256 hashes. If specified, Envoy will verify that
	// the SHA-256 of the DER-encoded presented certificate matches one of the specified values.
	//
	// A hex-encoded SHA-256 of the certificate can be generated with the following command:
	//
	// .. code-block:: bash
	//
	//   $ openssl x509 -in path/to/client.crt -outform DER | openssl dgst -sha256 | cut -d" " -f2
	//   df6ff72fe9116521268f6f2dd4966f51df479883fe7037b39f75916ac3049d1a
	//
	// A long hex-encoded and colon-separated SHA-256 (a.k.a. "fingerprint") of the certificate
	// can be generated with the following command:
	//
	// .. code-block:: bash
	//
	//   $ openssl x509 -in path/to/client.crt -noout -fingerprint -sha256 | cut -d"=" -f2
	//   DF:6F:F7:2F:E9:11:65:21:26:8F:6F:2D:D4:96:6F:51:DF:47:98:83:FE:70:37:B3:9F:75:91:6A:C3:04:9D:1A
	//
	// Both of those formats are acceptable.
	//
	// When both:
	// :ref:`verify_certificate_hash
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.verify_certificate_hash>` and
	// :ref:`verify_certificate_spki
	// <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.verify_certificate_spki>` are specified,
	// a hash matching value from either of the lists will result in the certificate being accepted.
	VerifyCertificateHash []string `protobuf:"bytes,2,rep,name=verify_certificate_hash,json=verifyCertificateHash,proto3" json:"verify_certificate_hash,omitempty"`
	// An optional list of Subject Alternative name matchers. Envoy will verify that the
	// Subject Alternative Name of the presented certificate matches one of the specified matches.
	//
	// When a certificate has wildcard DNS SAN entries, to match a specific client, it should be
	// configured with exact match type in the :ref:`string matcher <envoy_api_msg_type.matcher.v3.StringMatcher>`.
	// For example if the certificate has "\*.example.com" as DNS SAN entry, to allow only "api.example.com",
	// it should be configured as shown below.
	//
	// .. code-block:: yaml
	//
	//  match_subject_alt_names:
	//    exact: "api.example.com"
	//
	// .. attention::
	//
	//   Subject Alternative Names are easily spoofable and verifying only them is insecure,
	//   therefore this option must be used together with :ref:`trusted_ca
	//   <envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.trusted_ca>`.
	MatchSubjectAltNames []*v3.StringMatcher `protobuf:"bytes,9,rep,name=match_subject_alt_names,json=matchSubjectAltNames,proto3" json:"match_subject_alt_names,omitempty"`
	// [#not-implemented-hide:] Must present a signed time-stamped OCSP response.
	RequireOcspStaple *wrappers.BoolValue `protobuf:"bytes,5,opt,name=require_ocsp_staple,json=requireOcspStaple,proto3" json:"require_ocsp_staple,omitempty"`
	// [#not-implemented-hide:] Must present signed certificate time-stamp.
	RequireSignedCertificateTimestamp *wrappers.BoolValue `protobuf:"bytes,6,opt,name=require_signed_certificate_timestamp,json=requireSignedCertificateTimestamp,proto3" json:"require_signed_certificate_timestamp,omitempty"`
	// An optional `certificate revocation list
	// <https://en.wikipedia.org/wiki/Certificate_revocation_list>`_
	// (in PEM format). If specified, Envoy will verify that the presented peer
	// certificate has not been revoked by this CRL. If this DataSource contains
	// multiple CRLs, all of them will be used.
	Crl *v4alpha.DataSource `protobuf:"bytes,7,opt,name=crl,proto3" json:"crl,omitempty"`
	// If specified, Envoy will not reject expired certificates.
	AllowExpiredCertificate bool `protobuf:"varint,8,opt,name=allow_expired_certificate,json=allowExpiredCertificate,proto3" json:"allow_expired_certificate,omitempty"`
	// Certificate trust chain verification mode.
	TrustChainVerification CertificateValidationContext_TrustChainVerification `protobuf:"varint,10,opt,name=trust_chain_verification,json=trustChainVerification,proto3,enum=envoy.extensions.transport_sockets.tls.v4alpha.CertificateValidationContext_TrustChainVerification" json:"trust_chain_verification,omitempty"`
	XXX_NoUnkeyedLiteral   struct{}                                            `json:"-"`
	XXX_unrecognized       []byte                                              `json:"-"`
	XXX_sizecache          int32                                               `json:"-"`
}

func (m *CertificateValidationContext) Reset()         { *m = CertificateValidationContext{} }
func (m *CertificateValidationContext) String() string { return proto.CompactTextString(m) }
func (*CertificateValidationContext) ProtoMessage()    {}
func (*CertificateValidationContext) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{4}
}

func (m *CertificateValidationContext) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CertificateValidationContext.Unmarshal(m, b)
}
func (m *CertificateValidationContext) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CertificateValidationContext.Marshal(b, m, deterministic)
}
func (m *CertificateValidationContext) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CertificateValidationContext.Merge(m, src)
}
func (m *CertificateValidationContext) XXX_Size() int {
	return xxx_messageInfo_CertificateValidationContext.Size(m)
}
func (m *CertificateValidationContext) XXX_DiscardUnknown() {
	xxx_messageInfo_CertificateValidationContext.DiscardUnknown(m)
}

var xxx_messageInfo_CertificateValidationContext proto.InternalMessageInfo

func (m *CertificateValidationContext) GetTrustedCa() *v4alpha.DataSource {
	if m != nil {
		return m.TrustedCa
	}
	return nil
}

func (m *CertificateValidationContext) GetVerifyCertificateSpki() []string {
	if m != nil {
		return m.VerifyCertificateSpki
	}
	return nil
}

func (m *CertificateValidationContext) GetVerifyCertificateHash() []string {
	if m != nil {
		return m.VerifyCertificateHash
	}
	return nil
}

func (m *CertificateValidationContext) GetMatchSubjectAltNames() []*v3.StringMatcher {
	if m != nil {
		return m.MatchSubjectAltNames
	}
	return nil
}

func (m *CertificateValidationContext) GetRequireOcspStaple() *wrappers.BoolValue {
	if m != nil {
		return m.RequireOcspStaple
	}
	return nil
}

func (m *CertificateValidationContext) GetRequireSignedCertificateTimestamp() *wrappers.BoolValue {
	if m != nil {
		return m.RequireSignedCertificateTimestamp
	}
	return nil
}

func (m *CertificateValidationContext) GetCrl() *v4alpha.DataSource {
	if m != nil {
		return m.Crl
	}
	return nil
}

func (m *CertificateValidationContext) GetAllowExpiredCertificate() bool {
	if m != nil {
		return m.AllowExpiredCertificate
	}
	return false
}

func (m *CertificateValidationContext) GetTrustChainVerification() CertificateValidationContext_TrustChainVerification {
	if m != nil {
		return m.TrustChainVerification
	}
	return CertificateValidationContext_VERIFY_TRUST_CHAIN
}

// TLS context shared by both client and server TLS contexts.
// [#next-free-field: 9]
type CommonTlsContext struct {
	// TLS protocol versions, cipher suites etc.
	TlsParams *TlsParameters `protobuf:"bytes,1,opt,name=tls_params,json=tlsParams,proto3" json:"tls_params,omitempty"`
	// :ref:`Multiple TLS certificates <arch_overview_ssl_cert_select>` can be associated with the
	// same context to allow both RSA and ECDSA certificates.
	//
	// Only a single TLS certificate is supported in client contexts. In server contexts, the first
	// RSA certificate is used for clients that only support RSA and the first ECDSA certificate is
	// used for clients that support ECDSA.
	TlsCertificates []*TlsCertificate `protobuf:"bytes,2,rep,name=tls_certificates,json=tlsCertificates,proto3" json:"tls_certificates,omitempty"`
	// Configs for fetching TLS certificates via SDS API.
	TlsCertificateSdsSecretConfigs []*SdsSecretConfig `protobuf:"bytes,6,rep,name=tls_certificate_sds_secret_configs,json=tlsCertificateSdsSecretConfigs,proto3" json:"tls_certificate_sds_secret_configs,omitempty"`
	// Types that are valid to be assigned to ValidationContextType:
	//	*CommonTlsContext_ValidationContext
	//	*CommonTlsContext_ValidationContextSdsSecretConfig
	//	*CommonTlsContext_CombinedValidationContext
	ValidationContextType isCommonTlsContext_ValidationContextType `protobuf_oneof:"validation_context_type"`
	// Supplies the list of ALPN protocols that the listener should expose. In
	// practice this is likely to be set to one of two values (see the
	// :ref:`codec_type
	// <envoy_api_field_extensions.filters.network.http_connection_manager.v4alpha.HttpConnectionManager.codec_type>`
	// parameter in the HTTP connection manager for more information):
	//
	// * "h2,http/1.1" If the listener is going to support both HTTP/2 and HTTP/1.1.
	// * "http/1.1" If the listener is only going to support HTTP/1.1.
	//
	// There is no default for this parameter. If empty, Envoy will not expose ALPN.
	AlpnProtocols        []string `protobuf:"bytes,4,rep,name=alpn_protocols,json=alpnProtocols,proto3" json:"alpn_protocols,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CommonTlsContext) Reset()         { *m = CommonTlsContext{} }
func (m *CommonTlsContext) String() string { return proto.CompactTextString(m) }
func (*CommonTlsContext) ProtoMessage()    {}
func (*CommonTlsContext) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{5}
}

func (m *CommonTlsContext) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CommonTlsContext.Unmarshal(m, b)
}
func (m *CommonTlsContext) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CommonTlsContext.Marshal(b, m, deterministic)
}
func (m *CommonTlsContext) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CommonTlsContext.Merge(m, src)
}
func (m *CommonTlsContext) XXX_Size() int {
	return xxx_messageInfo_CommonTlsContext.Size(m)
}
func (m *CommonTlsContext) XXX_DiscardUnknown() {
	xxx_messageInfo_CommonTlsContext.DiscardUnknown(m)
}

var xxx_messageInfo_CommonTlsContext proto.InternalMessageInfo

func (m *CommonTlsContext) GetTlsParams() *TlsParameters {
	if m != nil {
		return m.TlsParams
	}
	return nil
}

func (m *CommonTlsContext) GetTlsCertificates() []*TlsCertificate {
	if m != nil {
		return m.TlsCertificates
	}
	return nil
}

func (m *CommonTlsContext) GetTlsCertificateSdsSecretConfigs() []*SdsSecretConfig {
	if m != nil {
		return m.TlsCertificateSdsSecretConfigs
	}
	return nil
}

type isCommonTlsContext_ValidationContextType interface {
	isCommonTlsContext_ValidationContextType()
}

type CommonTlsContext_ValidationContext struct {
	ValidationContext *CertificateValidationContext `protobuf:"bytes,3,opt,name=validation_context,json=validationContext,proto3,oneof"`
}

type CommonTlsContext_ValidationContextSdsSecretConfig struct {
	ValidationContextSdsSecretConfig *SdsSecretConfig `protobuf:"bytes,7,opt,name=validation_context_sds_secret_config,json=validationContextSdsSecretConfig,proto3,oneof"`
}

type CommonTlsContext_CombinedValidationContext struct {
	CombinedValidationContext *CommonTlsContext_CombinedCertificateValidationContext `protobuf:"bytes,8,opt,name=combined_validation_context,json=combinedValidationContext,proto3,oneof"`
}

func (*CommonTlsContext_ValidationContext) isCommonTlsContext_ValidationContextType() {}

func (*CommonTlsContext_ValidationContextSdsSecretConfig) isCommonTlsContext_ValidationContextType() {}

func (*CommonTlsContext_CombinedValidationContext) isCommonTlsContext_ValidationContextType() {}

func (m *CommonTlsContext) GetValidationContextType() isCommonTlsContext_ValidationContextType {
	if m != nil {
		return m.ValidationContextType
	}
	return nil
}

func (m *CommonTlsContext) GetValidationContext() *CertificateValidationContext {
	if x, ok := m.GetValidationContextType().(*CommonTlsContext_ValidationContext); ok {
		return x.ValidationContext
	}
	return nil
}

func (m *CommonTlsContext) GetValidationContextSdsSecretConfig() *SdsSecretConfig {
	if x, ok := m.GetValidationContextType().(*CommonTlsContext_ValidationContextSdsSecretConfig); ok {
		return x.ValidationContextSdsSecretConfig
	}
	return nil
}

func (m *CommonTlsContext) GetCombinedValidationContext() *CommonTlsContext_CombinedCertificateValidationContext {
	if x, ok := m.GetValidationContextType().(*CommonTlsContext_CombinedValidationContext); ok {
		return x.CombinedValidationContext
	}
	return nil
}

func (m *CommonTlsContext) GetAlpnProtocols() []string {
	if m != nil {
		return m.AlpnProtocols
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*CommonTlsContext) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*CommonTlsContext_ValidationContext)(nil),
		(*CommonTlsContext_ValidationContextSdsSecretConfig)(nil),
		(*CommonTlsContext_CombinedValidationContext)(nil),
	}
}

type CommonTlsContext_CombinedCertificateValidationContext struct {
	// How to validate peer certificates.
	DefaultValidationContext *CertificateValidationContext `protobuf:"bytes,1,opt,name=default_validation_context,json=defaultValidationContext,proto3" json:"default_validation_context,omitempty"`
	// Config for fetching validation context via SDS API.
	ValidationContextSdsSecretConfig *SdsSecretConfig `protobuf:"bytes,2,opt,name=validation_context_sds_secret_config,json=validationContextSdsSecretConfig,proto3" json:"validation_context_sds_secret_config,omitempty"`
	XXX_NoUnkeyedLiteral             struct{}         `json:"-"`
	XXX_unrecognized                 []byte           `json:"-"`
	XXX_sizecache                    int32            `json:"-"`
}

func (m *CommonTlsContext_CombinedCertificateValidationContext) Reset() {
	*m = CommonTlsContext_CombinedCertificateValidationContext{}
}
func (m *CommonTlsContext_CombinedCertificateValidationContext) String() string {
	return proto.CompactTextString(m)
}
func (*CommonTlsContext_CombinedCertificateValidationContext) ProtoMessage() {}
func (*CommonTlsContext_CombinedCertificateValidationContext) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{5, 0}
}

func (m *CommonTlsContext_CombinedCertificateValidationContext) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CommonTlsContext_CombinedCertificateValidationContext.Unmarshal(m, b)
}
func (m *CommonTlsContext_CombinedCertificateValidationContext) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CommonTlsContext_CombinedCertificateValidationContext.Marshal(b, m, deterministic)
}
func (m *CommonTlsContext_CombinedCertificateValidationContext) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CommonTlsContext_CombinedCertificateValidationContext.Merge(m, src)
}
func (m *CommonTlsContext_CombinedCertificateValidationContext) XXX_Size() int {
	return xxx_messageInfo_CommonTlsContext_CombinedCertificateValidationContext.Size(m)
}
func (m *CommonTlsContext_CombinedCertificateValidationContext) XXX_DiscardUnknown() {
	xxx_messageInfo_CommonTlsContext_CombinedCertificateValidationContext.DiscardUnknown(m)
}

var xxx_messageInfo_CommonTlsContext_CombinedCertificateValidationContext proto.InternalMessageInfo

func (m *CommonTlsContext_CombinedCertificateValidationContext) GetDefaultValidationContext() *CertificateValidationContext {
	if m != nil {
		return m.DefaultValidationContext
	}
	return nil
}

func (m *CommonTlsContext_CombinedCertificateValidationContext) GetValidationContextSdsSecretConfig() *SdsSecretConfig {
	if m != nil {
		return m.ValidationContextSdsSecretConfig
	}
	return nil
}

type UpstreamTlsContext struct {
	// Common TLS context settings.
	//
	// .. attention::
	//
	//   Server certificate verification is not enabled by default. Configure
	//   :ref:`trusted_ca<envoy_api_field_extensions.transport_sockets.tls.v4alpha.CertificateValidationContext.trusted_ca>` to enable
	//   verification.
	CommonTlsContext *CommonTlsContext `protobuf:"bytes,1,opt,name=common_tls_context,json=commonTlsContext,proto3" json:"common_tls_context,omitempty"`
	// SNI string to use when creating TLS backend connections.
	Sni string `protobuf:"bytes,2,opt,name=sni,proto3" json:"sni,omitempty"`
	// If true, server-initiated TLS renegotiation will be allowed.
	//
	// .. attention::
	//
	//   TLS renegotiation is considered insecure and shouldn't be used unless absolutely necessary.
	AllowRenegotiation bool `protobuf:"varint,3,opt,name=allow_renegotiation,json=allowRenegotiation,proto3" json:"allow_renegotiation,omitempty"`
	// Maximum number of session keys (Pre-Shared Keys for TLSv1.3+, Session IDs and Session Tickets
	// for TLSv1.2 and older) to store for the purpose of session resumption.
	//
	// Defaults to 1, setting this to 0 disables session resumption.
	MaxSessionKeys       *wrappers.UInt32Value `protobuf:"bytes,4,opt,name=max_session_keys,json=maxSessionKeys,proto3" json:"max_session_keys,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *UpstreamTlsContext) Reset()         { *m = UpstreamTlsContext{} }
func (m *UpstreamTlsContext) String() string { return proto.CompactTextString(m) }
func (*UpstreamTlsContext) ProtoMessage()    {}
func (*UpstreamTlsContext) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{6}
}

func (m *UpstreamTlsContext) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpstreamTlsContext.Unmarshal(m, b)
}
func (m *UpstreamTlsContext) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpstreamTlsContext.Marshal(b, m, deterministic)
}
func (m *UpstreamTlsContext) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpstreamTlsContext.Merge(m, src)
}
func (m *UpstreamTlsContext) XXX_Size() int {
	return xxx_messageInfo_UpstreamTlsContext.Size(m)
}
func (m *UpstreamTlsContext) XXX_DiscardUnknown() {
	xxx_messageInfo_UpstreamTlsContext.DiscardUnknown(m)
}

var xxx_messageInfo_UpstreamTlsContext proto.InternalMessageInfo

func (m *UpstreamTlsContext) GetCommonTlsContext() *CommonTlsContext {
	if m != nil {
		return m.CommonTlsContext
	}
	return nil
}

func (m *UpstreamTlsContext) GetSni() string {
	if m != nil {
		return m.Sni
	}
	return ""
}

func (m *UpstreamTlsContext) GetAllowRenegotiation() bool {
	if m != nil {
		return m.AllowRenegotiation
	}
	return false
}

func (m *UpstreamTlsContext) GetMaxSessionKeys() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxSessionKeys
	}
	return nil
}

// [#next-free-field: 8]
type DownstreamTlsContext struct {
	// Common TLS context settings.
	CommonTlsContext *CommonTlsContext `protobuf:"bytes,1,opt,name=common_tls_context,json=commonTlsContext,proto3" json:"common_tls_context,omitempty"`
	// If specified, Envoy will reject connections without a valid client
	// certificate.
	RequireClientCertificate *wrappers.BoolValue `protobuf:"bytes,2,opt,name=require_client_certificate,json=requireClientCertificate,proto3" json:"require_client_certificate,omitempty"`
	// If specified, Envoy will reject connections without a valid and matching SNI.
	// [#not-implemented-hide:]
	RequireSni *wrappers.BoolValue `protobuf:"bytes,3,opt,name=require_sni,json=requireSni,proto3" json:"require_sni,omitempty"`
	// Types that are valid to be assigned to SessionTicketKeysType:
	//	*DownstreamTlsContext_SessionTicketKeys
	//	*DownstreamTlsContext_SessionTicketKeysSdsSecretConfig
	//	*DownstreamTlsContext_DisableStatelessSessionResumption
	SessionTicketKeysType isDownstreamTlsContext_SessionTicketKeysType `protobuf_oneof:"session_ticket_keys_type"`
	// If specified, session_timeout will change maximum lifetime (in seconds) of TLS session
	// Currently this value is used as a hint to `TLS session ticket lifetime (for TLSv1.2)
	// <https://tools.ietf.org/html/rfc5077#section-5.6>`
	// only seconds could be specified (fractional seconds are going to be ignored).
	SessionTimeout       *duration.Duration `protobuf:"bytes,6,opt,name=session_timeout,json=sessionTimeout,proto3" json:"session_timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *DownstreamTlsContext) Reset()         { *m = DownstreamTlsContext{} }
func (m *DownstreamTlsContext) String() string { return proto.CompactTextString(m) }
func (*DownstreamTlsContext) ProtoMessage()    {}
func (*DownstreamTlsContext) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{7}
}

func (m *DownstreamTlsContext) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DownstreamTlsContext.Unmarshal(m, b)
}
func (m *DownstreamTlsContext) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DownstreamTlsContext.Marshal(b, m, deterministic)
}
func (m *DownstreamTlsContext) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DownstreamTlsContext.Merge(m, src)
}
func (m *DownstreamTlsContext) XXX_Size() int {
	return xxx_messageInfo_DownstreamTlsContext.Size(m)
}
func (m *DownstreamTlsContext) XXX_DiscardUnknown() {
	xxx_messageInfo_DownstreamTlsContext.DiscardUnknown(m)
}

var xxx_messageInfo_DownstreamTlsContext proto.InternalMessageInfo

func (m *DownstreamTlsContext) GetCommonTlsContext() *CommonTlsContext {
	if m != nil {
		return m.CommonTlsContext
	}
	return nil
}

func (m *DownstreamTlsContext) GetRequireClientCertificate() *wrappers.BoolValue {
	if m != nil {
		return m.RequireClientCertificate
	}
	return nil
}

func (m *DownstreamTlsContext) GetRequireSni() *wrappers.BoolValue {
	if m != nil {
		return m.RequireSni
	}
	return nil
}

type isDownstreamTlsContext_SessionTicketKeysType interface {
	isDownstreamTlsContext_SessionTicketKeysType()
}

type DownstreamTlsContext_SessionTicketKeys struct {
	SessionTicketKeys *TlsSessionTicketKeys `protobuf:"bytes,4,opt,name=session_ticket_keys,json=sessionTicketKeys,proto3,oneof"`
}

type DownstreamTlsContext_SessionTicketKeysSdsSecretConfig struct {
	SessionTicketKeysSdsSecretConfig *SdsSecretConfig `protobuf:"bytes,5,opt,name=session_ticket_keys_sds_secret_config,json=sessionTicketKeysSdsSecretConfig,proto3,oneof"`
}

type DownstreamTlsContext_DisableStatelessSessionResumption struct {
	DisableStatelessSessionResumption bool `protobuf:"varint,7,opt,name=disable_stateless_session_resumption,json=disableStatelessSessionResumption,proto3,oneof"`
}

func (*DownstreamTlsContext_SessionTicketKeys) isDownstreamTlsContext_SessionTicketKeysType() {}

func (*DownstreamTlsContext_SessionTicketKeysSdsSecretConfig) isDownstreamTlsContext_SessionTicketKeysType() {
}

func (*DownstreamTlsContext_DisableStatelessSessionResumption) isDownstreamTlsContext_SessionTicketKeysType() {
}

func (m *DownstreamTlsContext) GetSessionTicketKeysType() isDownstreamTlsContext_SessionTicketKeysType {
	if m != nil {
		return m.SessionTicketKeysType
	}
	return nil
}

func (m *DownstreamTlsContext) GetSessionTicketKeys() *TlsSessionTicketKeys {
	if x, ok := m.GetSessionTicketKeysType().(*DownstreamTlsContext_SessionTicketKeys); ok {
		return x.SessionTicketKeys
	}
	return nil
}

func (m *DownstreamTlsContext) GetSessionTicketKeysSdsSecretConfig() *SdsSecretConfig {
	if x, ok := m.GetSessionTicketKeysType().(*DownstreamTlsContext_SessionTicketKeysSdsSecretConfig); ok {
		return x.SessionTicketKeysSdsSecretConfig
	}
	return nil
}

func (m *DownstreamTlsContext) GetDisableStatelessSessionResumption() bool {
	if x, ok := m.GetSessionTicketKeysType().(*DownstreamTlsContext_DisableStatelessSessionResumption); ok {
		return x.DisableStatelessSessionResumption
	}
	return false
}

func (m *DownstreamTlsContext) GetSessionTimeout() *duration.Duration {
	if m != nil {
		return m.SessionTimeout
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*DownstreamTlsContext) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*DownstreamTlsContext_SessionTicketKeys)(nil),
		(*DownstreamTlsContext_SessionTicketKeysSdsSecretConfig)(nil),
		(*DownstreamTlsContext_DisableStatelessSessionResumption)(nil),
	}
}

type GenericSecret struct {
	// Secret of generic type and is available to filters.
	Secret               *v4alpha.DataSource `protobuf:"bytes,1,opt,name=secret,proto3" json:"secret,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *GenericSecret) Reset()         { *m = GenericSecret{} }
func (m *GenericSecret) String() string { return proto.CompactTextString(m) }
func (*GenericSecret) ProtoMessage()    {}
func (*GenericSecret) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{8}
}

func (m *GenericSecret) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GenericSecret.Unmarshal(m, b)
}
func (m *GenericSecret) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GenericSecret.Marshal(b, m, deterministic)
}
func (m *GenericSecret) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GenericSecret.Merge(m, src)
}
func (m *GenericSecret) XXX_Size() int {
	return xxx_messageInfo_GenericSecret.Size(m)
}
func (m *GenericSecret) XXX_DiscardUnknown() {
	xxx_messageInfo_GenericSecret.DiscardUnknown(m)
}

var xxx_messageInfo_GenericSecret proto.InternalMessageInfo

func (m *GenericSecret) GetSecret() *v4alpha.DataSource {
	if m != nil {
		return m.Secret
	}
	return nil
}

type SdsSecretConfig struct {
	// Name (FQDN, UUID, SPKI, SHA256, etc.) by which the secret can be uniquely referred to.
	// When both name and config are specified, then secret can be fetched and/or reloaded via
	// SDS. When only name is specified, then secret will be loaded from static resources.
	Name                 string                `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	SdsConfig            *v4alpha.ConfigSource `protobuf:"bytes,2,opt,name=sds_config,json=sdsConfig,proto3" json:"sds_config,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *SdsSecretConfig) Reset()         { *m = SdsSecretConfig{} }
func (m *SdsSecretConfig) String() string { return proto.CompactTextString(m) }
func (*SdsSecretConfig) ProtoMessage()    {}
func (*SdsSecretConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{9}
}

func (m *SdsSecretConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SdsSecretConfig.Unmarshal(m, b)
}
func (m *SdsSecretConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SdsSecretConfig.Marshal(b, m, deterministic)
}
func (m *SdsSecretConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SdsSecretConfig.Merge(m, src)
}
func (m *SdsSecretConfig) XXX_Size() int {
	return xxx_messageInfo_SdsSecretConfig.Size(m)
}
func (m *SdsSecretConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_SdsSecretConfig.DiscardUnknown(m)
}

var xxx_messageInfo_SdsSecretConfig proto.InternalMessageInfo

func (m *SdsSecretConfig) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *SdsSecretConfig) GetSdsConfig() *v4alpha.ConfigSource {
	if m != nil {
		return m.SdsConfig
	}
	return nil
}

// [#next-free-field: 6]
type Secret struct {
	// Name (FQDN, UUID, SPKI, SHA256, etc.) by which the secret can be uniquely referred to.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are valid to be assigned to Type:
	//	*Secret_TlsCertificate
	//	*Secret_SessionTicketKeys
	//	*Secret_ValidationContext
	//	*Secret_GenericSecret
	Type                 isSecret_Type `protobuf_oneof:"type"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *Secret) Reset()         { *m = Secret{} }
func (m *Secret) String() string { return proto.CompactTextString(m) }
func (*Secret) ProtoMessage()    {}
func (*Secret) Descriptor() ([]byte, []int) {
	return fileDescriptor_7d69f426bdaed9ec, []int{10}
}

func (m *Secret) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Secret.Unmarshal(m, b)
}
func (m *Secret) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Secret.Marshal(b, m, deterministic)
}
func (m *Secret) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Secret.Merge(m, src)
}
func (m *Secret) XXX_Size() int {
	return xxx_messageInfo_Secret.Size(m)
}
func (m *Secret) XXX_DiscardUnknown() {
	xxx_messageInfo_Secret.DiscardUnknown(m)
}

var xxx_messageInfo_Secret proto.InternalMessageInfo

func (m *Secret) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isSecret_Type interface {
	isSecret_Type()
}

type Secret_TlsCertificate struct {
	TlsCertificate *TlsCertificate `protobuf:"bytes,2,opt,name=tls_certificate,json=tlsCertificate,proto3,oneof"`
}

type Secret_SessionTicketKeys struct {
	SessionTicketKeys *TlsSessionTicketKeys `protobuf:"bytes,3,opt,name=session_ticket_keys,json=sessionTicketKeys,proto3,oneof"`
}

type Secret_ValidationContext struct {
	ValidationContext *CertificateValidationContext `protobuf:"bytes,4,opt,name=validation_context,json=validationContext,proto3,oneof"`
}

type Secret_GenericSecret struct {
	GenericSecret *GenericSecret `protobuf:"bytes,5,opt,name=generic_secret,json=genericSecret,proto3,oneof"`
}

func (*Secret_TlsCertificate) isSecret_Type() {}

func (*Secret_SessionTicketKeys) isSecret_Type() {}

func (*Secret_ValidationContext) isSecret_Type() {}

func (*Secret_GenericSecret) isSecret_Type() {}

func (m *Secret) GetType() isSecret_Type {
	if m != nil {
		return m.Type
	}
	return nil
}

func (m *Secret) GetTlsCertificate() *TlsCertificate {
	if x, ok := m.GetType().(*Secret_TlsCertificate); ok {
		return x.TlsCertificate
	}
	return nil
}

func (m *Secret) GetSessionTicketKeys() *TlsSessionTicketKeys {
	if x, ok := m.GetType().(*Secret_SessionTicketKeys); ok {
		return x.SessionTicketKeys
	}
	return nil
}

func (m *Secret) GetValidationContext() *CertificateValidationContext {
	if x, ok := m.GetType().(*Secret_ValidationContext); ok {
		return x.ValidationContext
	}
	return nil
}

func (m *Secret) GetGenericSecret() *GenericSecret {
	if x, ok := m.GetType().(*Secret_GenericSecret); ok {
		return x.GenericSecret
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Secret) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Secret_TlsCertificate)(nil),
		(*Secret_SessionTicketKeys)(nil),
		(*Secret_ValidationContext)(nil),
		(*Secret_GenericSecret)(nil),
	}
}

func init() {
	proto.RegisterEnum("envoy.extensions.transport_sockets.tls.v4alpha.TlsParameters_TlsProtocol", TlsParameters_TlsProtocol_name, TlsParameters_TlsProtocol_value)
	proto.RegisterEnum("envoy.extensions.transport_sockets.tls.v4alpha.CertificateValidationContext_TrustChainVerification", CertificateValidationContext_TrustChainVerification_name, CertificateValidationContext_TrustChainVerification_value)
	proto.RegisterType((*TlsParameters)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.TlsParameters")
	proto.RegisterType((*PrivateKeyProvider)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.PrivateKeyProvider")
	proto.RegisterType((*TlsCertificate)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.TlsCertificate")
	proto.RegisterType((*TlsSessionTicketKeys)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.TlsSessionTicketKeys")
	proto.RegisterType((*CertificateValidationContext)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.CertificateValidationContext")
	proto.RegisterType((*CommonTlsContext)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.CommonTlsContext")
	proto.RegisterType((*CommonTlsContext_CombinedCertificateValidationContext)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.CommonTlsContext.CombinedCertificateValidationContext")
	proto.RegisterType((*UpstreamTlsContext)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.UpstreamTlsContext")
	proto.RegisterType((*DownstreamTlsContext)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.DownstreamTlsContext")
	proto.RegisterType((*GenericSecret)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.GenericSecret")
	proto.RegisterType((*SdsSecretConfig)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.SdsSecretConfig")
	proto.RegisterType((*Secret)(nil), "envoy.extensions.transport_sockets.tls.v4alpha.Secret")
}

func init() {
	proto.RegisterFile("envoy/extensions/transport_sockets/tls/v4alpha/cert.proto", fileDescriptor_7d69f426bdaed9ec)
}

var fileDescriptor_7d69f426bdaed9ec = []byte{
	// 1933 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x58, 0x4f, 0x73, 0x1b, 0x49,
	0x15, 0xf7, 0x48, 0xb2, 0x22, 0x3f, 0xc5, 0xce, 0xa4, 0x63, 0x62, 0x59, 0x98, 0xa0, 0x08, 0xa7,
	0xf0, 0x21, 0x48, 0xbb, 0x36, 0x55, 0x61, 0xb5, 0x21, 0x1b, 0x4b, 0xb6, 0x91, 0xb3, 0xf9, 0x63,
	0x46, 0xb2, 0x0b, 0x0a, 0xaa, 0xa6, 0xda, 0xa3, 0xb6, 0x3c, 0x78, 0x34, 0x33, 0x74, 0xb7, 0x14,
	0xeb, 0x40, 0x95, 0x8b, 0x13, 0x05, 0x27, 0x52, 0x0b, 0x55, 0x70, 0xa6, 0x6a, 0x29, 0x2e, 0xdc,
	0x80, 0xe2, 0xc6, 0x81, 0x2a, 0xae, 0x7c, 0x01, 0x38, 0xee, 0x77, 0xc8, 0x65, 0xa9, 0xee, 0xe9,
	0x91, 0x46, 0x1a, 0xd9, 0xb1, 0x9c, 0x2c, 0x7b, 0xd3, 0x74, 0xf7, 0xfb, 0xd3, 0xef, 0xfd, 0xde,
	0x7b, 0xbf, 0x16, 0x7c, 0x40, 0xdc, 0x9e, 0xd7, 0x2f, 0x93, 0x53, 0x4e, 0x5c, 0x66, 0x7b, 0x2e,
	0x2b, 0x73, 0x8a, 0x5d, 0xe6, 0x7b, 0x94, 0x9b, 0xcc, 0xb3, 0x4e, 0x08, 0x67, 0x65, 0xee, 0xb0,
	0x72, 0xef, 0xdb, 0xd8, 0xf1, 0x8f, 0x71, 0xd9, 0x22, 0x94, 0x97, 0x7c, 0xea, 0x71, 0x0f, 0x95,
	0xa4, 0x68, 0x69, 0x28, 0x5a, 0x8a, 0x89, 0x96, 0xb8, 0xc3, 0x4a, 0x4a, 0x34, 0xbf, 0x1a, 0x98,
	0xb2, 0x3c, 0xf7, 0xc8, 0x6e, 0x97, 0x2d, 0x8f, 0x92, 0x81, 0xd6, 0x43, 0xcc, 0x48, 0xa0, 0x35,
	0xff, 0xad, 0xf3, 0x4f, 0x05, 0x6b, 0x26, 0xf3, 0xba, 0xd4, 0x0a, 0x8f, 0x17, 0x83, 0xe3, 0xbc,
	0xef, 0x93, 0x72, 0x07, 0x73, 0xeb, 0x98, 0xd0, 0x72, 0x6f, 0xa3, 0xcc, 0x38, 0xb5, 0xdd, 0xb6,
	0x3a, 0xb3, 0xdc, 0xf6, 0xbc, 0xb6, 0x43, 0xca, 0xf2, 0xeb, 0xb0, 0x7b, 0x54, 0xc6, 0x6e, 0x5f,
	0x6d, 0xdd, 0x19, 0xdf, 0x6a, 0x75, 0x29, 0xe6, 0xb6, 0xe7, 0xaa, 0xfd, 0x95, 0xf1, 0x7d, 0xc6,
	0x69, 0xd7, 0xe2, 0xe7, 0x49, 0xbf, 0xa4, 0xd8, 0xf7, 0x09, 0x65, 0x6a, 0xbf, 0xd0, 0x6d, 0xf9,
	0xb8, 0x8c, 0x5d, 0xd7, 0xe3, 0x52, 0x29, 0x2b, 0x33, 0x11, 0x2a, 0x6e, 0xf7, 0x42, 0xf7, 0xbf,
	0x16, 0x3f, 0xc1, 0x31, 0xef, 0x86, 0x0a, 0xee, 0xc6, 0xb6, 0x7b, 0x84, 0x8a, 0x58, 0x0f, 0x2f,
	0xb7, 0xd4, 0xc3, 0x8e, 0xdd, 0xc2, 0x9c, 0x94, 0xc3, 0x1f, 0xc1, 0x46, 0xf1, 0x93, 0x14, 0xcc,
	0x37, 0x1d, 0xb6, 0x87, 0x29, 0xee, 0x10, 0x4e, 0x28, 0x43, 0x9f, 0x68, 0xb0, 0xc2, 0x1d, 0x66,
	0x76, 0x6c, 0xd7, 0xee, 0x74, 0x3b, 0xa6, 0x3c, 0x67, 0x79, 0x8e, 0xa9, 0x94, 0xe6, 0xb4, 0x82,
	0xb6, 0xb6, 0xb0, 0xbe, 0x3b, 0x65, 0x62, 0x4b, 0x23, 0x56, 0xe4, 0x97, 0x52, 0x5c, 0xcd, 0xbc,
	0xae, 0xce, 0xfe, 0x5c, 0x4b, 0xe8, 0x9a, 0xb1, 0xcc, 0x1d, 0xf6, 0x2c, 0xb0, 0x1b, 0xee, 0x1e,
	0x04, 0x56, 0x87, 0x6e, 0xe1, 0xd3, 0xc9, 0x6e, 0x25, 0xbe, 0x60, 0xb7, 0x02, 0xbb, 0xe3, 0x6e,
	0x7d, 0x03, 0xe6, 0x2d, 0xdb, 0x3f, 0x26, 0xd4, 0x64, 0x5d, 0x9b, 0x13, 0x96, 0x4b, 0x16, 0x92,
	0x6b, 0x73, 0xc6, 0xf5, 0x60, 0xb1, 0x21, 0xd7, 0xd0, 0xd7, 0x21, 0x4b, 0xac, 0xd6, 0xb1, 0x69,
	0x75, 0x69, 0x8f, 0xb0, 0x5c, 0x4a, 0x1e, 0x01, 0xb1, 0x54, 0x93, 0x2b, 0xc5, 0x17, 0x90, 0x8d,
	0x58, 0x46, 0xd7, 0x21, 0xd3, 0x7c, 0xda, 0x30, 0x37, 0xf7, 0x9b, 0x2f, 0xf4, 0x19, 0x94, 0x85,
	0x6b, 0xcd, 0xa7, 0x8d, 0xde, 0xfb, 0xe6, 0x7b, 0xba, 0x36, 0xfc, 0x78, 0x5f, 0x4f, 0x0c, 0x3f,
	0xd6, 0xf5, 0xe4, 0xf0, 0x63, 0x43, 0x4f, 0x55, 0x1e, 0xfd, 0xfe, 0x9f, 0xbf, 0xb8, 0xf3, 0x01,
	0x3c, 0xb8, 0x6c, 0x30, 0x36, 0x46, 0xe3, 0x50, 0xfc, 0x4c, 0x03, 0xb4, 0x47, 0xed, 0x1e, 0xe6,
	0xe4, 0x63, 0xd2, 0xdf, 0xa3, 0x5e, 0xcf, 0x6e, 0x11, 0x8a, 0xee, 0xc3, 0xbc, 0xaf, 0x7e, 0x9b,
	0x2e, 0xee, 0x10, 0x89, 0x85, 0xb9, 0xea, 0xb5, 0xd7, 0xd5, 0x14, 0x4d, 0x14, 0x34, 0xe3, 0x7a,
	0xb8, 0xfb, 0x1c, 0x77, 0x08, 0xda, 0x84, 0xeb, 0xa2, 0xe2, 0x5a, 0x66, 0x50, 0x92, 0xb9, 0x64,
	0x41, 0x5b, 0xcb, 0xae, 0x2f, 0x96, 0x82, 0x7a, 0x28, 0x85, 0xf5, 0x50, 0xda, 0x74, 0xfb, 0xd5,
	0xf4, 0xdf, 0xfe, 0xfa, 0xab, 0x3f, 0x24, 0xb4, 0xfa, 0x8c, 0x91, 0x95, 0x32, 0x35, 0x29, 0x52,
	0xa9, 0x89, 0x7b, 0x3c, 0x82, 0x87, 0x97, 0xbf, 0x47, 0xdc, 0xeb, 0xea, 0x3c, 0x64, 0x55, 0x53,
	0x10, 0xaa, 0x9f, 0xa4, 0x32, 0x09, 0x3d, 0x69, 0xa4, 0x83, 0xa5, 0xe2, 0x67, 0x29, 0x58, 0x68,
	0x3a, 0xac, 0x46, 0x28, 0xb7, 0x8f, 0x6c, 0x0b, 0x73, 0x82, 0x0c, 0xb8, 0x69, 0x0d, 0x3f, 0x4d,
	0xeb, 0x18, 0xdb, 0x01, 0xea, 0xb3, 0xeb, 0xf7, 0x14, 0xbc, 0x02, 0xe1, 0x92, 0x68, 0x3c, 0x03,
	0x24, 0x6d, 0x61, 0x8e, 0x1b, 0xb2, 0xeb, 0x18, 0x7a, 0x44, 0xbe, 0x26, 0xc4, 0xd1, 0x73, 0xc8,
	0xfa, 0x81, 0x67, 0xe6, 0x09, 0xe9, 0x4b, 0xb0, 0x5e, 0x56, 0x5b, 0x18, 0x1b, 0x03, 0xfc, 0xc1,
	0xdd, 0x10, 0x87, 0xc5, 0x88, 0x3e, 0x33, 0x8c, 0x7b, 0x2e, 0x2d, 0x15, 0x57, 0xa7, 0xad, 0x82,
	0x78, 0xd4, 0x0c, 0xe4, 0xc7, 0xf3, 0xbf, 0x0b, 0x19, 0x1f, 0x33, 0xf6, 0xd2, 0xa3, 0x2d, 0x95,
	0xcd, 0x29, 0xaf, 0x30, 0x10, 0x47, 0x3b, 0x90, 0xf5, 0x2c, 0xe6, 0x9b, 0x8c, 0x63, 0xdf, 0x21,
	0xb9, 0xd4, 0x34, 0xe1, 0x05, 0x21, 0xd9, 0x90, 0x82, 0xa8, 0x0d, 0x2b, 0xcc, 0x6e, 0xbb, 0x02,
	0x65, 0x91, 0x9c, 0x71, 0xbb, 0x43, 0x18, 0xc7, 0x1d, 0x3f, 0x37, 0x5b, 0x48, 0x5e, 0x5e, 0x71,
	0x3e, 0x50, 0x15, 0x01, 0x43, 0x33, 0x54, 0x54, 0xf9, 0x48, 0x40, 0xb1, 0x02, 0xdf, 0x99, 0xaa,
	0xa4, 0x22, 0x9a, 0x8a, 0x7f, 0xd4, 0x60, 0xb1, 0xe9, 0xb0, 0x06, 0x61, 0x42, 0xae, 0x69, 0x8b,
	0xb3, 0x1f, 0x93, 0x3e, 0x43, 0xbb, 0x90, 0x3a, 0x21, 0x7d, 0x96, 0xd3, 0xa6, 0x70, 0xb5, 0xba,
	0xf0, 0xba, 0x3a, 0xfb, 0x4a, 0x4b, 0x64, 0x34, 0x15, 0x59, 0xa9, 0xa2, 0xb2, 0x2d, 0x9c, 0x7c,
	0x0c, 0x8f, 0xa6, 0x72, 0x32, 0xe6, 0x51, 0xf1, 0xbf, 0xd7, 0x60, 0x25, 0xe2, 0xfa, 0x41, 0x30,
	0x33, 0x6c, 0xcf, 0xad, 0x79, 0x2e, 0x27, 0xa7, 0x1c, 0x6d, 0x01, 0x70, 0xda, 0x65, 0x5c, 0x84,
	0x1d, 0x4f, 0x57, 0x1b, 0x73, 0x4a, 0xb0, 0x86, 0xd1, 0x0e, 0x2c, 0xf5, 0x08, 0xb5, 0x8f, 0xfa,
	0x23, 0xb9, 0x63, 0xfe, 0x89, 0x1d, 0xb4, 0x51, 0x71, 0xc9, 0xec, 0x2b, 0x2d, 0x53, 0x4c, 0xd3,
	0x54, 0xe1, 0xfe, 0xda, 0x7d, 0xe3, 0x2b, 0xc1, 0xf1, 0x88, 0x6b, 0x0d, 0xff, 0xc4, 0x3e, 0x47,
	0xcf, 0x31, 0x66, 0xc7, 0xb9, 0x44, 0x4c, 0xcf, 0xe3, 0x35, 0x73, 0x82, 0x9e, 0x3a, 0x66, 0xc7,
	0xe8, 0x47, 0xb0, 0x24, 0xd9, 0x81, 0xc9, 0xba, 0x87, 0x3f, 0x21, 0x16, 0x37, 0xb1, 0xc3, 0x65,
	0x9f, 0x63, 0xb9, 0x39, 0x99, 0x9b, 0x55, 0x75, 0x45, 0xd1, 0x47, 0x4a, 0x8a, 0x48, 0x88, 0x20,
	0x36, 0x24, 0x91, 0x78, 0x16, 0x2c, 0x18, 0x8b, 0x72, 0xa7, 0x11, 0xe8, 0xd8, 0x74, 0xb8, 0x68,
	0x86, 0x0c, 0x3d, 0x81, 0x5b, 0x94, 0xfc, 0xb4, 0x6b, 0x53, 0x62, 0x46, 0x81, 0x3f, 0x2b, 0x63,
	0x97, 0x8f, 0x35, 0xc5, 0xaa, 0xe7, 0x39, 0x07, 0xd8, 0xe9, 0x12, 0xe3, 0xa6, 0x12, 0x7b, 0x31,
	0x04, 0xfd, 0x09, 0xac, 0x86, 0xba, 0x2e, 0x04, 0x7f, 0xfa, 0x8d, 0xca, 0xef, 0x2a, 0x3d, 0x8d,
	0x73, 0x81, 0x8f, 0x1e, 0x40, 0xd2, 0xa2, 0x4e, 0xee, 0xda, 0x34, 0x49, 0x16, 0x12, 0xa8, 0x02,
	0xcb, 0xd8, 0x71, 0xbc, 0x97, 0x26, 0x39, 0xf5, 0x6d, 0x3a, 0xea, 0x64, 0x2e, 0x53, 0xd0, 0xd6,
	0x32, 0xc6, 0x92, 0x3c, 0xb0, 0x1d, 0xec, 0x47, 0x7b, 0xf0, 0xa7, 0x1a, 0xe4, 0x24, 0x50, 0x82,
	0xf6, 0x6b, 0xca, 0x84, 0x89, 0x2d, 0x31, 0xea, 0x41, 0x8e, 0x7a, 0x6b, 0xda, 0x26, 0x77, 0x11,
	0xa2, 0x4b, 0x4d, 0x61, 0x4c, 0xf6, 0xea, 0x83, 0x88, 0xa9, 0x08, 0x09, 0xb8, 0xcd, 0x27, 0x9e,
	0x28, 0xee, 0xc0, 0xed, 0xc9, 0xb2, 0xe8, 0x36, 0xa0, 0x83, 0x6d, 0x63, 0x77, 0xe7, 0x87, 0x66,
	0xd3, 0xd8, 0x6f, 0x34, 0xcd, 0x5a, 0x7d, 0x73, 0xf7, 0xb9, 0x3e, 0x83, 0x16, 0x41, 0xdf, 0xac,
	0xd5, 0xb6, 0xf7, 0x9a, 0xe6, 0xfe, 0x73, 0xb9, 0xb3, 0xbd, 0xa5, 0x6b, 0x95, 0x67, 0xa2, 0x74,
	0xeb, 0xb0, 0x73, 0xf9, 0xd2, 0xbd, 0xe8, 0x3e, 0x4f, 0x52, 0x99, 0x94, 0x3e, 0x6b, 0x84, 0x75,
	0x31, 0x0e, 0xe8, 0xe2, 0xe7, 0x00, 0x7a, 0xcd, 0xeb, 0x74, 0x3c, 0x57, 0x74, 0x29, 0x55, 0xd5,
	0x3f, 0x06, 0x10, 0x14, 0xcb, 0x17, 0x3c, 0x80, 0xa9, 0xaa, 0xfe, 0xee, 0x5b, 0x11, 0x2a, 0x63,
	0x8e, 0xab, 0x4f, 0x86, 0x6c, 0xd0, 0x85, 0xf6, 0x08, 0x08, 0x98, 0x2c, 0xcf, 0xec, 0xfa, 0xa3,
	0x2b, 0xd8, 0x88, 0x5c, 0xde, 0xb8, 0xc1, 0x47, 0xbe, 0x19, 0xfa, 0x8d, 0x06, 0xc5, 0x31, 0x5b,
	0x26, 0x6b, 0x31, 0x93, 0x11, 0x8b, 0x12, 0xae, 0xf8, 0x08, 0xcb, 0xa5, 0xa5, 0xf5, 0x8f, 0xa6,
	0xb5, 0xde, 0x68, 0xb1, 0x86, 0x54, 0x14, 0x90, 0x14, 0x89, 0x91, 0x57, 0x12, 0x23, 0x77, 0x46,
	0x1d, 0x19, 0x3b, 0xc8, 0xd0, 0xcf, 0x00, 0xf5, 0x06, 0x99, 0x12, 0x6e, 0x88, 0xb0, 0xab, 0x49,
	0xfa, 0xf4, 0x5d, 0xc2, 0xb9, 0x3e, 0x63, 0xdc, 0xec, 0xc5, 0xba, 0xf6, 0xaf, 0x35, 0x58, 0x8d,
	0xdb, 0x8f, 0x47, 0x46, 0xd5, 0xfa, 0xdb, 0x06, 0xa6, 0x3e, 0x63, 0x14, 0x62, 0x4e, 0x8c, 0x9d,
	0x11, 0x85, 0xfe, 0x55, 0xcb, 0xeb, 0x1c, 0xda, 0xa2, 0x8b, 0x4d, 0x08, 0x4e, 0x46, 0xba, 0x42,
	0xa6, 0x0e, 0xce, 0x18, 0xb6, 0xc5, 0x82, 0xb4, 0xf1, 0x86, 0xa8, 0x2d, 0x87, 0xbe, 0xc4, 0x67,
	0xde, 0x3d, 0x58, 0xc0, 0x8e, 0xef, 0x0e, 0x5e, 0x1e, 0x21, 0x91, 0x9f, 0x17, 0xab, 0x21, 0x77,
	0x67, 0xf9, 0x7f, 0x24, 0x61, 0xf5, 0x32, 0xc6, 0xc4, 0x8b, 0x26, 0xdf, 0x22, 0x47, 0xb8, 0xeb,
	0xf0, 0x49, 0x17, 0xd7, 0xde, 0x3d, 0x2a, 0x24, 0x52, 0x7f, 0x29, 0x91, 0x9a, 0x53, 0x96, 0xe3,
	0x6e, 0xfd, 0xee, 0xb2, 0x20, 0x49, 0xbc, 0x13, 0x90, 0x44, 0x7c, 0x7a, 0x23, 0x58, 0x2a, 0x47,
	0xa2, 0x47, 0x62, 0x30, 0xa7, 0xe8, 0x91, 0x57, 0xc1, 0x41, 0x65, 0x53, 0xd8, 0x79, 0x08, 0x95,
	0xab, 0xdb, 0xa9, 0x2e, 0xc3, 0xd2, 0x84, 0x28, 0xaa, 0x07, 0xc8, 0xac, 0x9e, 0x2e, 0xfe, 0x27,
	0x01, 0x68, 0xdf, 0x67, 0x9c, 0x12, 0xdc, 0x89, 0xf4, 0x60, 0x17, 0x90, 0x25, 0x75, 0x99, 0xb2,
	0x81, 0x8d, 0x80, 0xe1, 0xf1, 0xdb, 0x56, 0x81, 0xa1, 0x5b, 0xe3, 0x3d, 0x3f, 0x0f, 0x49, 0xe6,
	0xda, 0x32, 0x99, 0x73, 0x32, 0x17, 0x34, 0xb9, 0xf6, 0xb9, 0x66, 0x88, 0x45, 0x54, 0x86, 0x5b,
	0xc1, 0x00, 0xa7, 0xc4, 0x25, 0x6d, 0x8f, 0xdb, 0xc1, 0xf8, 0x4d, 0xca, 0xd1, 0x8d, 0xe4, 0x96,
	0x11, 0xdd, 0x41, 0x3b, 0xa0, 0x77, 0xf0, 0xa9, 0xc9, 0x02, 0x42, 0x69, 0x4a, 0x56, 0x1b, 0x30,
	0xfb, 0x95, 0x18, 0x07, 0xd9, 0xdf, 0x75, 0xf9, 0xc6, 0x7a, 0xc0, 0x42, 0x16, 0x3a, 0xf8, 0x54,
	0xb1, 0x50, 0xc1, 0x3f, 0xaf, 0xf0, 0xec, 0x8b, 0x47, 0xb2, 0xf8, 0x97, 0x34, 0x2c, 0x6e, 0x79,
	0x2f, 0xdd, 0x2f, 0x3d, 0xc4, 0x3f, 0x80, 0x7c, 0xc8, 0xd6, 0x2c, 0xc7, 0x26, 0x2e, 0x1f, 0x21,
	0x42, 0x89, 0x37, 0x72, 0xb4, 0x9c, 0x92, 0xae, 0x49, 0xe1, 0x28, 0x4b, 0xfa, 0x10, 0xb2, 0x03,
	0x1e, 0xe8, 0xda, 0x6a, 0x90, 0x5c, 0xa4, 0x0a, 0x42, 0xba, 0xe7, 0xda, 0xa8, 0x07, 0xb7, 0xc2,
	0x44, 0x71, 0x49, 0xfd, 0xa3, 0xf9, 0xda, 0xba, 0xc2, 0x48, 0x8e, 0xbd, 0x23, 0xc4, 0x14, 0x62,
	0xb1, 0xe7, 0xce, 0x2b, 0x0d, 0xee, 0x4d, 0x30, 0x3c, 0xa1, 0xc3, 0xcc, 0xbe, 0xb3, 0x31, 0x14,
	0xf3, 0x62, 0x7c, 0x0c, 0x7d, 0x1f, 0x56, 0x5b, 0x36, 0xc3, 0x87, 0x0e, 0x11, 0xc4, 0x9c, 0x13,
	0x87, 0x30, 0x36, 0xc0, 0x31, 0x25, 0xac, 0xdb, 0xf1, 0x25, 0xf6, 0xc5, 0x64, 0xcc, 0xd4, 0x67,
	0x8c, 0xbb, 0xea, 0x74, 0x23, 0x3c, 0xac, 0x2e, 0x6f, 0x0c, 0x8e, 0xa2, 0x26, 0xdc, 0x18, 0x5e,
	0xb3, 0x43, 0xbc, 0x2e, 0x57, 0x7c, 0x7c, 0x39, 0x96, 0xa0, 0x2d, 0xf5, 0x7f, 0x62, 0x55, 0x7f,
	0x5d, 0x9d, 0xff, 0x93, 0x06, 0xf9, 0x74, 0xe6, 0xec, 0xec, 0xec, 0x4c, 0x5f, 0x9f, 0x31, 0x16,
	0x06, 0xae, 0x4b, 0x15, 0x57, 0x78, 0xe1, 0x4d, 0xaa, 0x81, 0x6a, 0x1e, 0x72, 0x93, 0x72, 0x20,
	0xfa, 0x53, 0xf1, 0xb7, 0x1a, 0xcc, 0x7f, 0x8f, 0xb8, 0x84, 0xda, 0x56, 0x10, 0x23, 0xb4, 0x0d,
	0xe9, 0x20, 0x33, 0x53, 0x3d, 0xf5, 0x06, 0xaf, 0x7e, 0x25, 0x7c, 0x85, 0x7f, 0xa5, 0x46, 0xdc,
	0x28, 0xfe, 0x59, 0x83, 0x1b, 0xe3, 0x89, 0x43, 0x90, 0x1a, 0xfe, 0x13, 0x65, 0xc8, 0xdf, 0x68,
	0x07, 0x40, 0x80, 0x69, 0x64, 0x4e, 0x7d, 0xf3, 0x02, 0x97, 0x03, 0x55, 0xe1, 0xfb, 0x94, 0xb5,
	0x98, 0x1a, 0x37, 0x8f, 0x85, 0xbf, 0x1f, 0xaa, 0x7f, 0xbf, 0x2f, 0xe5, 0xef, 0x98, 0x77, 0xc5,
	0x4f, 0x53, 0x90, 0x56, 0x31, 0x9c, 0xe4, 0xa8, 0x0d, 0x37, 0xc6, 0x68, 0xaa, 0xf2, 0xf6, 0x2d,
	0x19, 0x71, 0x7d, 0xc6, 0x58, 0x18, 0xa5, 0xa2, 0xe7, 0x55, 0x7b, 0xf2, 0x8b, 0xae, 0xf6, 0xc9,
	0x94, 0x37, 0xf5, 0xff, 0xa2, 0xbc, 0x47, 0xb0, 0xd0, 0x0e, 0x30, 0xa4, 0x7a, 0x8b, 0x6a, 0x2a,
	0x53, 0x3f, 0x6b, 0x46, 0x90, 0x58, 0x9f, 0x31, 0xe6, 0xdb, 0xd1, 0x85, 0xca, 0x03, 0x01, 0x95,
	0x75, 0x78, 0x6f, 0x0a, 0xa8, 0x48, 0xc1, 0x6a, 0x1a, 0x52, 0xa2, 0xe8, 0xaa, 0x8d, 0xbf, 0x9f,
	0xfd, 0xeb, 0xdf, 0xe9, 0x84, 0x9e, 0x84, 0x87, 0xb6, 0x17, 0x38, 0xe7, 0x53, 0xef, 0xb4, 0x3f,
	0xa5, 0x9f, 0xd5, 0x39, 0x11, 0x23, 0xc9, 0x46, 0xf7, 0xb4, 0xc3, 0xb4, 0xec, 0x30, 0x1b, 0xff,
	0x0b, 0x00, 0x00, 0xff, 0xff, 0xe5, 0xd2, 0xc9, 0xeb, 0xc0, 0x19, 0x00, 0x00,
}
