// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/config/route/v4alpha/route_components.proto

package envoy_config_route_v4alpha

import (
	fmt "fmt"
	_ "github.com/cilium/proxy/go/envoy/annotations"
	v4alpha "github.com/cilium/proxy/go/envoy/config/core/v4alpha"
	v3 "github.com/cilium/proxy/go/envoy/type/matcher/v3"
	v32 "github.com/cilium/proxy/go/envoy/type/tracing/v3"
	v31 "github.com/cilium/proxy/go/envoy/type/v3"
	_ "github.com/cncf/udpa/go/udpa/annotations"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	proto "github.com/golang/protobuf/proto"
	any "github.com/golang/protobuf/ptypes/any"
	duration "github.com/golang/protobuf/ptypes/duration"
	_ "github.com/golang/protobuf/ptypes/struct"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type VirtualHost_TlsRequirementType int32

const (
	// No TLS requirement for the virtual host.
	VirtualHost_NONE VirtualHost_TlsRequirementType = 0
	// External requests must use TLS. If a request is external and it is not
	// using TLS, a 301 redirect will be sent telling the client to use HTTPS.
	VirtualHost_EXTERNAL_ONLY VirtualHost_TlsRequirementType = 1
	// All requests must use TLS. If a request is not using TLS, a 301 redirect
	// will be sent telling the client to use HTTPS.
	VirtualHost_ALL VirtualHost_TlsRequirementType = 2
)

var VirtualHost_TlsRequirementType_name = map[int32]string{
	0: "NONE",
	1: "EXTERNAL_ONLY",
	2: "ALL",
}

var VirtualHost_TlsRequirementType_value = map[string]int32{
	"NONE":          0,
	"EXTERNAL_ONLY": 1,
	"ALL":           2,
}

func (x VirtualHost_TlsRequirementType) String() string {
	return proto.EnumName(VirtualHost_TlsRequirementType_name, int32(x))
}

func (VirtualHost_TlsRequirementType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{0, 0}
}

type RouteAction_ClusterNotFoundResponseCode int32

const (
	// HTTP status code - 503 Service Unavailable.
	RouteAction_SERVICE_UNAVAILABLE RouteAction_ClusterNotFoundResponseCode = 0
	// HTTP status code - 404 Not Found.
	RouteAction_NOT_FOUND RouteAction_ClusterNotFoundResponseCode = 1
)

var RouteAction_ClusterNotFoundResponseCode_name = map[int32]string{
	0: "SERVICE_UNAVAILABLE",
	1: "NOT_FOUND",
}

var RouteAction_ClusterNotFoundResponseCode_value = map[string]int32{
	"SERVICE_UNAVAILABLE": 0,
	"NOT_FOUND":           1,
}

func (x RouteAction_ClusterNotFoundResponseCode) String() string {
	return proto.EnumName(RouteAction_ClusterNotFoundResponseCode_name, int32(x))
}

func (RouteAction_ClusterNotFoundResponseCode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 0}
}

// Configures :ref:`internal redirect <arch_overview_internal_redirects>` behavior.
type RouteAction_InternalRedirectAction int32

const (
	RouteAction_PASS_THROUGH_INTERNAL_REDIRECT RouteAction_InternalRedirectAction = 0
	RouteAction_HANDLE_INTERNAL_REDIRECT       RouteAction_InternalRedirectAction = 1
)

var RouteAction_InternalRedirectAction_name = map[int32]string{
	0: "PASS_THROUGH_INTERNAL_REDIRECT",
	1: "HANDLE_INTERNAL_REDIRECT",
}

var RouteAction_InternalRedirectAction_value = map[string]int32{
	"PASS_THROUGH_INTERNAL_REDIRECT": 0,
	"HANDLE_INTERNAL_REDIRECT":       1,
}

func (x RouteAction_InternalRedirectAction) String() string {
	return proto.EnumName(RouteAction_InternalRedirectAction_name, int32(x))
}

func (RouteAction_InternalRedirectAction) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 1}
}

type RedirectAction_RedirectResponseCode int32

const (
	// Moved Permanently HTTP Status Code - 301.
	RedirectAction_MOVED_PERMANENTLY RedirectAction_RedirectResponseCode = 0
	// Found HTTP Status Code - 302.
	RedirectAction_FOUND RedirectAction_RedirectResponseCode = 1
	// See Other HTTP Status Code - 303.
	RedirectAction_SEE_OTHER RedirectAction_RedirectResponseCode = 2
	// Temporary Redirect HTTP Status Code - 307.
	RedirectAction_TEMPORARY_REDIRECT RedirectAction_RedirectResponseCode = 3
	// Permanent Redirect HTTP Status Code - 308.
	RedirectAction_PERMANENT_REDIRECT RedirectAction_RedirectResponseCode = 4
)

var RedirectAction_RedirectResponseCode_name = map[int32]string{
	0: "MOVED_PERMANENTLY",
	1: "FOUND",
	2: "SEE_OTHER",
	3: "TEMPORARY_REDIRECT",
	4: "PERMANENT_REDIRECT",
}

var RedirectAction_RedirectResponseCode_value = map[string]int32{
	"MOVED_PERMANENTLY":  0,
	"FOUND":              1,
	"SEE_OTHER":          2,
	"TEMPORARY_REDIRECT": 3,
	"PERMANENT_REDIRECT": 4,
}

func (x RedirectAction_RedirectResponseCode) String() string {
	return proto.EnumName(RedirectAction_RedirectResponseCode_name, int32(x))
}

func (RedirectAction_RedirectResponseCode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{9, 0}
}

// The top level element in the routing configuration is a virtual host. Each virtual host has
// a logical name as well as a set of domains that get routed to it based on the incoming request's
// host header. This allows a single listener to service multiple top level domain path trees. Once
// a virtual host is selected based on the domain, the routes are processed in order to see which
// upstream cluster to route to or whether to perform a redirect.
// [#next-free-field: 21]
type VirtualHost struct {
	// The logical name of the virtual host. This is used when emitting certain
	// statistics but is not relevant for routing.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// A list of domains (host/authority header) that will be matched to this
	// virtual host. Wildcard hosts are supported in the suffix or prefix form.
	//
	// Domain search order:
	//  1. Exact domain names: ``www.foo.com``.
	//  2. Suffix domain wildcards: ``*.foo.com`` or ``*-bar.foo.com``.
	//  3. Prefix domain wildcards: ``foo.*`` or ``foo-*``.
	//  4. Special wildcard ``*`` matching any domain.
	//
	// .. note::
	//
	//   The wildcard will not match the empty string.
	//   e.g. ``*-bar.foo.com`` will match ``baz-bar.foo.com`` but not ``-bar.foo.com``.
	//   The longest wildcards match first.
	//   Only a single virtual host in the entire route configuration can match on ``*``. A domain
	//   must be unique across all virtual hosts or the config will fail to load.
	//
	// Domains cannot contain control characters. This is validated by the well_known_regex HTTP_HEADER_VALUE.
	Domains []string `protobuf:"bytes,2,rep,name=domains,proto3" json:"domains,omitempty"`
	// The list of routes that will be matched, in order, for incoming requests.
	// The first route that matches will be used.
	Routes []*Route `protobuf:"bytes,3,rep,name=routes,proto3" json:"routes,omitempty"`
	// Specifies the type of TLS enforcement the virtual host expects. If this option is not
	// specified, there is no TLS requirement for the virtual host.
	RequireTls VirtualHost_TlsRequirementType `protobuf:"varint,4,opt,name=require_tls,json=requireTls,proto3,enum=envoy.config.route.v4alpha.VirtualHost_TlsRequirementType" json:"require_tls,omitempty"`
	// A list of virtual clusters defined for this virtual host. Virtual clusters
	// are used for additional statistics gathering.
	VirtualClusters []*VirtualCluster `protobuf:"bytes,5,rep,name=virtual_clusters,json=virtualClusters,proto3" json:"virtual_clusters,omitempty"`
	// Specifies a set of rate limit configurations that will be applied to the
	// virtual host.
	RateLimits []*RateLimit `protobuf:"bytes,6,rep,name=rate_limits,json=rateLimits,proto3" json:"rate_limits,omitempty"`
	// Specifies a list of HTTP headers that should be added to each request
	// handled by this virtual host. Headers specified at this level are applied
	// after headers from enclosed :ref:`envoy_api_msg_config.route.v4alpha.Route` and before headers from the
	// enclosing :ref:`envoy_api_msg_config.route.v4alpha.RouteConfiguration`. For more information, including
	// details on header value syntax, see the documentation on :ref:`custom request headers
	// <config_http_conn_man_headers_custom_request_headers>`.
	RequestHeadersToAdd []*v4alpha.HeaderValueOption `protobuf:"bytes,7,rep,name=request_headers_to_add,json=requestHeadersToAdd,proto3" json:"request_headers_to_add,omitempty"`
	// Specifies a list of HTTP headers that should be removed from each request
	// handled by this virtual host.
	RequestHeadersToRemove []string `protobuf:"bytes,13,rep,name=request_headers_to_remove,json=requestHeadersToRemove,proto3" json:"request_headers_to_remove,omitempty"`
	// Specifies a list of HTTP headers that should be added to each response
	// handled by this virtual host. Headers specified at this level are applied
	// after headers from enclosed :ref:`envoy_api_msg_config.route.v4alpha.Route` and before headers from the
	// enclosing :ref:`envoy_api_msg_config.route.v4alpha.RouteConfiguration`. For more information, including
	// details on header value syntax, see the documentation on :ref:`custom request headers
	// <config_http_conn_man_headers_custom_request_headers>`.
	ResponseHeadersToAdd []*v4alpha.HeaderValueOption `protobuf:"bytes,10,rep,name=response_headers_to_add,json=responseHeadersToAdd,proto3" json:"response_headers_to_add,omitempty"`
	// Specifies a list of HTTP headers that should be removed from each response
	// handled by this virtual host.
	ResponseHeadersToRemove []string `protobuf:"bytes,11,rep,name=response_headers_to_remove,json=responseHeadersToRemove,proto3" json:"response_headers_to_remove,omitempty"`
	// Indicates that the virtual host has a CORS policy.
	Cors *CorsPolicy `protobuf:"bytes,8,opt,name=cors,proto3" json:"cors,omitempty"`
	// The per_filter_config field can be used to provide virtual host-specific
	// configurations for filters. The key should match the filter name, such as
	// *envoy.filters.http.buffer* for the HTTP buffer filter. Use of this field is filter
	// specific; see the :ref:`HTTP filter documentation <config_http_filters>`
	// for if and how it is utilized.
	TypedPerFilterConfig map[string]*any.Any `protobuf:"bytes,15,rep,name=typed_per_filter_config,json=typedPerFilterConfig,proto3" json:"typed_per_filter_config,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// Decides whether the :ref:`x-envoy-attempt-count
	// <config_http_filters_router_x-envoy-attempt-count>` header should be included
	// in the upstream request. Setting this option will cause it to override any existing header
	// value, so in the case of two Envoys on the request path with this option enabled, the upstream
	// will see the attempt count as perceived by the second Envoy. Defaults to false.
	// This header is unaffected by the
	// :ref:`suppress_envoy_headers
	// <envoy_api_field_extensions.filters.http.router.v3.Router.suppress_envoy_headers>` flag.
	//
	// [#next-major-version: rename to include_attempt_count_in_request.]
	IncludeRequestAttemptCount bool `protobuf:"varint,14,opt,name=include_request_attempt_count,json=includeRequestAttemptCount,proto3" json:"include_request_attempt_count,omitempty"`
	// Decides whether the :ref:`x-envoy-attempt-count
	// <config_http_filters_router_x-envoy-attempt-count>` header should be included
	// in the downstream response. Setting this option will cause the router to override any existing header
	// value, so in the case of two Envoys on the request path with this option enabled, the downstream
	// will see the attempt count as perceived by the Envoy closest upstream from itself. Defaults to false.
	// This header is unaffected by the
	// :ref:`suppress_envoy_headers
	// <envoy_api_field_extensions.filters.http.router.v3.Router.suppress_envoy_headers>` flag.
	IncludeAttemptCountInResponse bool `protobuf:"varint,19,opt,name=include_attempt_count_in_response,json=includeAttemptCountInResponse,proto3" json:"include_attempt_count_in_response,omitempty"`
	// Indicates the retry policy for all routes in this virtual host. Note that setting a
	// route level entry will take precedence over this config and it'll be treated
	// independently (e.g.: values are not inherited).
	RetryPolicy *RetryPolicy `protobuf:"bytes,16,opt,name=retry_policy,json=retryPolicy,proto3" json:"retry_policy,omitempty"`
	// [#not-implemented-hide:]
	// Specifies the configuration for retry policy extension. Note that setting a route level entry
	// will take precedence over this config and it'll be treated independently (e.g.: values are not
	// inherited). :ref:`Retry policy <envoy_api_field_config.route.v4alpha.VirtualHost.retry_policy>` should not be
	// set if this field is used.
	RetryPolicyTypedConfig *any.Any `protobuf:"bytes,20,opt,name=retry_policy_typed_config,json=retryPolicyTypedConfig,proto3" json:"retry_policy_typed_config,omitempty"`
	// Indicates the hedge policy for all routes in this virtual host. Note that setting a
	// route level entry will take precedence over this config and it'll be treated
	// independently (e.g.: values are not inherited).
	HedgePolicy *HedgePolicy `protobuf:"bytes,17,opt,name=hedge_policy,json=hedgePolicy,proto3" json:"hedge_policy,omitempty"`
	// The maximum bytes which will be buffered for retries and shadowing.
	// If set and a route-specific limit is not set, the bytes actually buffered will be the minimum
	// value of this and the listener per_connection_buffer_limit_bytes.
	PerRequestBufferLimitBytes *wrappers.UInt32Value `protobuf:"bytes,18,opt,name=per_request_buffer_limit_bytes,json=perRequestBufferLimitBytes,proto3" json:"per_request_buffer_limit_bytes,omitempty"`
	XXX_NoUnkeyedLiteral       struct{}              `json:"-"`
	XXX_unrecognized           []byte                `json:"-"`
	XXX_sizecache              int32                 `json:"-"`
}

func (m *VirtualHost) Reset()         { *m = VirtualHost{} }
func (m *VirtualHost) String() string { return proto.CompactTextString(m) }
func (*VirtualHost) ProtoMessage()    {}
func (*VirtualHost) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{0}
}

func (m *VirtualHost) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VirtualHost.Unmarshal(m, b)
}
func (m *VirtualHost) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VirtualHost.Marshal(b, m, deterministic)
}
func (m *VirtualHost) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VirtualHost.Merge(m, src)
}
func (m *VirtualHost) XXX_Size() int {
	return xxx_messageInfo_VirtualHost.Size(m)
}
func (m *VirtualHost) XXX_DiscardUnknown() {
	xxx_messageInfo_VirtualHost.DiscardUnknown(m)
}

var xxx_messageInfo_VirtualHost proto.InternalMessageInfo

func (m *VirtualHost) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *VirtualHost) GetDomains() []string {
	if m != nil {
		return m.Domains
	}
	return nil
}

func (m *VirtualHost) GetRoutes() []*Route {
	if m != nil {
		return m.Routes
	}
	return nil
}

func (m *VirtualHost) GetRequireTls() VirtualHost_TlsRequirementType {
	if m != nil {
		return m.RequireTls
	}
	return VirtualHost_NONE
}

func (m *VirtualHost) GetVirtualClusters() []*VirtualCluster {
	if m != nil {
		return m.VirtualClusters
	}
	return nil
}

func (m *VirtualHost) GetRateLimits() []*RateLimit {
	if m != nil {
		return m.RateLimits
	}
	return nil
}

func (m *VirtualHost) GetRequestHeadersToAdd() []*v4alpha.HeaderValueOption {
	if m != nil {
		return m.RequestHeadersToAdd
	}
	return nil
}

func (m *VirtualHost) GetRequestHeadersToRemove() []string {
	if m != nil {
		return m.RequestHeadersToRemove
	}
	return nil
}

func (m *VirtualHost) GetResponseHeadersToAdd() []*v4alpha.HeaderValueOption {
	if m != nil {
		return m.ResponseHeadersToAdd
	}
	return nil
}

func (m *VirtualHost) GetResponseHeadersToRemove() []string {
	if m != nil {
		return m.ResponseHeadersToRemove
	}
	return nil
}

func (m *VirtualHost) GetCors() *CorsPolicy {
	if m != nil {
		return m.Cors
	}
	return nil
}

func (m *VirtualHost) GetTypedPerFilterConfig() map[string]*any.Any {
	if m != nil {
		return m.TypedPerFilterConfig
	}
	return nil
}

func (m *VirtualHost) GetIncludeRequestAttemptCount() bool {
	if m != nil {
		return m.IncludeRequestAttemptCount
	}
	return false
}

func (m *VirtualHost) GetIncludeAttemptCountInResponse() bool {
	if m != nil {
		return m.IncludeAttemptCountInResponse
	}
	return false
}

func (m *VirtualHost) GetRetryPolicy() *RetryPolicy {
	if m != nil {
		return m.RetryPolicy
	}
	return nil
}

func (m *VirtualHost) GetRetryPolicyTypedConfig() *any.Any {
	if m != nil {
		return m.RetryPolicyTypedConfig
	}
	return nil
}

func (m *VirtualHost) GetHedgePolicy() *HedgePolicy {
	if m != nil {
		return m.HedgePolicy
	}
	return nil
}

func (m *VirtualHost) GetPerRequestBufferLimitBytes() *wrappers.UInt32Value {
	if m != nil {
		return m.PerRequestBufferLimitBytes
	}
	return nil
}

// A filter-defined action type.
type FilterAction struct {
	Action               *any.Any `protobuf:"bytes,1,opt,name=action,proto3" json:"action,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FilterAction) Reset()         { *m = FilterAction{} }
func (m *FilterAction) String() string { return proto.CompactTextString(m) }
func (*FilterAction) ProtoMessage()    {}
func (*FilterAction) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{1}
}

func (m *FilterAction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FilterAction.Unmarshal(m, b)
}
func (m *FilterAction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FilterAction.Marshal(b, m, deterministic)
}
func (m *FilterAction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FilterAction.Merge(m, src)
}
func (m *FilterAction) XXX_Size() int {
	return xxx_messageInfo_FilterAction.Size(m)
}
func (m *FilterAction) XXX_DiscardUnknown() {
	xxx_messageInfo_FilterAction.DiscardUnknown(m)
}

var xxx_messageInfo_FilterAction proto.InternalMessageInfo

func (m *FilterAction) GetAction() *any.Any {
	if m != nil {
		return m.Action
	}
	return nil
}

// A route is both a specification of how to match a request as well as an indication of what to do
// next (e.g., redirect, forward, rewrite, etc.).
//
// .. attention::
//
//   Envoy supports routing on HTTP method via :ref:`header matching
//   <envoy_api_msg_config.route.v4alpha.HeaderMatcher>`.
// [#next-free-field: 18]
type Route struct {
	// Name for the route.
	Name string `protobuf:"bytes,14,opt,name=name,proto3" json:"name,omitempty"`
	// Route matching parameters.
	Match *RouteMatch `protobuf:"bytes,1,opt,name=match,proto3" json:"match,omitempty"`
	// Types that are valid to be assigned to Action:
	//	*Route_Route
	//	*Route_Redirect
	//	*Route_DirectResponse
	//	*Route_FilterAction
	Action isRoute_Action `protobuf_oneof:"action"`
	// The Metadata field can be used to provide additional information
	// about the route. It can be used for configuration, stats, and logging.
	// The metadata should go under the filter namespace that will need it.
	// For instance, if the metadata is intended for the Router filter,
	// the filter name should be specified as *envoy.filters.http.router*.
	Metadata *v4alpha.Metadata `protobuf:"bytes,4,opt,name=metadata,proto3" json:"metadata,omitempty"`
	// Decorator for the matched route.
	Decorator *Decorator `protobuf:"bytes,5,opt,name=decorator,proto3" json:"decorator,omitempty"`
	// The typed_per_filter_config field can be used to provide route-specific
	// configurations for filters. The key should match the filter name, such as
	// *envoy.filters.http.buffer* for the HTTP buffer filter. Use of this field is filter
	// specific; see the :ref:`HTTP filter documentation <config_http_filters>` for
	// if and how it is utilized.
	TypedPerFilterConfig map[string]*any.Any `protobuf:"bytes,13,rep,name=typed_per_filter_config,json=typedPerFilterConfig,proto3" json:"typed_per_filter_config,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// Specifies a set of headers that will be added to requests matching this
	// route. Headers specified at this level are applied before headers from the
	// enclosing :ref:`envoy_api_msg_config.route.v4alpha.VirtualHost` and
	// :ref:`envoy_api_msg_config.route.v4alpha.RouteConfiguration`. For more information, including details on
	// header value syntax, see the documentation on :ref:`custom request headers
	// <config_http_conn_man_headers_custom_request_headers>`.
	RequestHeadersToAdd []*v4alpha.HeaderValueOption `protobuf:"bytes,9,rep,name=request_headers_to_add,json=requestHeadersToAdd,proto3" json:"request_headers_to_add,omitempty"`
	// Specifies a list of HTTP headers that should be removed from each request
	// matching this route.
	RequestHeadersToRemove []string `protobuf:"bytes,12,rep,name=request_headers_to_remove,json=requestHeadersToRemove,proto3" json:"request_headers_to_remove,omitempty"`
	// Specifies a set of headers that will be added to responses to requests
	// matching this route. Headers specified at this level are applied before
	// headers from the enclosing :ref:`envoy_api_msg_config.route.v4alpha.VirtualHost` and
	// :ref:`envoy_api_msg_config.route.v4alpha.RouteConfiguration`. For more information, including
	// details on header value syntax, see the documentation on
	// :ref:`custom request headers <config_http_conn_man_headers_custom_request_headers>`.
	ResponseHeadersToAdd []*v4alpha.HeaderValueOption `protobuf:"bytes,10,rep,name=response_headers_to_add,json=responseHeadersToAdd,proto3" json:"response_headers_to_add,omitempty"`
	// Specifies a list of HTTP headers that should be removed from each response
	// to requests matching this route.
	ResponseHeadersToRemove []string `protobuf:"bytes,11,rep,name=response_headers_to_remove,json=responseHeadersToRemove,proto3" json:"response_headers_to_remove,omitempty"`
	// Presence of the object defines whether the connection manager's tracing configuration
	// is overridden by this route specific instance.
	Tracing *Tracing `protobuf:"bytes,15,opt,name=tracing,proto3" json:"tracing,omitempty"`
	// The maximum bytes which will be buffered for retries and shadowing.
	// If set, the bytes actually buffered will be the minimum value of this and the
	// listener per_connection_buffer_limit_bytes.
	PerRequestBufferLimitBytes *wrappers.UInt32Value `protobuf:"bytes,16,opt,name=per_request_buffer_limit_bytes,json=perRequestBufferLimitBytes,proto3" json:"per_request_buffer_limit_bytes,omitempty"`
	XXX_NoUnkeyedLiteral       struct{}              `json:"-"`
	XXX_unrecognized           []byte                `json:"-"`
	XXX_sizecache              int32                 `json:"-"`
}

func (m *Route) Reset()         { *m = Route{} }
func (m *Route) String() string { return proto.CompactTextString(m) }
func (*Route) ProtoMessage()    {}
func (*Route) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{2}
}

func (m *Route) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Route.Unmarshal(m, b)
}
func (m *Route) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Route.Marshal(b, m, deterministic)
}
func (m *Route) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Route.Merge(m, src)
}
func (m *Route) XXX_Size() int {
	return xxx_messageInfo_Route.Size(m)
}
func (m *Route) XXX_DiscardUnknown() {
	xxx_messageInfo_Route.DiscardUnknown(m)
}

var xxx_messageInfo_Route proto.InternalMessageInfo

func (m *Route) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Route) GetMatch() *RouteMatch {
	if m != nil {
		return m.Match
	}
	return nil
}

type isRoute_Action interface {
	isRoute_Action()
}

type Route_Route struct {
	Route *RouteAction `protobuf:"bytes,2,opt,name=route,proto3,oneof"`
}

type Route_Redirect struct {
	Redirect *RedirectAction `protobuf:"bytes,3,opt,name=redirect,proto3,oneof"`
}

type Route_DirectResponse struct {
	DirectResponse *DirectResponseAction `protobuf:"bytes,7,opt,name=direct_response,json=directResponse,proto3,oneof"`
}

type Route_FilterAction struct {
	FilterAction *FilterAction `protobuf:"bytes,17,opt,name=filter_action,json=filterAction,proto3,oneof"`
}

func (*Route_Route) isRoute_Action() {}

func (*Route_Redirect) isRoute_Action() {}

func (*Route_DirectResponse) isRoute_Action() {}

func (*Route_FilterAction) isRoute_Action() {}

func (m *Route) GetAction() isRoute_Action {
	if m != nil {
		return m.Action
	}
	return nil
}

func (m *Route) GetRoute() *RouteAction {
	if x, ok := m.GetAction().(*Route_Route); ok {
		return x.Route
	}
	return nil
}

func (m *Route) GetRedirect() *RedirectAction {
	if x, ok := m.GetAction().(*Route_Redirect); ok {
		return x.Redirect
	}
	return nil
}

func (m *Route) GetDirectResponse() *DirectResponseAction {
	if x, ok := m.GetAction().(*Route_DirectResponse); ok {
		return x.DirectResponse
	}
	return nil
}

func (m *Route) GetFilterAction() *FilterAction {
	if x, ok := m.GetAction().(*Route_FilterAction); ok {
		return x.FilterAction
	}
	return nil
}

func (m *Route) GetMetadata() *v4alpha.Metadata {
	if m != nil {
		return m.Metadata
	}
	return nil
}

func (m *Route) GetDecorator() *Decorator {
	if m != nil {
		return m.Decorator
	}
	return nil
}

func (m *Route) GetTypedPerFilterConfig() map[string]*any.Any {
	if m != nil {
		return m.TypedPerFilterConfig
	}
	return nil
}

func (m *Route) GetRequestHeadersToAdd() []*v4alpha.HeaderValueOption {
	if m != nil {
		return m.RequestHeadersToAdd
	}
	return nil
}

func (m *Route) GetRequestHeadersToRemove() []string {
	if m != nil {
		return m.RequestHeadersToRemove
	}
	return nil
}

func (m *Route) GetResponseHeadersToAdd() []*v4alpha.HeaderValueOption {
	if m != nil {
		return m.ResponseHeadersToAdd
	}
	return nil
}

func (m *Route) GetResponseHeadersToRemove() []string {
	if m != nil {
		return m.ResponseHeadersToRemove
	}
	return nil
}

func (m *Route) GetTracing() *Tracing {
	if m != nil {
		return m.Tracing
	}
	return nil
}

func (m *Route) GetPerRequestBufferLimitBytes() *wrappers.UInt32Value {
	if m != nil {
		return m.PerRequestBufferLimitBytes
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Route) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Route_Route)(nil),
		(*Route_Redirect)(nil),
		(*Route_DirectResponse)(nil),
		(*Route_FilterAction)(nil),
	}
}

// Compared to the :ref:`cluster <envoy_api_field_config.route.v4alpha.RouteAction.cluster>` field that specifies a
// single upstream cluster as the target of a request, the :ref:`weighted_clusters
// <envoy_api_field_config.route.v4alpha.RouteAction.weighted_clusters>` option allows for specification of
// multiple upstream clusters along with weights that indicate the percentage of
// traffic to be forwarded to each cluster. The router selects an upstream cluster based on the
// weights.
type WeightedCluster struct {
	// Specifies one or more upstream clusters associated with the route.
	Clusters []*WeightedCluster_ClusterWeight `protobuf:"bytes,1,rep,name=clusters,proto3" json:"clusters,omitempty"`
	// Specifies the total weight across all clusters. The sum of all cluster weights must equal this
	// value, which must be greater than 0. Defaults to 100.
	TotalWeight *wrappers.UInt32Value `protobuf:"bytes,3,opt,name=total_weight,json=totalWeight,proto3" json:"total_weight,omitempty"`
	// Specifies the runtime key prefix that should be used to construct the
	// runtime keys associated with each cluster. When the *runtime_key_prefix* is
	// specified, the router will look for weights associated with each upstream
	// cluster under the key *runtime_key_prefix* + "." + *cluster[i].name* where
	// *cluster[i]* denotes an entry in the clusters array field. If the runtime
	// key for the cluster does not exist, the value specified in the
	// configuration file will be used as the default weight. See the :ref:`runtime documentation
	// <operations_runtime>` for how key names map to the underlying implementation.
	RuntimeKeyPrefix     string   `protobuf:"bytes,2,opt,name=runtime_key_prefix,json=runtimeKeyPrefix,proto3" json:"runtime_key_prefix,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WeightedCluster) Reset()         { *m = WeightedCluster{} }
func (m *WeightedCluster) String() string { return proto.CompactTextString(m) }
func (*WeightedCluster) ProtoMessage()    {}
func (*WeightedCluster) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{3}
}

func (m *WeightedCluster) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WeightedCluster.Unmarshal(m, b)
}
func (m *WeightedCluster) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WeightedCluster.Marshal(b, m, deterministic)
}
func (m *WeightedCluster) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WeightedCluster.Merge(m, src)
}
func (m *WeightedCluster) XXX_Size() int {
	return xxx_messageInfo_WeightedCluster.Size(m)
}
func (m *WeightedCluster) XXX_DiscardUnknown() {
	xxx_messageInfo_WeightedCluster.DiscardUnknown(m)
}

var xxx_messageInfo_WeightedCluster proto.InternalMessageInfo

func (m *WeightedCluster) GetClusters() []*WeightedCluster_ClusterWeight {
	if m != nil {
		return m.Clusters
	}
	return nil
}

func (m *WeightedCluster) GetTotalWeight() *wrappers.UInt32Value {
	if m != nil {
		return m.TotalWeight
	}
	return nil
}

func (m *WeightedCluster) GetRuntimeKeyPrefix() string {
	if m != nil {
		return m.RuntimeKeyPrefix
	}
	return ""
}

// [#next-free-field: 11]
type WeightedCluster_ClusterWeight struct {
	// Name of the upstream cluster. The cluster must exist in the
	// :ref:`cluster manager configuration <config_cluster_manager>`.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// An integer between 0 and :ref:`total_weight
	// <envoy_api_field_config.route.v4alpha.WeightedCluster.total_weight>`. When a request matches the route,
	// the choice of an upstream cluster is determined by its weight. The sum of weights across all
	// entries in the clusters array must add up to the total_weight, which defaults to 100.
	Weight *wrappers.UInt32Value `protobuf:"bytes,2,opt,name=weight,proto3" json:"weight,omitempty"`
	// Optional endpoint metadata match criteria used by the subset load balancer. Only endpoints in
	// the upstream cluster with metadata matching what is set in this field will be considered for
	// load balancing. Note that this will be merged with what's provided in
	// :ref:`RouteAction.metadata_match <envoy_api_field_config.route.v4alpha.RouteAction.metadata_match>`, with
	// values here taking precedence. The filter name should be specified as *envoy.lb*.
	MetadataMatch *v4alpha.Metadata `protobuf:"bytes,3,opt,name=metadata_match,json=metadataMatch,proto3" json:"metadata_match,omitempty"`
	// Specifies a list of headers to be added to requests when this cluster is selected
	// through the enclosing :ref:`envoy_api_msg_config.route.v4alpha.RouteAction`.
	// Headers specified at this level are applied before headers from the enclosing
	// :ref:`envoy_api_msg_config.route.v4alpha.Route`, :ref:`envoy_api_msg_config.route.v4alpha.VirtualHost`, and
	// :ref:`envoy_api_msg_config.route.v4alpha.RouteConfiguration`. For more information, including details on
	// header value syntax, see the documentation on :ref:`custom request headers
	// <config_http_conn_man_headers_custom_request_headers>`.
	RequestHeadersToAdd []*v4alpha.HeaderValueOption `protobuf:"bytes,4,rep,name=request_headers_to_add,json=requestHeadersToAdd,proto3" json:"request_headers_to_add,omitempty"`
	// Specifies a list of HTTP headers that should be removed from each request when
	// this cluster is selected through the enclosing :ref:`envoy_api_msg_config.route.v4alpha.RouteAction`.
	RequestHeadersToRemove []string `protobuf:"bytes,9,rep,name=request_headers_to_remove,json=requestHeadersToRemove,proto3" json:"request_headers_to_remove,omitempty"`
	// Specifies a list of headers to be added to responses when this cluster is selected
	// through the enclosing :ref:`envoy_api_msg_config.route.v4alpha.RouteAction`.
	// Headers specified at this level are applied before headers from the enclosing
	// :ref:`envoy_api_msg_config.route.v4alpha.Route`, :ref:`envoy_api_msg_config.route.v4alpha.VirtualHost`, and
	// :ref:`envoy_api_msg_config.route.v4alpha.RouteConfiguration`. For more information, including details on
	// header value syntax, see the documentation on :ref:`custom request headers
	// <config_http_conn_man_headers_custom_request_headers>`.
	ResponseHeadersToAdd []*v4alpha.HeaderValueOption `protobuf:"bytes,5,rep,name=response_headers_to_add,json=responseHeadersToAdd,proto3" json:"response_headers_to_add,omitempty"`
	// Specifies a list of headers to be removed from responses when this cluster is selected
	// through the enclosing :ref:`envoy_api_msg_config.route.v4alpha.RouteAction`.
	ResponseHeadersToRemove []string `protobuf:"bytes,6,rep,name=response_headers_to_remove,json=responseHeadersToRemove,proto3" json:"response_headers_to_remove,omitempty"`
	// The per_filter_config field can be used to provide weighted cluster-specific
	// configurations for filters. The key should match the filter name, such as
	// *envoy.filters.http.buffer* for the HTTP buffer filter. Use of this field is filter
	// specific; see the :ref:`HTTP filter documentation <config_http_filters>`
	// for if and how it is utilized.
	TypedPerFilterConfig map[string]*any.Any `protobuf:"bytes,10,rep,name=typed_per_filter_config,json=typedPerFilterConfig,proto3" json:"typed_per_filter_config,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *WeightedCluster_ClusterWeight) Reset()         { *m = WeightedCluster_ClusterWeight{} }
func (m *WeightedCluster_ClusterWeight) String() string { return proto.CompactTextString(m) }
func (*WeightedCluster_ClusterWeight) ProtoMessage()    {}
func (*WeightedCluster_ClusterWeight) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{3, 0}
}

func (m *WeightedCluster_ClusterWeight) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WeightedCluster_ClusterWeight.Unmarshal(m, b)
}
func (m *WeightedCluster_ClusterWeight) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WeightedCluster_ClusterWeight.Marshal(b, m, deterministic)
}
func (m *WeightedCluster_ClusterWeight) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WeightedCluster_ClusterWeight.Merge(m, src)
}
func (m *WeightedCluster_ClusterWeight) XXX_Size() int {
	return xxx_messageInfo_WeightedCluster_ClusterWeight.Size(m)
}
func (m *WeightedCluster_ClusterWeight) XXX_DiscardUnknown() {
	xxx_messageInfo_WeightedCluster_ClusterWeight.DiscardUnknown(m)
}

var xxx_messageInfo_WeightedCluster_ClusterWeight proto.InternalMessageInfo

func (m *WeightedCluster_ClusterWeight) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *WeightedCluster_ClusterWeight) GetWeight() *wrappers.UInt32Value {
	if m != nil {
		return m.Weight
	}
	return nil
}

func (m *WeightedCluster_ClusterWeight) GetMetadataMatch() *v4alpha.Metadata {
	if m != nil {
		return m.MetadataMatch
	}
	return nil
}

func (m *WeightedCluster_ClusterWeight) GetRequestHeadersToAdd() []*v4alpha.HeaderValueOption {
	if m != nil {
		return m.RequestHeadersToAdd
	}
	return nil
}

func (m *WeightedCluster_ClusterWeight) GetRequestHeadersToRemove() []string {
	if m != nil {
		return m.RequestHeadersToRemove
	}
	return nil
}

func (m *WeightedCluster_ClusterWeight) GetResponseHeadersToAdd() []*v4alpha.HeaderValueOption {
	if m != nil {
		return m.ResponseHeadersToAdd
	}
	return nil
}

func (m *WeightedCluster_ClusterWeight) GetResponseHeadersToRemove() []string {
	if m != nil {
		return m.ResponseHeadersToRemove
	}
	return nil
}

func (m *WeightedCluster_ClusterWeight) GetTypedPerFilterConfig() map[string]*any.Any {
	if m != nil {
		return m.TypedPerFilterConfig
	}
	return nil
}

// [#next-free-field: 12]
type RouteMatch struct {
	// Types that are valid to be assigned to PathSpecifier:
	//	*RouteMatch_Prefix
	//	*RouteMatch_Path
	//	*RouteMatch_SafeRegex
	PathSpecifier isRouteMatch_PathSpecifier `protobuf_oneof:"path_specifier"`
	// Indicates that prefix/path matching should be case insensitive. The default
	// is true.
	CaseSensitive *wrappers.BoolValue `protobuf:"bytes,4,opt,name=case_sensitive,json=caseSensitive,proto3" json:"case_sensitive,omitempty"`
	// Indicates that the route should additionally match on a runtime key. Every time the route
	// is considered for a match, it must also fall under the percentage of matches indicated by
	// this field. For some fraction N/D, a random number in the range [0,D) is selected. If the
	// number is <= the value of the numerator N, or if the key is not present, the default
	// value, the router continues to evaluate the remaining match criteria. A runtime_fraction
	// route configuration can be used to roll out route changes in a gradual manner without full
	// code/config deploys. Refer to the :ref:`traffic shifting
	// <config_http_conn_man_route_table_traffic_splitting_shift>` docs for additional documentation.
	//
	// .. note::
	//
	//    Parsing this field is implemented such that the runtime key's data may be represented
	//    as a FractionalPercent proto represented as JSON/YAML and may also be represented as an
	//    integer with the assumption that the value is an integral percentage out of 100. For
	//    instance, a runtime key lookup returning the value "42" would parse as a FractionalPercent
	//    whose numerator is 42 and denominator is HUNDRED. This preserves legacy semantics.
	RuntimeFraction *v4alpha.RuntimeFractionalPercent `protobuf:"bytes,9,opt,name=runtime_fraction,json=runtimeFraction,proto3" json:"runtime_fraction,omitempty"`
	// Specifies a set of headers that the route should match on. The router will
	// check the request’s headers against all the specified headers in the route
	// config. A match will happen if all the headers in the route are present in
	// the request with the same values (or based on presence if the value field
	// is not in the config).
	Headers []*HeaderMatcher `protobuf:"bytes,6,rep,name=headers,proto3" json:"headers,omitempty"`
	// Specifies a set of URL query parameters on which the route should
	// match. The router will check the query string from the *path* header
	// against all the specified query parameters. If the number of specified
	// query parameters is nonzero, they all must match the *path* header's
	// query string for a match to occur.
	QueryParameters []*QueryParameterMatcher `protobuf:"bytes,7,rep,name=query_parameters,json=queryParameters,proto3" json:"query_parameters,omitempty"`
	// If specified, only gRPC requests will be matched. The router will check
	// that the content-type header has a application/grpc or one of the various
	// application/grpc+ values.
	Grpc *RouteMatch_GrpcRouteMatchOptions `protobuf:"bytes,8,opt,name=grpc,proto3" json:"grpc,omitempty"`
	// If specified, the client tls context will be matched against the defined
	// match options.
	//
	// [#next-major-version: unify with RBAC]
	TlsContext           *RouteMatch_TlsContextMatchOptions `protobuf:"bytes,11,opt,name=tls_context,json=tlsContext,proto3" json:"tls_context,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                           `json:"-"`
	XXX_unrecognized     []byte                             `json:"-"`
	XXX_sizecache        int32                              `json:"-"`
}

func (m *RouteMatch) Reset()         { *m = RouteMatch{} }
func (m *RouteMatch) String() string { return proto.CompactTextString(m) }
func (*RouteMatch) ProtoMessage()    {}
func (*RouteMatch) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{4}
}

func (m *RouteMatch) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteMatch.Unmarshal(m, b)
}
func (m *RouteMatch) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteMatch.Marshal(b, m, deterministic)
}
func (m *RouteMatch) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteMatch.Merge(m, src)
}
func (m *RouteMatch) XXX_Size() int {
	return xxx_messageInfo_RouteMatch.Size(m)
}
func (m *RouteMatch) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteMatch.DiscardUnknown(m)
}

var xxx_messageInfo_RouteMatch proto.InternalMessageInfo

type isRouteMatch_PathSpecifier interface {
	isRouteMatch_PathSpecifier()
}

type RouteMatch_Prefix struct {
	Prefix string `protobuf:"bytes,1,opt,name=prefix,proto3,oneof"`
}

type RouteMatch_Path struct {
	Path string `protobuf:"bytes,2,opt,name=path,proto3,oneof"`
}

type RouteMatch_SafeRegex struct {
	SafeRegex *v3.RegexMatcher `protobuf:"bytes,10,opt,name=safe_regex,json=safeRegex,proto3,oneof"`
}

func (*RouteMatch_Prefix) isRouteMatch_PathSpecifier() {}

func (*RouteMatch_Path) isRouteMatch_PathSpecifier() {}

func (*RouteMatch_SafeRegex) isRouteMatch_PathSpecifier() {}

func (m *RouteMatch) GetPathSpecifier() isRouteMatch_PathSpecifier {
	if m != nil {
		return m.PathSpecifier
	}
	return nil
}

func (m *RouteMatch) GetPrefix() string {
	if x, ok := m.GetPathSpecifier().(*RouteMatch_Prefix); ok {
		return x.Prefix
	}
	return ""
}

func (m *RouteMatch) GetPath() string {
	if x, ok := m.GetPathSpecifier().(*RouteMatch_Path); ok {
		return x.Path
	}
	return ""
}

func (m *RouteMatch) GetSafeRegex() *v3.RegexMatcher {
	if x, ok := m.GetPathSpecifier().(*RouteMatch_SafeRegex); ok {
		return x.SafeRegex
	}
	return nil
}

func (m *RouteMatch) GetCaseSensitive() *wrappers.BoolValue {
	if m != nil {
		return m.CaseSensitive
	}
	return nil
}

func (m *RouteMatch) GetRuntimeFraction() *v4alpha.RuntimeFractionalPercent {
	if m != nil {
		return m.RuntimeFraction
	}
	return nil
}

func (m *RouteMatch) GetHeaders() []*HeaderMatcher {
	if m != nil {
		return m.Headers
	}
	return nil
}

func (m *RouteMatch) GetQueryParameters() []*QueryParameterMatcher {
	if m != nil {
		return m.QueryParameters
	}
	return nil
}

func (m *RouteMatch) GetGrpc() *RouteMatch_GrpcRouteMatchOptions {
	if m != nil {
		return m.Grpc
	}
	return nil
}

func (m *RouteMatch) GetTlsContext() *RouteMatch_TlsContextMatchOptions {
	if m != nil {
		return m.TlsContext
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RouteMatch) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RouteMatch_Prefix)(nil),
		(*RouteMatch_Path)(nil),
		(*RouteMatch_SafeRegex)(nil),
	}
}

type RouteMatch_GrpcRouteMatchOptions struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RouteMatch_GrpcRouteMatchOptions) Reset()         { *m = RouteMatch_GrpcRouteMatchOptions{} }
func (m *RouteMatch_GrpcRouteMatchOptions) String() string { return proto.CompactTextString(m) }
func (*RouteMatch_GrpcRouteMatchOptions) ProtoMessage()    {}
func (*RouteMatch_GrpcRouteMatchOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{4, 0}
}

func (m *RouteMatch_GrpcRouteMatchOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteMatch_GrpcRouteMatchOptions.Unmarshal(m, b)
}
func (m *RouteMatch_GrpcRouteMatchOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteMatch_GrpcRouteMatchOptions.Marshal(b, m, deterministic)
}
func (m *RouteMatch_GrpcRouteMatchOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteMatch_GrpcRouteMatchOptions.Merge(m, src)
}
func (m *RouteMatch_GrpcRouteMatchOptions) XXX_Size() int {
	return xxx_messageInfo_RouteMatch_GrpcRouteMatchOptions.Size(m)
}
func (m *RouteMatch_GrpcRouteMatchOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteMatch_GrpcRouteMatchOptions.DiscardUnknown(m)
}

var xxx_messageInfo_RouteMatch_GrpcRouteMatchOptions proto.InternalMessageInfo

type RouteMatch_TlsContextMatchOptions struct {
	// If specified, the route will match against whether or not a certificate is presented.
	// If not specified, certificate presentation status (true or false) will not be considered when route matching.
	Presented *wrappers.BoolValue `protobuf:"bytes,1,opt,name=presented,proto3" json:"presented,omitempty"`
	// If specified, the route will match against whether or not a certificate is validated.
	// If not specified, certificate validation status (true or false) will not be considered when route matching.
	Validated            *wrappers.BoolValue `protobuf:"bytes,2,opt,name=validated,proto3" json:"validated,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *RouteMatch_TlsContextMatchOptions) Reset()         { *m = RouteMatch_TlsContextMatchOptions{} }
func (m *RouteMatch_TlsContextMatchOptions) String() string { return proto.CompactTextString(m) }
func (*RouteMatch_TlsContextMatchOptions) ProtoMessage()    {}
func (*RouteMatch_TlsContextMatchOptions) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{4, 1}
}

func (m *RouteMatch_TlsContextMatchOptions) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteMatch_TlsContextMatchOptions.Unmarshal(m, b)
}
func (m *RouteMatch_TlsContextMatchOptions) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteMatch_TlsContextMatchOptions.Marshal(b, m, deterministic)
}
func (m *RouteMatch_TlsContextMatchOptions) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteMatch_TlsContextMatchOptions.Merge(m, src)
}
func (m *RouteMatch_TlsContextMatchOptions) XXX_Size() int {
	return xxx_messageInfo_RouteMatch_TlsContextMatchOptions.Size(m)
}
func (m *RouteMatch_TlsContextMatchOptions) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteMatch_TlsContextMatchOptions.DiscardUnknown(m)
}

var xxx_messageInfo_RouteMatch_TlsContextMatchOptions proto.InternalMessageInfo

func (m *RouteMatch_TlsContextMatchOptions) GetPresented() *wrappers.BoolValue {
	if m != nil {
		return m.Presented
	}
	return nil
}

func (m *RouteMatch_TlsContextMatchOptions) GetValidated() *wrappers.BoolValue {
	if m != nil {
		return m.Validated
	}
	return nil
}

// [#next-free-field: 12]
type CorsPolicy struct {
	// Specifies string patterns that match allowed origins. An origin is allowed if any of the
	// string matchers match.
	AllowOriginStringMatch []*v3.StringMatcher `protobuf:"bytes,11,rep,name=allow_origin_string_match,json=allowOriginStringMatch,proto3" json:"allow_origin_string_match,omitempty"`
	// Specifies the content for the *access-control-allow-methods* header.
	AllowMethods string `protobuf:"bytes,2,opt,name=allow_methods,json=allowMethods,proto3" json:"allow_methods,omitempty"`
	// Specifies the content for the *access-control-allow-headers* header.
	AllowHeaders string `protobuf:"bytes,3,opt,name=allow_headers,json=allowHeaders,proto3" json:"allow_headers,omitempty"`
	// Specifies the content for the *access-control-expose-headers* header.
	ExposeHeaders string `protobuf:"bytes,4,opt,name=expose_headers,json=exposeHeaders,proto3" json:"expose_headers,omitempty"`
	// Specifies the content for the *access-control-max-age* header.
	MaxAge string `protobuf:"bytes,5,opt,name=max_age,json=maxAge,proto3" json:"max_age,omitempty"`
	// Specifies whether the resource allows credentials.
	AllowCredentials *wrappers.BoolValue `protobuf:"bytes,6,opt,name=allow_credentials,json=allowCredentials,proto3" json:"allow_credentials,omitempty"`
	// Types that are valid to be assigned to EnabledSpecifier:
	//	*CorsPolicy_FilterEnabled
	EnabledSpecifier isCorsPolicy_EnabledSpecifier `protobuf_oneof:"enabled_specifier"`
	// Specifies the % of requests for which the CORS policies will be evaluated and tracked, but not
	// enforced.
	//
	// This field is intended to be used when ``filter_enabled`` and ``enabled`` are off. One of those
	// fields have to explicitly disable the filter in order for this setting to take effect.
	//
	// If :ref:`runtime_key <envoy_api_field_config.core.v4alpha.RuntimeFractionalPercent.runtime_key>` is specified,
	// Envoy will lookup the runtime key to get the percentage of requests for which it will evaluate
	// and track the request's *Origin* to determine if it's valid but will not enforce any policies.
	ShadowEnabled        *v4alpha.RuntimeFractionalPercent `protobuf:"bytes,10,opt,name=shadow_enabled,json=shadowEnabled,proto3" json:"shadow_enabled,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                          `json:"-"`
	XXX_unrecognized     []byte                            `json:"-"`
	XXX_sizecache        int32                             `json:"-"`
}

func (m *CorsPolicy) Reset()         { *m = CorsPolicy{} }
func (m *CorsPolicy) String() string { return proto.CompactTextString(m) }
func (*CorsPolicy) ProtoMessage()    {}
func (*CorsPolicy) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{5}
}

func (m *CorsPolicy) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CorsPolicy.Unmarshal(m, b)
}
func (m *CorsPolicy) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CorsPolicy.Marshal(b, m, deterministic)
}
func (m *CorsPolicy) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CorsPolicy.Merge(m, src)
}
func (m *CorsPolicy) XXX_Size() int {
	return xxx_messageInfo_CorsPolicy.Size(m)
}
func (m *CorsPolicy) XXX_DiscardUnknown() {
	xxx_messageInfo_CorsPolicy.DiscardUnknown(m)
}

var xxx_messageInfo_CorsPolicy proto.InternalMessageInfo

func (m *CorsPolicy) GetAllowOriginStringMatch() []*v3.StringMatcher {
	if m != nil {
		return m.AllowOriginStringMatch
	}
	return nil
}

func (m *CorsPolicy) GetAllowMethods() string {
	if m != nil {
		return m.AllowMethods
	}
	return ""
}

func (m *CorsPolicy) GetAllowHeaders() string {
	if m != nil {
		return m.AllowHeaders
	}
	return ""
}

func (m *CorsPolicy) GetExposeHeaders() string {
	if m != nil {
		return m.ExposeHeaders
	}
	return ""
}

func (m *CorsPolicy) GetMaxAge() string {
	if m != nil {
		return m.MaxAge
	}
	return ""
}

func (m *CorsPolicy) GetAllowCredentials() *wrappers.BoolValue {
	if m != nil {
		return m.AllowCredentials
	}
	return nil
}

type isCorsPolicy_EnabledSpecifier interface {
	isCorsPolicy_EnabledSpecifier()
}

type CorsPolicy_FilterEnabled struct {
	FilterEnabled *v4alpha.RuntimeFractionalPercent `protobuf:"bytes,9,opt,name=filter_enabled,json=filterEnabled,proto3,oneof"`
}

func (*CorsPolicy_FilterEnabled) isCorsPolicy_EnabledSpecifier() {}

func (m *CorsPolicy) GetEnabledSpecifier() isCorsPolicy_EnabledSpecifier {
	if m != nil {
		return m.EnabledSpecifier
	}
	return nil
}

func (m *CorsPolicy) GetFilterEnabled() *v4alpha.RuntimeFractionalPercent {
	if x, ok := m.GetEnabledSpecifier().(*CorsPolicy_FilterEnabled); ok {
		return x.FilterEnabled
	}
	return nil
}

func (m *CorsPolicy) GetShadowEnabled() *v4alpha.RuntimeFractionalPercent {
	if m != nil {
		return m.ShadowEnabled
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*CorsPolicy) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*CorsPolicy_FilterEnabled)(nil),
	}
}

// [#next-free-field: 34]
type RouteAction struct {
	// Types that are valid to be assigned to ClusterSpecifier:
	//	*RouteAction_Cluster
	//	*RouteAction_ClusterHeader
	//	*RouteAction_WeightedClusters
	ClusterSpecifier isRouteAction_ClusterSpecifier `protobuf_oneof:"cluster_specifier"`
	// The HTTP status code to use when configured cluster is not found.
	// The default response code is 503 Service Unavailable.
	ClusterNotFoundResponseCode RouteAction_ClusterNotFoundResponseCode `protobuf:"varint,20,opt,name=cluster_not_found_response_code,json=clusterNotFoundResponseCode,proto3,enum=envoy.config.route.v4alpha.RouteAction_ClusterNotFoundResponseCode" json:"cluster_not_found_response_code,omitempty"`
	// Optional endpoint metadata match criteria used by the subset load balancer. Only endpoints
	// in the upstream cluster with metadata matching what's set in this field will be considered
	// for load balancing. If using :ref:`weighted_clusters
	// <envoy_api_field_config.route.v4alpha.RouteAction.weighted_clusters>`, metadata will be merged, with values
	// provided there taking precedence. The filter name should be specified as *envoy.lb*.
	MetadataMatch *v4alpha.Metadata `protobuf:"bytes,4,opt,name=metadata_match,json=metadataMatch,proto3" json:"metadata_match,omitempty"`
	// Indicates that during forwarding, the matched prefix (or path) should be
	// swapped with this value. This option allows application URLs to be rooted
	// at a different path from those exposed at the reverse proxy layer. The router filter will
	// place the original path before rewrite into the :ref:`x-envoy-original-path
	// <config_http_filters_router_x-envoy-original-path>` header.
	//
	// Only one of *prefix_rewrite* or
	// :ref:`regex_rewrite <envoy_api_field_config.route.v4alpha.RouteAction.regex_rewrite>`
	// may be specified.
	//
	// .. attention::
	//
	//   Pay careful attention to the use of trailing slashes in the
	//   :ref:`route's match <envoy_api_field_config.route.v4alpha.Route.match>` prefix value.
	//   Stripping a prefix from a path requires multiple Routes to handle all cases. For example,
	//   rewriting */prefix* to */* and */prefix/etc* to */etc* cannot be done in a single
	//   :ref:`Route <envoy_api_msg_config.route.v4alpha.Route>`, as shown by the below config entries:
	//
	//   .. code-block:: yaml
	//
	//     - match:
	//         prefix: "/prefix/"
	//       route:
	//         prefix_rewrite: "/"
	//     - match:
	//         prefix: "/prefix"
	//       route:
	//         prefix_rewrite: "/"
	//
	//   Having above entries in the config, requests to */prefix* will be stripped to */*, while
	//   requests to */prefix/etc* will be stripped to */etc*.
	PrefixRewrite string `protobuf:"bytes,5,opt,name=prefix_rewrite,json=prefixRewrite,proto3" json:"prefix_rewrite,omitempty"`
	// Indicates that during forwarding, portions of the path that match the
	// pattern should be rewritten, even allowing the substitution of capture
	// groups from the pattern into the new path as specified by the rewrite
	// substitution string. This is useful to allow application paths to be
	// rewritten in a way that is aware of segments with variable content like
	// identifiers. The router filter will place the original path as it was
	// before the rewrite into the :ref:`x-envoy-original-path
	// <config_http_filters_router_x-envoy-original-path>` header.
	//
	// Only one of :ref:`prefix_rewrite <envoy_api_field_config.route.v4alpha.RouteAction.prefix_rewrite>`
	// or *regex_rewrite* may be specified.
	//
	// Examples using Google's `RE2 <https://github.com/google/re2>`_ engine:
	//
	// * The path pattern ``^/service/([^/]+)(/.*)$`` paired with a substitution
	//   string of ``\2/instance/\1`` would transform ``/service/foo/v1/api``
	//   into ``/v1/api/instance/foo``.
	//
	// * The pattern ``one`` paired with a substitution string of ``two`` would
	//   transform ``/xxx/one/yyy/one/zzz`` into ``/xxx/two/yyy/two/zzz``.
	//
	// * The pattern ``^(.*?)one(.*)$`` paired with a substitution string of
	//   ``\1two\2`` would replace only the first occurrence of ``one``,
	//   transforming path ``/xxx/one/yyy/one/zzz`` into ``/xxx/two/yyy/one/zzz``.
	//
	// * The pattern ``(?i)/xxx/`` paired with a substitution string of ``/yyy/``
	//   would do a case-insensitive match and transform path ``/aaa/XxX/bbb`` to
	//   ``/aaa/yyy/bbb``.
	RegexRewrite *v3.RegexMatchAndSubstitute `protobuf:"bytes,32,opt,name=regex_rewrite,json=regexRewrite,proto3" json:"regex_rewrite,omitempty"`
	// Types that are valid to be assigned to HostRewriteSpecifier:
	//	*RouteAction_HostRewriteLiteral
	//	*RouteAction_AutoHostRewrite
	//	*RouteAction_HostRewriteHeader
	HostRewriteSpecifier isRouteAction_HostRewriteSpecifier `protobuf_oneof:"host_rewrite_specifier"`
	// Specifies the upstream timeout for the route. If not specified, the default is 15s. This
	// spans between the point at which the entire downstream request (i.e. end-of-stream) has been
	// processed and when the upstream response has been completely processed. A value of 0 will
	// disable the route's timeout.
	//
	// .. note::
	//
	//   This timeout includes all retries. See also
	//   :ref:`config_http_filters_router_x-envoy-upstream-rq-timeout-ms`,
	//   :ref:`config_http_filters_router_x-envoy-upstream-rq-per-try-timeout-ms`, and the
	//   :ref:`retry overview <arch_overview_http_routing_retry>`.
	Timeout *duration.Duration `protobuf:"bytes,8,opt,name=timeout,proto3" json:"timeout,omitempty"`
	// Specifies the idle timeout for the route. If not specified, there is no per-route idle timeout,
	// although the connection manager wide :ref:`stream_idle_timeout
	// <envoy_api_field_extensions.filters.network.http_connection_manager.v4alpha.HttpConnectionManager.stream_idle_timeout>`
	// will still apply. A value of 0 will completely disable the route's idle timeout, even if a
	// connection manager stream idle timeout is configured.
	//
	// The idle timeout is distinct to :ref:`timeout
	// <envoy_api_field_config.route.v4alpha.RouteAction.timeout>`, which provides an upper bound
	// on the upstream response time; :ref:`idle_timeout
	// <envoy_api_field_config.route.v4alpha.RouteAction.idle_timeout>` instead bounds the amount
	// of time the request's stream may be idle.
	//
	// After header decoding, the idle timeout will apply on downstream and
	// upstream request events. Each time an encode/decode event for headers or
	// data is processed for the stream, the timer will be reset. If the timeout
	// fires, the stream is terminated with a 408 Request Timeout error code if no
	// upstream response header has been received, otherwise a stream reset
	// occurs.
	IdleTimeout *duration.Duration `protobuf:"bytes,24,opt,name=idle_timeout,json=idleTimeout,proto3" json:"idle_timeout,omitempty"`
	// Indicates that the route has a retry policy. Note that if this is set,
	// it'll take precedence over the virtual host level retry policy entirely
	// (e.g.: policies are not merged, most internal one becomes the enforced policy).
	RetryPolicy *RetryPolicy `protobuf:"bytes,9,opt,name=retry_policy,json=retryPolicy,proto3" json:"retry_policy,omitempty"`
	// [#not-implemented-hide:]
	// Specifies the configuration for retry policy extension. Note that if this is set, it'll take
	// precedence over the virtual host level retry policy entirely (e.g.: policies are not merged,
	// most internal one becomes the enforced policy). :ref:`Retry policy <envoy_api_field_config.route.v4alpha.VirtualHost.retry_policy>`
	// should not be set if this field is used.
	RetryPolicyTypedConfig *any.Any `protobuf:"bytes,33,opt,name=retry_policy_typed_config,json=retryPolicyTypedConfig,proto3" json:"retry_policy_typed_config,omitempty"`
	// Indicates that the route has request mirroring policies.
	RequestMirrorPolicies []*RouteAction_RequestMirrorPolicy `protobuf:"bytes,30,rep,name=request_mirror_policies,json=requestMirrorPolicies,proto3" json:"request_mirror_policies,omitempty"`
	// Optionally specifies the :ref:`routing priority <arch_overview_http_routing_priority>`.
	Priority v4alpha.RoutingPriority `protobuf:"varint,11,opt,name=priority,proto3,enum=envoy.config.core.v4alpha.RoutingPriority" json:"priority,omitempty"`
	// Specifies a set of rate limit configurations that could be applied to the
	// route.
	RateLimits []*RateLimit `protobuf:"bytes,13,rep,name=rate_limits,json=rateLimits,proto3" json:"rate_limits,omitempty"`
	// Specifies if the rate limit filter should include the virtual host rate
	// limits. By default, if the route configured rate limits, the virtual host
	// :ref:`rate_limits <envoy_api_field_config.route.v4alpha.VirtualHost.rate_limits>` are not applied to the
	// request.
	IncludeVhRateLimits *wrappers.BoolValue `protobuf:"bytes,14,opt,name=include_vh_rate_limits,json=includeVhRateLimits,proto3" json:"include_vh_rate_limits,omitempty"`
	// Specifies a list of hash policies to use for ring hash load balancing. Each
	// hash policy is evaluated individually and the combined result is used to
	// route the request. The method of combination is deterministic such that
	// identical lists of hash policies will produce the same hash. Since a hash
	// policy examines specific parts of a request, it can fail to produce a hash
	// (i.e. if the hashed header is not present). If (and only if) all configured
	// hash policies fail to generate a hash, no hash will be produced for
	// the route. In this case, the behavior is the same as if no hash policies
	// were specified (i.e. the ring hash load balancer will choose a random
	// backend). If a hash policy has the "terminal" attribute set to true, and
	// there is already a hash generated, the hash is returned immediately,
	// ignoring the rest of the hash policy list.
	HashPolicy []*RouteAction_HashPolicy `protobuf:"bytes,15,rep,name=hash_policy,json=hashPolicy,proto3" json:"hash_policy,omitempty"`
	// Indicates that the route has a CORS policy.
	Cors *CorsPolicy `protobuf:"bytes,17,opt,name=cors,proto3" json:"cors,omitempty"`
	// If present, and the request is a gRPC request, use the
	// `grpc-timeout header <https://github.com/grpc/grpc/blob/master/doc/PROTOCOL-HTTP2.md>`_,
	// or its default value (infinity) instead of
	// :ref:`timeout <envoy_api_field_config.route.v4alpha.RouteAction.timeout>`, but limit the applied timeout
	// to the maximum value specified here. If configured as 0, the maximum allowed timeout for
	// gRPC requests is infinity. If not configured at all, the `grpc-timeout` header is not used
	// and gRPC requests time out like any other requests using
	// :ref:`timeout <envoy_api_field_config.route.v4alpha.RouteAction.timeout>` or its default.
	// This can be used to prevent unexpected upstream request timeouts due to potentially long
	// time gaps between gRPC request and response in gRPC streaming mode.
	//
	// .. note::
	//
	//    If a timeout is specified using :ref:`config_http_filters_router_x-envoy-upstream-rq-timeout-ms`, it takes
	//    precedence over `grpc-timeout header <https://github.com/grpc/grpc/blob/master/doc/PROTOCOL-HTTP2.md>`_, when
	//    both are present. See also
	//    :ref:`config_http_filters_router_x-envoy-upstream-rq-timeout-ms`,
	//    :ref:`config_http_filters_router_x-envoy-upstream-rq-per-try-timeout-ms`, and the
	//    :ref:`retry overview <arch_overview_http_routing_retry>`.
	MaxGrpcTimeout *duration.Duration `protobuf:"bytes,23,opt,name=max_grpc_timeout,json=maxGrpcTimeout,proto3" json:"max_grpc_timeout,omitempty"`
	// If present, Envoy will adjust the timeout provided by the `grpc-timeout` header by subtracting
	// the provided duration from the header. This is useful in allowing Envoy to set its global
	// timeout to be less than that of the deadline imposed by the calling client, which makes it more
	// likely that Envoy will handle the timeout instead of having the call canceled by the client.
	// The offset will only be applied if the provided grpc_timeout is greater than the offset. This
	// ensures that the offset will only ever decrease the timeout and never set it to 0 (meaning
	// infinity).
	GrpcTimeoutOffset      *duration.Duration                 `protobuf:"bytes,28,opt,name=grpc_timeout_offset,json=grpcTimeoutOffset,proto3" json:"grpc_timeout_offset,omitempty"`
	UpgradeConfigs         []*RouteAction_UpgradeConfig       `protobuf:"bytes,25,rep,name=upgrade_configs,json=upgradeConfigs,proto3" json:"upgrade_configs,omitempty"`
	InternalRedirectAction RouteAction_InternalRedirectAction `protobuf:"varint,26,opt,name=internal_redirect_action,json=internalRedirectAction,proto3,enum=envoy.config.route.v4alpha.RouteAction_InternalRedirectAction" json:"internal_redirect_action,omitempty"`
	// An internal redirect is handled, iff the number of previous internal redirects that a
	// downstream request has encountered is lower than this value, and
	// :ref:`internal_redirect_action <envoy_api_field_config.route.v4alpha.RouteAction.internal_redirect_action>`
	// is set to :ref:`HANDLE_INTERNAL_REDIRECT
	// <envoy_api_enum_value_config.route.v4alpha.RouteAction.InternalRedirectAction.HANDLE_INTERNAL_REDIRECT>`
	// In the case where a downstream request is bounced among multiple routes by internal redirect,
	// the first route that hits this threshold, or has
	// :ref:`internal_redirect_action <envoy_api_field_config.route.v4alpha.RouteAction.internal_redirect_action>`
	// set to
	// :ref:`PASS_THROUGH_INTERNAL_REDIRECT
	// <envoy_api_enum_value_config.route.v4alpha.RouteAction.InternalRedirectAction.PASS_THROUGH_INTERNAL_REDIRECT>`
	// will pass the redirect back to downstream.
	//
	// If not specified, at most one redirect will be followed.
	MaxInternalRedirects *wrappers.UInt32Value `protobuf:"bytes,31,opt,name=max_internal_redirects,json=maxInternalRedirects,proto3" json:"max_internal_redirects,omitempty"`
	// Indicates that the route has a hedge policy. Note that if this is set,
	// it'll take precedence over the virtual host level hedge policy entirely
	// (e.g.: policies are not merged, most internal one becomes the enforced policy).
	HedgePolicy          *HedgePolicy `protobuf:"bytes,27,opt,name=hedge_policy,json=hedgePolicy,proto3" json:"hedge_policy,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *RouteAction) Reset()         { *m = RouteAction{} }
func (m *RouteAction) String() string { return proto.CompactTextString(m) }
func (*RouteAction) ProtoMessage()    {}
func (*RouteAction) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6}
}

func (m *RouteAction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction.Unmarshal(m, b)
}
func (m *RouteAction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction.Marshal(b, m, deterministic)
}
func (m *RouteAction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction.Merge(m, src)
}
func (m *RouteAction) XXX_Size() int {
	return xxx_messageInfo_RouteAction.Size(m)
}
func (m *RouteAction) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction proto.InternalMessageInfo

type isRouteAction_ClusterSpecifier interface {
	isRouteAction_ClusterSpecifier()
}

type RouteAction_Cluster struct {
	Cluster string `protobuf:"bytes,1,opt,name=cluster,proto3,oneof"`
}

type RouteAction_ClusterHeader struct {
	ClusterHeader string `protobuf:"bytes,2,opt,name=cluster_header,json=clusterHeader,proto3,oneof"`
}

type RouteAction_WeightedClusters struct {
	WeightedClusters *WeightedCluster `protobuf:"bytes,3,opt,name=weighted_clusters,json=weightedClusters,proto3,oneof"`
}

func (*RouteAction_Cluster) isRouteAction_ClusterSpecifier() {}

func (*RouteAction_ClusterHeader) isRouteAction_ClusterSpecifier() {}

func (*RouteAction_WeightedClusters) isRouteAction_ClusterSpecifier() {}

func (m *RouteAction) GetClusterSpecifier() isRouteAction_ClusterSpecifier {
	if m != nil {
		return m.ClusterSpecifier
	}
	return nil
}

func (m *RouteAction) GetCluster() string {
	if x, ok := m.GetClusterSpecifier().(*RouteAction_Cluster); ok {
		return x.Cluster
	}
	return ""
}

func (m *RouteAction) GetClusterHeader() string {
	if x, ok := m.GetClusterSpecifier().(*RouteAction_ClusterHeader); ok {
		return x.ClusterHeader
	}
	return ""
}

func (m *RouteAction) GetWeightedClusters() *WeightedCluster {
	if x, ok := m.GetClusterSpecifier().(*RouteAction_WeightedClusters); ok {
		return x.WeightedClusters
	}
	return nil
}

func (m *RouteAction) GetClusterNotFoundResponseCode() RouteAction_ClusterNotFoundResponseCode {
	if m != nil {
		return m.ClusterNotFoundResponseCode
	}
	return RouteAction_SERVICE_UNAVAILABLE
}

func (m *RouteAction) GetMetadataMatch() *v4alpha.Metadata {
	if m != nil {
		return m.MetadataMatch
	}
	return nil
}

func (m *RouteAction) GetPrefixRewrite() string {
	if m != nil {
		return m.PrefixRewrite
	}
	return ""
}

func (m *RouteAction) GetRegexRewrite() *v3.RegexMatchAndSubstitute {
	if m != nil {
		return m.RegexRewrite
	}
	return nil
}

type isRouteAction_HostRewriteSpecifier interface {
	isRouteAction_HostRewriteSpecifier()
}

type RouteAction_HostRewriteLiteral struct {
	HostRewriteLiteral string `protobuf:"bytes,6,opt,name=host_rewrite_literal,json=hostRewriteLiteral,proto3,oneof"`
}

type RouteAction_AutoHostRewrite struct {
	AutoHostRewrite *wrappers.BoolValue `protobuf:"bytes,7,opt,name=auto_host_rewrite,json=autoHostRewrite,proto3,oneof"`
}

type RouteAction_HostRewriteHeader struct {
	HostRewriteHeader string `protobuf:"bytes,29,opt,name=host_rewrite_header,json=hostRewriteHeader,proto3,oneof"`
}

func (*RouteAction_HostRewriteLiteral) isRouteAction_HostRewriteSpecifier() {}

func (*RouteAction_AutoHostRewrite) isRouteAction_HostRewriteSpecifier() {}

func (*RouteAction_HostRewriteHeader) isRouteAction_HostRewriteSpecifier() {}

func (m *RouteAction) GetHostRewriteSpecifier() isRouteAction_HostRewriteSpecifier {
	if m != nil {
		return m.HostRewriteSpecifier
	}
	return nil
}

func (m *RouteAction) GetHostRewriteLiteral() string {
	if x, ok := m.GetHostRewriteSpecifier().(*RouteAction_HostRewriteLiteral); ok {
		return x.HostRewriteLiteral
	}
	return ""
}

func (m *RouteAction) GetAutoHostRewrite() *wrappers.BoolValue {
	if x, ok := m.GetHostRewriteSpecifier().(*RouteAction_AutoHostRewrite); ok {
		return x.AutoHostRewrite
	}
	return nil
}

func (m *RouteAction) GetHostRewriteHeader() string {
	if x, ok := m.GetHostRewriteSpecifier().(*RouteAction_HostRewriteHeader); ok {
		return x.HostRewriteHeader
	}
	return ""
}

func (m *RouteAction) GetTimeout() *duration.Duration {
	if m != nil {
		return m.Timeout
	}
	return nil
}

func (m *RouteAction) GetIdleTimeout() *duration.Duration {
	if m != nil {
		return m.IdleTimeout
	}
	return nil
}

func (m *RouteAction) GetRetryPolicy() *RetryPolicy {
	if m != nil {
		return m.RetryPolicy
	}
	return nil
}

func (m *RouteAction) GetRetryPolicyTypedConfig() *any.Any {
	if m != nil {
		return m.RetryPolicyTypedConfig
	}
	return nil
}

func (m *RouteAction) GetRequestMirrorPolicies() []*RouteAction_RequestMirrorPolicy {
	if m != nil {
		return m.RequestMirrorPolicies
	}
	return nil
}

func (m *RouteAction) GetPriority() v4alpha.RoutingPriority {
	if m != nil {
		return m.Priority
	}
	return v4alpha.RoutingPriority_DEFAULT
}

func (m *RouteAction) GetRateLimits() []*RateLimit {
	if m != nil {
		return m.RateLimits
	}
	return nil
}

func (m *RouteAction) GetIncludeVhRateLimits() *wrappers.BoolValue {
	if m != nil {
		return m.IncludeVhRateLimits
	}
	return nil
}

func (m *RouteAction) GetHashPolicy() []*RouteAction_HashPolicy {
	if m != nil {
		return m.HashPolicy
	}
	return nil
}

func (m *RouteAction) GetCors() *CorsPolicy {
	if m != nil {
		return m.Cors
	}
	return nil
}

func (m *RouteAction) GetMaxGrpcTimeout() *duration.Duration {
	if m != nil {
		return m.MaxGrpcTimeout
	}
	return nil
}

func (m *RouteAction) GetGrpcTimeoutOffset() *duration.Duration {
	if m != nil {
		return m.GrpcTimeoutOffset
	}
	return nil
}

func (m *RouteAction) GetUpgradeConfigs() []*RouteAction_UpgradeConfig {
	if m != nil {
		return m.UpgradeConfigs
	}
	return nil
}

func (m *RouteAction) GetInternalRedirectAction() RouteAction_InternalRedirectAction {
	if m != nil {
		return m.InternalRedirectAction
	}
	return RouteAction_PASS_THROUGH_INTERNAL_REDIRECT
}

func (m *RouteAction) GetMaxInternalRedirects() *wrappers.UInt32Value {
	if m != nil {
		return m.MaxInternalRedirects
	}
	return nil
}

func (m *RouteAction) GetHedgePolicy() *HedgePolicy {
	if m != nil {
		return m.HedgePolicy
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RouteAction) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RouteAction_Cluster)(nil),
		(*RouteAction_ClusterHeader)(nil),
		(*RouteAction_WeightedClusters)(nil),
		(*RouteAction_HostRewriteLiteral)(nil),
		(*RouteAction_AutoHostRewrite)(nil),
		(*RouteAction_HostRewriteHeader)(nil),
	}
}

// The router is capable of shadowing traffic from one cluster to another. The current
// implementation is "fire and forget," meaning Envoy will not wait for the shadow cluster to
// respond before returning the response from the primary cluster. All normal statistics are
// collected for the shadow cluster making this feature useful for testing.
//
// During shadowing, the host/authority header is altered such that *-shadow* is appended. This is
// useful for logging. For example, *cluster1* becomes *cluster1-shadow*.
//
// .. note::
//
//   Shadowing will not be triggered if the primary cluster does not exist.
type RouteAction_RequestMirrorPolicy struct {
	// Specifies the cluster that requests will be mirrored to. The cluster must
	// exist in the cluster manager configuration.
	Cluster string `protobuf:"bytes,1,opt,name=cluster,proto3" json:"cluster,omitempty"`
	// If not specified, all requests to the target cluster will be mirrored.
	//
	// If specified, this field takes precedence over the `runtime_key` field and requests must also
	// fall under the percentage of matches indicated by this field.
	//
	// For some fraction N/D, a random number in the range [0,D) is selected. If the
	// number is <= the value of the numerator N, or if the key is not present, the default
	// value, the request will be mirrored.
	RuntimeFraction *v4alpha.RuntimeFractionalPercent `protobuf:"bytes,3,opt,name=runtime_fraction,json=runtimeFraction,proto3" json:"runtime_fraction,omitempty"`
	// Determines if the trace span should be sampled. Defaults to true.
	TraceSampled         *wrappers.BoolValue `protobuf:"bytes,4,opt,name=trace_sampled,json=traceSampled,proto3" json:"trace_sampled,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *RouteAction_RequestMirrorPolicy) Reset()         { *m = RouteAction_RequestMirrorPolicy{} }
func (m *RouteAction_RequestMirrorPolicy) String() string { return proto.CompactTextString(m) }
func (*RouteAction_RequestMirrorPolicy) ProtoMessage()    {}
func (*RouteAction_RequestMirrorPolicy) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 0}
}

func (m *RouteAction_RequestMirrorPolicy) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_RequestMirrorPolicy.Unmarshal(m, b)
}
func (m *RouteAction_RequestMirrorPolicy) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_RequestMirrorPolicy.Marshal(b, m, deterministic)
}
func (m *RouteAction_RequestMirrorPolicy) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_RequestMirrorPolicy.Merge(m, src)
}
func (m *RouteAction_RequestMirrorPolicy) XXX_Size() int {
	return xxx_messageInfo_RouteAction_RequestMirrorPolicy.Size(m)
}
func (m *RouteAction_RequestMirrorPolicy) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_RequestMirrorPolicy.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_RequestMirrorPolicy proto.InternalMessageInfo

func (m *RouteAction_RequestMirrorPolicy) GetCluster() string {
	if m != nil {
		return m.Cluster
	}
	return ""
}

func (m *RouteAction_RequestMirrorPolicy) GetRuntimeFraction() *v4alpha.RuntimeFractionalPercent {
	if m != nil {
		return m.RuntimeFraction
	}
	return nil
}

func (m *RouteAction_RequestMirrorPolicy) GetTraceSampled() *wrappers.BoolValue {
	if m != nil {
		return m.TraceSampled
	}
	return nil
}

// Specifies the route's hashing policy if the upstream cluster uses a hashing :ref:`load balancer
// <arch_overview_load_balancing_types>`.
// [#next-free-field: 7]
type RouteAction_HashPolicy struct {
	// Types that are valid to be assigned to PolicySpecifier:
	//	*RouteAction_HashPolicy_Header_
	//	*RouteAction_HashPolicy_Cookie_
	//	*RouteAction_HashPolicy_ConnectionProperties_
	//	*RouteAction_HashPolicy_QueryParameter_
	//	*RouteAction_HashPolicy_FilterState_
	PolicySpecifier isRouteAction_HashPolicy_PolicySpecifier `protobuf_oneof:"policy_specifier"`
	// The flag that short-circuits the hash computing. This field provides a
	// 'fallback' style of configuration: "if a terminal policy doesn't work,
	// fallback to rest of the policy list", it saves time when the terminal
	// policy works.
	//
	// If true, and there is already a hash computed, ignore rest of the
	// list of hash polices.
	// For example, if the following hash methods are configured:
	//
	//  ========= ========
	//  specifier terminal
	//  ========= ========
	//  Header A  true
	//  Header B  false
	//  Header C  false
	//  ========= ========
	//
	// The generateHash process ends if policy "header A" generates a hash, as
	// it's a terminal policy.
	Terminal             bool     `protobuf:"varint,4,opt,name=terminal,proto3" json:"terminal,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RouteAction_HashPolicy) Reset()         { *m = RouteAction_HashPolicy{} }
func (m *RouteAction_HashPolicy) String() string { return proto.CompactTextString(m) }
func (*RouteAction_HashPolicy) ProtoMessage()    {}
func (*RouteAction_HashPolicy) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 1}
}

func (m *RouteAction_HashPolicy) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_HashPolicy.Unmarshal(m, b)
}
func (m *RouteAction_HashPolicy) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_HashPolicy.Marshal(b, m, deterministic)
}
func (m *RouteAction_HashPolicy) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_HashPolicy.Merge(m, src)
}
func (m *RouteAction_HashPolicy) XXX_Size() int {
	return xxx_messageInfo_RouteAction_HashPolicy.Size(m)
}
func (m *RouteAction_HashPolicy) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_HashPolicy.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_HashPolicy proto.InternalMessageInfo

type isRouteAction_HashPolicy_PolicySpecifier interface {
	isRouteAction_HashPolicy_PolicySpecifier()
}

type RouteAction_HashPolicy_Header_ struct {
	Header *RouteAction_HashPolicy_Header `protobuf:"bytes,1,opt,name=header,proto3,oneof"`
}

type RouteAction_HashPolicy_Cookie_ struct {
	Cookie *RouteAction_HashPolicy_Cookie `protobuf:"bytes,2,opt,name=cookie,proto3,oneof"`
}

type RouteAction_HashPolicy_ConnectionProperties_ struct {
	ConnectionProperties *RouteAction_HashPolicy_ConnectionProperties `protobuf:"bytes,3,opt,name=connection_properties,json=connectionProperties,proto3,oneof"`
}

type RouteAction_HashPolicy_QueryParameter_ struct {
	QueryParameter *RouteAction_HashPolicy_QueryParameter `protobuf:"bytes,5,opt,name=query_parameter,json=queryParameter,proto3,oneof"`
}

type RouteAction_HashPolicy_FilterState_ struct {
	FilterState *RouteAction_HashPolicy_FilterState `protobuf:"bytes,6,opt,name=filter_state,json=filterState,proto3,oneof"`
}

func (*RouteAction_HashPolicy_Header_) isRouteAction_HashPolicy_PolicySpecifier() {}

func (*RouteAction_HashPolicy_Cookie_) isRouteAction_HashPolicy_PolicySpecifier() {}

func (*RouteAction_HashPolicy_ConnectionProperties_) isRouteAction_HashPolicy_PolicySpecifier() {}

func (*RouteAction_HashPolicy_QueryParameter_) isRouteAction_HashPolicy_PolicySpecifier() {}

func (*RouteAction_HashPolicy_FilterState_) isRouteAction_HashPolicy_PolicySpecifier() {}

func (m *RouteAction_HashPolicy) GetPolicySpecifier() isRouteAction_HashPolicy_PolicySpecifier {
	if m != nil {
		return m.PolicySpecifier
	}
	return nil
}

func (m *RouteAction_HashPolicy) GetHeader() *RouteAction_HashPolicy_Header {
	if x, ok := m.GetPolicySpecifier().(*RouteAction_HashPolicy_Header_); ok {
		return x.Header
	}
	return nil
}

func (m *RouteAction_HashPolicy) GetCookie() *RouteAction_HashPolicy_Cookie {
	if x, ok := m.GetPolicySpecifier().(*RouteAction_HashPolicy_Cookie_); ok {
		return x.Cookie
	}
	return nil
}

func (m *RouteAction_HashPolicy) GetConnectionProperties() *RouteAction_HashPolicy_ConnectionProperties {
	if x, ok := m.GetPolicySpecifier().(*RouteAction_HashPolicy_ConnectionProperties_); ok {
		return x.ConnectionProperties
	}
	return nil
}

func (m *RouteAction_HashPolicy) GetQueryParameter() *RouteAction_HashPolicy_QueryParameter {
	if x, ok := m.GetPolicySpecifier().(*RouteAction_HashPolicy_QueryParameter_); ok {
		return x.QueryParameter
	}
	return nil
}

func (m *RouteAction_HashPolicy) GetFilterState() *RouteAction_HashPolicy_FilterState {
	if x, ok := m.GetPolicySpecifier().(*RouteAction_HashPolicy_FilterState_); ok {
		return x.FilterState
	}
	return nil
}

func (m *RouteAction_HashPolicy) GetTerminal() bool {
	if m != nil {
		return m.Terminal
	}
	return false
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RouteAction_HashPolicy) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RouteAction_HashPolicy_Header_)(nil),
		(*RouteAction_HashPolicy_Cookie_)(nil),
		(*RouteAction_HashPolicy_ConnectionProperties_)(nil),
		(*RouteAction_HashPolicy_QueryParameter_)(nil),
		(*RouteAction_HashPolicy_FilterState_)(nil),
	}
}

type RouteAction_HashPolicy_Header struct {
	// The name of the request header that will be used to obtain the hash
	// key. If the request header is not present, no hash will be produced.
	HeaderName           string   `protobuf:"bytes,1,opt,name=header_name,json=headerName,proto3" json:"header_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RouteAction_HashPolicy_Header) Reset()         { *m = RouteAction_HashPolicy_Header{} }
func (m *RouteAction_HashPolicy_Header) String() string { return proto.CompactTextString(m) }
func (*RouteAction_HashPolicy_Header) ProtoMessage()    {}
func (*RouteAction_HashPolicy_Header) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 1, 0}
}

func (m *RouteAction_HashPolicy_Header) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_HashPolicy_Header.Unmarshal(m, b)
}
func (m *RouteAction_HashPolicy_Header) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_HashPolicy_Header.Marshal(b, m, deterministic)
}
func (m *RouteAction_HashPolicy_Header) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_HashPolicy_Header.Merge(m, src)
}
func (m *RouteAction_HashPolicy_Header) XXX_Size() int {
	return xxx_messageInfo_RouteAction_HashPolicy_Header.Size(m)
}
func (m *RouteAction_HashPolicy_Header) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_HashPolicy_Header.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_HashPolicy_Header proto.InternalMessageInfo

func (m *RouteAction_HashPolicy_Header) GetHeaderName() string {
	if m != nil {
		return m.HeaderName
	}
	return ""
}

// Envoy supports two types of cookie affinity:
//
// 1. Passive. Envoy takes a cookie that's present in the cookies header and
//    hashes on its value.
//
// 2. Generated. Envoy generates and sets a cookie with an expiration (TTL)
//    on the first request from the client in its response to the client,
//    based on the endpoint the request gets sent to. The client then
//    presents this on the next and all subsequent requests. The hash of
//    this is sufficient to ensure these requests get sent to the same
//    endpoint. The cookie is generated by hashing the source and
//    destination ports and addresses so that multiple independent HTTP2
//    streams on the same connection will independently receive the same
//    cookie, even if they arrive at the Envoy simultaneously.
type RouteAction_HashPolicy_Cookie struct {
	// The name of the cookie that will be used to obtain the hash key. If the
	// cookie is not present and ttl below is not set, no hash will be
	// produced.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// If specified, a cookie with the TTL will be generated if the cookie is
	// not present. If the TTL is present and zero, the generated cookie will
	// be a session cookie.
	Ttl *duration.Duration `protobuf:"bytes,2,opt,name=ttl,proto3" json:"ttl,omitempty"`
	// The name of the path for the cookie. If no path is specified here, no path
	// will be set for the cookie.
	Path                 string   `protobuf:"bytes,3,opt,name=path,proto3" json:"path,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RouteAction_HashPolicy_Cookie) Reset()         { *m = RouteAction_HashPolicy_Cookie{} }
func (m *RouteAction_HashPolicy_Cookie) String() string { return proto.CompactTextString(m) }
func (*RouteAction_HashPolicy_Cookie) ProtoMessage()    {}
func (*RouteAction_HashPolicy_Cookie) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 1, 1}
}

func (m *RouteAction_HashPolicy_Cookie) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_HashPolicy_Cookie.Unmarshal(m, b)
}
func (m *RouteAction_HashPolicy_Cookie) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_HashPolicy_Cookie.Marshal(b, m, deterministic)
}
func (m *RouteAction_HashPolicy_Cookie) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_HashPolicy_Cookie.Merge(m, src)
}
func (m *RouteAction_HashPolicy_Cookie) XXX_Size() int {
	return xxx_messageInfo_RouteAction_HashPolicy_Cookie.Size(m)
}
func (m *RouteAction_HashPolicy_Cookie) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_HashPolicy_Cookie.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_HashPolicy_Cookie proto.InternalMessageInfo

func (m *RouteAction_HashPolicy_Cookie) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *RouteAction_HashPolicy_Cookie) GetTtl() *duration.Duration {
	if m != nil {
		return m.Ttl
	}
	return nil
}

func (m *RouteAction_HashPolicy_Cookie) GetPath() string {
	if m != nil {
		return m.Path
	}
	return ""
}

type RouteAction_HashPolicy_ConnectionProperties struct {
	// Hash on source IP address.
	SourceIp             bool     `protobuf:"varint,1,opt,name=source_ip,json=sourceIp,proto3" json:"source_ip,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RouteAction_HashPolicy_ConnectionProperties) Reset() {
	*m = RouteAction_HashPolicy_ConnectionProperties{}
}
func (m *RouteAction_HashPolicy_ConnectionProperties) String() string {
	return proto.CompactTextString(m)
}
func (*RouteAction_HashPolicy_ConnectionProperties) ProtoMessage() {}
func (*RouteAction_HashPolicy_ConnectionProperties) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 1, 2}
}

func (m *RouteAction_HashPolicy_ConnectionProperties) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_HashPolicy_ConnectionProperties.Unmarshal(m, b)
}
func (m *RouteAction_HashPolicy_ConnectionProperties) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_HashPolicy_ConnectionProperties.Marshal(b, m, deterministic)
}
func (m *RouteAction_HashPolicy_ConnectionProperties) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_HashPolicy_ConnectionProperties.Merge(m, src)
}
func (m *RouteAction_HashPolicy_ConnectionProperties) XXX_Size() int {
	return xxx_messageInfo_RouteAction_HashPolicy_ConnectionProperties.Size(m)
}
func (m *RouteAction_HashPolicy_ConnectionProperties) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_HashPolicy_ConnectionProperties.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_HashPolicy_ConnectionProperties proto.InternalMessageInfo

func (m *RouteAction_HashPolicy_ConnectionProperties) GetSourceIp() bool {
	if m != nil {
		return m.SourceIp
	}
	return false
}

type RouteAction_HashPolicy_QueryParameter struct {
	// The name of the URL query parameter that will be used to obtain the hash
	// key. If the parameter is not present, no hash will be produced. Query
	// parameter names are case-sensitive.
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RouteAction_HashPolicy_QueryParameter) Reset()         { *m = RouteAction_HashPolicy_QueryParameter{} }
func (m *RouteAction_HashPolicy_QueryParameter) String() string { return proto.CompactTextString(m) }
func (*RouteAction_HashPolicy_QueryParameter) ProtoMessage()    {}
func (*RouteAction_HashPolicy_QueryParameter) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 1, 3}
}

func (m *RouteAction_HashPolicy_QueryParameter) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_HashPolicy_QueryParameter.Unmarshal(m, b)
}
func (m *RouteAction_HashPolicy_QueryParameter) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_HashPolicy_QueryParameter.Marshal(b, m, deterministic)
}
func (m *RouteAction_HashPolicy_QueryParameter) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_HashPolicy_QueryParameter.Merge(m, src)
}
func (m *RouteAction_HashPolicy_QueryParameter) XXX_Size() int {
	return xxx_messageInfo_RouteAction_HashPolicy_QueryParameter.Size(m)
}
func (m *RouteAction_HashPolicy_QueryParameter) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_HashPolicy_QueryParameter.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_HashPolicy_QueryParameter proto.InternalMessageInfo

func (m *RouteAction_HashPolicy_QueryParameter) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type RouteAction_HashPolicy_FilterState struct {
	// The name of the Object in the per-request filterState, which is an
	// Envoy::Http::Hashable object. If there is no data associated with the key,
	// or the stored object is not Envoy::Http::Hashable, no hash will be produced.
	Key                  string   `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RouteAction_HashPolicy_FilterState) Reset()         { *m = RouteAction_HashPolicy_FilterState{} }
func (m *RouteAction_HashPolicy_FilterState) String() string { return proto.CompactTextString(m) }
func (*RouteAction_HashPolicy_FilterState) ProtoMessage()    {}
func (*RouteAction_HashPolicy_FilterState) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 1, 4}
}

func (m *RouteAction_HashPolicy_FilterState) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_HashPolicy_FilterState.Unmarshal(m, b)
}
func (m *RouteAction_HashPolicy_FilterState) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_HashPolicy_FilterState.Marshal(b, m, deterministic)
}
func (m *RouteAction_HashPolicy_FilterState) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_HashPolicy_FilterState.Merge(m, src)
}
func (m *RouteAction_HashPolicy_FilterState) XXX_Size() int {
	return xxx_messageInfo_RouteAction_HashPolicy_FilterState.Size(m)
}
func (m *RouteAction_HashPolicy_FilterState) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_HashPolicy_FilterState.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_HashPolicy_FilterState proto.InternalMessageInfo

func (m *RouteAction_HashPolicy_FilterState) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

// Allows enabling and disabling upgrades on a per-route basis.
// This overrides any enabled/disabled upgrade filter chain specified in the
// HttpConnectionManager
// :ref:`upgrade_configs
// <envoy_api_field_extensions.filters.network.http_connection_manager.v4alpha.HttpConnectionManager.upgrade_configs>`
// but does not affect any custom filter chain specified there.
type RouteAction_UpgradeConfig struct {
	// The case-insensitive name of this upgrade, e.g. "websocket".
	// For each upgrade type present in upgrade_configs, requests with
	// Upgrade: [upgrade_type] will be proxied upstream.
	UpgradeType string `protobuf:"bytes,1,opt,name=upgrade_type,json=upgradeType,proto3" json:"upgrade_type,omitempty"`
	// Determines if upgrades are available on this route. Defaults to true.
	Enabled              *wrappers.BoolValue `protobuf:"bytes,2,opt,name=enabled,proto3" json:"enabled,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *RouteAction_UpgradeConfig) Reset()         { *m = RouteAction_UpgradeConfig{} }
func (m *RouteAction_UpgradeConfig) String() string { return proto.CompactTextString(m) }
func (*RouteAction_UpgradeConfig) ProtoMessage()    {}
func (*RouteAction_UpgradeConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{6, 2}
}

func (m *RouteAction_UpgradeConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RouteAction_UpgradeConfig.Unmarshal(m, b)
}
func (m *RouteAction_UpgradeConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RouteAction_UpgradeConfig.Marshal(b, m, deterministic)
}
func (m *RouteAction_UpgradeConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RouteAction_UpgradeConfig.Merge(m, src)
}
func (m *RouteAction_UpgradeConfig) XXX_Size() int {
	return xxx_messageInfo_RouteAction_UpgradeConfig.Size(m)
}
func (m *RouteAction_UpgradeConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_RouteAction_UpgradeConfig.DiscardUnknown(m)
}

var xxx_messageInfo_RouteAction_UpgradeConfig proto.InternalMessageInfo

func (m *RouteAction_UpgradeConfig) GetUpgradeType() string {
	if m != nil {
		return m.UpgradeType
	}
	return ""
}

func (m *RouteAction_UpgradeConfig) GetEnabled() *wrappers.BoolValue {
	if m != nil {
		return m.Enabled
	}
	return nil
}

// HTTP retry :ref:`architecture overview <arch_overview_http_routing_retry>`.
// [#next-free-field: 11]
type RetryPolicy struct {
	// Specifies the conditions under which retry takes place. These are the same
	// conditions documented for :ref:`config_http_filters_router_x-envoy-retry-on` and
	// :ref:`config_http_filters_router_x-envoy-retry-grpc-on`.
	RetryOn string `protobuf:"bytes,1,opt,name=retry_on,json=retryOn,proto3" json:"retry_on,omitempty"`
	// Specifies the allowed number of retries. This parameter is optional and
	// defaults to 1. These are the same conditions documented for
	// :ref:`config_http_filters_router_x-envoy-max-retries`.
	NumRetries *wrappers.UInt32Value `protobuf:"bytes,2,opt,name=num_retries,json=numRetries,proto3" json:"num_retries,omitempty"`
	// Specifies a non-zero upstream timeout per retry attempt. This parameter is optional. The
	// same conditions documented for
	// :ref:`config_http_filters_router_x-envoy-upstream-rq-per-try-timeout-ms` apply.
	//
	// .. note::
	//
	//   If left unspecified, Envoy will use the global
	//   :ref:`route timeout <envoy_api_field_config.route.v4alpha.RouteAction.timeout>` for the request.
	//   Consequently, when using a :ref:`5xx <config_http_filters_router_x-envoy-retry-on>` based
	//   retry policy, a request that times out will not be retried as the total timeout budget
	//   would have been exhausted.
	PerTryTimeout *duration.Duration `protobuf:"bytes,3,opt,name=per_try_timeout,json=perTryTimeout,proto3" json:"per_try_timeout,omitempty"`
	// Specifies an implementation of a RetryPriority which is used to determine the
	// distribution of load across priorities used for retries. Refer to
	// :ref:`retry plugin configuration <arch_overview_http_retry_plugins>` for more details.
	RetryPriority *RetryPolicy_RetryPriority `protobuf:"bytes,4,opt,name=retry_priority,json=retryPriority,proto3" json:"retry_priority,omitempty"`
	// Specifies a collection of RetryHostPredicates that will be consulted when selecting a host
	// for retries. If any of the predicates reject the host, host selection will be reattempted.
	// Refer to :ref:`retry plugin configuration <arch_overview_http_retry_plugins>` for more
	// details.
	RetryHostPredicate []*RetryPolicy_RetryHostPredicate `protobuf:"bytes,5,rep,name=retry_host_predicate,json=retryHostPredicate,proto3" json:"retry_host_predicate,omitempty"`
	// The maximum number of times host selection will be reattempted before giving up, at which
	// point the host that was last selected will be routed to. If unspecified, this will default to
	// retrying once.
	HostSelectionRetryMaxAttempts int64 `protobuf:"varint,6,opt,name=host_selection_retry_max_attempts,json=hostSelectionRetryMaxAttempts,proto3" json:"host_selection_retry_max_attempts,omitempty"`
	// HTTP status codes that should trigger a retry in addition to those specified by retry_on.
	RetriableStatusCodes []uint32 `protobuf:"varint,7,rep,packed,name=retriable_status_codes,json=retriableStatusCodes,proto3" json:"retriable_status_codes,omitempty"`
	// Specifies parameters that control retry back off. This parameter is optional, in which case the
	// default base interval is 25 milliseconds or, if set, the current value of the
	// `upstream.base_retry_backoff_ms` runtime parameter. The default maximum interval is 10 times
	// the base interval. The documentation for :ref:`config_http_filters_router_x-envoy-max-retries`
	// describes Envoy's back-off algorithm.
	RetryBackOff *RetryPolicy_RetryBackOff `protobuf:"bytes,8,opt,name=retry_back_off,json=retryBackOff,proto3" json:"retry_back_off,omitempty"`
	// HTTP response headers that trigger a retry if present in the response. A retry will be
	// triggered if any of the header matches match the upstream response headers.
	// The field is only consulted if 'retriable-headers' retry policy is active.
	RetriableHeaders []*HeaderMatcher `protobuf:"bytes,9,rep,name=retriable_headers,json=retriableHeaders,proto3" json:"retriable_headers,omitempty"`
	// HTTP headers which must be present in the request for retries to be attempted.
	RetriableRequestHeaders []*HeaderMatcher `protobuf:"bytes,10,rep,name=retriable_request_headers,json=retriableRequestHeaders,proto3" json:"retriable_request_headers,omitempty"`
	XXX_NoUnkeyedLiteral    struct{}         `json:"-"`
	XXX_unrecognized        []byte           `json:"-"`
	XXX_sizecache           int32            `json:"-"`
}

func (m *RetryPolicy) Reset()         { *m = RetryPolicy{} }
func (m *RetryPolicy) String() string { return proto.CompactTextString(m) }
func (*RetryPolicy) ProtoMessage()    {}
func (*RetryPolicy) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{7}
}

func (m *RetryPolicy) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RetryPolicy.Unmarshal(m, b)
}
func (m *RetryPolicy) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RetryPolicy.Marshal(b, m, deterministic)
}
func (m *RetryPolicy) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RetryPolicy.Merge(m, src)
}
func (m *RetryPolicy) XXX_Size() int {
	return xxx_messageInfo_RetryPolicy.Size(m)
}
func (m *RetryPolicy) XXX_DiscardUnknown() {
	xxx_messageInfo_RetryPolicy.DiscardUnknown(m)
}

var xxx_messageInfo_RetryPolicy proto.InternalMessageInfo

func (m *RetryPolicy) GetRetryOn() string {
	if m != nil {
		return m.RetryOn
	}
	return ""
}

func (m *RetryPolicy) GetNumRetries() *wrappers.UInt32Value {
	if m != nil {
		return m.NumRetries
	}
	return nil
}

func (m *RetryPolicy) GetPerTryTimeout() *duration.Duration {
	if m != nil {
		return m.PerTryTimeout
	}
	return nil
}

func (m *RetryPolicy) GetRetryPriority() *RetryPolicy_RetryPriority {
	if m != nil {
		return m.RetryPriority
	}
	return nil
}

func (m *RetryPolicy) GetRetryHostPredicate() []*RetryPolicy_RetryHostPredicate {
	if m != nil {
		return m.RetryHostPredicate
	}
	return nil
}

func (m *RetryPolicy) GetHostSelectionRetryMaxAttempts() int64 {
	if m != nil {
		return m.HostSelectionRetryMaxAttempts
	}
	return 0
}

func (m *RetryPolicy) GetRetriableStatusCodes() []uint32 {
	if m != nil {
		return m.RetriableStatusCodes
	}
	return nil
}

func (m *RetryPolicy) GetRetryBackOff() *RetryPolicy_RetryBackOff {
	if m != nil {
		return m.RetryBackOff
	}
	return nil
}

func (m *RetryPolicy) GetRetriableHeaders() []*HeaderMatcher {
	if m != nil {
		return m.RetriableHeaders
	}
	return nil
}

func (m *RetryPolicy) GetRetriableRequestHeaders() []*HeaderMatcher {
	if m != nil {
		return m.RetriableRequestHeaders
	}
	return nil
}

type RetryPolicy_RetryPriority struct {
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are valid to be assigned to ConfigType:
	//	*RetryPolicy_RetryPriority_TypedConfig
	ConfigType           isRetryPolicy_RetryPriority_ConfigType `protobuf_oneof:"config_type"`
	XXX_NoUnkeyedLiteral struct{}                               `json:"-"`
	XXX_unrecognized     []byte                                 `json:"-"`
	XXX_sizecache        int32                                  `json:"-"`
}

func (m *RetryPolicy_RetryPriority) Reset()         { *m = RetryPolicy_RetryPriority{} }
func (m *RetryPolicy_RetryPriority) String() string { return proto.CompactTextString(m) }
func (*RetryPolicy_RetryPriority) ProtoMessage()    {}
func (*RetryPolicy_RetryPriority) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{7, 0}
}

func (m *RetryPolicy_RetryPriority) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RetryPolicy_RetryPriority.Unmarshal(m, b)
}
func (m *RetryPolicy_RetryPriority) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RetryPolicy_RetryPriority.Marshal(b, m, deterministic)
}
func (m *RetryPolicy_RetryPriority) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RetryPolicy_RetryPriority.Merge(m, src)
}
func (m *RetryPolicy_RetryPriority) XXX_Size() int {
	return xxx_messageInfo_RetryPolicy_RetryPriority.Size(m)
}
func (m *RetryPolicy_RetryPriority) XXX_DiscardUnknown() {
	xxx_messageInfo_RetryPolicy_RetryPriority.DiscardUnknown(m)
}

var xxx_messageInfo_RetryPolicy_RetryPriority proto.InternalMessageInfo

func (m *RetryPolicy_RetryPriority) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isRetryPolicy_RetryPriority_ConfigType interface {
	isRetryPolicy_RetryPriority_ConfigType()
}

type RetryPolicy_RetryPriority_TypedConfig struct {
	TypedConfig *any.Any `protobuf:"bytes,3,opt,name=typed_config,json=typedConfig,proto3,oneof"`
}

func (*RetryPolicy_RetryPriority_TypedConfig) isRetryPolicy_RetryPriority_ConfigType() {}

func (m *RetryPolicy_RetryPriority) GetConfigType() isRetryPolicy_RetryPriority_ConfigType {
	if m != nil {
		return m.ConfigType
	}
	return nil
}

func (m *RetryPolicy_RetryPriority) GetTypedConfig() *any.Any {
	if x, ok := m.GetConfigType().(*RetryPolicy_RetryPriority_TypedConfig); ok {
		return x.TypedConfig
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RetryPolicy_RetryPriority) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RetryPolicy_RetryPriority_TypedConfig)(nil),
	}
}

type RetryPolicy_RetryHostPredicate struct {
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are valid to be assigned to ConfigType:
	//	*RetryPolicy_RetryHostPredicate_TypedConfig
	ConfigType           isRetryPolicy_RetryHostPredicate_ConfigType `protobuf_oneof:"config_type"`
	XXX_NoUnkeyedLiteral struct{}                                    `json:"-"`
	XXX_unrecognized     []byte                                      `json:"-"`
	XXX_sizecache        int32                                       `json:"-"`
}

func (m *RetryPolicy_RetryHostPredicate) Reset()         { *m = RetryPolicy_RetryHostPredicate{} }
func (m *RetryPolicy_RetryHostPredicate) String() string { return proto.CompactTextString(m) }
func (*RetryPolicy_RetryHostPredicate) ProtoMessage()    {}
func (*RetryPolicy_RetryHostPredicate) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{7, 1}
}

func (m *RetryPolicy_RetryHostPredicate) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RetryPolicy_RetryHostPredicate.Unmarshal(m, b)
}
func (m *RetryPolicy_RetryHostPredicate) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RetryPolicy_RetryHostPredicate.Marshal(b, m, deterministic)
}
func (m *RetryPolicy_RetryHostPredicate) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RetryPolicy_RetryHostPredicate.Merge(m, src)
}
func (m *RetryPolicy_RetryHostPredicate) XXX_Size() int {
	return xxx_messageInfo_RetryPolicy_RetryHostPredicate.Size(m)
}
func (m *RetryPolicy_RetryHostPredicate) XXX_DiscardUnknown() {
	xxx_messageInfo_RetryPolicy_RetryHostPredicate.DiscardUnknown(m)
}

var xxx_messageInfo_RetryPolicy_RetryHostPredicate proto.InternalMessageInfo

func (m *RetryPolicy_RetryHostPredicate) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isRetryPolicy_RetryHostPredicate_ConfigType interface {
	isRetryPolicy_RetryHostPredicate_ConfigType()
}

type RetryPolicy_RetryHostPredicate_TypedConfig struct {
	TypedConfig *any.Any `protobuf:"bytes,3,opt,name=typed_config,json=typedConfig,proto3,oneof"`
}

func (*RetryPolicy_RetryHostPredicate_TypedConfig) isRetryPolicy_RetryHostPredicate_ConfigType() {}

func (m *RetryPolicy_RetryHostPredicate) GetConfigType() isRetryPolicy_RetryHostPredicate_ConfigType {
	if m != nil {
		return m.ConfigType
	}
	return nil
}

func (m *RetryPolicy_RetryHostPredicate) GetTypedConfig() *any.Any {
	if x, ok := m.GetConfigType().(*RetryPolicy_RetryHostPredicate_TypedConfig); ok {
		return x.TypedConfig
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RetryPolicy_RetryHostPredicate) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RetryPolicy_RetryHostPredicate_TypedConfig)(nil),
	}
}

type RetryPolicy_RetryBackOff struct {
	// Specifies the base interval between retries. This parameter is required and must be greater
	// than zero. Values less than 1 ms are rounded up to 1 ms.
	// See :ref:`config_http_filters_router_x-envoy-max-retries` for a discussion of Envoy's
	// back-off algorithm.
	BaseInterval *duration.Duration `protobuf:"bytes,1,opt,name=base_interval,json=baseInterval,proto3" json:"base_interval,omitempty"`
	// Specifies the maximum interval between retries. This parameter is optional, but must be
	// greater than or equal to the `base_interval` if set. The default is 10 times the
	// `base_interval`. See :ref:`config_http_filters_router_x-envoy-max-retries` for a discussion
	// of Envoy's back-off algorithm.
	MaxInterval          *duration.Duration `protobuf:"bytes,2,opt,name=max_interval,json=maxInterval,proto3" json:"max_interval,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *RetryPolicy_RetryBackOff) Reset()         { *m = RetryPolicy_RetryBackOff{} }
func (m *RetryPolicy_RetryBackOff) String() string { return proto.CompactTextString(m) }
func (*RetryPolicy_RetryBackOff) ProtoMessage()    {}
func (*RetryPolicy_RetryBackOff) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{7, 2}
}

func (m *RetryPolicy_RetryBackOff) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RetryPolicy_RetryBackOff.Unmarshal(m, b)
}
func (m *RetryPolicy_RetryBackOff) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RetryPolicy_RetryBackOff.Marshal(b, m, deterministic)
}
func (m *RetryPolicy_RetryBackOff) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RetryPolicy_RetryBackOff.Merge(m, src)
}
func (m *RetryPolicy_RetryBackOff) XXX_Size() int {
	return xxx_messageInfo_RetryPolicy_RetryBackOff.Size(m)
}
func (m *RetryPolicy_RetryBackOff) XXX_DiscardUnknown() {
	xxx_messageInfo_RetryPolicy_RetryBackOff.DiscardUnknown(m)
}

var xxx_messageInfo_RetryPolicy_RetryBackOff proto.InternalMessageInfo

func (m *RetryPolicy_RetryBackOff) GetBaseInterval() *duration.Duration {
	if m != nil {
		return m.BaseInterval
	}
	return nil
}

func (m *RetryPolicy_RetryBackOff) GetMaxInterval() *duration.Duration {
	if m != nil {
		return m.MaxInterval
	}
	return nil
}

// HTTP request hedging :ref:`architecture overview <arch_overview_http_routing_hedging>`.
type HedgePolicy struct {
	// Specifies the number of initial requests that should be sent upstream.
	// Must be at least 1.
	// Defaults to 1.
	// [#not-implemented-hide:]
	InitialRequests *wrappers.UInt32Value `protobuf:"bytes,1,opt,name=initial_requests,json=initialRequests,proto3" json:"initial_requests,omitempty"`
	// Specifies a probability that an additional upstream request should be sent
	// on top of what is specified by initial_requests.
	// Defaults to 0.
	// [#not-implemented-hide:]
	AdditionalRequestChance *v31.FractionalPercent `protobuf:"bytes,2,opt,name=additional_request_chance,json=additionalRequestChance,proto3" json:"additional_request_chance,omitempty"`
	// Indicates that a hedged request should be sent when the per-try timeout
	// is hit. This will only occur if the retry policy also indicates that a
	// timed out request should be retried.
	// Once a timed out request is retried due to per try timeout, the router
	// filter will ensure that it is not retried again even if the returned
	// response headers would otherwise be retried according the specified
	// :ref:`RetryPolicy <envoy_api_msg_config.route.v4alpha.RetryPolicy>`.
	// Defaults to false.
	HedgeOnPerTryTimeout bool     `protobuf:"varint,3,opt,name=hedge_on_per_try_timeout,json=hedgeOnPerTryTimeout,proto3" json:"hedge_on_per_try_timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HedgePolicy) Reset()         { *m = HedgePolicy{} }
func (m *HedgePolicy) String() string { return proto.CompactTextString(m) }
func (*HedgePolicy) ProtoMessage()    {}
func (*HedgePolicy) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{8}
}

func (m *HedgePolicy) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HedgePolicy.Unmarshal(m, b)
}
func (m *HedgePolicy) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HedgePolicy.Marshal(b, m, deterministic)
}
func (m *HedgePolicy) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HedgePolicy.Merge(m, src)
}
func (m *HedgePolicy) XXX_Size() int {
	return xxx_messageInfo_HedgePolicy.Size(m)
}
func (m *HedgePolicy) XXX_DiscardUnknown() {
	xxx_messageInfo_HedgePolicy.DiscardUnknown(m)
}

var xxx_messageInfo_HedgePolicy proto.InternalMessageInfo

func (m *HedgePolicy) GetInitialRequests() *wrappers.UInt32Value {
	if m != nil {
		return m.InitialRequests
	}
	return nil
}

func (m *HedgePolicy) GetAdditionalRequestChance() *v31.FractionalPercent {
	if m != nil {
		return m.AdditionalRequestChance
	}
	return nil
}

func (m *HedgePolicy) GetHedgeOnPerTryTimeout() bool {
	if m != nil {
		return m.HedgeOnPerTryTimeout
	}
	return false
}

// [#next-free-field: 9]
type RedirectAction struct {
	// When the scheme redirection take place, the following rules apply:
	//  1. If the source URI scheme is `http` and the port is explicitly
	//     set to `:80`, the port will be removed after the redirection
	//  2. If the source URI scheme is `https` and the port is explicitly
	//     set to `:443`, the port will be removed after the redirection
	//
	// Types that are valid to be assigned to SchemeRewriteSpecifier:
	//	*RedirectAction_HttpsRedirect
	//	*RedirectAction_SchemeRedirect
	SchemeRewriteSpecifier isRedirectAction_SchemeRewriteSpecifier `protobuf_oneof:"scheme_rewrite_specifier"`
	// The host portion of the URL will be swapped with this value.
	HostRedirect string `protobuf:"bytes,1,opt,name=host_redirect,json=hostRedirect,proto3" json:"host_redirect,omitempty"`
	// The port value of the URL will be swapped with this value.
	PortRedirect uint32 `protobuf:"varint,8,opt,name=port_redirect,json=portRedirect,proto3" json:"port_redirect,omitempty"`
	// Types that are valid to be assigned to PathRewriteSpecifier:
	//	*RedirectAction_PathRedirect
	//	*RedirectAction_PrefixRewrite
	PathRewriteSpecifier isRedirectAction_PathRewriteSpecifier `protobuf_oneof:"path_rewrite_specifier"`
	// The HTTP status code to use in the redirect response. The default response
	// code is MOVED_PERMANENTLY (301).
	ResponseCode RedirectAction_RedirectResponseCode `protobuf:"varint,3,opt,name=response_code,json=responseCode,proto3,enum=envoy.config.route.v4alpha.RedirectAction_RedirectResponseCode" json:"response_code,omitempty"`
	// Indicates that during redirection, the query portion of the URL will
	// be removed. Default value is false.
	StripQuery           bool     `protobuf:"varint,6,opt,name=strip_query,json=stripQuery,proto3" json:"strip_query,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RedirectAction) Reset()         { *m = RedirectAction{} }
func (m *RedirectAction) String() string { return proto.CompactTextString(m) }
func (*RedirectAction) ProtoMessage()    {}
func (*RedirectAction) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{9}
}

func (m *RedirectAction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RedirectAction.Unmarshal(m, b)
}
func (m *RedirectAction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RedirectAction.Marshal(b, m, deterministic)
}
func (m *RedirectAction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RedirectAction.Merge(m, src)
}
func (m *RedirectAction) XXX_Size() int {
	return xxx_messageInfo_RedirectAction.Size(m)
}
func (m *RedirectAction) XXX_DiscardUnknown() {
	xxx_messageInfo_RedirectAction.DiscardUnknown(m)
}

var xxx_messageInfo_RedirectAction proto.InternalMessageInfo

type isRedirectAction_SchemeRewriteSpecifier interface {
	isRedirectAction_SchemeRewriteSpecifier()
}

type RedirectAction_HttpsRedirect struct {
	HttpsRedirect bool `protobuf:"varint,4,opt,name=https_redirect,json=httpsRedirect,proto3,oneof"`
}

type RedirectAction_SchemeRedirect struct {
	SchemeRedirect string `protobuf:"bytes,7,opt,name=scheme_redirect,json=schemeRedirect,proto3,oneof"`
}

func (*RedirectAction_HttpsRedirect) isRedirectAction_SchemeRewriteSpecifier() {}

func (*RedirectAction_SchemeRedirect) isRedirectAction_SchemeRewriteSpecifier() {}

func (m *RedirectAction) GetSchemeRewriteSpecifier() isRedirectAction_SchemeRewriteSpecifier {
	if m != nil {
		return m.SchemeRewriteSpecifier
	}
	return nil
}

func (m *RedirectAction) GetHttpsRedirect() bool {
	if x, ok := m.GetSchemeRewriteSpecifier().(*RedirectAction_HttpsRedirect); ok {
		return x.HttpsRedirect
	}
	return false
}

func (m *RedirectAction) GetSchemeRedirect() string {
	if x, ok := m.GetSchemeRewriteSpecifier().(*RedirectAction_SchemeRedirect); ok {
		return x.SchemeRedirect
	}
	return ""
}

func (m *RedirectAction) GetHostRedirect() string {
	if m != nil {
		return m.HostRedirect
	}
	return ""
}

func (m *RedirectAction) GetPortRedirect() uint32 {
	if m != nil {
		return m.PortRedirect
	}
	return 0
}

type isRedirectAction_PathRewriteSpecifier interface {
	isRedirectAction_PathRewriteSpecifier()
}

type RedirectAction_PathRedirect struct {
	PathRedirect string `protobuf:"bytes,2,opt,name=path_redirect,json=pathRedirect,proto3,oneof"`
}

type RedirectAction_PrefixRewrite struct {
	PrefixRewrite string `protobuf:"bytes,5,opt,name=prefix_rewrite,json=prefixRewrite,proto3,oneof"`
}

func (*RedirectAction_PathRedirect) isRedirectAction_PathRewriteSpecifier() {}

func (*RedirectAction_PrefixRewrite) isRedirectAction_PathRewriteSpecifier() {}

func (m *RedirectAction) GetPathRewriteSpecifier() isRedirectAction_PathRewriteSpecifier {
	if m != nil {
		return m.PathRewriteSpecifier
	}
	return nil
}

func (m *RedirectAction) GetPathRedirect() string {
	if x, ok := m.GetPathRewriteSpecifier().(*RedirectAction_PathRedirect); ok {
		return x.PathRedirect
	}
	return ""
}

func (m *RedirectAction) GetPrefixRewrite() string {
	if x, ok := m.GetPathRewriteSpecifier().(*RedirectAction_PrefixRewrite); ok {
		return x.PrefixRewrite
	}
	return ""
}

func (m *RedirectAction) GetResponseCode() RedirectAction_RedirectResponseCode {
	if m != nil {
		return m.ResponseCode
	}
	return RedirectAction_MOVED_PERMANENTLY
}

func (m *RedirectAction) GetStripQuery() bool {
	if m != nil {
		return m.StripQuery
	}
	return false
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RedirectAction) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RedirectAction_HttpsRedirect)(nil),
		(*RedirectAction_SchemeRedirect)(nil),
		(*RedirectAction_PathRedirect)(nil),
		(*RedirectAction_PrefixRewrite)(nil),
	}
}

type DirectResponseAction struct {
	// Specifies the HTTP response status to be returned.
	Status uint32 `protobuf:"varint,1,opt,name=status,proto3" json:"status,omitempty"`
	// Specifies the content of the response body. If this setting is omitted,
	// no body is included in the generated response.
	//
	// .. note::
	//
	//   Headers can be specified using *response_headers_to_add* in the enclosing
	//   :ref:`envoy_api_msg_config.route.v4alpha.Route`, :ref:`envoy_api_msg_config.route.v4alpha.RouteConfiguration` or
	//   :ref:`envoy_api_msg_config.route.v4alpha.VirtualHost`.
	Body                 *v4alpha.DataSource `protobuf:"bytes,2,opt,name=body,proto3" json:"body,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *DirectResponseAction) Reset()         { *m = DirectResponseAction{} }
func (m *DirectResponseAction) String() string { return proto.CompactTextString(m) }
func (*DirectResponseAction) ProtoMessage()    {}
func (*DirectResponseAction) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{10}
}

func (m *DirectResponseAction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DirectResponseAction.Unmarshal(m, b)
}
func (m *DirectResponseAction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DirectResponseAction.Marshal(b, m, deterministic)
}
func (m *DirectResponseAction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DirectResponseAction.Merge(m, src)
}
func (m *DirectResponseAction) XXX_Size() int {
	return xxx_messageInfo_DirectResponseAction.Size(m)
}
func (m *DirectResponseAction) XXX_DiscardUnknown() {
	xxx_messageInfo_DirectResponseAction.DiscardUnknown(m)
}

var xxx_messageInfo_DirectResponseAction proto.InternalMessageInfo

func (m *DirectResponseAction) GetStatus() uint32 {
	if m != nil {
		return m.Status
	}
	return 0
}

func (m *DirectResponseAction) GetBody() *v4alpha.DataSource {
	if m != nil {
		return m.Body
	}
	return nil
}

type Decorator struct {
	// The operation name associated with the request matched to this route. If tracing is
	// enabled, this information will be used as the span name reported for this request.
	//
	// .. note::
	//
	//   For ingress (inbound) requests, or egress (outbound) responses, this value may be overridden
	//   by the :ref:`x-envoy-decorator-operation
	//   <config_http_filters_router_x-envoy-decorator-operation>` header.
	Operation string `protobuf:"bytes,1,opt,name=operation,proto3" json:"operation,omitempty"`
	// Whether the decorated details should be propagated to the other party. The default is true.
	Propagate            *wrappers.BoolValue `protobuf:"bytes,2,opt,name=propagate,proto3" json:"propagate,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *Decorator) Reset()         { *m = Decorator{} }
func (m *Decorator) String() string { return proto.CompactTextString(m) }
func (*Decorator) ProtoMessage()    {}
func (*Decorator) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{11}
}

func (m *Decorator) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Decorator.Unmarshal(m, b)
}
func (m *Decorator) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Decorator.Marshal(b, m, deterministic)
}
func (m *Decorator) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Decorator.Merge(m, src)
}
func (m *Decorator) XXX_Size() int {
	return xxx_messageInfo_Decorator.Size(m)
}
func (m *Decorator) XXX_DiscardUnknown() {
	xxx_messageInfo_Decorator.DiscardUnknown(m)
}

var xxx_messageInfo_Decorator proto.InternalMessageInfo

func (m *Decorator) GetOperation() string {
	if m != nil {
		return m.Operation
	}
	return ""
}

func (m *Decorator) GetPropagate() *wrappers.BoolValue {
	if m != nil {
		return m.Propagate
	}
	return nil
}

type Tracing struct {
	// Target percentage of requests managed by this HTTP connection manager that will be force
	// traced if the :ref:`x-client-trace-id <config_http_conn_man_headers_x-client-trace-id>`
	// header is set. This field is a direct analog for the runtime variable
	// 'tracing.client_sampling' in the :ref:`HTTP Connection Manager
	// <config_http_conn_man_runtime>`.
	// Default: 100%
	ClientSampling *v31.FractionalPercent `protobuf:"bytes,1,opt,name=client_sampling,json=clientSampling,proto3" json:"client_sampling,omitempty"`
	// Target percentage of requests managed by this HTTP connection manager that will be randomly
	// selected for trace generation, if not requested by the client or not forced. This field is
	// a direct analog for the runtime variable 'tracing.random_sampling' in the
	// :ref:`HTTP Connection Manager <config_http_conn_man_runtime>`.
	// Default: 100%
	RandomSampling *v31.FractionalPercent `protobuf:"bytes,2,opt,name=random_sampling,json=randomSampling,proto3" json:"random_sampling,omitempty"`
	// Target percentage of requests managed by this HTTP connection manager that will be traced
	// after all other sampling checks have been applied (client-directed, force tracing, random
	// sampling). This field functions as an upper limit on the total configured sampling rate. For
	// instance, setting client_sampling to 100% but overall_sampling to 1% will result in only 1%
	// of client requests with the appropriate headers to be force traced. This field is a direct
	// analog for the runtime variable 'tracing.global_enabled' in the
	// :ref:`HTTP Connection Manager <config_http_conn_man_runtime>`.
	// Default: 100%
	OverallSampling *v31.FractionalPercent `protobuf:"bytes,3,opt,name=overall_sampling,json=overallSampling,proto3" json:"overall_sampling,omitempty"`
	// A list of custom tags with unique tag name to create tags for the active span.
	// It will take effect after merging with the :ref:`corresponding configuration
	// <envoy_api_field_extensions.filters.network.http_connection_manager.v4alpha.HttpConnectionManager.Tracing.custom_tags>`
	// configured in the HTTP connection manager. If two tags with the same name are configured
	// each in the HTTP connection manager and the route level, the one configured here takes
	// priority.
	CustomTags           []*v32.CustomTag `protobuf:"bytes,4,rep,name=custom_tags,json=customTags,proto3" json:"custom_tags,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *Tracing) Reset()         { *m = Tracing{} }
func (m *Tracing) String() string { return proto.CompactTextString(m) }
func (*Tracing) ProtoMessage()    {}
func (*Tracing) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{12}
}

func (m *Tracing) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Tracing.Unmarshal(m, b)
}
func (m *Tracing) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Tracing.Marshal(b, m, deterministic)
}
func (m *Tracing) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Tracing.Merge(m, src)
}
func (m *Tracing) XXX_Size() int {
	return xxx_messageInfo_Tracing.Size(m)
}
func (m *Tracing) XXX_DiscardUnknown() {
	xxx_messageInfo_Tracing.DiscardUnknown(m)
}

var xxx_messageInfo_Tracing proto.InternalMessageInfo

func (m *Tracing) GetClientSampling() *v31.FractionalPercent {
	if m != nil {
		return m.ClientSampling
	}
	return nil
}

func (m *Tracing) GetRandomSampling() *v31.FractionalPercent {
	if m != nil {
		return m.RandomSampling
	}
	return nil
}

func (m *Tracing) GetOverallSampling() *v31.FractionalPercent {
	if m != nil {
		return m.OverallSampling
	}
	return nil
}

func (m *Tracing) GetCustomTags() []*v32.CustomTag {
	if m != nil {
		return m.CustomTags
	}
	return nil
}

// A virtual cluster is a way of specifying a regex matching rule against
// certain important endpoints such that statistics are generated explicitly for
// the matched requests. The reason this is useful is that when doing
// prefix/path matching Envoy does not always know what the application
// considers to be an endpoint. Thus, it’s impossible for Envoy to generically
// emit per endpoint statistics. However, often systems have highly critical
// endpoints that they wish to get “perfect” statistics on. Virtual cluster
// statistics are perfect in the sense that they are emitted on the downstream
// side such that they include network level failures.
//
// Documentation for :ref:`virtual cluster statistics <config_http_filters_router_vcluster_stats>`.
//
// .. note::
//
//    Virtual clusters are a useful tool, but we do not recommend setting up a virtual cluster for
//    every application endpoint. This is both not easily maintainable and as well the matching and
//    statistics output are not free.
type VirtualCluster struct {
	// Specifies a list of header matchers to use for matching requests. Each specified header must
	// match. The pseudo-headers `:path` and `:method` can be used to match the request path and
	// method, respectively.
	Headers []*HeaderMatcher `protobuf:"bytes,4,rep,name=headers,proto3" json:"headers,omitempty"`
	// Specifies the name of the virtual cluster. The virtual cluster name as well
	// as the virtual host name are used when emitting statistics. The statistics are emitted by the
	// router filter and are documented :ref:`here <config_http_filters_router_stats>`.
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VirtualCluster) Reset()         { *m = VirtualCluster{} }
func (m *VirtualCluster) String() string { return proto.CompactTextString(m) }
func (*VirtualCluster) ProtoMessage()    {}
func (*VirtualCluster) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{13}
}

func (m *VirtualCluster) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VirtualCluster.Unmarshal(m, b)
}
func (m *VirtualCluster) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VirtualCluster.Marshal(b, m, deterministic)
}
func (m *VirtualCluster) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VirtualCluster.Merge(m, src)
}
func (m *VirtualCluster) XXX_Size() int {
	return xxx_messageInfo_VirtualCluster.Size(m)
}
func (m *VirtualCluster) XXX_DiscardUnknown() {
	xxx_messageInfo_VirtualCluster.DiscardUnknown(m)
}

var xxx_messageInfo_VirtualCluster proto.InternalMessageInfo

func (m *VirtualCluster) GetHeaders() []*HeaderMatcher {
	if m != nil {
		return m.Headers
	}
	return nil
}

func (m *VirtualCluster) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

// Global rate limiting :ref:`architecture overview <arch_overview_global_rate_limit>`.
type RateLimit struct {
	// Refers to the stage set in the filter. The rate limit configuration only
	// applies to filters with the same stage number. The default stage number is
	// 0.
	//
	// .. note::
	//
	//   The filter supports a range of 0 - 10 inclusively for stage numbers.
	Stage *wrappers.UInt32Value `protobuf:"bytes,1,opt,name=stage,proto3" json:"stage,omitempty"`
	// The key to be set in runtime to disable this rate limit configuration.
	DisableKey string `protobuf:"bytes,2,opt,name=disable_key,json=disableKey,proto3" json:"disable_key,omitempty"`
	// A list of actions that are to be applied for this rate limit configuration.
	// Order matters as the actions are processed sequentially and the descriptor
	// is composed by appending descriptor entries in that sequence. If an action
	// cannot append a descriptor entry, no descriptor is generated for the
	// configuration. See :ref:`composing actions
	// <config_http_filters_rate_limit_composing_actions>` for additional documentation.
	Actions              []*RateLimit_Action `protobuf:"bytes,3,rep,name=actions,proto3" json:"actions,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *RateLimit) Reset()         { *m = RateLimit{} }
func (m *RateLimit) String() string { return proto.CompactTextString(m) }
func (*RateLimit) ProtoMessage()    {}
func (*RateLimit) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14}
}

func (m *RateLimit) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit.Unmarshal(m, b)
}
func (m *RateLimit) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit.Marshal(b, m, deterministic)
}
func (m *RateLimit) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit.Merge(m, src)
}
func (m *RateLimit) XXX_Size() int {
	return xxx_messageInfo_RateLimit.Size(m)
}
func (m *RateLimit) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit proto.InternalMessageInfo

func (m *RateLimit) GetStage() *wrappers.UInt32Value {
	if m != nil {
		return m.Stage
	}
	return nil
}

func (m *RateLimit) GetDisableKey() string {
	if m != nil {
		return m.DisableKey
	}
	return ""
}

func (m *RateLimit) GetActions() []*RateLimit_Action {
	if m != nil {
		return m.Actions
	}
	return nil
}

// [#next-free-field: 7]
type RateLimit_Action struct {
	// Types that are valid to be assigned to ActionSpecifier:
	//	*RateLimit_Action_SourceCluster_
	//	*RateLimit_Action_DestinationCluster_
	//	*RateLimit_Action_RequestHeaders_
	//	*RateLimit_Action_RemoteAddress_
	//	*RateLimit_Action_GenericKey_
	//	*RateLimit_Action_HeaderValueMatch_
	ActionSpecifier      isRateLimit_Action_ActionSpecifier `protobuf_oneof:"action_specifier"`
	XXX_NoUnkeyedLiteral struct{}                           `json:"-"`
	XXX_unrecognized     []byte                             `json:"-"`
	XXX_sizecache        int32                              `json:"-"`
}

func (m *RateLimit_Action) Reset()         { *m = RateLimit_Action{} }
func (m *RateLimit_Action) String() string { return proto.CompactTextString(m) }
func (*RateLimit_Action) ProtoMessage()    {}
func (*RateLimit_Action) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14, 0}
}

func (m *RateLimit_Action) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit_Action.Unmarshal(m, b)
}
func (m *RateLimit_Action) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit_Action.Marshal(b, m, deterministic)
}
func (m *RateLimit_Action) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit_Action.Merge(m, src)
}
func (m *RateLimit_Action) XXX_Size() int {
	return xxx_messageInfo_RateLimit_Action.Size(m)
}
func (m *RateLimit_Action) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit_Action.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit_Action proto.InternalMessageInfo

type isRateLimit_Action_ActionSpecifier interface {
	isRateLimit_Action_ActionSpecifier()
}

type RateLimit_Action_SourceCluster_ struct {
	SourceCluster *RateLimit_Action_SourceCluster `protobuf:"bytes,1,opt,name=source_cluster,json=sourceCluster,proto3,oneof"`
}

type RateLimit_Action_DestinationCluster_ struct {
	DestinationCluster *RateLimit_Action_DestinationCluster `protobuf:"bytes,2,opt,name=destination_cluster,json=destinationCluster,proto3,oneof"`
}

type RateLimit_Action_RequestHeaders_ struct {
	RequestHeaders *RateLimit_Action_RequestHeaders `protobuf:"bytes,3,opt,name=request_headers,json=requestHeaders,proto3,oneof"`
}

type RateLimit_Action_RemoteAddress_ struct {
	RemoteAddress *RateLimit_Action_RemoteAddress `protobuf:"bytes,4,opt,name=remote_address,json=remoteAddress,proto3,oneof"`
}

type RateLimit_Action_GenericKey_ struct {
	GenericKey *RateLimit_Action_GenericKey `protobuf:"bytes,5,opt,name=generic_key,json=genericKey,proto3,oneof"`
}

type RateLimit_Action_HeaderValueMatch_ struct {
	HeaderValueMatch *RateLimit_Action_HeaderValueMatch `protobuf:"bytes,6,opt,name=header_value_match,json=headerValueMatch,proto3,oneof"`
}

func (*RateLimit_Action_SourceCluster_) isRateLimit_Action_ActionSpecifier() {}

func (*RateLimit_Action_DestinationCluster_) isRateLimit_Action_ActionSpecifier() {}

func (*RateLimit_Action_RequestHeaders_) isRateLimit_Action_ActionSpecifier() {}

func (*RateLimit_Action_RemoteAddress_) isRateLimit_Action_ActionSpecifier() {}

func (*RateLimit_Action_GenericKey_) isRateLimit_Action_ActionSpecifier() {}

func (*RateLimit_Action_HeaderValueMatch_) isRateLimit_Action_ActionSpecifier() {}

func (m *RateLimit_Action) GetActionSpecifier() isRateLimit_Action_ActionSpecifier {
	if m != nil {
		return m.ActionSpecifier
	}
	return nil
}

func (m *RateLimit_Action) GetSourceCluster() *RateLimit_Action_SourceCluster {
	if x, ok := m.GetActionSpecifier().(*RateLimit_Action_SourceCluster_); ok {
		return x.SourceCluster
	}
	return nil
}

func (m *RateLimit_Action) GetDestinationCluster() *RateLimit_Action_DestinationCluster {
	if x, ok := m.GetActionSpecifier().(*RateLimit_Action_DestinationCluster_); ok {
		return x.DestinationCluster
	}
	return nil
}

func (m *RateLimit_Action) GetRequestHeaders() *RateLimit_Action_RequestHeaders {
	if x, ok := m.GetActionSpecifier().(*RateLimit_Action_RequestHeaders_); ok {
		return x.RequestHeaders
	}
	return nil
}

func (m *RateLimit_Action) GetRemoteAddress() *RateLimit_Action_RemoteAddress {
	if x, ok := m.GetActionSpecifier().(*RateLimit_Action_RemoteAddress_); ok {
		return x.RemoteAddress
	}
	return nil
}

func (m *RateLimit_Action) GetGenericKey() *RateLimit_Action_GenericKey {
	if x, ok := m.GetActionSpecifier().(*RateLimit_Action_GenericKey_); ok {
		return x.GenericKey
	}
	return nil
}

func (m *RateLimit_Action) GetHeaderValueMatch() *RateLimit_Action_HeaderValueMatch {
	if x, ok := m.GetActionSpecifier().(*RateLimit_Action_HeaderValueMatch_); ok {
		return x.HeaderValueMatch
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*RateLimit_Action) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*RateLimit_Action_SourceCluster_)(nil),
		(*RateLimit_Action_DestinationCluster_)(nil),
		(*RateLimit_Action_RequestHeaders_)(nil),
		(*RateLimit_Action_RemoteAddress_)(nil),
		(*RateLimit_Action_GenericKey_)(nil),
		(*RateLimit_Action_HeaderValueMatch_)(nil),
	}
}

// The following descriptor entry is appended to the descriptor:
//
// .. code-block:: cpp
//
//   ("source_cluster", "<local service cluster>")
//
// <local service cluster> is derived from the :option:`--service-cluster` option.
type RateLimit_Action_SourceCluster struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RateLimit_Action_SourceCluster) Reset()         { *m = RateLimit_Action_SourceCluster{} }
func (m *RateLimit_Action_SourceCluster) String() string { return proto.CompactTextString(m) }
func (*RateLimit_Action_SourceCluster) ProtoMessage()    {}
func (*RateLimit_Action_SourceCluster) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14, 0, 0}
}

func (m *RateLimit_Action_SourceCluster) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit_Action_SourceCluster.Unmarshal(m, b)
}
func (m *RateLimit_Action_SourceCluster) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit_Action_SourceCluster.Marshal(b, m, deterministic)
}
func (m *RateLimit_Action_SourceCluster) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit_Action_SourceCluster.Merge(m, src)
}
func (m *RateLimit_Action_SourceCluster) XXX_Size() int {
	return xxx_messageInfo_RateLimit_Action_SourceCluster.Size(m)
}
func (m *RateLimit_Action_SourceCluster) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit_Action_SourceCluster.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit_Action_SourceCluster proto.InternalMessageInfo

// The following descriptor entry is appended to the descriptor:
//
// .. code-block:: cpp
//
//   ("destination_cluster", "<routed target cluster>")
//
// Once a request matches against a route table rule, a routed cluster is determined by one of
// the following :ref:`route table configuration <envoy_api_msg_config.route.v4alpha.RouteConfiguration>`
// settings:
//
// * :ref:`cluster <envoy_api_field_config.route.v4alpha.RouteAction.cluster>` indicates the upstream cluster
//   to route to.
// * :ref:`weighted_clusters <envoy_api_field_config.route.v4alpha.RouteAction.weighted_clusters>`
//   chooses a cluster randomly from a set of clusters with attributed weight.
// * :ref:`cluster_header <envoy_api_field_config.route.v4alpha.RouteAction.cluster_header>` indicates which
//   header in the request contains the target cluster.
type RateLimit_Action_DestinationCluster struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RateLimit_Action_DestinationCluster) Reset()         { *m = RateLimit_Action_DestinationCluster{} }
func (m *RateLimit_Action_DestinationCluster) String() string { return proto.CompactTextString(m) }
func (*RateLimit_Action_DestinationCluster) ProtoMessage()    {}
func (*RateLimit_Action_DestinationCluster) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14, 0, 1}
}

func (m *RateLimit_Action_DestinationCluster) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit_Action_DestinationCluster.Unmarshal(m, b)
}
func (m *RateLimit_Action_DestinationCluster) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit_Action_DestinationCluster.Marshal(b, m, deterministic)
}
func (m *RateLimit_Action_DestinationCluster) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit_Action_DestinationCluster.Merge(m, src)
}
func (m *RateLimit_Action_DestinationCluster) XXX_Size() int {
	return xxx_messageInfo_RateLimit_Action_DestinationCluster.Size(m)
}
func (m *RateLimit_Action_DestinationCluster) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit_Action_DestinationCluster.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit_Action_DestinationCluster proto.InternalMessageInfo

// The following descriptor entry is appended when a header contains a key that matches the
// *header_name*:
//
// .. code-block:: cpp
//
//   ("<descriptor_key>", "<header_value_queried_from_header>")
type RateLimit_Action_RequestHeaders struct {
	// The header name to be queried from the request headers. The header’s
	// value is used to populate the value of the descriptor entry for the
	// descriptor_key.
	HeaderName string `protobuf:"bytes,1,opt,name=header_name,json=headerName,proto3" json:"header_name,omitempty"`
	// The key to use in the descriptor entry.
	DescriptorKey        string   `protobuf:"bytes,2,opt,name=descriptor_key,json=descriptorKey,proto3" json:"descriptor_key,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RateLimit_Action_RequestHeaders) Reset()         { *m = RateLimit_Action_RequestHeaders{} }
func (m *RateLimit_Action_RequestHeaders) String() string { return proto.CompactTextString(m) }
func (*RateLimit_Action_RequestHeaders) ProtoMessage()    {}
func (*RateLimit_Action_RequestHeaders) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14, 0, 2}
}

func (m *RateLimit_Action_RequestHeaders) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit_Action_RequestHeaders.Unmarshal(m, b)
}
func (m *RateLimit_Action_RequestHeaders) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit_Action_RequestHeaders.Marshal(b, m, deterministic)
}
func (m *RateLimit_Action_RequestHeaders) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit_Action_RequestHeaders.Merge(m, src)
}
func (m *RateLimit_Action_RequestHeaders) XXX_Size() int {
	return xxx_messageInfo_RateLimit_Action_RequestHeaders.Size(m)
}
func (m *RateLimit_Action_RequestHeaders) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit_Action_RequestHeaders.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit_Action_RequestHeaders proto.InternalMessageInfo

func (m *RateLimit_Action_RequestHeaders) GetHeaderName() string {
	if m != nil {
		return m.HeaderName
	}
	return ""
}

func (m *RateLimit_Action_RequestHeaders) GetDescriptorKey() string {
	if m != nil {
		return m.DescriptorKey
	}
	return ""
}

// The following descriptor entry is appended to the descriptor and is populated using the
// trusted address from :ref:`x-forwarded-for <config_http_conn_man_headers_x-forwarded-for>`:
//
// .. code-block:: cpp
//
//   ("remote_address", "<trusted address from x-forwarded-for>")
type RateLimit_Action_RemoteAddress struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RateLimit_Action_RemoteAddress) Reset()         { *m = RateLimit_Action_RemoteAddress{} }
func (m *RateLimit_Action_RemoteAddress) String() string { return proto.CompactTextString(m) }
func (*RateLimit_Action_RemoteAddress) ProtoMessage()    {}
func (*RateLimit_Action_RemoteAddress) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14, 0, 3}
}

func (m *RateLimit_Action_RemoteAddress) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit_Action_RemoteAddress.Unmarshal(m, b)
}
func (m *RateLimit_Action_RemoteAddress) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit_Action_RemoteAddress.Marshal(b, m, deterministic)
}
func (m *RateLimit_Action_RemoteAddress) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit_Action_RemoteAddress.Merge(m, src)
}
func (m *RateLimit_Action_RemoteAddress) XXX_Size() int {
	return xxx_messageInfo_RateLimit_Action_RemoteAddress.Size(m)
}
func (m *RateLimit_Action_RemoteAddress) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit_Action_RemoteAddress.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit_Action_RemoteAddress proto.InternalMessageInfo

// The following descriptor entry is appended to the descriptor:
//
// .. code-block:: cpp
//
//   ("generic_key", "<descriptor_value>")
type RateLimit_Action_GenericKey struct {
	// The value to use in the descriptor entry.
	DescriptorValue      string   `protobuf:"bytes,1,opt,name=descriptor_value,json=descriptorValue,proto3" json:"descriptor_value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RateLimit_Action_GenericKey) Reset()         { *m = RateLimit_Action_GenericKey{} }
func (m *RateLimit_Action_GenericKey) String() string { return proto.CompactTextString(m) }
func (*RateLimit_Action_GenericKey) ProtoMessage()    {}
func (*RateLimit_Action_GenericKey) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14, 0, 4}
}

func (m *RateLimit_Action_GenericKey) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit_Action_GenericKey.Unmarshal(m, b)
}
func (m *RateLimit_Action_GenericKey) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit_Action_GenericKey.Marshal(b, m, deterministic)
}
func (m *RateLimit_Action_GenericKey) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit_Action_GenericKey.Merge(m, src)
}
func (m *RateLimit_Action_GenericKey) XXX_Size() int {
	return xxx_messageInfo_RateLimit_Action_GenericKey.Size(m)
}
func (m *RateLimit_Action_GenericKey) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit_Action_GenericKey.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit_Action_GenericKey proto.InternalMessageInfo

func (m *RateLimit_Action_GenericKey) GetDescriptorValue() string {
	if m != nil {
		return m.DescriptorValue
	}
	return ""
}

// The following descriptor entry is appended to the descriptor:
//
// .. code-block:: cpp
//
//   ("header_match", "<descriptor_value>")
type RateLimit_Action_HeaderValueMatch struct {
	// The value to use in the descriptor entry.
	DescriptorValue string `protobuf:"bytes,1,opt,name=descriptor_value,json=descriptorValue,proto3" json:"descriptor_value,omitempty"`
	// If set to true, the action will append a descriptor entry when the
	// request matches the headers. If set to false, the action will append a
	// descriptor entry when the request does not match the headers. The
	// default value is true.
	ExpectMatch *wrappers.BoolValue `protobuf:"bytes,2,opt,name=expect_match,json=expectMatch,proto3" json:"expect_match,omitempty"`
	// Specifies a set of headers that the rate limit action should match
	// on. The action will check the request’s headers against all the
	// specified headers in the config. A match will happen if all the
	// headers in the config are present in the request with the same values
	// (or based on presence if the value field is not in the config).
	Headers              []*HeaderMatcher `protobuf:"bytes,3,rep,name=headers,proto3" json:"headers,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *RateLimit_Action_HeaderValueMatch) Reset()         { *m = RateLimit_Action_HeaderValueMatch{} }
func (m *RateLimit_Action_HeaderValueMatch) String() string { return proto.CompactTextString(m) }
func (*RateLimit_Action_HeaderValueMatch) ProtoMessage()    {}
func (*RateLimit_Action_HeaderValueMatch) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{14, 0, 5}
}

func (m *RateLimit_Action_HeaderValueMatch) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RateLimit_Action_HeaderValueMatch.Unmarshal(m, b)
}
func (m *RateLimit_Action_HeaderValueMatch) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RateLimit_Action_HeaderValueMatch.Marshal(b, m, deterministic)
}
func (m *RateLimit_Action_HeaderValueMatch) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RateLimit_Action_HeaderValueMatch.Merge(m, src)
}
func (m *RateLimit_Action_HeaderValueMatch) XXX_Size() int {
	return xxx_messageInfo_RateLimit_Action_HeaderValueMatch.Size(m)
}
func (m *RateLimit_Action_HeaderValueMatch) XXX_DiscardUnknown() {
	xxx_messageInfo_RateLimit_Action_HeaderValueMatch.DiscardUnknown(m)
}

var xxx_messageInfo_RateLimit_Action_HeaderValueMatch proto.InternalMessageInfo

func (m *RateLimit_Action_HeaderValueMatch) GetDescriptorValue() string {
	if m != nil {
		return m.DescriptorValue
	}
	return ""
}

func (m *RateLimit_Action_HeaderValueMatch) GetExpectMatch() *wrappers.BoolValue {
	if m != nil {
		return m.ExpectMatch
	}
	return nil
}

func (m *RateLimit_Action_HeaderValueMatch) GetHeaders() []*HeaderMatcher {
	if m != nil {
		return m.Headers
	}
	return nil
}

// .. attention::
//
//   Internally, Envoy always uses the HTTP/2 *:authority* header to represent the HTTP/1 *Host*
//   header. Thus, if attempting to match on *Host*, match on *:authority* instead.
//
// .. attention::
//
//   To route on HTTP method, use the special HTTP/2 *:method* header. This works for both
//   HTTP/1 and HTTP/2 as Envoy normalizes headers. E.g.,
//
//   .. code-block:: json
//
//     {
//       "name": ":method",
//       "exact_match": "POST"
//     }
//
// .. attention::
//   In the absence of any header match specifier, match will default to :ref:`present_match
//   <envoy_api_field_config.route.v4alpha.HeaderMatcher.present_match>`. i.e, a request that has the :ref:`name
//   <envoy_api_field_config.route.v4alpha.HeaderMatcher.name>` header will match, regardless of the header's
//   value.
//
//  [#next-major-version: HeaderMatcher should be refactored to use StringMatcher.]
// [#next-free-field: 12]
type HeaderMatcher struct {
	// Specifies the name of the header in the request.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Specifies how the header match will be performed to route the request.
	//
	// Types that are valid to be assigned to HeaderMatchSpecifier:
	//	*HeaderMatcher_ExactMatch
	//	*HeaderMatcher_SafeRegexMatch
	//	*HeaderMatcher_RangeMatch
	//	*HeaderMatcher_PresentMatch
	//	*HeaderMatcher_PrefixMatch
	//	*HeaderMatcher_SuffixMatch
	HeaderMatchSpecifier isHeaderMatcher_HeaderMatchSpecifier `protobuf_oneof:"header_match_specifier"`
	// If specified, the match result will be inverted before checking. Defaults to false.
	//
	// Examples:
	//
	// * The regex ``\d{3}`` does not match the value *1234*, so it will match when inverted.
	// * The range [-10,0) will match the value -1, so it will not match when inverted.
	InvertMatch          bool     `protobuf:"varint,8,opt,name=invert_match,json=invertMatch,proto3" json:"invert_match,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HeaderMatcher) Reset()         { *m = HeaderMatcher{} }
func (m *HeaderMatcher) String() string { return proto.CompactTextString(m) }
func (*HeaderMatcher) ProtoMessage()    {}
func (*HeaderMatcher) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{15}
}

func (m *HeaderMatcher) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HeaderMatcher.Unmarshal(m, b)
}
func (m *HeaderMatcher) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HeaderMatcher.Marshal(b, m, deterministic)
}
func (m *HeaderMatcher) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HeaderMatcher.Merge(m, src)
}
func (m *HeaderMatcher) XXX_Size() int {
	return xxx_messageInfo_HeaderMatcher.Size(m)
}
func (m *HeaderMatcher) XXX_DiscardUnknown() {
	xxx_messageInfo_HeaderMatcher.DiscardUnknown(m)
}

var xxx_messageInfo_HeaderMatcher proto.InternalMessageInfo

func (m *HeaderMatcher) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isHeaderMatcher_HeaderMatchSpecifier interface {
	isHeaderMatcher_HeaderMatchSpecifier()
}

type HeaderMatcher_ExactMatch struct {
	ExactMatch string `protobuf:"bytes,4,opt,name=exact_match,json=exactMatch,proto3,oneof"`
}

type HeaderMatcher_SafeRegexMatch struct {
	SafeRegexMatch *v3.RegexMatcher `protobuf:"bytes,11,opt,name=safe_regex_match,json=safeRegexMatch,proto3,oneof"`
}

type HeaderMatcher_RangeMatch struct {
	RangeMatch *v31.Int64Range `protobuf:"bytes,6,opt,name=range_match,json=rangeMatch,proto3,oneof"`
}

type HeaderMatcher_PresentMatch struct {
	PresentMatch bool `protobuf:"varint,7,opt,name=present_match,json=presentMatch,proto3,oneof"`
}

type HeaderMatcher_PrefixMatch struct {
	PrefixMatch string `protobuf:"bytes,9,opt,name=prefix_match,json=prefixMatch,proto3,oneof"`
}

type HeaderMatcher_SuffixMatch struct {
	SuffixMatch string `protobuf:"bytes,10,opt,name=suffix_match,json=suffixMatch,proto3,oneof"`
}

func (*HeaderMatcher_ExactMatch) isHeaderMatcher_HeaderMatchSpecifier() {}

func (*HeaderMatcher_SafeRegexMatch) isHeaderMatcher_HeaderMatchSpecifier() {}

func (*HeaderMatcher_RangeMatch) isHeaderMatcher_HeaderMatchSpecifier() {}

func (*HeaderMatcher_PresentMatch) isHeaderMatcher_HeaderMatchSpecifier() {}

func (*HeaderMatcher_PrefixMatch) isHeaderMatcher_HeaderMatchSpecifier() {}

func (*HeaderMatcher_SuffixMatch) isHeaderMatcher_HeaderMatchSpecifier() {}

func (m *HeaderMatcher) GetHeaderMatchSpecifier() isHeaderMatcher_HeaderMatchSpecifier {
	if m != nil {
		return m.HeaderMatchSpecifier
	}
	return nil
}

func (m *HeaderMatcher) GetExactMatch() string {
	if x, ok := m.GetHeaderMatchSpecifier().(*HeaderMatcher_ExactMatch); ok {
		return x.ExactMatch
	}
	return ""
}

func (m *HeaderMatcher) GetSafeRegexMatch() *v3.RegexMatcher {
	if x, ok := m.GetHeaderMatchSpecifier().(*HeaderMatcher_SafeRegexMatch); ok {
		return x.SafeRegexMatch
	}
	return nil
}

func (m *HeaderMatcher) GetRangeMatch() *v31.Int64Range {
	if x, ok := m.GetHeaderMatchSpecifier().(*HeaderMatcher_RangeMatch); ok {
		return x.RangeMatch
	}
	return nil
}

func (m *HeaderMatcher) GetPresentMatch() bool {
	if x, ok := m.GetHeaderMatchSpecifier().(*HeaderMatcher_PresentMatch); ok {
		return x.PresentMatch
	}
	return false
}

func (m *HeaderMatcher) GetPrefixMatch() string {
	if x, ok := m.GetHeaderMatchSpecifier().(*HeaderMatcher_PrefixMatch); ok {
		return x.PrefixMatch
	}
	return ""
}

func (m *HeaderMatcher) GetSuffixMatch() string {
	if x, ok := m.GetHeaderMatchSpecifier().(*HeaderMatcher_SuffixMatch); ok {
		return x.SuffixMatch
	}
	return ""
}

func (m *HeaderMatcher) GetInvertMatch() bool {
	if m != nil {
		return m.InvertMatch
	}
	return false
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*HeaderMatcher) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*HeaderMatcher_ExactMatch)(nil),
		(*HeaderMatcher_SafeRegexMatch)(nil),
		(*HeaderMatcher_RangeMatch)(nil),
		(*HeaderMatcher_PresentMatch)(nil),
		(*HeaderMatcher_PrefixMatch)(nil),
		(*HeaderMatcher_SuffixMatch)(nil),
	}
}

// Query parameter matching treats the query string of a request's :path header
// as an ampersand-separated list of keys and/or key=value elements.
// [#next-free-field: 7]
type QueryParameterMatcher struct {
	// Specifies the name of a key that must be present in the requested
	// *path*'s query string.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Types that are valid to be assigned to QueryParameterMatchSpecifier:
	//	*QueryParameterMatcher_StringMatch
	//	*QueryParameterMatcher_PresentMatch
	QueryParameterMatchSpecifier isQueryParameterMatcher_QueryParameterMatchSpecifier `protobuf_oneof:"query_parameter_match_specifier"`
	XXX_NoUnkeyedLiteral         struct{}                                             `json:"-"`
	XXX_unrecognized             []byte                                               `json:"-"`
	XXX_sizecache                int32                                                `json:"-"`
}

func (m *QueryParameterMatcher) Reset()         { *m = QueryParameterMatcher{} }
func (m *QueryParameterMatcher) String() string { return proto.CompactTextString(m) }
func (*QueryParameterMatcher) ProtoMessage()    {}
func (*QueryParameterMatcher) Descriptor() ([]byte, []int) {
	return fileDescriptor_e904a38de9ab1e84, []int{16}
}

func (m *QueryParameterMatcher) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QueryParameterMatcher.Unmarshal(m, b)
}
func (m *QueryParameterMatcher) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QueryParameterMatcher.Marshal(b, m, deterministic)
}
func (m *QueryParameterMatcher) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QueryParameterMatcher.Merge(m, src)
}
func (m *QueryParameterMatcher) XXX_Size() int {
	return xxx_messageInfo_QueryParameterMatcher.Size(m)
}
func (m *QueryParameterMatcher) XXX_DiscardUnknown() {
	xxx_messageInfo_QueryParameterMatcher.DiscardUnknown(m)
}

var xxx_messageInfo_QueryParameterMatcher proto.InternalMessageInfo

func (m *QueryParameterMatcher) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type isQueryParameterMatcher_QueryParameterMatchSpecifier interface {
	isQueryParameterMatcher_QueryParameterMatchSpecifier()
}

type QueryParameterMatcher_StringMatch struct {
	StringMatch *v3.StringMatcher `protobuf:"bytes,5,opt,name=string_match,json=stringMatch,proto3,oneof"`
}

type QueryParameterMatcher_PresentMatch struct {
	PresentMatch bool `protobuf:"varint,6,opt,name=present_match,json=presentMatch,proto3,oneof"`
}

func (*QueryParameterMatcher_StringMatch) isQueryParameterMatcher_QueryParameterMatchSpecifier() {}

func (*QueryParameterMatcher_PresentMatch) isQueryParameterMatcher_QueryParameterMatchSpecifier() {}

func (m *QueryParameterMatcher) GetQueryParameterMatchSpecifier() isQueryParameterMatcher_QueryParameterMatchSpecifier {
	if m != nil {
		return m.QueryParameterMatchSpecifier
	}
	return nil
}

func (m *QueryParameterMatcher) GetStringMatch() *v3.StringMatcher {
	if x, ok := m.GetQueryParameterMatchSpecifier().(*QueryParameterMatcher_StringMatch); ok {
		return x.StringMatch
	}
	return nil
}

func (m *QueryParameterMatcher) GetPresentMatch() bool {
	if x, ok := m.GetQueryParameterMatchSpecifier().(*QueryParameterMatcher_PresentMatch); ok {
		return x.PresentMatch
	}
	return false
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*QueryParameterMatcher) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*QueryParameterMatcher_StringMatch)(nil),
		(*QueryParameterMatcher_PresentMatch)(nil),
	}
}

func init() {
	proto.RegisterEnum("envoy.config.route.v4alpha.VirtualHost_TlsRequirementType", VirtualHost_TlsRequirementType_name, VirtualHost_TlsRequirementType_value)
	proto.RegisterEnum("envoy.config.route.v4alpha.RouteAction_ClusterNotFoundResponseCode", RouteAction_ClusterNotFoundResponseCode_name, RouteAction_ClusterNotFoundResponseCode_value)
	proto.RegisterEnum("envoy.config.route.v4alpha.RouteAction_InternalRedirectAction", RouteAction_InternalRedirectAction_name, RouteAction_InternalRedirectAction_value)
	proto.RegisterEnum("envoy.config.route.v4alpha.RedirectAction_RedirectResponseCode", RedirectAction_RedirectResponseCode_name, RedirectAction_RedirectResponseCode_value)
	proto.RegisterType((*VirtualHost)(nil), "envoy.config.route.v4alpha.VirtualHost")
	proto.RegisterMapType((map[string]*any.Any)(nil), "envoy.config.route.v4alpha.VirtualHost.TypedPerFilterConfigEntry")
	proto.RegisterType((*FilterAction)(nil), "envoy.config.route.v4alpha.FilterAction")
	proto.RegisterType((*Route)(nil), "envoy.config.route.v4alpha.Route")
	proto.RegisterMapType((map[string]*any.Any)(nil), "envoy.config.route.v4alpha.Route.TypedPerFilterConfigEntry")
	proto.RegisterType((*WeightedCluster)(nil), "envoy.config.route.v4alpha.WeightedCluster")
	proto.RegisterType((*WeightedCluster_ClusterWeight)(nil), "envoy.config.route.v4alpha.WeightedCluster.ClusterWeight")
	proto.RegisterMapType((map[string]*any.Any)(nil), "envoy.config.route.v4alpha.WeightedCluster.ClusterWeight.TypedPerFilterConfigEntry")
	proto.RegisterType((*RouteMatch)(nil), "envoy.config.route.v4alpha.RouteMatch")
	proto.RegisterType((*RouteMatch_GrpcRouteMatchOptions)(nil), "envoy.config.route.v4alpha.RouteMatch.GrpcRouteMatchOptions")
	proto.RegisterType((*RouteMatch_TlsContextMatchOptions)(nil), "envoy.config.route.v4alpha.RouteMatch.TlsContextMatchOptions")
	proto.RegisterType((*CorsPolicy)(nil), "envoy.config.route.v4alpha.CorsPolicy")
	proto.RegisterType((*RouteAction)(nil), "envoy.config.route.v4alpha.RouteAction")
	proto.RegisterType((*RouteAction_RequestMirrorPolicy)(nil), "envoy.config.route.v4alpha.RouteAction.RequestMirrorPolicy")
	proto.RegisterType((*RouteAction_HashPolicy)(nil), "envoy.config.route.v4alpha.RouteAction.HashPolicy")
	proto.RegisterType((*RouteAction_HashPolicy_Header)(nil), "envoy.config.route.v4alpha.RouteAction.HashPolicy.Header")
	proto.RegisterType((*RouteAction_HashPolicy_Cookie)(nil), "envoy.config.route.v4alpha.RouteAction.HashPolicy.Cookie")
	proto.RegisterType((*RouteAction_HashPolicy_ConnectionProperties)(nil), "envoy.config.route.v4alpha.RouteAction.HashPolicy.ConnectionProperties")
	proto.RegisterType((*RouteAction_HashPolicy_QueryParameter)(nil), "envoy.config.route.v4alpha.RouteAction.HashPolicy.QueryParameter")
	proto.RegisterType((*RouteAction_HashPolicy_FilterState)(nil), "envoy.config.route.v4alpha.RouteAction.HashPolicy.FilterState")
	proto.RegisterType((*RouteAction_UpgradeConfig)(nil), "envoy.config.route.v4alpha.RouteAction.UpgradeConfig")
	proto.RegisterType((*RetryPolicy)(nil), "envoy.config.route.v4alpha.RetryPolicy")
	proto.RegisterType((*RetryPolicy_RetryPriority)(nil), "envoy.config.route.v4alpha.RetryPolicy.RetryPriority")
	proto.RegisterType((*RetryPolicy_RetryHostPredicate)(nil), "envoy.config.route.v4alpha.RetryPolicy.RetryHostPredicate")
	proto.RegisterType((*RetryPolicy_RetryBackOff)(nil), "envoy.config.route.v4alpha.RetryPolicy.RetryBackOff")
	proto.RegisterType((*HedgePolicy)(nil), "envoy.config.route.v4alpha.HedgePolicy")
	proto.RegisterType((*RedirectAction)(nil), "envoy.config.route.v4alpha.RedirectAction")
	proto.RegisterType((*DirectResponseAction)(nil), "envoy.config.route.v4alpha.DirectResponseAction")
	proto.RegisterType((*Decorator)(nil), "envoy.config.route.v4alpha.Decorator")
	proto.RegisterType((*Tracing)(nil), "envoy.config.route.v4alpha.Tracing")
	proto.RegisterType((*VirtualCluster)(nil), "envoy.config.route.v4alpha.VirtualCluster")
	proto.RegisterType((*RateLimit)(nil), "envoy.config.route.v4alpha.RateLimit")
	proto.RegisterType((*RateLimit_Action)(nil), "envoy.config.route.v4alpha.RateLimit.Action")
	proto.RegisterType((*RateLimit_Action_SourceCluster)(nil), "envoy.config.route.v4alpha.RateLimit.Action.SourceCluster")
	proto.RegisterType((*RateLimit_Action_DestinationCluster)(nil), "envoy.config.route.v4alpha.RateLimit.Action.DestinationCluster")
	proto.RegisterType((*RateLimit_Action_RequestHeaders)(nil), "envoy.config.route.v4alpha.RateLimit.Action.RequestHeaders")
	proto.RegisterType((*RateLimit_Action_RemoteAddress)(nil), "envoy.config.route.v4alpha.RateLimit.Action.RemoteAddress")
	proto.RegisterType((*RateLimit_Action_GenericKey)(nil), "envoy.config.route.v4alpha.RateLimit.Action.GenericKey")
	proto.RegisterType((*RateLimit_Action_HeaderValueMatch)(nil), "envoy.config.route.v4alpha.RateLimit.Action.HeaderValueMatch")
	proto.RegisterType((*HeaderMatcher)(nil), "envoy.config.route.v4alpha.HeaderMatcher")
	proto.RegisterType((*QueryParameterMatcher)(nil), "envoy.config.route.v4alpha.QueryParameterMatcher")
}

func init() {
	proto.RegisterFile("envoy/config/route/v4alpha/route_components.proto", fileDescriptor_e904a38de9ab1e84)
}

var fileDescriptor_e904a38de9ab1e84 = []byte{
	// 4757 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xdc, 0x5b, 0xcd, 0x6f, 0x5b, 0xc7,
	0x76, 0xd7, 0x25, 0x29, 0x7e, 0x1c, 0x7e, 0xe8, 0x6a, 0x2c, 0x4b, 0x34, 0x1d, 0xdb, 0x12, 0x1d,
	0x3b, 0x8a, 0xe3, 0x47, 0x27, 0x96, 0xe3, 0xc4, 0x74, 0x1c, 0x97, 0x94, 0xe5, 0x50, 0x8a, 0x2c,
	0xa9, 0x23, 0xd9, 0x6d, 0xd2, 0x34, 0xb7, 0xd7, 0xe4, 0x88, 0xba, 0x08, 0x79, 0x2f, 0x33, 0x77,
	0x28, 0x4b, 0x05, 0x5a, 0x3c, 0x74, 0x55, 0xbc, 0x65, 0xde, 0x5b, 0x75, 0xf3, 0x80, 0xa2, 0x8b,
	0x22, 0x40, 0xfb, 0x07, 0x14, 0x0f, 0xc5, 0xdb, 0xb4, 0x08, 0xd0, 0x6e, 0xba, 0x28, 0xd0, 0xae,
	0x8a, 0x6e, 0x8a, 0x02, 0x5d, 0x74, 0x55, 0xa0, 0xf5, 0xa2, 0x28, 0xe6, 0xe3, 0x7e, 0x51, 0x14,
	0x49, 0xe9, 0x35, 0x41, 0xd1, 0x95, 0x78, 0x67, 0xce, 0xf9, 0xcd, 0xcc, 0x99, 0x33, 0xe7, 0x6b,
	0x46, 0xf0, 0x1e, 0xb1, 0x0f, 0x9d, 0xe3, 0x3b, 0x4d, 0xc7, 0xde, 0xb7, 0xda, 0x77, 0xa8, 0xd3,
	0x67, 0xe4, 0xce, 0xe1, 0x3d, 0xb3, 0xd3, 0x3b, 0x30, 0xe5, 0x97, 0xd1, 0x74, 0xba, 0x3d, 0xc7,
	0x26, 0x36, 0x73, 0x2b, 0x3d, 0xea, 0x30, 0x07, 0x95, 0x04, 0x4b, 0x45, 0xb2, 0x54, 0x04, 0x51,
	0x45, 0xb1, 0x94, 0xde, 0x8c, 0xc0, 0x35, 0x1d, 0x1a, 0xa0, 0xbd, 0x34, 0x5d, 0x22, 0x11, 0x4a,
	0x4b, 0x92, 0x8a, 0x1d, 0xf7, 0xc8, 0x9d, 0xae, 0xc9, 0x9a, 0x07, 0x84, 0xde, 0x39, 0x5c, 0xb9,
	0x43, 0x49, 0x9b, 0x1c, 0x29, 0x92, 0xf2, 0x70, 0x12, 0x97, 0x51, 0xcb, 0x6e, 0x2b, 0x9a, 0x9b,
	0x21, 0x1a, 0x46, 0xcd, 0xa6, 0x65, 0xb7, 0x39, 0x4d, 0xb3, 0xef, 0x32, 0xa7, 0x6b, 0x30, 0xd3,
	0xa3, 0xbb, 0x1c, 0xa2, 0x3b, 0x5c, 0xb9, 0xd3, 0x23, 0xb4, 0x49, 0x6c, 0xa6, 0x3a, 0x2f, 0x45,
	0x3b, 0xa9, 0x69, 0xb7, 0xbd, 0x69, 0x5e, 0x6a, 0x3b, 0x4e, 0xbb, 0x43, 0xee, 0x88, 0xaf, 0x97,
	0xfd, 0xfd, 0x3b, 0xa6, 0x7d, 0xac, 0xba, 0xae, 0x0e, 0x76, 0xb5, 0xfa, 0xd4, 0x64, 0x96, 0x63,
	0xab, 0xfe, 0x37, 0x06, 0xfb, 0x5d, 0x46, 0xfb, 0x4d, 0x76, 0x1a, 0xf7, 0x2b, 0x6a, 0xf6, 0x7a,
	0x84, 0x2a, 0x09, 0x97, 0xae, 0xcb, 0x39, 0x99, 0xb6, 0xed, 0x30, 0x81, 0xea, 0xde, 0x69, 0x91,
	0x1e, 0x25, 0xcd, 0xf0, 0x10, 0x57, 0xfa, 0xad, 0x9e, 0x19, 0xa1, 0x71, 0x99, 0xc9, 0xfa, 0x1e,
	0xc6, 0xd2, 0x89, 0xee, 0x43, 0x42, 0x5d, 0xcb, 0xb1, 0x03, 0xf9, 0x2d, 0x1c, 0x9a, 0x1d, 0xab,
	0x65, 0xf2, 0x1d, 0x57, 0x3f, 0x64, 0x47, 0xf9, 0x9f, 0x73, 0x90, 0x7d, 0x61, 0x51, 0xd6, 0x37,
	0x3b, 0x0d, 0xc7, 0x65, 0xe8, 0x32, 0x24, 0x6c, 0xb3, 0x4b, 0x8a, 0xda, 0xa2, 0xb6, 0x9c, 0xa9,
	0xa7, 0x5e, 0xd7, 0x13, 0x34, 0xb6, 0xa8, 0x61, 0xd1, 0x88, 0x6e, 0x43, 0xaa, 0xe5, 0x74, 0x4d,
	0xcb, 0x76, 0x8b, 0xb1, 0xc5, 0xf8, 0x72, 0xa6, 0x8e, 0x5e, 0xd7, 0x67, 0xbe, 0xd1, 0x72, 0x69,
	0xad, 0x9c, 0xa6, 0xc9, 0x5f, 0x6a, 0xb1, 0xef, 0xb4, 0x29, 0xec, 0x91, 0xa0, 0x07, 0x90, 0x14,
	0x1a, 0xe3, 0x16, 0xe3, 0x8b, 0xf1, 0xe5, 0xec, 0xdd, 0xa5, 0xca, 0xe9, 0xda, 0x54, 0xc1, 0xfc,
	0x0b, 0x2b, 0x06, 0x44, 0x20, 0x4b, 0xc9, 0xd7, 0x7d, 0x8b, 0x12, 0x83, 0x75, 0xdc, 0x62, 0x62,
	0x51, 0x5b, 0x2e, 0xdc, 0xad, 0x8e, 0xe2, 0x0f, 0xad, 0xa1, 0xb2, 0xd7, 0x71, 0xb1, 0xe4, 0xee,
	0x12, 0x9b, 0xed, 0x1d, 0xf7, 0x48, 0x3d, 0xfd, 0xba, 0x3e, 0xfd, 0x07, 0x5a, 0x4c, 0xd7, 0x30,
	0x28, 0xe0, 0xbd, 0x8e, 0x8b, 0x9e, 0x83, 0x7e, 0x28, 0xf9, 0x8c, 0x66, 0xa7, 0xef, 0x32, 0x42,
	0xdd, 0xe2, 0xb4, 0x98, 0xeb, 0xad, 0x09, 0xc6, 0x5a, 0x95, 0x2c, 0x78, 0xe6, 0x30, 0xf2, 0xed,
	0xa2, 0xa7, 0x90, 0xa5, 0x26, 0x23, 0x46, 0xc7, 0xea, 0x5a, 0xcc, 0x2d, 0x26, 0x05, 0xe2, 0x8d,
	0x91, 0xab, 0x37, 0x19, 0xd9, 0xe4, 0xd4, 0x18, 0xa8, 0xf7, 0xd3, 0x45, 0x1d, 0x98, 0xe7, 0x93,
	0x25, 0x2e, 0x33, 0x0e, 0x88, 0xd9, 0x22, 0xd4, 0x35, 0x98, 0x63, 0x98, 0xad, 0x56, 0x31, 0x25,
	0x20, 0x6f, 0x47, 0x21, 0xf9, 0x11, 0xf4, 0x11, 0x1b, 0x82, 0xe1, 0x85, 0xd9, 0xe9, 0x93, 0xed,
	0x1e, 0x57, 0x8a, 0x7a, 0xe6, 0x75, 0x3d, 0xf9, 0x8d, 0x16, 0xd7, 0xff, 0x35, 0x85, 0x2f, 0x28,
	0x58, 0x49, 0xe4, 0xee, 0x39, 0xb5, 0x56, 0x0b, 0x3d, 0x80, 0x4b, 0x43, 0x46, 0xa3, 0xa4, 0xeb,
	0x1c, 0x92, 0x62, 0x9e, 0x6f, 0x37, 0x9e, 0x1f, 0xe4, 0xc3, 0xa2, 0x17, 0xd9, 0xb0, 0x40, 0x89,
	0xdb, 0x73, 0x6c, 0x97, 0x0c, 0xce, 0x14, 0x7e, 0xb5, 0x99, 0xce, 0x79, 0xb8, 0x91, 0xa9, 0x3e,
	0x84, 0xd2, 0xb0, 0xf1, 0xd4, 0x5c, 0xb3, 0x62, 0xae, 0x0b, 0x27, 0x38, 0xd5, 0x64, 0xab, 0x90,
	0x68, 0x3a, 0xd4, 0x2d, 0xa6, 0x17, 0xb5, 0xe5, 0xec, 0xdd, 0x9b, 0xa3, 0xb6, 0x65, 0xd5, 0xa1,
	0xee, 0x8e, 0xd3, 0xb1, 0x9a, 0xc7, 0x58, 0xf0, 0xa0, 0x23, 0x58, 0xe0, 0xd6, 0xa3, 0x65, 0xf4,
	0x08, 0x35, 0xf6, 0xad, 0x0e, 0x23, 0xd4, 0x90, 0x9c, 0xc5, 0x19, 0xb1, 0xd0, 0xda, 0xc4, 0x3a,
	0xca, 0x61, 0x76, 0x08, 0x7d, 0x2a, 0x40, 0x56, 0x05, 0xf9, 0x9a, 0xcd, 0xe8, 0x31, 0x9e, 0x63,
	0x43, 0xba, 0x50, 0x0d, 0xae, 0x58, 0x76, 0xb3, 0xd3, 0x6f, 0x11, 0xc3, 0xdb, 0x25, 0x93, 0x31,
	0xd2, 0xed, 0x31, 0xa3, 0xe9, 0xf4, 0x6d, 0x56, 0x2c, 0x2c, 0x6a, 0xcb, 0x69, 0x5c, 0x52, 0x44,
	0x58, 0xd2, 0xd4, 0x24, 0xc9, 0x2a, 0xa7, 0x40, 0x0d, 0x58, 0xf2, 0x20, 0x22, 0xac, 0x86, 0x65,
	0x1b, 0x9e, 0xb0, 0x8a, 0x17, 0x04, 0x8c, 0x37, 0x56, 0x98, 0x7f, 0xdd, 0xc6, 0x8a, 0x08, 0x6d,
	0x40, 0x8e, 0x12, 0x46, 0x8f, 0x8d, 0x9e, 0x10, 0x4e, 0x51, 0x17, 0xa2, 0x7c, 0x6b, 0xa4, 0x86,
	0x73, 0x7a, 0x25, 0xcb, 0x2c, 0x0d, 0x3e, 0xd0, 0x36, 0x57, 0xbb, 0x00, 0xcb, 0x90, 0xf2, 0x55,
	0x42, 0x9d, 0x13, 0xc0, 0x73, 0x15, 0x69, 0x44, 0x2b, 0x9e, 0x11, 0xad, 0xd4, 0xec, 0x63, 0xae,
	0x8c, 0x3e, 0x8a, 0x90, 0xa6, 0x92, 0xd4, 0x06, 0xe4, 0x0e, 0x48, 0xab, 0x4d, 0xbc, 0xc9, 0xcd,
	0x8e, 0x9f, 0x5c, 0x83, 0xd3, 0x7b, 0x93, 0x3b, 0x08, 0x3e, 0xd0, 0xef, 0xc0, 0x55, 0xbe, 0xd3,
	0x9e, 0xc4, 0x5f, 0xf6, 0xf7, 0xf7, 0x09, 0x95, 0xe7, 0xda, 0x78, 0x79, 0xcc, 0x4d, 0x1b, 0x12,
	0xe8, 0x6f, 0x9c, 0x98, 0xe1, 0xf3, 0x75, 0x9b, 0xad, 0xdc, 0x15, 0x5a, 0x8d, 0x4b, 0x3d, 0x42,
	0xd5, 0x86, 0xd4, 0x05, 0x82, 0x38, 0xdf, 0x75, 0xce, 0x5f, 0xfa, 0x6d, 0xb8, 0x74, 0xaa, 0x2a,
	0x20, 0x1d, 0xe2, 0x5f, 0x91, 0x63, 0x69, 0x8b, 0x31, 0xff, 0x89, 0x6e, 0xc1, 0xf4, 0x21, 0xc7,
	0x2c, 0xc6, 0x46, 0x48, 0x46, 0x92, 0x54, 0x63, 0x1f, 0x6a, 0xe5, 0x2a, 0xa0, 0x93, 0xd6, 0x10,
	0xa5, 0x21, 0xb1, 0xb5, 0xbd, 0xb5, 0xa6, 0x4f, 0xa1, 0x59, 0xc8, 0xaf, 0xfd, 0xe6, 0xde, 0x1a,
	0xde, 0xaa, 0x6d, 0x1a, 0xdb, 0x5b, 0x9b, 0x9f, 0xe9, 0x1a, 0x4a, 0x41, 0xbc, 0xb6, 0xb9, 0xa9,
	0xc7, 0xaa, 0xcb, 0x7f, 0xf4, 0x57, 0x7f, 0x78, 0xf5, 0x3a, 0x2c, 0x0d, 0x13, 0xdc, 0x4a, 0x58,
	0x99, 0x37, 0x12, 0xe9, 0x8c, 0x0e, 0x1b, 0x89, 0x74, 0x4e, 0xcf, 0xe3, 0xd9, 0x13, 0x47, 0xa3,
	0xdc, 0x86, 0x9c, 0x5c, 0x5b, 0xad, 0xc9, 0xcf, 0x37, 0xba, 0x0d, 0x49, 0x53, 0xfc, 0x12, 0x2b,
	0x3b, 0x6d, 0x15, 0x8a, 0xa6, 0xfa, 0x36, 0x9f, 0xc6, 0x9b, 0x50, 0x1e, 0x3e, 0x8d, 0x30, 0x70,
	0xf9, 0x2f, 0x01, 0xa6, 0x85, 0x23, 0x41, 0x48, 0xb9, 0xb1, 0x82, 0x10, 0x9d, 0xf4, 0x5e, 0x4f,
	0x61, 0x5a, 0x84, 0x17, 0x6a, 0xd4, 0x9b, 0x63, 0xdd, 0xd1, 0x33, 0x4e, 0x2d, 0x5c, 0xc7, 0x4f,
	0x84, 0xeb, 0x90, 0xec, 0xe8, 0x31, 0x4c, 0x0b, 0x62, 0xb5, 0x07, 0x6f, 0x8d, 0xc5, 0x91, 0xb3,
	0x6b, 0x4c, 0x61, 0xc9, 0x87, 0x1a, 0x90, 0xa6, 0xa4, 0x65, 0x51, 0xd2, 0x64, 0xc5, 0xb8, 0xc0,
	0xb8, 0x35, 0xfa, 0xe8, 0x48, 0x5a, 0x1f, 0xc6, 0xe7, 0x46, 0xbf, 0x05, 0x33, 0xf2, 0x57, 0x70,
	0x80, 0x53, 0x02, 0xf0, 0xdd, 0x51, 0x80, 0x4f, 0x04, 0x8b, 0x77, 0x9a, 0x7d, 0xd8, 0x42, 0x2b,
	0xd2, 0x8e, 0xb6, 0x21, 0xaf, 0xf6, 0x51, 0xed, 0x96, 0x3c, 0x49, 0xcb, 0xa3, 0xa0, 0xc3, 0xdb,
	0xd1, 0x98, 0xc2, 0xb9, 0xfd, 0xf0, 0xbe, 0x3f, 0x86, 0x74, 0x97, 0x30, 0xb3, 0x65, 0x32, 0x53,
	0xb8, 0xf4, 0xec, 0xdd, 0xeb, 0x23, 0xfc, 0xc2, 0x33, 0x45, 0x8a, 0x7d, 0x26, 0xb4, 0x0a, 0x99,
	0x16, 0x69, 0x3a, 0xd4, 0x64, 0x0e, 0x2d, 0x4e, 0x0b, 0x84, 0x91, 0x6e, 0xf5, 0x89, 0x47, 0x8c,
	0x03, 0x3e, 0x44, 0x4f, 0xb7, 0xe1, 0x79, 0x61, 0xc3, 0x1f, 0x8e, 0xdd, 0xd0, 0x33, 0x5b, 0xef,
	0xd3, 0x3d, 0x79, 0xe6, 0x87, 0xf6, 0xe4, 0xb9, 0xff, 0x3f, 0x9e, 0xfc, 0x11, 0xa4, 0x54, 0x2e,
	0x50, 0x9c, 0x19, 0xa6, 0x4e, 0xd1, 0x9d, 0xdb, 0x93, 0xa4, 0xd8, 0xe3, 0x99, 0xc0, 0xb8, 0xeb,
	0xff, 0xa7, 0x8d, 0x7b, 0xb5, 0xcc, 0x2d, 0xe3, 0x15, 0xb8, 0x3c, 0xdc, 0x32, 0x0a, 0x4d, 0xad,
	0xe7, 0x3d, 0x5b, 0x8b, 0xe2, 0xff, 0x59, 0xd7, 0x36, 0x12, 0xe9, 0xa4, 0x9e, 0xda, 0x48, 0xa4,
	0xd3, 0x7a, 0x66, 0x98, 0xa5, 0xfe, 0x97, 0x34, 0xcc, 0xfc, 0x06, 0xb1, 0xda, 0x07, 0x8c, 0xb4,
	0x54, 0x38, 0x8b, 0x0c, 0x48, 0xfb, 0xc1, 0xb1, 0x26, 0x74, 0xe0, 0xc1, 0x28, 0x31, 0x0f, 0xb0,
	0x57, 0xd4, 0x5f, 0xd9, 0x2c, 0x8c, 0xe9, 0x37, 0x5a, 0x2c, 0xad, 0x61, 0x1f, 0x14, 0x35, 0x20,
	0xc7, 0x1c, 0x66, 0x76, 0x8c, 0x57, 0x82, 0x46, 0x99, 0xc4, 0x91, 0x52, 0x17, 0x89, 0xc9, 0xad,
	0xd8, 0xb2, 0x86, 0xb3, 0x82, 0x55, 0xa2, 0xa3, 0xdb, 0x80, 0x68, 0xdf, 0x66, 0x56, 0x97, 0x18,
	0x5f, 0x91, 0x63, 0xa3, 0x47, 0xc9, 0xbe, 0x75, 0x24, 0xa4, 0x99, 0xc1, 0xba, 0xea, 0xf9, 0x94,
	0x1c, 0xef, 0x88, 0xf6, 0xd2, 0xdf, 0x24, 0x21, 0x1f, 0x99, 0xdd, 0xe8, 0xe4, 0xe7, 0x1e, 0x24,
	0xd5, 0x04, 0x63, 0x13, 0xa8, 0x85, 0xa2, 0x45, 0x1b, 0x50, 0xf0, 0xcc, 0x97, 0x21, 0xbd, 0x4f,
	0x7c, 0x72, 0xcb, 0x97, 0xf7, 0x58, 0x85, 0x27, 0x1a, 0x61, 0x45, 0x12, 0x3f, 0xb4, 0x15, 0xc9,
	0x9c, 0xd7, 0x8a, 0x4c, 0xff, 0xf0, 0x56, 0x24, 0x39, 0xda, 0x8a, 0xfc, 0x44, 0x3b, 0xdd, 0x21,
	0x48, 0x9b, 0xb7, 0x7b, 0x6e, 0x7d, 0x3f, 0xab, 0xa3, 0xf8, 0xbe, 0x2d, 0x46, 0x95, 0x5b, 0x8c,
	0xf7, 0x61, 0x65, 0xb8, 0xc5, 0x18, 0xb9, 0x94, 0x8d, 0x44, 0x3a, 0xa5, 0xa7, 0x4f, 0x35, 0x1d,
	0xd5, 0xdb, 0x1c, 0xfa, 0x2d, 0xb8, 0x31, 0x11, 0x74, 0xf9, 0xbf, 0x53, 0x00, 0x41, 0x8c, 0x85,
	0x8a, 0x90, 0x54, 0x87, 0x55, 0x2c, 0xae, 0x31, 0x85, 0xd5, 0x37, 0x9a, 0x83, 0x44, 0xcf, 0x64,
	0x07, 0xf2, 0x10, 0x37, 0xa6, 0xb0, 0xf8, 0x42, 0x5b, 0x00, 0xae, 0xb9, 0xcf, 0x53, 0xa1, 0x36,
	0x39, 0x2a, 0x42, 0xe4, 0x44, 0x71, 0xb9, 0x56, 0x54, 0x1d, 0x49, 0xd8, 0x41, 0x4e, 0xf3, 0x4c,
	0x7e, 0x07, 0xc1, 0x5c, 0x63, 0x0a, 0x67, 0x38, 0x84, 0xe8, 0x45, 0x35, 0x28, 0x34, 0x4d, 0x97,
	0x18, 0x2e, 0xb1, 0x5d, 0x8b, 0x59, 0x87, 0x44, 0xc5, 0x27, 0xa5, 0x13, 0x02, 0xad, 0x3b, 0x4e,
	0x47, 0x9e, 0xf0, 0x3c, 0xe7, 0xd8, 0xf5, 0x18, 0xd0, 0x97, 0xe0, 0x59, 0x18, 0x63, 0x9f, 0xaa,
	0x80, 0x29, 0x23, 0x40, 0x56, 0x46, 0x28, 0x3b, 0x96, 0x2c, 0x4f, 0x15, 0x87, 0xd9, 0xd9, 0x91,
	0x15, 0x2b, 0x3c, 0x43, 0xa3, 0x3d, 0x68, 0x15, 0x52, 0x4a, 0xb5, 0x55, 0x41, 0xe1, 0xed, 0xd1,
	0x19, 0x0d, 0x27, 0x55, 0xab, 0xc6, 0x1e, 0x27, 0xfa, 0x02, 0xf4, 0xaf, 0xfb, 0x84, 0x27, 0x5b,
	0x26, 0x35, 0xbb, 0x44, 0xd8, 0x74, 0x59, 0x4b, 0x78, 0x6f, 0x14, 0xda, 0xaf, 0x73, 0x9e, 0x1d,
	0x8f, 0xc5, 0x43, 0x9d, 0xf9, 0x3a, 0xd2, 0xec, 0xa2, 0x1d, 0x48, 0xb4, 0x69, 0xaf, 0xa9, 0x32,
	0xeb, 0x8f, 0x26, 0x8b, 0xaf, 0x2b, 0x9f, 0xd0, 0x5e, 0x33, 0xf8, 0x94, 0x47, 0xde, 0xc5, 0x02,
	0x09, 0x7d, 0x09, 0x59, 0xd6, 0x71, 0xb9, 0x8a, 0x31, 0x72, 0xc4, 0x8a, 0x59, 0x01, 0xfc, 0x68,
	0x42, 0xe0, 0xbd, 0x8e, 0xbb, 0x2a, 0x19, 0x23, 0xc8, 0xc0, 0xfc, 0xf6, 0xd2, 0x0b, 0xb8, 0x38,
	0x74, 0xf8, 0xea, 0x23, 0xae, 0xcd, 0x1f, 0xc2, 0xfd, 0x11, 0xae, 0x75, 0xc4, 0xec, 0x4b, 0x7f,
	0xab, 0xc1, 0xfc, 0xf0, 0xe1, 0xd1, 0x87, 0x90, 0xe9, 0x51, 0xe2, 0x12, 0x9b, 0x91, 0x96, 0xca,
	0x44, 0x46, 0x69, 0x59, 0x40, 0xcc, 0x39, 0xbd, 0xe2, 0x5d, 0x4b, 0x1d, 0xf8, 0x91, 0x9c, 0x3e,
	0x71, 0xf5, 0x63, 0xbe, 0x9a, 0x07, 0xf0, 0xc1, 0xd8, 0xd5, 0x0c, 0x9f, 0x73, 0xf5, 0x2d, 0xce,
	0x5f, 0x86, 0xc5, 0x71, 0xfc, 0xf5, 0x8b, 0x50, 0xe0, 0xe7, 0xd3, 0x70, 0x7b, 0xa4, 0x69, 0xed,
	0x5b, 0x84, 0x7a, 0x51, 0xc7, 0xb4, 0x9e, 0xdc, 0x48, 0xa4, 0xe3, 0x7a, 0x02, 0x4f, 0x8b, 0x33,
	0x5b, 0xfe, 0x8f, 0x04, 0x40, 0x50, 0x5e, 0x41, 0x06, 0x5c, 0x32, 0x3b, 0x1d, 0xe7, 0x95, 0xe1,
	0x50, 0xab, 0x6d, 0xd9, 0x86, 0x2c, 0xfe, 0x2a, 0x8f, 0x99, 0x15, 0x1a, 0xfa, 0xe6, 0x29, 0xe7,
	0x7b, 0x57, 0x90, 0x7a, 0x4a, 0x39, 0x2f, 0x60, 0xb6, 0x05, 0x4a, 0xa8, 0x07, 0x5d, 0x87, 0xbc,
	0x1c, 0xa0, 0x4b, 0xd8, 0x81, 0xd3, 0x72, 0x55, 0x54, 0x90, 0x13, 0x8d, 0xcf, 0x64, 0x5b, 0x40,
	0xe4, 0x9d, 0xb4, 0x78, 0x88, 0x48, 0xf9, 0x0d, 0x74, 0x03, 0x0a, 0xe4, 0xa8, 0xe7, 0x04, 0xae,
	0x46, 0xd8, 0x8a, 0x0c, 0xce, 0xcb, 0x56, 0x8f, 0x6c, 0x01, 0x52, 0x5d, 0xf3, 0xc8, 0x30, 0xdb,
	0x44, 0x64, 0x2a, 0x19, 0x9c, 0xec, 0x9a, 0x47, 0xb5, 0x36, 0x41, 0x9f, 0xc0, 0xac, 0x1c, 0xa4,
	0x49, 0x49, 0x8b, 0xd8, 0xcc, 0x32, 0x3b, 0xfc, 0x48, 0x8f, 0xdb, 0x4e, 0x5d, 0x30, 0xad, 0x06,
	0x3c, 0xe8, 0x0b, 0x28, 0x28, 0x13, 0x4c, 0x6c, 0xf3, 0x65, 0x87, 0xb4, 0x7e, 0x05, 0x7b, 0xd3,
	0x98, 0xc2, 0x2a, 0xd9, 0x5b, 0x93, 0x58, 0xe8, 0x73, 0x28, 0xb8, 0x07, 0x66, 0xcb, 0x79, 0xe5,
	0xa3, 0xc3, 0xf9, 0xad, 0x59, 0x5e, 0x42, 0x29, 0xec, 0x31, 0xfa, 0x14, 0xa8, 0x45, 0xfd, 0x02,
	0xcc, 0xaa, 0xd1, 0x03, 0x95, 0xda, 0x48, 0xa4, 0x35, 0x3d, 0x26, 0x1d, 0x91, 0x74, 0x4a, 0x6a,
	0x83, 0x94, 0xee, 0x60, 0x14, 0xd1, 0x24, 0xa1, 0x6e, 0x38, 0xa5, 0x60, 0xca, 0x3f, 0x5d, 0x84,
	0x6c, 0x28, 0x29, 0x47, 0xd7, 0x21, 0xa5, 0x02, 0xd1, 0x81, 0xa8, 0xaf, 0x31, 0x85, 0xbd, 0x1e,
	0x74, 0x1f, 0x0a, 0xea, 0xa7, 0xda, 0x73, 0xa9, 0x3d, 0xf5, 0xfc, 0xeb, 0x3a, 0xd0, 0xf4, 0xa2,
	0xf6, 0x4b, 0x4d, 0xfb, 0x4e, 0x9b, 0xe2, 0x32, 0x54, 0x64, 0x52, 0x09, 0xd0, 0xe7, 0x30, 0xfb,
	0x4a, 0x39, 0xbe, 0xa0, 0xc0, 0x2c, 0xe3, 0xbf, 0x77, 0xce, 0x10, 0x53, 0x34, 0xa6, 0xb0, 0xfe,
	0x2a, 0xda, 0xe4, 0xa2, 0x9f, 0x6a, 0x70, 0xcd, 0x9b, 0x94, 0xed, 0x30, 0x63, 0xdf, 0xe9, 0xdb,
	0x2d, 0xbf, 0x0c, 0x60, 0x34, 0x9d, 0x16, 0x11, 0xe5, 0xb3, 0xc2, 0xdd, 0xd5, 0x09, 0x0b, 0x14,
	0x9e, 0xbf, 0xdf, 0x72, 0xd8, 0x53, 0x0e, 0xe6, 0x15, 0x02, 0x56, 0x9d, 0x56, 0xb8, 0x80, 0x7e,
	0xb9, 0x79, 0x3a, 0xd9, 0x90, 0x70, 0x37, 0x71, 0xee, 0x70, 0xf7, 0x2e, 0x14, 0x64, 0x10, 0x60,
	0x50, 0xf2, 0x8a, 0x5a, 0x4c, 0x1d, 0xa4, 0x7a, 0xf6, 0x75, 0x3d, 0xb8, 0x6d, 0xc8, 0x4b, 0x12,
	0x2c, 0x29, 0xd0, 0x2e, 0xe4, 0xc5, 0x86, 0xfb, 0x2c, 0x8b, 0x62, 0xf8, 0xca, 0xd8, 0xd8, 0xa0,
	0x66, 0xb7, 0x76, 0xfb, 0x2f, 0x5d, 0x66, 0xb1, 0x3e, 0x23, 0x38, 0x27, 0xb5, 0x46, 0x81, 0x3e,
	0x86, 0xb9, 0x03, 0xc7, 0x65, 0x1e, 0xa6, 0xd1, 0xb1, 0x18, 0xa1, 0x66, 0x47, 0x1c, 0xda, 0xe8,
	0x74, 0x1a, 0x1a, 0x46, 0x9c, 0x54, 0x71, 0x6e, 0x4a, 0x42, 0xd4, 0x80, 0x59, 0xb3, 0xcf, 0x1c,
	0x23, 0x8c, 0xa2, 0x0a, 0x35, 0x23, 0x8e, 0x7c, 0x43, 0xc3, 0x33, 0x9c, 0xad, 0x11, 0x00, 0xa2,
	0x47, 0x70, 0x21, 0x32, 0x15, 0xa5, 0x8e, 0x57, 0x22, 0x33, 0xd1, 0xe4, 0x4c, 0x66, 0x43, 0x33,
	0x51, 0x0a, 0xb9, 0x02, 0x29, 0x7e, 0x40, 0x9d, 0x3e, 0x53, 0x4e, 0xfa, 0xd2, 0x89, 0xe1, 0x9f,
	0xa8, 0xdb, 0x2d, 0xec, 0x51, 0xa2, 0x8f, 0x20, 0x67, 0xb5, 0x3a, 0xc4, 0xf0, 0x38, 0x8b, 0xe3,
	0x38, 0xb3, 0x9c, 0x7c, 0x4f, 0x71, 0x0f, 0xd6, 0x8a, 0x33, 0xdf, 0x57, 0xad, 0x78, 0xe9, 0x1c,
	0xb5, 0x62, 0x97, 0x27, 0x2a, 0x32, 0xc7, 0xe9, 0x5a, 0x94, 0x3a, 0x54, 0x22, 0x5b, 0xc4, 0x2d,
	0x5e, 0x9d, 0xb0, 0x16, 0xa4, 0xce, 0x8e, 0x2a, 0x01, 0x3c, 0x13, 0x28, 0x6a, 0xee, 0x17, 0xe9,
	0x89, 0x46, 0x8b, 0xf0, 0x30, 0x29, 0xdd, 0xa3, 0x96, 0x43, 0x2d, 0x76, 0x2c, 0x22, 0x9a, 0xc2,
	0x60, 0xf9, 0x2f, 0x6a, 0x53, 0x9d, 0x3e, 0xb3, 0xec, 0xf6, 0x8e, 0xe2, 0x08, 0x1d, 0x44, 0x1f,
	0x65, 0xf0, 0xc2, 0x29, 0x7f, 0xde, 0x0b, 0xa7, 0x6d, 0x98, 0xf7, 0x6e, 0x08, 0x0e, 0x0f, 0x8c,
	0x30, 0x64, 0x61, 0xac, 0x7f, 0xba, 0xa0, 0x38, 0x5f, 0x1c, 0xe0, 0x00, 0x70, 0x17, 0xb2, 0x07,
	0xa6, 0x7b, 0xe0, 0xed, 0xbd, 0xbc, 0x23, 0xb9, 0x3b, 0xa9, 0x4c, 0x1b, 0xa6, 0x7b, 0xa0, 0x44,
	0x09, 0x07, 0xfe, 0x6f, 0xff, 0x02, 0x67, 0xf6, 0x1c, 0x17, 0x38, 0xab, 0xa0, 0x73, 0xaf, 0xcc,
	0x83, 0x4b, 0x5f, 0x9f, 0x17, 0xc6, 0xe9, 0x73, 0xa1, 0x6b, 0x1e, 0xf1, 0x38, 0xcf, 0x53, 0xe9,
	0x75, 0xb8, 0x10, 0x06, 0x30, 0x9c, 0xfd, 0x7d, 0x97, 0xb0, 0xe2, 0x1b, 0xe3, 0x70, 0x66, 0xdb,
	0x01, 0xc8, 0xb6, 0xe0, 0x41, 0x5f, 0xc2, 0x4c, 0xbf, 0xd7, 0xa6, 0x66, 0x8b, 0x28, 0x35, 0x76,
	0x8b, 0x97, 0x84, 0x90, 0xde, 0x9f, 0x54, 0x48, 0xcf, 0x25, 0xbb, 0x54, 0x68, 0x5c, 0xe8, 0x87,
	0x3f, 0x5d, 0x74, 0x04, 0x45, 0xcb, 0x66, 0x84, 0xda, 0x66, 0xc7, 0xf0, 0xaa, 0xc6, 0x5e, 0x39,
	0xb7, 0x24, 0x74, 0xef, 0xe3, 0x49, 0x07, 0x5a, 0x57, 0x38, 0xd1, 0x72, 0x34, 0x9e, 0xb7, 0x86,
	0xb6, 0x23, 0x0c, 0xf3, 0x5c, 0xd2, 0x27, 0x46, 0x77, 0x8b, 0xd7, 0x26, 0x28, 0x9f, 0xcc, 0x75,
	0xcd, 0xa3, 0xc1, 0x01, 0xdd, 0x13, 0x57, 0x3b, 0x97, 0xcf, 0x7f, 0xb5, 0x53, 0xfa, 0x36, 0x06,
	0x17, 0x86, 0x1c, 0x5a, 0xb4, 0x74, 0x5a, 0x40, 0x10, 0x84, 0x03, 0xc3, 0x52, 0xbd, 0xf8, 0xff,
	0x62, 0xaa, 0xf7, 0x18, 0xf2, 0x8c, 0x9a, 0x4d, 0x62, 0xb8, 0x66, 0xb7, 0xc7, 0x23, 0xaf, 0xf1,
	0xc9, 0x68, 0x4e, 0x30, 0xec, 0x4a, 0xfa, 0xea, 0x47, 0x3c, 0xbe, 0xfa, 0x00, 0xde, 0x1f, 0x11,
	0xaf, 0x9f, 0x6e, 0xb6, 0x36, 0x12, 0xe9, 0x98, 0x1e, 0xc7, 0xd9, 0x50, 0x25, 0xad, 0xf4, 0x6f,
	0x19, 0x80, 0xe0, 0x34, 0xa2, 0x5d, 0x48, 0x2a, 0xc7, 0x23, 0x13, 0x98, 0x07, 0x67, 0x3f, 0xd1,
	0x2a, 0x43, 0xe5, 0x99, 0xbe, 0x84, 0xe2, 0xa0, 0x4d, 0xc7, 0xf9, 0xca, 0xf2, 0x8a, 0x19, 0xe7,
	0x01, 0x5d, 0x15, 0x00, 0x1c, 0x54, 0x42, 0xa1, 0xdf, 0x87, 0x8b, 0x4d, 0xc7, 0xb6, 0x89, 0xa0,
	0x34, 0x7a, 0xd4, 0xe9, 0x11, 0xca, 0x2c, 0xe2, 0x45, 0x61, 0x9f, 0x9c, 0x6b, 0x0c, 0x0f, 0x6f,
	0xc7, 0x87, 0x6b, 0x4c, 0xe1, 0xb9, 0xe6, 0x90, 0x76, 0xd4, 0x81, 0x99, 0x81, 0x84, 0x5b, 0xdd,
	0x5b, 0xd4, 0xce, 0x31, 0x72, 0x34, 0x0d, 0x6f, 0x4c, 0xe1, 0x42, 0x34, 0x03, 0x47, 0x4d, 0x50,
	0x17, 0x2e, 0x86, 0xcb, 0x4c, 0x46, 0x54, 0x56, 0xf1, 0xf1, 0x39, 0x86, 0x92, 0xc5, 0xa7, 0x5d,
	0x8e, 0xd2, 0x98, 0xc2, 0xd9, 0xfd, 0xe0, 0x13, 0x95, 0x20, 0xcd, 0x08, 0xed, 0x5a, 0xb6, 0xd9,
	0x11, 0x8a, 0x99, 0xc6, 0xfe, 0x77, 0x89, 0x41, 0x52, 0x45, 0x1a, 0x15, 0xc8, 0xca, 0x7d, 0x35,
	0x42, 0x15, 0xd5, 0x68, 0xbc, 0x8c, 0x41, 0x52, 0x6c, 0x99, 0x5d, 0x32, 0xa6, 0x32, 0x35, 0x52,
	0x87, 0x4a, 0x7f, 0xac, 0x41, 0x52, 0xee, 0xfc, 0xe8, 0x0a, 0xee, 0x3b, 0x10, 0x67, 0xac, 0xa3,
	0xd4, 0x6b, 0x84, 0x9d, 0xe6, 0x54, 0x08, 0xa9, 0xc2, 0x93, 0x4c, 0x01, 0xc5, 0xef, 0xf3, 0x4d,
	0x52, 0xce, 0xac, 0xf4, 0x7b, 0x30, 0x37, 0x4c, 0x73, 0xd0, 0x65, 0xc8, 0xb8, 0x4e, 0x9f, 0x36,
	0x89, 0x61, 0xf5, 0xc4, 0xb4, 0xd3, 0x38, 0x2d, 0x1b, 0xd6, 0x7b, 0xd5, 0x06, 0x1f, 0x70, 0x15,
	0x6a, 0x67, 0x1c, 0xf0, 0xe4, 0x30, 0xa5, 0xaf, 0xa1, 0x10, 0x55, 0x9f, 0x91, 0xa2, 0xaa, 0xd6,
	0xf9, 0xc0, 0x8f, 0xe0, 0xe1, 0x99, 0x06, 0x8e, 0x0e, 0x50, 0xb2, 0x20, 0x1b, 0x52, 0x23, 0x74,
	0x29, 0x54, 0xbd, 0x0c, 0x86, 0xe3, 0x6d, 0xd5, 0xc7, 0x7c, 0xb4, 0x2a, 0x7c, 0x78, 0xa6, 0xd1,
	0x42, 0xd8, 0xd5, 0x15, 0x0e, 0x50, 0x81, 0xdb, 0x67, 0x01, 0xa8, 0x2f, 0x80, 0xae, 0xe2, 0xc8,
	0x68, 0xb9, 0xa2, 0xf4, 0x67, 0x1a, 0xe4, 0x23, 0x6e, 0x15, 0x55, 0x20, 0xe7, 0xb9, 0x69, 0x1e,
	0x73, 0xaa, 0x45, 0x44, 0x12, 0x91, 0xac, 0x22, 0x10, 0x17, 0xec, 0xf7, 0xc0, 0x4b, 0x38, 0x27,
	0x28, 0xd4, 0x78, 0xa4, 0xd5, 0xfb, 0x7c, 0x15, 0xef, 0xc1, 0x9d, 0xf1, 0xab, 0x88, 0xcc, 0xae,
	0xbc, 0x06, 0x97, 0x47, 0xa4, 0x6e, 0x68, 0x01, 0x2e, 0xec, 0xae, 0xe1, 0x17, 0xeb, 0xab, 0x6b,
	0xc6, 0xf3, 0xad, 0xda, 0x8b, 0xda, 0xfa, 0x66, 0xad, 0xbe, 0xb9, 0xa6, 0x4f, 0xa1, 0x3c, 0x64,
	0xb6, 0xb6, 0xf7, 0x8c, 0xa7, 0xdb, 0xcf, 0xb7, 0x9e, 0xe8, 0x5a, 0xf9, 0x73, 0x98, 0x1f, 0xee,
	0xe3, 0x51, 0x19, 0xae, 0xee, 0xd4, 0x76, 0x77, 0x8d, 0xbd, 0x06, 0xde, 0x7e, 0xfe, 0x49, 0xc3,
	0x58, 0xdf, 0x52, 0x4f, 0x06, 0xf0, 0xda, 0x93, 0x75, 0xbc, 0xb6, 0xba, 0xa7, 0x4f, 0xa1, 0x37,
	0xa0, 0xd8, 0xa8, 0x6d, 0x3d, 0xd9, 0x5c, 0x1b, 0xd2, 0xab, 0x8d, 0x79, 0x4b, 0x10, 0x5a, 0x5a,
	0xbd, 0x08, 0xb3, 0x5e, 0x5a, 0x1b, 0xdd, 0x96, 0x7a, 0x11, 0xe6, 0x23, 0xb9, 0x4f, 0xb8, 0x22,
	0x90, 0xd3, 0xf3, 0x1b, 0x89, 0x34, 0xd2, 0x2f, 0x6c, 0x24, 0xd2, 0x17, 0xf4, 0xb9, 0x8d, 0x44,
	0x5a, 0xd7, 0x67, 0x37, 0x12, 0xe9, 0x79, 0x7d, 0x61, 0x23, 0x91, 0xbe, 0xa8, 0xcf, 0x6f, 0x24,
	0xd2, 0xa0, 0x67, 0xfd, 0x90, 0x3c, 0x12, 0xee, 0x1f, 0x97, 0x7f, 0x9e, 0x85, 0x6c, 0x28, 0xeb,
	0x40, 0x97, 0x20, 0x2d, 0x13, 0x0d, 0xf5, 0x46, 0x21, 0x83, 0x53, 0xe2, 0x7b, 0xdb, 0x46, 0x8f,
	0x20, 0x6b, 0xf7, 0xbb, 0x06, 0xff, 0xe4, 0x7e, 0x64, 0x92, 0xbb, 0x20, 0xb0, 0xfb, 0x5d, 0x2c,
	0xe9, 0x51, 0x0d, 0x66, 0x7a, 0x84, 0x1a, 0x1c, 0xdb, 0x8b, 0x3f, 0xe3, 0xe3, 0xec, 0x51, 0xbe,
	0x47, 0xe8, 0x1e, 0x3d, 0xf6, 0xc2, 0xcf, 0x2f, 0xa0, 0xa0, 0xb2, 0x20, 0x2f, 0x8b, 0x90, 0xf1,
	0xc1, 0xfb, 0x13, 0xe6, 0x54, 0xea, 0xb7, 0x62, 0xc6, 0x79, 0x1a, 0xfe, 0x44, 0x1d, 0x98, 0x93,
	0xe8, 0x42, 0xd6, 0x3d, 0x1e, 0xb6, 0x35, 0x4d, 0x91, 0x7b, 0xf3, 0xb0, 0xb4, 0x7a, 0xa6, 0x31,
	0x78, 0xe6, 0xba, 0xe3, 0x21, 0x60, 0x44, 0x4f, 0xb4, 0xa1, 0x06, 0x2c, 0x89, 0x71, 0x5c, 0xd2,
	0x51, 0x3e, 0x5a, 0x0e, 0x2e, 0x4a, 0x67, 0xf2, 0xf1, 0x91, 0x2c, 0x8e, 0xc5, 0xf1, 0x15, 0x4e,
	0xb8, 0xeb, 0xd1, 0x09, 0xfc, 0x67, 0xe6, 0x91, 0x7a, 0xa1, 0xe4, 0xa2, 0x7b, 0x20, 0x92, 0x3c,
	0x8b, 0x1f, 0x25, 0x43, 0x3e, 0x8f, 0x14, 0x45, 0x10, 0x59, 0xe0, 0xce, 0xe3, 0x39, 0xbf, 0x77,
	0x57, 0x74, 0xf2, 0xa3, 0xe1, 0xa2, 0xcf, 0x3d, 0x59, 0xbe, 0x34, 0x9b, 0x5f, 0xf1, 0x40, 0x5e,
	0xe5, 0xc5, 0xf7, 0xce, 0xb4, 0xce, 0xba, 0xd9, 0xfc, 0x6a, 0x7b, 0x7f, 0x1f, 0xcb, 0x4c, 0x57,
	0x7d, 0xa1, 0x17, 0x30, 0x1b, 0xcc, 0xc8, 0xab, 0x15, 0x66, 0xce, 0x5a, 0xbb, 0xd7, 0x7d, 0x0c,
	0xaf, 0xb2, 0x48, 0x64, 0x16, 0x2c, 0x71, 0x07, 0xae, 0xe8, 0xd4, 0x8d, 0xd5, 0x19, 0xf0, 0x17,
	0x7c, 0x2c, 0x1c, 0xb9, 0xcc, 0x2b, 0xfd, 0x42, 0x83, 0x7c, 0x44, 0x53, 0x46, 0x3b, 0xd7, 0x07,
	0x90, 0x8b, 0xa4, 0xe3, 0xf1, 0xd3, 0xd3, 0x71, 0x1e, 0x51, 0xb0, 0x20, 0x0b, 0x1f, 0x67, 0xf7,
	0x4e, 0xd3, 0xdc, 0x7a, 0x1e, 0xb2, 0x92, 0x58, 0x18, 0x65, 0x15, 0xb7, 0x26, 0x65, 0x53, 0xe9,
	0xaf, 0x35, 0x40, 0x27, 0x95, 0xf0, 0x7b, 0x5b, 0xc3, 0x43, 0xbe, 0x86, 0xfb, 0x70, 0x6f, 0xc2,
	0x35, 0x44, 0x26, 0x35, 0x7a, 0x21, 0xff, 0xa8, 0x41, 0x2e, 0xac, 0x65, 0x68, 0x03, 0xf2, 0x2f,
	0x4d, 0x97, 0xc8, 0xd4, 0xea, 0xd0, 0xec, 0xa8, 0x20, 0xfc, 0x74, 0x03, 0x52, 0x87, 0xd7, 0xf5,
	0xd4, 0xb7, 0x5a, 0x22, 0xad, 0xdd, 0x9a, 0xc2, 0x39, 0xce, 0xbb, 0xae, 0x58, 0xd1, 0x53, 0xc8,
	0xf9, 0x59, 0x1a, 0x87, 0x1a, 0x17, 0x1b, 0x89, 0xf2, 0xc3, 0xb7, 0x5a, 0xec, 0xd6, 0x14, 0xce,
	0x7a, 0x29, 0xda, 0xa1, 0xd9, 0xa9, 0xbe, 0xcf, 0x97, 0xff, 0x2e, 0x54, 0x26, 0x5c, 0xbe, 0x5a,
	0xca, 0x38, 0xb7, 0x10, 0xb0, 0x95, 0x7f, 0x1e, 0x83, 0x6c, 0x28, 0x97, 0x43, 0x3b, 0xa0, 0x5b,
	0xb6, 0xc5, 0x2c, 0x91, 0x59, 0x0a, 0xbd, 0x75, 0x95, 0x1c, 0x26, 0x7c, 0x38, 0x30, 0xa3, 0xd8,
	0x95, 0xd6, 0xbb, 0xe8, 0x0b, 0xb8, 0x64, 0xb6, 0x5a, 0x96, 0xcc, 0xcd, 0xfc, 0x73, 0xd5, 0x3c,
	0x30, 0xed, 0xa6, 0x97, 0x92, 0x2c, 0x86, 0xcb, 0x88, 0x87, 0x2b, 0x95, 0x93, 0xb9, 0xdc, 0x42,
	0x00, 0xa1, 0x80, 0x57, 0x05, 0x00, 0xba, 0x0f, 0x45, 0x99, 0xba, 0xf2, 0x34, 0x64, 0x88, 0x03,
	0x48, 0xe3, 0x39, 0xd1, 0xbf, 0x6d, 0xef, 0x84, 0x8d, 0xfd, 0x18, 0x09, 0x85, 0x24, 0x52, 0xfe,
	0x66, 0x1a, 0x0a, 0x03, 0x7e, 0xfb, 0x2d, 0x28, 0x1c, 0x30, 0xd6, 0x73, 0xfd, 0xe4, 0x5b, 0x06,
	0xec, 0x8d, 0x29, 0x9c, 0x17, 0xed, 0x1e, 0x39, 0x7a, 0x1b, 0x66, 0xdc, 0xe6, 0x01, 0xe9, 0x92,
	0x80, 0x32, 0xa5, 0x2e, 0x5c, 0x0b, 0xb2, 0xc3, 0x27, 0x7d, 0x17, 0xf2, 0xca, 0x0b, 0x2b, 0xc2,
	0x21, 0xb1, 0x50, 0x4e, 0x56, 0x1e, 0x15, 0xc7, 0x75, 0xc8, 0xf7, 0x1c, 0x1a, 0xe2, 0xe0, 0x26,
	0x36, 0x8f, 0x73, 0xbc, 0xd1, 0x27, 0xba, 0x0b, 0x79, 0x71, 0x73, 0xe4, 0x13, 0xc5, 0x86, 0x15,
	0x57, 0x73, 0x9c, 0xc6, 0xe7, 0xb9, 0x37, 0x41, 0x81, 0xb8, 0xa1, 0x0d, 0x96, 0x88, 0x6d, 0xc8,
	0x47, 0xab, 0xe4, 0x71, 0x51, 0x07, 0x79, 0x3c, 0xf9, 0x13, 0x3c, 0xff, 0xf3, 0x94, 0x0a, 0x79,
	0x8e, 0x86, 0xc3, 0xaf, 0x6b, 0x90, 0x75, 0x19, 0xb5, 0x7a, 0x86, 0x48, 0xd6, 0x84, 0x33, 0x4b,
	0x63, 0x10, 0x4d, 0x22, 0x60, 0x2e, 0xbf, 0x82, 0xb9, 0x61, 0x80, 0xe8, 0x22, 0xcc, 0x3e, 0xdb,
	0x7e, 0xb1, 0xf6, 0xc4, 0xd8, 0x59, 0xc3, 0xcf, 0x6a, 0x5b, 0x6b, 0x5b, 0x7b, 0x9b, 0x9f, 0xe9,
	0x53, 0x28, 0x03, 0xd3, 0x2a, 0x62, 0xe3, 0x01, 0xdc, 0xee, 0xda, 0x9a, 0xb1, 0xbd, 0xd7, 0x58,
	0xc3, 0x7a, 0x0c, 0xcd, 0x03, 0xda, 0x5b, 0x7b, 0xb6, 0xb3, 0x8d, 0x6b, 0xf8, 0xb3, 0x20, 0xf8,
	0x8a, 0xf3, 0x76, 0x1f, 0x22, 0x68, 0x4f, 0x54, 0xdf, 0xe1, 0xba, 0x75, 0x13, 0xde, 0x3c, 0xed,
	0xf4, 0x85, 0xd7, 0x5c, 0x2f, 0x41, 0xd1, 0x57, 0x91, 0x81, 0xf8, 0x8b, 0x47, 0x66, 0x6a, 0xf3,
	0x06, 0x7a, 0xca, 0x7f, 0xaa, 0xc1, 0xdc, 0xb0, 0xe7, 0x86, 0xa8, 0x0c, 0x49, 0xe9, 0xa4, 0x85,
	0xfe, 0xe4, 0x85, 0x89, 0xba, 0x35, 0xad, 0xff, 0x43, 0x62, 0xb9, 0x85, 0x55, 0x0f, 0x7a, 0x00,
	0x89, 0x97, 0x4e, 0xeb, 0x58, 0x1d, 0xbe, 0x1b, 0x23, 0x6a, 0x2b, 0x4f, 0x4c, 0x66, 0xee, 0x8a,
	0xa4, 0x09, 0x0b, 0x96, 0xea, 0x7b, 0x7c, 0x69, 0xb7, 0xe1, 0xd6, 0xf0, 0xa5, 0x0d, 0x9b, 0x51,
	0xf9, 0x67, 0x1a, 0x64, 0xfc, 0x07, 0x83, 0xe8, 0x06, 0x64, 0x78, 0xee, 0x64, 0xfa, 0xcf, 0x54,
	0x43, 0xce, 0x22, 0xe8, 0x91, 0xb7, 0xb9, 0x4e, 0xcf, 0x6c, 0x9b, 0xfe, 0x7b, 0xd0, 0x31, 0xb7,
	0xb9, 0x8a, 0xb8, 0x7a, 0x93, 0xcf, 0x70, 0x09, 0xae, 0x9d, 0x32, 0x43, 0x6f, 0x22, 0xe5, 0xbf,
	0x8f, 0x41, 0x4a, 0x3d, 0x5d, 0x43, 0xeb, 0x30, 0xd3, 0xec, 0x58, 0xc4, 0x66, 0xb2, 0x32, 0x64,
	0xd9, 0x6d, 0x65, 0xf3, 0xc6, 0x1b, 0xa6, 0x82, 0x64, 0xdc, 0x55, 0x7c, 0x1c, 0x8a, 0x9a, 0x76,
	0xcb, 0xe9, 0x06, 0x50, 0x93, 0xda, 0xb8, 0x82, 0x64, 0xf4, 0xa1, 0x3e, 0x05, 0xdd, 0x39, 0x24,
	0xd4, 0xec, 0x74, 0x02, 0xac, 0xf8, 0x84, 0x58, 0x33, 0x8a, 0xd3, 0x07, 0xab, 0x41, 0x36, 0xf8,
	0xa7, 0x1e, 0x57, 0x3d, 0x6c, 0x8a, 0xe0, 0xa8, 0xe7, 0x7b, 0xe2, 0xa6, 0x50, 0x50, 0xee, 0x99,
	0x6d, 0x0c, 0x4d, 0xef, 0xa7, 0x5b, 0x7d, 0x93, 0x4b, 0xf6, 0x1a, 0x5c, 0x19, 0x2e, 0x59, 0x25,
	0xcb, 0xf2, 0x2f, 0x34, 0x28, 0x44, 0xff, 0x91, 0x23, 0xfc, 0xc4, 0x22, 0x71, 0xee, 0x27, 0x16,
	0x5e, 0x80, 0x11, 0x1b, 0x96, 0x56, 0x8f, 0x3e, 0x71, 0xd1, 0xe9, 0xf8, 0xf7, 0x9c, 0x71, 0x3d,
	0x81, 0x53, 0x3d, 0x1e, 0x0d, 0x53, 0x1b, 0x27, 0xe5, 0xfd, 0x75, 0xf9, 0x9f, 0xf2, 0x90, 0xf1,
	0x0b, 0xed, 0xe8, 0x21, 0x4c, 0xbb, 0xcc, 0x6c, 0x93, 0x33, 0xb8, 0xc0, 0x22, 0x60, 0xc9, 0xc3,
	0x0d, 0x54, 0xcb, 0x72, 0x45, 0x34, 0xc9, 0x13, 0x74, 0x79, 0x31, 0x0e, 0xaa, 0xe9, 0x53, 0xc2,
	0x7d, 0x6d, 0x4a, 0xee, 0x9b, 0xf7, 0x9f, 0x3c, 0xb7, 0x27, 0xba, 0x5a, 0xa8, 0x28, 0xcb, 0x11,
	0xbc, 0xf9, 0xf3, 0x60, 0x4a, 0xff, 0x95, 0x85, 0xa4, 0x32, 0x04, 0x4d, 0x28, 0xa8, 0xfa, 0x47,
	0xb8, 0xec, 0x3a, 0x2e, 0xd3, 0x18, 0x18, 0xa3, 0x22, 0x0f, 0x7f, 0x70, 0x5f, 0x9a, 0x77, 0xc3,
	0x0d, 0x88, 0xc2, 0x85, 0x16, 0x71, 0x99, 0x65, 0x8b, 0x53, 0xeb, 0x8f, 0x24, 0x35, 0xfe, 0xf1,
	0x99, 0x46, 0x7a, 0x12, 0xe0, 0x04, 0xc3, 0xa1, 0xd6, 0x89, 0x56, 0xb4, 0x0f, 0x33, 0x83, 0xc1,
	0xb9, 0x3c, 0x15, 0x0f, 0xcf, 0x34, 0x5e, 0x34, 0x2a, 0xe7, 0x0e, 0x39, 0xfa, 0xe8, 0x8e, 0x0b,
	0x90, 0x92, 0xae, 0xc3, 0x88, 0x61, 0xb6, 0x5a, 0x94, 0xb8, 0xae, 0x4a, 0x07, 0xab, 0x67, 0x1c,
	0x86, 0x43, 0xd4, 0x24, 0x02, 0x17, 0x20, 0x0d, 0x37, 0xa0, 0xcf, 0x21, 0xdb, 0x26, 0x36, 0xa1,
	0x56, 0x53, 0xe8, 0x88, 0xac, 0x61, 0x7e, 0x70, 0xa6, 0x11, 0x3e, 0x91, 0xfc, 0x9f, 0x12, 0x1e,
	0x3b, 0x43, 0xdb, 0xff, 0x42, 0x5d, 0x40, 0xaa, 0x54, 0x28, 0x1e, 0xaa, 0xa9, 0x7b, 0xe3, 0xe4,
	0x04, 0x6f, 0x7d, 0x06, 0x87, 0x08, 0x3d, 0x1d, 0x14, 0xe7, 0xb2, 0x31, 0x85, 0xf5, 0x83, 0x81,
	0xb6, 0xd2, 0x26, 0xe4, 0x23, 0xda, 0x32, 0x2e, 0x74, 0x1f, 0xa9, 0x6a, 0xa5, 0x17, 0x80, 0x4e,
	0x6a, 0x44, 0xf5, 0xd7, 0x38, 0xe4, 0x43, 0x78, 0x30, 0x21, 0xe4, 0x49, 0x84, 0xd2, 0x9f, 0x6b,
	0x3c, 0x9a, 0x8b, 0x6c, 0xf4, 0x19, 0x4b, 0xaa, 0xa8, 0x02, 0x85, 0x16, 0x71, 0x9b, 0xd4, 0xea,
	0x31, 0x87, 0x06, 0x47, 0x3b, 0xb0, 0x49, 0xf9, 0xa0, 0xfb, 0x53, 0x72, 0x3c, 0xee, 0xd6, 0x60,
	0xb4, 0x62, 0x72, 0xb1, 0x46, 0x74, 0xe8, 0xac, 0x62, 0x8d, 0x30, 0x97, 0x7e, 0x17, 0x20, 0xd0,
	0x17, 0x74, 0x17, 0xf4, 0xd0, 0x4a, 0xe4, 0x8b, 0xc7, 0x01, 0x9f, 0x3c, 0x13, 0x10, 0x88, 0xbd,
	0xae, 0x7e, 0xc8, 0x87, 0x5f, 0x51, 0xff, 0xf4, 0x3a, 0x7e, 0xf8, 0x60, 0xb4, 0xd2, 0xcf, 0x62,
	0xa0, 0x0f, 0x6a, 0xd2, 0x79, 0xa6, 0x80, 0x1e, 0x41, 0x8e, 0x1c, 0xf5, 0x48, 0x93, 0x29, 0x95,
	0x1e, 0x1f, 0x1f, 0x64, 0x25, 0xbd, 0x1c, 0xf2, 0x59, 0xe0, 0x8e, 0xe2, 0x67, 0x74, 0x47, 0x61,
	0x9b, 0xab, 0x30, 0xc6, 0x3d, 0x02, 0x1b, 0x77, 0x96, 0xaa, 0x3f, 0xe2, 0xfc, 0xcb, 0x70, 0x73,
	0x32, 0xfe, 0xfa, 0x02, 0xe8, 0xd2, 0xda, 0x0f, 0x94, 0xf1, 0xc6, 0x04, 0x3e, 0x3e, 0x4e, 0xf9,
	0xdf, 0xe3, 0x90, 0x8f, 0x2c, 0x0a, 0x2d, 0x45, 0x72, 0xf7, 0x01, 0xcd, 0x97, 0x19, 0xfc, 0x12,
	0x64, 0xc9, 0x91, 0xe9, 0x4b, 0x3c, 0xa1, 0x92, 0x18, 0x10, 0x8d, 0x52, 0xac, 0xdb, 0xa0, 0x07,
	0x6f, 0x47, 0xfd, 0x17, 0x66, 0x93, 0xbe, 0x20, 0x15, 0x19, 0x91, 0xf7, 0x6e, 0x54, 0x02, 0x7e,
	0x04, 0x59, 0xf1, 0xaf, 0xc4, 0x11, 0xc3, 0x75, 0x69, 0x20, 0xf4, 0x59, 0xb7, 0xd9, 0xfd, 0x7b,
	0x98, 0x93, 0xf1, 0xe9, 0x08, 0x7a, 0xc9, 0x7d, 0x03, 0xf2, 0xea, 0x89, 0x9f, 0xe2, 0x4f, 0xa9,
	0x14, 0x2d, 0xa7, 0x9a, 0x25, 0xd9, 0x6d, 0xc8, 0xa9, 0x5c, 0x47, 0x52, 0x65, 0x06, 0x1f, 0x2b,
	0x65, 0x65, 0xb7, 0x4f, 0xed, 0xf6, 0xf7, 0x03, 0x6a, 0x38, 0x41, 0x2d, 0xbb, 0x25, 0xf5, 0x12,
	0xe4, 0x2c, 0xfb, 0x90, 0x50, 0x6f, 0x06, 0x69, 0x91, 0xa2, 0x64, 0x65, 0x9b, 0xdc, 0xfc, 0x5b,
	0x7c, 0xd3, 0x6e, 0xc0, 0xf5, 0xd3, 0xd2, 0xd0, 0xb0, 0xee, 0x15, 0x61, 0x5e, 0xd9, 0x29, 0x01,
	0x17, 0xa9, 0xd3, 0xc6, 0xf4, 0xb8, 0x8c, 0x68, 0xe4, 0x9b, 0x40, 0x9c, 0x0d, 0xed, 0x42, 0xf9,
	0x4f, 0x62, 0x70, 0x71, 0xe8, 0x53, 0x53, 0x74, 0x35, 0xb2, 0xf3, 0x3c, 0x57, 0xa0, 0xdc, 0x05,
	0xfd, 0x38, 0xad, 0xb6, 0x7d, 0x17, 0x72, 0x91, 0x17, 0x83, 0xd2, 0x3f, 0x4d, 0xf4, 0x62, 0x30,
	0xf2, 0x24, 0x38, 0xeb, 0x86, 0x9e, 0x0c, 0x9e, 0xd8, 0x99, 0xe4, 0xb0, 0x9d, 0xa9, 0xde, 0xe5,
	0xa2, 0xf9, 0x11, 0xbc, 0x33, 0x5c, 0x34, 0x43, 0xd7, 0x53, 0x5f, 0x82, 0x6b, 0x03, 0xd7, 0x82,
	0x43, 0x64, 0x25, 0xa5, 0x94, 0xd0, 0xa7, 0xd5, 0x0b, 0x6e, 0xf5, 0x74, 0xb2, 0xbe, 0xf1, 0x17,
	0x3f, 0xfe, 0xee, 0xef, 0x92, 0x31, 0x3d, 0x0e, 0xcb, 0x96, 0x23, 0x97, 0xd8, 0xa3, 0xce, 0xd1,
	0xf1, 0x08, 0xeb, 0x50, 0x9f, 0x13, 0x25, 0xf6, 0x55, 0xff, 0xff, 0xfb, 0x77, 0xb8, 0xed, 0xd9,
	0xd1, 0x5e, 0x26, 0x85, 0x11, 0x5a, 0xf9, 0x9f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x37, 0x5b, 0x19,
	0x84, 0x1c, 0x40, 0x00, 0x00,
}
